<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => 'Le champ :attribut doit être accepté.',
    'accepted_if' => 'Le champ :attribut doit être accepté lorsque :other est :value.',
    'active_url' => 'Le champ :attribut doit être une URL valide.',
    'after' => 'Le champ :attribut doit être une date postérieure à :date.',
    'after_or_equal' => 'Le champ :attribut doit être une date postérieure ou égale à :date.',
    'alpha' => 'Le champ :attribut ne doit contenir que des lettres.',
    'alpha_dash' => 'Le champ :attribut ne doit contenir que des lettres, des chiffres, des tirets et des underscores.',
    'alpha_num' => 'Le champ :attribut ne doit contenir que des lettres et des chiffres.',
    'array' => 'Le champ :attribut doit être un tableau.',
    'ascii' => 'Le champ :attribut ne doit contenir que des caractères alphanumériques et des symboles en octets simples.',
    'before' => 'Le champ :attribut doit être une date antérieure à :date.',
    'before_or_equal' => 'Le champ :attribut doit être une date antérieure ou égale à :date.',
    'between' => [
        'array' => 'Le champ :attribut doit contenir entre :min et :max éléments.',
        'file' => 'Le champ :attribut doit être entre :min et :max kilo-octets.',
        'numeric' => 'Le champ :attribut doit être entre :min et :max.',
        'string' => 'Le champ :attribut doit être entre :min et :max caractères.',
    ],
    'boolean' => 'Le champ :attribut doit être vrai ou faux.',
    'can' => 'Le champ :attribut contient une valeur non autorisée.',
    'confirmed' => 'La confirmation de :attribut ne correspond pas.',
    'contains' => 'Le champ :attribut manque une valeur requise.',
    'current_password' => 'Le mot de passe est incorrect.',
    'date' => 'Le champ :attribut doit être une date valide.',
    'date_equals' => 'Le champ :attribut doit être une date égale à :date.',
    'date_format' => 'Le champ :attribut doit correspondre au format :format.',
    'decimal' => 'Le champ :attribut doit avoir :decimal décimales.',
    'declined' => 'Le champ :attribut doit être refusé.',
    'declined_if' => 'Le champ :attribut doit être refusé si le champ :autre est :valeur.',
    'different' => 'Les champs :attribut et :other doivent être différents.',
    'digits' => 'Le champ :attribut doit avoir :digits chiffres.',
    'digits_between' => 'Le champ :attribut doit avoir entre :min et :max chiffres.',
    'dimensions' => 'Le champ :attribut a des dimensions d’image invalides.',
    'distinct' => 'Le champ :attribut a une valeur en double.',
    'doesnt_end_with' => 'Le champ :attribut ne doit pas se terminer par l’une des valeurs suivantes : :values.',
    'doesnt_start_with' => 'Le champ :attribut ne doit pas commencer par l’une des valeurs suivantes : :values.',
    'email' => 'Le champ :attribut doit être une adresse email valide.',
    'ends_with' => 'Le champ :attribut doit se terminer par l’une des valeurs suivantes : :values.',
    'enum' => 'Le champ :attribut sélectionné est invalide.',
    'exists' => 'Le champ :attribut sélectionné est invalide.',
    'extensions' => 'Le champ :attribut doit avoir l’une des extensions suivantes : :values.',
    'file' => 'Le champ :attribut doit être un fichier.',
    'filled' => 'Le champ :attribut doit avoir une valeur.',
    'gt' => [
        'array' => 'Le champ :attribut doit contenir plus de :valeur éléments.',
        'file' => 'Le champ :attribut doit être supérieur à :valeur kilo-octets.',
        'numeric' => 'Le champ :attribut doit être supérieur ou égal à :valeur.',
        'string' => 'Le champ :attribut doit contenir plus de :valeur caractères.',
    ],
    'gte' => [
        'array' => 'Le champ :attribut doit contenir :valeur éléments ou plus.',
        'file' => 'Le champ :attribut doit être supérieur ou égal à :valeur kilo-octets.',
        'numeric' => 'Le champ :attribut doit être supérieur ou égal à :valeur.',
        'string' => 'Le champ :attribut doit contenir au moins :valeurs caractères.',
    ],
    'hex_color' => 'Le champ :attribut doit être une couleur hexadécimale valide.',
    'image' => 'Le champ :attribut doit être une image.',
    'in' => 'Le champ :attribut sélectionné est invalide.',
    'in_array' => 'Le champ :attribut doit exister dans :autre.',
    'integer' => 'Le champ :attribut doit être un entier.',
    'ip' => 'Le champ :attribut doit être une adresse IP valide.',
    'ipv4' => 'Le champ :attribut doit être une adresse IPv4 valide.',
    'ipv6' => 'Le champ :attribut doit être une adresse IPv6 valide.',
    'json' => 'Le champ :attribut doit être une chaîne JSON valide.',
    'list' => 'Le champ :attribut doit être une liste.',
    'lowercase' => 'Le champ :attribut doit être en minuscules.',
    'lt' => [
        'array' => 'Le champ :attribut doit contenir moins de :valeur éléments.',
        'file' => 'Le champ :attribut doit être inférieur à :valeur kilo-octets.',
        'numeric' => 'Le champ :attribut doit être inférieur à :valeur.',
        'string' => 'Le champ :attribut doit contenir moins de :valeur caractères.',
    ],
    'lte' => [
        'array' => 'Le champ :attribut ne doit pas contenir plus de :valeur éléments.',
        'file' => 'Le champ :attribut doit être inférieur ou égal à :valeur kilo-octets.',
        'numeric' => 'Le champ :attribut doit être inférieur ou égal à :valeur.',
        'string' => 'Le champ :attribut doit contenir au maximum :valeur caractères.',
    ],
    'mac_address' => 'Le champ :attribut doit être une adresse MAC valide.',
    'max' => [
        'array' => 'Le champ :attribut ne doit pas contenir plus de :max éléments.',
        'file' => 'Le champ :attribut ne doit pas être supérieur à :max kilo-octets.',
        'numeric' => 'Le champ :attribut ne doit pas être supérieur à :max.',
        'string' => 'Le champ :attribut ne doit pas contenir plus de :max caractères.',
    ],
    'max_digits' => 'Le champ :attribut ne doit pas contenir plus de :max chiffres.',
    'mimes' => 'Le champ :attribut doit être un fichier de type : :valeurs.',
    'mimetypes' => 'Le champ :attribut doit être un fichier de type : :valeurs.',
    'min' => [
        'array' => 'Le champ :attribut doit contenir au moins :min éléments..',
        'file' => 'Le champ :attribut doit être d\'au moins :min kilo-octets.',
        'numeric' => 'Le champ :attribut doit être d\'au moins :min.',
        'string' => 'Le champ :attribut doit contenir au moins :min caractères.,
    ],
    'min_digits' => 'Le champ :attribut doit contenir au moins :min chiffres.',
    'missing' => 'Le champ :attribut doit être manquant.',
    'missing_if' => 'Le champ :attribut doit être manquant lorsque :autre est :valeur.',
    'missing_unless' => 'Le champ :attribut doit être manquant sauf si :autre est :valeur.',
    'missing_with' => 'Le champ :attribut doit être manquant lorsque :valeurs est présent.',
    'missing_with_all' => 'Le champ :attribut doit être manquant lorsque :valeurs sont présents.',
    'multiple_of' => 'Le champ :attribut doit être un multiple de :valeur.',
    'not_in' => 'Le champ sélectionné :attribut est invalide.',
    'not_regex' => 'Le format du champ :attribut est invalide.',
    'numeric' => 'Le champ :attribut doit être un nombre.',
    'password' => [
        'letters' => 'Le champ :attribut doit contenir au moins une lettre.',
        'mixed' => 'Le champ :attribut doit contenir au moins une lettre majuscule et une lettre minuscule.',
        'numbers' => 'Le champ :attribut doit contenir au moins un chiffre.',
        'symbols' => 'Le champ :attribut doit contenir au moins un symbole.',
        'uncompromised' => 'Le :attribut fourni a été détecté dans une fuite de données. Veuillez choisir un autre :attribut.',
    ],
    'present' => 'Le champ :attribut doit être présent.',
    'present_if' => 'Le champ :attribut doit être présent lorsque :autre est :valeur.',
    'present_unless' => 'Le champ :attribut doit être présent sauf si :autre est :valeur.',
    'present_with' => 'Le champ :attribut doit être présent lorsque :valeur est présent.',
    'present_with_all' => 'Le champ :attribut doit être présent lorsque :valeurs sont présents.',
    'prohibited' => 'Le champ :attribut est interdit.',
    'prohibited_if' => 'Le champ :attribut est interdit lorsque :autre est :valeur.',
    'prohibited_unless' => 'Le champ :attribut est interdit sauf si :autre est dans :valeurs.',
    'prohibits' => 'Le champ :attribut interdit la présence de :autre.',
    'regex' => 'Le format du champ :attribut est invalide.',
    'required' => 'Le champ :attribut est obligatoire.',
    'required_array_keys' => 'Le champ :attribut doit contenir des entrées pour :valeurs.',
    'required_if' => 'Le champ :attribut est obligatoire lorsque :autre est accepté.',
    'required_if_accepted' => 'Le champ :attribut est obligatoire lorsque :autre est refusé.',
    'required_if_declined' => 'Le champ :attribut est obligatoire sauf si :autre est dans :valeurs.',
    'required_unless' => 'Le champ :attribut est obligatoire sauf si :autre est dans :valeurs.',
    'required_with' => 'Le champ :attribut est obligatoire lorsque :valeur est présent.',
    'required_with_all' => 'Le champ :attribut est obligatoire lorsque :valeurs sont présents.',
    'required_without' => 'Le champ :attribut est obligatoire lorsque :valeur n\'est pas présent.',
    'required_without_all' => 'attribut est obligatoire lorsque aucun de :valeurs ne sont présents.',
    'same' => 'Le champ :attribut doit correspondre à :autre.',
    'size' => [
        'array' => 'Le champ :attribut doit contenir :taille éléments.',
        'file' => 'Le champ :attribut doit être de :taille kilo-octets.',
        'numeric' => 'Le champ :attribut doit être de taille :',
        'string' => 'Le champ :attribut doit contenir :taille caractères.',
    ],
    'starts_with' => 'Le champ :attribut doit commencer par l\'une des valeurs suivantes : :valeurs.',
    'string' => 'Le champ :attribut doit être une chaîne de caractères.',
    'timezone' => 'Le champ :attribut doit être un fuseau horaire valide.',
    'unique' => 'Le champ :attribut a déjà été pris.',
    'uploaded' => 'Le champ :attribut a échoué à se téléverser.',
    'uppercase' => 'Le champ :attribut doit être en majuscules.',
    'url' => 'Le champ :attribut doit être une URL valide.',
    'ulid' => 'Le champ :attribut doit être un ULID valide.',
    'uuid' => 'Le champ :attribut doit être un UUID valide.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributs using the
    | convention "attribut.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribut rule.
    |
    */

    'custom' => [
        'attribut-name' => [
            'rule-name' => 'message-personnalisé',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation attributs
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribut placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributs' => [],

];
