@extends('layouts.app-bo')
@section('title', 'Dashboard')
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.company') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="#" data-bs-toggle="modal" data-bs-target="#primary-header-modal">{{ __('other.create') }} {{ __('users.company') }}</a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>{{ __('other.company_name') }}</th>
                            <th>{{ __('users.team') }}</th>
                            <th>{{ __('users.firstlogo') }}</th>
                            <th>{{ __('users.secondelogo') }}</th>
                            <th>{{ __('users.max_user_number') }}</th>
                            <th>{{ __('users.licence_type') }}</th>
                            <th>{{ __('users.display') }}</th>
                            <!-- <th>Stripe customer id</th>-->
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($companies as $company)
                        <tr>
                            <td>{{ $company->id }}</td>
                            <td>{{ $company->name }}</td>
                            <td>{{ $company->GroupsCompany->name ?? 'N/A' }}</td>
                            <td><img src="{{ asset('storage/' . $company->logo) }}" alt="Logo" width="50" height="50"></td>
                            <td><img src="{{ asset('storage/' . $company->logo2) }}" alt="Logo" width="50" height="50"></td>
                            <td>{{ $company->max_users }}</td>
                            <td>
                                @if ($company->license_type )
                                TMDB
                                @else
                                LMS
                                @endif
                            </td>
                            <td>
                                @if ($company->display)
                                Yes
                                @else
                                NO
                                @endif
                            </td>
                            <!--<td>{{ $company->stripe_customer_id }}</td>!-->
                            <td>
                                <div class="btn-group" role="group" aria-label="Company Actions">
                                    <button type="button" class="btn icon btn-info" data-bs-toggle="modal" data-bs-target="#viewCompanyModal{{ $company->id }}" title="View">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M12 4c-4.9 0-8.8 5.1-8.8 6s3.9 6 8.8 6 8.8-5.1 8.8-6-3.9-6-8.8-6zm0 10c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z" />
                                        </svg>
                                    </button>
                                    <button type="button" class="btn icon btn-warning" data-bs-toggle="modal" data-bs-target="#danger{{ $company->id }}" title="Edit">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </button>
                                    <form action="{{ route('companies.destroy', ['locale' => app()->getLocale(), 'id' => $company->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>

            </div>
        </div>
    </section>
</div>

<!-- Modals for View, Edit, and Create -->

@foreach($companies as $company)
<!-- View Modal -->
<div class="modal fade" id="viewCompanyModal{{ $company->id }}" tabindex="-1" role="dialog" aria-labelledby="viewCompanyModalLabel{{ $company->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewCompanyModalLabel{{ $company->id }}">View Company Details - {{ $company->name }}</h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <table class="table table-bordered">
                <tr>
                    <th>{{ __('other.company_name') }}</th>
                    <td>{{ $company->name }}</td>
                </tr>
                <tr>
                    <th>{{ __('users.team') }}</th>
                    <td>{{ $company->GroupsCompany->name ?? 'N/A' }}</td>
                </tr>
                <tr>
                    <th>{{ __('users.firstlogo') }}</th>
                    <td>
                        @if($company->logo)
                        <img src="{{ asset('storage/' . $company->logo) }}" alt="Main Logo" width="100" height="100">
                        @else
                        N/A
                        @endif
                    </td>
                </tr>
                <tr>
                    <th>{{ __('users.secondelogo') }}</th>
                    <td>
                        @if($company->logo2)
                        <img src="{{ asset('storage/' . $company->logo2) }}" alt="Secondary Logo" width="100" height="100">
                        @else
                        N/A
                        @endif
                    </td>
                </tr>
                <tr>
                    <th>{{ __('users.max_user_number') }}<th>
                    <td>{{ $company->max_users }}</td>
                </tr>
                <tr>
                    <th>{{ __('users.licence_type') }}</th>
                    <td> @if($company->license_type )
                        TMDB @else
                        LMS
                        @endif
                    </td>
                </tr>
                <tr>
                    <th>{{ __('users.display') }}</th>
                    <td> @if ($company->display)
                        Yes
                        @else
                        NO
                        @endif</td>
                </tr>

            </table>

        </div>
    </div>
</div>

<!-- create Modal -->
@include('admin.companies.createcompanies')
<!-- Edit Modal -->
@include('admin.companies.updatecompanies')

@endforeach
@endsection

