<!-- full size modal create -->

<div id="primary-header-modal" class="modal fade" tabindex="-1" aria-labelledby="primary-header-modalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg">
        <div class="modal-content">
            <div class="modal-header modal-colored-header bg-primary text-white">
                <h4 class="modal-title text-white" id="primary-header-modalLabel">
                    Create Company
                </h4>
                <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close">
                </button>  </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-create">
                        <div class="company-form">
                            <form id="w0" action="{{route('companies.store',['locale' => app()->getLocale(), 'id' => $company->id])}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-companyname required">
                                            <label class="control-label" for="company-companyname">Company Name</label>
                                            <input type="text" id="name" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-groupid">
                                            <label class="control-label" for="company-groupid">Group</label>
                                            <select id="group_id" class="form-control" name="group_id">
                                                <option value="">Select ...</option>
                                                @foreach($groups as $group)
                                                <option value="{{ $group->id }}">{{ $group->name }}</option>
                                                @endforeach
                                            </select>

                                            <div class="help-block"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-licenceSelect">
                                            <label class="control-label" for="licenceSelect">Licence Type</label>
                                            <select id="license_type" class="form-control" name="license_type" required>
                                                <option value="">Select ...</option>
                                                <option value="0">LMS</option>
                                                <option value="1">TMDB</option>
                                            </select>
                                            <div class="help-block"></div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-max_users">
                                            <label class="control-label" for="company-max_users">Maximum number of users</label>
                                            <input type="integer" id="max_users" class="form-control" name="max_users">
                                            <div class="help-block"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-stripe_customer_id">
                                            <label class="control-label" for="company-stripe_customer_id">Stripe Customer ID</label>
                                            <input type="text" id="stripe_customer_id" class="form-control" name="stripe_customer_id" maxlength="64">
                                            <div class="help-block"></div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <label for="copyCompany">Company to copy paid trainings from</label>
                                        <select id="companycopy" name="companycopy" class="block mt-1 w-full form-control">
                                            @foreach($companies as $company)
                                            <option value="{{ $company->id }}">{{ $company->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="row mt-3">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-display">
                                            <label class="control-label" for="company-display">Display</label>
                                            <select id="display" class="form-control" name="display">
                                                <option value="0">No</option>
                                                <option value="1" selected>Yes</option>
                                            </select>
                                            <div class="help-block"></div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-logo">
                                            <label class="control-label" for="company-logo">Upload Main Logo</label>
                                            <input type="hidden" name="logo" value="">
                                            <input type="file" id="logo" class="form-control file-loading" name="logo" accept="image/*" data-krajee-fileinput="fileinput_4a53d875">
                                            <div class="help-block"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-logo2">
                                            <label class="control-label" for="company-logo2">Upload Secondary Logo</label>
                                            <input type="hidden" name="logo2" value="">
                                            <input type="file" id="logo2" class="form-control file-loading" name="logo2" accept="image/*" data-krajee-fileinput="fileinput_4a53d875">
                                            <div class="help-block"></div>
                                        </div>
                                    </div>
                                </div>
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif



                        </div>

                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block" >Close</span>
                </button>
                <div class="form-group">
                    <button type="submit" id='create-company-button' class="btn btn-success">Save</button>
                </div>
            </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

