@extends('layouts.app-bo')
@section('title','Dashboard')
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Companies</h3>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" data-bs-toggle="modal" data-bs-target="#info">CREATE GROUP</a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Group name</th>
                            <th>Create at</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($groups as $group)
                        <tr>
                            <td>{{ $group->id }}</td>
                            <td>{{ $group->name }}</td>
                            <td>{{ $group->created_at }}</td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Company Actions">
                                    <a href="javascript:void(0)" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-group-modal-{{ $group->id }}">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </a>&nbsp;
                                    <form action="{{ route('group.destroy', ['locale' => app()->getLocale(), 'id' => $group->id])  }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>

                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>

    </section>
</div>
@foreach($groups as $group)
@include('admin.companies.groupcreate')
@include('admin.companies.updategroup')
@endforeach
@endsection