<!--Danger theme Modal -->
<div class="modal fade text-left" id="danger{{$company->id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel120" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header bg-danger">
                <h5 class="modal-title white" id="myModalLabel120">UPDATE Company</h5>
                <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-create">



                        <div class="company-form">

                            <form id="editForm{{ $company->id }}" action="{{ route('companies.update',['locale' => app()->getLocale(), 'id' => $company->id]) }}" method="post" enctype="multipart/form-data">

                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-companyname required">
                                            <label class="control-label" for="company-companyname">Company Name</label>
                                            <input type="text" class="form-control" id="name" name="name" value="{{ $company->name }}" required>

                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-groupid">
                                            <label class="control-label" for="company-groupid">Group</label>
                                            <select class="form-control" id="group_company_id" name="group_company_id">
                                                <option value="">Select ...</option>
                                                @foreach($groups as $group)
                                                <option value="{{ $group->id }}" {{ $company->group_company_id == $group->id ? 'selected' : '' }}>
                                                    {{ $group->name }}
                                                </option>
                                                @endforeach
                                            </select>
                                            @error('group_company_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-licenceSelect">
                                            <label class="control-label" for="licenceSelect">Licence Type</label>
                                            <select class="form-control" id="license_type" name="license_type" required>
                                                <option value="0" {{ $company->license_type == 0 ? 'selected' : '' }}>LMS</option>
                                                <option value="1" {{ $company->license_type == 1 ? 'selected' : '' }}>TMDB</option>
                                            </select>
                                            @error('license_type')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-max_users">
                                            <label class="control-label" for="company-max_users">Maximum number of users</label>
                                            <input type="number" class="form-control" id="max_users" name="max_users" value="{{ $company->max_users }}" required>

                                            @error('max_users')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-stripe_customer_id">
                                            <label class="control-label" for="company-stripe_customer_id">Stripe Customer ID</label>
                                            <input type="text" class="form-control" id="stripe_customer_id" name="stripe_customer_id" value="{{ $company->stripe_customer_id }}">

                                            @error('stripe_customer_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                </div>

                                <div class="row mt-3">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-display">
                                            <label class="control-label" for="company-display">Display</label>
                                            <select id="display" class="form-control" name="display">
                                                <option value="0" {{ old('display', $company->display) == 0 ? 'selected' : '' }}>No</option>
                                                <option value="1" {{ old('display', $company->display) == 1 ? 'selected' : '' }}>Yes</option>
                                            </select>
                                            @error('display')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group field-company-logo">
                                            <label class="control-label" for="company-logo">Upload Main Logo</label>
                                            <input type="file" id="logo" class="form-control file-loading" name="logo" accept="image/*">
                                            @error('logo')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-company-logo2">
                                            <label class="control-label" for="company-logo2">Upload Secondary Logo</label>
                                            <input type="file" id="logo2" class="form-control file-loading" name="logo2" accept="image/*">
                                            @error('logo2')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>



                        </div>

                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">Close</span>
                </button>
                <div class="form-group"><button type="submit" class="btn btn-success">Save</button>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>