<!-- Edit Group Modal -->
<div class="modal fade" id="edit-group-modal-{{ $group->id }}" tabindex="-1" role="dialog" aria-labelledby="editGroupModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title white" id="editGroupModalLabel">
                    <h2>Update GROUP</h2>
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-edit">

                        <div class="company-form">
                            <form id="edit-group-form-{{ $group->id }}" action="{{ route('group.update',['locale' => app()->getLocale(), 'id' => $group->id]) }}" method="post">
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group field-group_company required">
                                            <label class="control-label" for="edit-group-name-{{ $group->id }}">Company Name</label>
                                            <input type="text" id="edit-group-name-{{ $group->id }}" value="{{ old('name', $group->name) }}" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @endif

                                </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">Close</span>
                </button>
                <div class="form-group">
                    <button type="submit" class="btn btn-success update-group-button" data-group-id="{{ $group->id }}">Save</button>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>