@extends('layouts.app-bo')
@section('title', __('app.report'))
@section('content')
<div class="main-content container-fluid">
    <section class="section">
        <div class="d-md-flex align-items-center justify-content-between mb-7">
            <div class="mb-4 mb-md-0">
                <h4 class="fs-6 mb-0">Report</h4>
            </div>
            <div class="d-flex align-items-center justify-content-between gap-6">
                <a href="{{ route('admin.dashboard', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                    {{ __("app.home") }}
                </a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body text-center">
                        <h4 class="text-center">Pending</h4>
                        <div id="unique-visit"></div>
                    </div>
                    <div class="p-2 text-center border-top">
                        <h4 class="fw-medium mb-0">
                            <i class="ti ti-chevron-up text-success"></i> 12456
                        </h4>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body text-center">
                        <h4 class="text-center">Resolved</h4>
                        <div id="total_visit"></div>
                    </div>
                    <div class="p-2 text-center border-top">
                        <h4 class="fw-medium mb-0">
                            <i class="ti ti-chevron-down text-danger"></i> 456
                        </h4>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body text-center">
                        <h4 class="text-center">Conform</h4>
                        <div id="bounce-rate"></div>
                    </div>
                    <div class="p-2 text-center border-top">
                        <h4 class="fw-medium mb-0">
                            <i class="ti ti-chevron-up text-success"></i> 12456
                        </h4>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="card-body text-center">
                        <h4 class="text-center">Non-conform</h4>
                        <div id="page_views"></div>
                    </div>
                    <div class="p-2 text-center border-top">
                        <h4 class="fw-medium mb-0">
                            <i class="ti ti-chevron-down text-danger"></i> 245
                        </h4>
                    </div>
                </div>
            </div>

            <div class="col-lg-8">
                <div class="card">
                    <div class="card-body">
                        <div class="d-md-flex align-items-center">
                            <h4 class="card-title">Report Task Summary</h4>
                            <div class="ms-auto">
                                <ul class="list-inline">
                                    <li class="list-inline-item">
                                        <h6 class="text-muted">
                                            <i class="fa fa-circle me-1" style="color: #51bdff"></i>2022
                                        </h6>
                                    </li>
                                    <li class="list-inline-item">
                                        <h6 class="text-muted">
                                            <i class="fa fa-circle me-1" style="color: #11a0f8"></i>2023
                                        </h6>
                                    </li>
                                    <li class="list-inline-item">
                                        <h6 class="text-muted">
                                            <i class="fa fa-circle me-1 text-info"></i>2024
                                        </h6>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div id="total-revenue" class="mx-n2"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row align-items-center">
                                    <div class="col-6 col-lg-6 col-xl-7">
                                        <h4 class="card-title mb-5">Online training and evaluation</h4>
                                        <div>
                                            <h2 class="fs-9 fw-light">3,528</h2>
                                            <h6 class="text-muted fw-normal mb-0">(150-165 Sales)</h6>
                                        </div>
                                    </div>
                                    <div class="col-6 col-lg-6 col-xl-5">
                                        <div id="sales-prediction"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row align-items-center">
                                    <div class="col-6 col-lg-6 col-xl-7">
                                        <h4 class="card-title mb-5">Total Information Grid</h4>
                                        <div>
                                            <h2 class="fs-9 fw-light">4316</h2>
                                            <h6 class="text-muted fw-normal">(150-165 Sales)</h6>
                                        </div>
                                    </div>
                                    <div class="col-6 col-lg-6 col-xl-5">
                                        <div id="sales-difference"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection