@extends('layouts.app-bo')
@section('title', __('app.select_users'))
@section('content')

    <div class="main-content container-fluid">
        <section class="section">
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                                {{ __("app.select_users") }}
                            </h4>
                            <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($users) }}</b> {{ __('app.items') }}</div>
                        </div>

                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.nas") }}</th>
                                <th>{{ __("app.last_name") }}</th>
                                <th>{{ __("app.first_name") }}</th>
                                <th>{{ __("app.username") }}</th>
                                <th>{{ __("app.department") }}</th>
                                <th>{{ __("app.status") }}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($users as $user)

                                <tr>
                                    <td class="table-reference">{{ $user->id }}</td>
                                    <td>{{ $user->nas }}</td>
                                    <td>{{ $user->lname }}</td>
                                    <td>{{ $user->fname }}</td>
                                    <td>{{ $user->username }}</td>
                                    <td>{{ $user->department->name }}</td>
                                    <td>
                                        @if ($user->status)
                                            <i class="fa fa-check text-success"></i>
                                        @else
                                            <i class="fa fa-times text-danger"></i>
                                        @endif
                                    </td>
                                    <td><a href="{{ route('trainings.assign_trainings.view_assigned_training', [$locale, $user->id]) }}"><span class="btn btn-warning">Select</span>  </a></td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>
    </div>

    <!-- Modal dialog -->

    <!-- Javascript -->
@endsection
