@extends('layouts.app-bo')
@section('title', __('app.user_training'))
@section('content')

    <div class="main-content container-fluid">
        <section class="section">
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                                {{ __("app.user_training") }}
                            </h4>
                            <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_trainings) }}</b> {{ __('app.items') }}</div>
                        </div>
                    </div>
                    @foreach ($categories as $category)
                        <br>
                        <h3>{{ $category->cat_name }}</h3>

                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.attestation") }}</th>
                                <th>{{ __("app.certification") }}</th>
                                <th>{{ __("app.department") }}</th>
                                <th>{{ __("app.subdepartment") }}</th>
                                <th>{{ __("app.prefix") }}</th>
                                <th>{{ __("app.rev") }}</th>
                                <th>{{ __("app.training_name") }}</th>
                            </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">

                            @if (isset($user_trainings[$category->id]) && count($user_trainings[$category->id]) > 0)
                                @foreach ($user_trainings[$category->id] as $user_training)
                                    <tr>
                                        <td class="table-reference">{{ $user_training->user_id }}</td>
                                        <td>{{ $user_training->attestation }}</td>
                                        <td>{{ $user_training->certification }}</td>
                                        <td>{{ $user_training->department_id }}</td>
                                        <td>{{ $user_training->subdepartment_id }}</td>
                                        <td>{{ $user_training->prefix }}</td>
                                        <td>{{ $user_training->rev }}</td>
                                        <td>{{ $user_training->name }}</td>
                                    </tr>
                                @endforeach
                            @else
                                <!-- No data for this category -->
                                <tr>
                                    <td colspan="8">{{ __("No training data available for this category") }}</td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                    @endforeach
                </div>
            </div>
        </section>
    </div>

    <!-- Modal dialog -->

    <!-- Javascript -->
@endsection
