@extends('layouts.app-guest')
@section('title', __('auth.confirm_password'))
@section('content')
<div class="card-body">
    <div class="text-center mb-5">
        <img src="{{url('assets/images/favicon.svg')}}" height="100" class='mb-4'>
        <h3>{{ __('auth.confirm_password') }}</h3>
    </div>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <div class="mb-4 text-sm text-gray-600">
        {{ __('This is a secure area of the application. Please confirm your password before continuing.') }}
    </div>

    <form method="POST" action="{{ route('password.confirm', ['locale' => app()->getLocale()]) }}">
        @csrf

        <!-- Password -->
        <div class="form-group position-relative has-icon-left">
            <div class="position-relative">
                <div class="form-control-icon">
                    <i data-feather="lock"></i>
                </div>
                <x-input-label for="password" :value="__('Password')" />
                <x-text-input id="password" class="block mt-1 w-full form-control" type="password" name="password" required autocomplete="current-password" />
                <x-input-error :messages="$errors->get('password')" class="mt-2 form-control" />
            </div>
        </div>

        <div class="flex justify-end mt-4">
            <x-primary-button class="ms-4 btn btn-primary float-right">
                {{ __('Confirm') }}
            </x-primary-button>
        </div>
    </form>
    @endsection