@extends('layouts.app-guest')
@section('title', __('auth.forgot_password'))
@section('content')
<div class="card-body">
    <div class="text-center mb-5">
        <img src="{{url('assets/images/favicon.svg')}}" height="100" class='mb-4'>
        <h3>{{ __('auth.forgot_password') }}</h3>
    </div>
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <div class="mb-4 text-sm text-gray-600">
        {{ __('Forgot your password? No problem. Just let us know your email address and we will email you a password reset link that will allow you to choose a new one.') }}
    </div>

    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <form method="POST" action="{{ route('password.email', ['locale' => app()->getLocale()]) }}">
        @csrf

        <!-- Email Address -->
        <div class="form-group position-relative has-icon-left">
            <div class="position-relative">
                <div class="form-control-icon">
                    <i data-feather="mail"></i>
                </div>
                <x-input-label for="email" :value="__('Email')" />
                <x-text-input id="email" class="block mt-1 w-full form-control" type="text" name="email" :value="old('email')" required autofocus autocomplete="email" />
                <x-input-error :messages="$errors->get('email')" class="mt-2 form-control" />
            </div>
        </div>

        <div class="clearfix">
            <a href="{{ route('login', ['locale' => app()->getLocale()]) }}" class="ms-4 btn btn-info float-left">
                {{ __('Back') }}
            </a>
            <x-primary-button class="ms-4 btn btn-success float-right">
                {{ __('Email Password Reset Link') }}
            </x-primary-button>
        </div>
    </form>
</div>
@endsection