@extends('layouts.app-guest')
@section('title', __('auth.rester_password'))
@section('content')
<div class="card-body">
    <div class="text-center mb-5">
        <img src="{{url('assets/images/favicon.svg')}}" height="100" class='mb-4'>
        <h3>{{ __('auth.rester_password') }}</h3>
    </div>
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <form method="POST" action="{{ route('password.store', ['locale' => app()->getLocale()]) }}">
        @csrf

        <!-- Password Reset Token -->
        <input type="hidden" name="token" value="{{ $request->route('token') }}">

        <!-- Email Address -->
        <div class="form-group position-relative has-icon-left">
            <div class="position-relative">
                <div class="form-control-icon">
                    <i data-feather="mail"></i>
                </div>
                <x-input-label for="email" :value="__('Email')" />
                <x-text-input id="email" class="block mt-1 w-full form-control" type="email" name="email" :value="old('email', $request->email)" required autofocus autocomplete="username" />
                <x-input-error :messages="$errors->get('email')" class="mt-2 form-control" />
            </div>
        </div>

        <!-- Password -->
        <div class="form-group position-relative has-icon-left">
            <div class="position-relative">
                <div class="form-control-icon">
                    <i data-feather="lock"></i>
                </div>
                <x-input-label for="password" :value="__('Password')" />
                <x-text-input id="password" class="block mt-1 w-full form-control" type="password" name="password" required autocomplete="new-password" />
                <x-input-error :messages="$errors->get('password')" class="mt-2 form-control" />
            </div>
        </div>


        <!-- Confirm Password -->
        <div class="form-group position-relative has-icon-left">
            <div class="position-relative">
                <div class="form-control-icon">
                    <i data-feather="lock"></i>
                </div>
                <x-input-label for="password_confirmation" :value="__('Confirm Password')" />
                <x-text-input id="password_confirmation" class="block mt-1 w-full form-control" type="password" name="password_confirmation" required autocomplete="new-password" />
                <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2 form-control" />
            </div>
        </div>

        <div class="flex items-center justify-end mt-4">
            <x-primary-button class="ms-4 btn btn-primary float-right">
                {{ __('Reset Password') }}
            </x-primary-button>
        </div>
    </form>
</div>
@endsection