@extends('layouts.app-guest')
@section('title', __('auth.verify_email'))
@section('content')
<div class="card-body">
    <div class="text-center mb-5">
        <img src="{{url('assets/images/favicon.svg')}}" height="100" class='mb-4'>
        <h3>{{ __('auth.verify_email') }}</h3>
    </div>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <div class="mb-4 text-sm text-gray-600">
        {{ __('Thanks for signing up! Before getting started, could you verify your email address by clicking on the link we just emailed to you? If you didn\'t receive the email, we will gladly send you another.') }}
    </div>

    @if (session('status') == 'verification-link-sent')
    <div class="mb-4 font-medium text-sm text-green-600">
        {{ __('A new verification link has been sent to the email address you provided during registration.') }}
    </div>
    @endif

    <div class="mt-4 flex items-center justify-between">
        <form method="POST" action="{{ route('verification.send', ['locale' => app()->getLocale()]) }}">
            @csrf

            <div>
                <x-primary-button class="ms-4 btn btn-primary float-right">
                    {{ __('Resend Verification Email') }}
                </x-primary-button>
            </div>
        </form>

        <form method="POST" action="{{ route('logout', ['locale' => app()->getLocale()]) }}">
            @csrf

            <button type="submit" class="ms-4 btn btn-secondary float-left">
                {{ __('Log Out') }}
            </button>
        </form>
    </div>
    @endsection