@extends('layouts.app-bo')

@section('title', 'Dashboard')

@section('content')
<style>
    .dropzone {
        border: 2px dashed #007bff;
        border-radius: 5px;
        padding: 20px;
        text-align: center;
        color: #007bff;
    }
</style>
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __("menus.categories") }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="#" data-bs-toggle="modal" data-bs-target="#createCategoryModal">{{ __("other.create") }} {{ __("menus.categories") }}</a>
            </div>
            <div class="card-body table-responsive">
            <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                   <thead>
                        <tr>
                            <th>ID</th>
                            <th>{{ __("other.name") }}</th>
                            <th>{{ __("other.number") }}</th>
                            <th>{{ __("other.new") }} {{ __("other.name") }}</th>
                            <th>{{ __("other.image") }}</th>
                            <th>{{ __("other.video") }} FR</th>
                            <th>{{ __("other.video") }} EN</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($categories as $category)
                        <tr>
                            <td>{{ $category->id }}</td>
                            <td>{{ $category->cat_name }}</td>
                            <td>{{ $category->cat_num }}</td>
                            <td>{{ $category->new_name }}</td>
                            <td>
                                @if ($category->image)
                                <input type="checkbox" checked disabled>
                                @else
                                <input type="checkbox" disabled>
                                @endif
                            </td>
                            <td>
                                @if ($category->video_fr)
                                <input type="checkbox" checked disabled>
                                @else
                                <input type="checkbox" disabled>
                                @endif
                            </td>
                            <td>
                                @if ($category->video_en)
                                <input type="checkbox" checked disabled>
                                @else
                                <input type="checkbox" disabled>
                                @endif
                            </td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Category Actions">
                                    <button type="button" class="btn icon btn-info" data-bs-toggle="modal" data-bs-target="#viewCategoryModal{{ $category->id }}" title="View">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M12 4c-4.9 0-8.8 5.1-8.8 6s3.9 6 8.8 6 8.8-5.1 8.8-6-3.9-6-8.8-6zm0 10c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z" />
                                        </svg>
                                    </button>
                                    <button type="button" class="btn icon btn-warning" data-bs-toggle="modal" data-bs-target="#editCategoryModal{{ $category->id }}" title="Edit">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </button>
                                    <form action="{{ route('categorie.destroy', ['locale' => app()->getLocale(), 'id' => $category->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>

<!-- Create Category Modal -->
<div class="modal fade" id="createCategoryModal" tabindex="-1" role="dialog" aria-labelledby="createCategoryModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header bg-success">
                <h5 class="modal-title text-white" id="createCategoryModalLabel">{{ __("other.create") }} {{ __("menus.categories") }}</h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container mt-5">
                    <h1 class="mb-4">{{ __("menus.categories") }} {{ __("menus.form") }}</h1>
                    <form action="{{ route('categorie.store', ['locale' => app()->getLocale()]) }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="cat_name" class="form-label">{{ __("menus.categories") }} {{ __("other.name") }}</label>
                                    <input type="text" class="form-control" id="cat_name" name="cat_name" required>
                                </div>
                                <div class="mb-3">
                                    <label for="cat_num" class="form-label">{{ __("menus.categories") }} {{ __("other.number") }}</label>
                                    <input type="text" class="form-control" id="cat_num" name="cat_num" required>
                                </div>
                                <div class="mb-3">
                                    <label for="new_name" class="form-label">{{ __("other.new") }} {{ __("other.name") }}</label>
                                    <input type="text" class="form-control" id="new_name" name="new_name" required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="image" class="form-label">Image</label>
                                    <div id="imageDropzone" class="dropzone">Drag and drop the image here or click to upload</div>
                                    <input type="file" class="form-control" id="image" name="image" accept="image/*" hidden>
                                </div>
                                <div class="mb-3">
                                    <label for="video_fr" class="form-label">Video in French</label>
                                    <div id="video_frDropzone" class="dropzone">Drag and drop the video here or click to upload</div>
                                    <input type="file" class="form-control" id="video_fr" name="video_fr" accept="video/*" hidden>
                                </div>
                                <div class="mb-3">
                                    <label for="video_en" class="form-label">Video in English</label>
                                    <div id="video_enDropzone" class="dropzone">Drag and drop the video here or click to upload</div>
                                    <input type="file" class="form-control" id="video_en" name="video_en" accept="video/*" hidden>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ __("other.close") }}</button>
                            <button type="submit" class="btn btn-success">{{ __("other.save") }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@foreach($categories as $category)
<!-- View Category Modal -->
<div class="modal fade" id="viewCategoryModal{{ $category->id }}" tabindex="-1" role="dialog" aria-labelledby="viewCategoryModalLabel{{ $category->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title text-white" id="viewCategoryModalLabel{{ $category->id }}">{{ __("other.view") }} {{ __("menus.categories") }}</h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div style="display: flex;">
                    <div style="flex: 1; padding: 10px;">
                        <h1>Category ID: {{ $category->id }}</h1>
                        <p>Category Name: {{ $category->cat_name }}</p>
                        <p>Category Number: {{ $category->cat_num }}</p>
                        <p>New Name: {{ $category->new_name }}</p>
                        <p>Image:
                            @if ($category->image)
                            <img src="{{ asset('storage/' .$category->image) }}" alt="Category Image" style="max-width: 100%;">
                            @else
                            No image uploaded.
                            @endif
                        </p>
                    </div>
                    <div style="flex: 1; padding: 10px;">
                        <p>Video in French:
                            @if ($category->video_fr)
                            <video width="320" height="240" controls>
                                <source src="{{ asset('storage/'.$category->video_fr) }}" type="video/mp4">
                                {{ __('message.your_browser_does_not_support_the_video_tag') }}
                            </video>
                            @else
                            No video uploaded.
                            @endif
                        </p>
                        <p>Video in English:
                            @if ($category->video_en)
                            <video width="320" height="240" controls>
                                <source src="{{ asset('storage/'.$category->video_en) }}" type="video/mp4">
                                {{ __('message.your_browser_does_not_support_the_video_tag') }}
                            </video>
                            @else
                            No video uploaded.
                            @endif
                        </p>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ __('other.save') }}</button>
            </div>
        </div>
    </div>
</div>

<!-- Edit Category Modal -->
<div class="modal fade" id="editCategoryModal{{ $category->id }}" tabindex="-1" role="dialog" aria-labelledby="editCategoryModalLabel{{ $category->id }}" aria-hidden="true">
    <div class="modal-dialog  modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title text-white" id="editCategoryModalLabel{{ $category->id }}">{{ __("other.edit") }} {{ __("menus.categories") }}</h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <h1>{{ __("other.edit") }} {{ __("menus.categories") }} ID: {{ $category->id }}</h1>
                <form action="{{ route('categorie.update', ['locale' => app()->getLocale(), 'id' => $category->id]) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="cat_name{{ $category->id }}" class="form-label">{{ __("other.name") }} {{ __("menus.categories") }}</label>
                                <input type="text" class="form-control" id="cat_name{{ $category->id }}" name="cat_name" value="{{ $category->cat_name }}" required>
                            </div>
                            <div class="mb-3">
                                <label for="cat_num{{ $category->id }}" class="form-label">{{ __("other.number") }} {{ __("menus.categories") }}</label>
                                <input type="text" class="form-control" id="cat_num{{ $category->id }}" name="cat_num" value="{{ $category->cat_num }}" required>
                            </div>
                            <div class="mb-3">
                                <label for="new_name{{ $category->id }}" class="form-label">{{ __("other.new") }} {{ __("other.name") }}</label>
                                <input type="text" class="form-control" id="new_name{{ $category->id }}" name="new_name" value="{{ $category->new_name }}" required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="image{{ $category->id }}" class="form-label">Image</label>
                                <div id="imageDropzone{{ $category->id }}" class="dropzone">Drag and drop the image here or click to upload</div>
                                <input type="file" class="form-control" id="image{{ $category->id }}" name="image" accept="image/*">
                                @if ($category->image)
                                <p>Current Image:</p>
                                <img src="{{ asset('storage/' . $category->image) }}" alt="Current Category Image" style="max-width: 100%;">
                                @endif
                            </div>
                            <div class="mb-3">
                                <label for="video_fr{{ $category->id }}" class="form-label">Video in French</label>
                                <div id="video_frDropzone{{ $category->id }}" class="dropzone">Drag and drop the video here or click to upload</div>
                                <input type="file" class="form-control" id="video_fr{{ $category->id }}" name="video_fr" accept="video/*">
                                @if ($category->video_fr)
                                <p>Current Video (French):</p>
                                <video width="320" height="240" controls>
                                    <source src="{{ asset('storage/' .$category->video_fr) }}" type="video/mp4">
                                    {{ __('message.your_browser_does_not_support_the_video_tag') }}
                                </video>
                                @endif
                            </div>
                            <div class="mb-3">
                                <label for="video_en{{ $category->id }}" class="form-label">Video in English</label>
                                <div id="video_enDropzone{{ $category->id }}" class="dropzone">Drag and drop the video here or click to upload</div>
                                <input type="file" class="form-control" id="video_en{{ $category->id }}" name="video_en" accept="video/*">
                                @if ($category->video_en)
                                <p>Current Video (English):</p>
                                <video width="320" height="240" controls>
                                    <source src="{{ asset('storage/' .$category->video_en) }}" type="video/mp4">
                                    {{ __('message.your_browser_does_not_support_the_video_tag') }}
                                </video>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ __("other.close") }} </button>
                        <button type="submit" class="btn btn-warning">{{ __("other.update") }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endforeach

<script>
    // Ceci est pour le modal EDIT 
    document.addEventListener('DOMContentLoaded', function() {
        function initializeDropzones() {
            // Créer et Editer modals
            var dropzoneIds = [{
                    dropzoneId: 'imageDropzone',
                    inputId: 'image'
                },
                {
                    dropzoneId: 'video_frDropzone',
                    inputId: 'video_fr'
                },
                {
                    dropzoneId: 'video_enDropzone',
                    inputId: 'video_en'
                },
            ];

            dropzoneIds.forEach(function(ids) {
                var dropzone = document.getElementById(ids.dropzoneId);
                var fileInput = document.getElementById(ids.inputId);

                if (dropzone && fileInput) {
                    setupDropzone(dropzone, fileInput);
                }
            });

            // Edit modals
            document.querySelectorAll('[id^="editCategoryModal"]').forEach(function(modal) {
                var categoryId = modal.getAttribute('id').replace('editCategoryModal', '');

                var imageDropzone = document.getElementById('imageDropzone' + categoryId);
                var video_frDropzone = document.getElementById('video_frDropzone' + categoryId);
                var video_enDropzone = document.getElementById('video_enDropzone' + categoryId);

                var imageInput = document.getElementById('image' + categoryId);
                var video_frInput = document.getElementById('video_fr' + categoryId);
                var video_enInput = document.getElementById('video_en' + categoryId);

                if (imageDropzone && imageInput) {
                    setupDropzone(imageDropzone, imageInput);
                }
                if (video_frDropzone && video_frInput) {
                    setupDropzone(video_frDropzone, video_frInput);
                }
                if (video_enDropzone && video_enInput) {
                    setupDropzone(video_enDropzone, video_enInput);
                }
            });
        }

        function setupDropzone(dropzone, fileInput) {
            dropzone.addEventListener('dragover', function(event) {
                event.preventDefault();
                dropzone.classList.add('dragging');
            });

            dropzone.addEventListener('dragleave', function() {
                dropzone.classList.remove('dragging');
            });

            dropzone.addEventListener('drop', function(event) {
                event.preventDefault();
                dropzone.classList.remove('dragging');
                var files = event.dataTransfer.files;
                if (files.length > 0) {
                    fileInput.files = files;
                    dropzone.textContent = files[0].name; // Affiche le nom du fichier déposé
                }
            });

            dropzone.addEventListener('click', function() {
                fileInput.click();
            });

            fileInput.addEventListener('change', function() {
                var files = fileInput.files;
                if (files.length > 0) {
                    dropzone.textContent = files[0].name; // Affiche le nom du fichier sélectionné
                }
            });
        }

        initializeDropzones();
    });
</script>

  @endsection