@extends('layouts.app-bo')
@section('title', __('energies.create_energy'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('energies.create_energy') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('energies.store', [$locale]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_fr">{{ __('energies.form.label.label_fr') }}</label>
                                        <input type="text" class="form-control" id="label_fr" name="label_fr" value="" required>
                                        @error("label_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_en">{{ __('energies.form.label.label_en') }}</label>
                                        <input type="text" class="form-control" id="label_en" name="label_en" value="" required>
                                        @error("label_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="type">{{ __('energies.form.label.type') }}</label>
                                        <select class="form-control" id="type" name="type" required>
                                            <option value="">{{ __('energies.form.placeholder.type') }}</option>
                                            <option value="ELECTRIQUE">{{ __('energies.form.option.electrique') }}</option>
                                            <option value="MECANIQUE">{{ __('energies.form.option.mecanique') }}</option>
                                        </select>
                                        @error("type")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md6">
                                    <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
                                    <a href="{{ route('energies.index', [$locale])  }}" class="btn btn-secondary">Annuler</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
