@extends('layouts.app-bo')
@section('title', __('energies.edit_energy'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('energies.edit_energy') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('energies.update', [$locale, 'energy' => $energy]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_fr">{{ __('energies.form.label.label_fr') }}</label>
                                        <input type="text" class="form-control" id="label_fr" name="label_fr" value="{{ $energy->label_fr }}" required>
                                        @error("label_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_en">{{ __('energies.form.label.label_en') }}</label>
                                        <input type="text" class="form-control" id="label_en" name="label_en" value="{{ $energy->label_en }}" required>
                                        @error("label_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="type">{{ __('energies.form.label.type') }}</label>
                                        <select class="form-control" id="type" name="type" required>
                                            <option value="">{{ __('energies.form.placeholder.type') }}</option>
                                            <option value="ELECTRIQUE" {{ $energy->type === 'ELECTRIQUE' ? 'selected' : '' }}>{{ __('energies.form.option.electrique') }}</option>
                                            <option value="MECANIQUE" {{ $energy->type === 'MECANIQUE' ? 'selected' : '' }}>{{ __('energies.form.option.mecanique') }}</option>
                                        </select>
                                        @error("type")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">{{ __('app.button.validate') }}</button>
                                    <a href="{{ route('energies.index', $locale) }}" class="btn btn-secondary">{{ __('app.button.cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
