@extends('layouts.app-bo')
@section('title', __('energies.energy_management'))

@section('content')
    <div class="container">
        <h1 class="mb-4">{{ __('Détails de l\'energie') }}</h1>

        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                    </div>
                    <div class="col-md-8">
                        <h2>{{ $energy->label }}</h2>
                        <p><strong>{{ __('ID') }}:</strong> {{ $energy->id }}</p>
                        <p><strong>{{ __('energies.form.label.type') }}:</strong> {{ $energy->type }}</p>
                        <p><strong>{{ __('energies.form.label.label') }}:</strong> <br>{!!  $energy->labelFull !!} </p>
                    </div>
                </div>
            </div>
        </div>

        <div class="mt-4">
            <a href="{{ route('energies.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
            @if(auth()->user()->company->id === $energy->company)
                <a href="{{ route('energies.edit', [app()->getLocale(), $energy]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
                <form action="{{ route('energies.destroy', [app()->getLocale(), $energy]) }}" method="POST" class="d-inline">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('energies.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
                </form>
            @endif
        </div>
    </div>
@endsection
