<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="vertical">
<style>
    .body-wrapper {
        padding-bottom: 50px;
    }

    /* Adjust the height of the selection box */
    .select2-auto-height .select2-container .select2-selection {
        height: 58px !important;
    }

    /* Vertically center text */
    .select2-auto-height .select2-container .select2-selection__rendered {
        line-height: 58px !important;
    }
</style>
<head>
    <!-- Required meta tags -->
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Favicon icon-->
    <link rel="shortcut icon" href="{{url('assets/images/favicon-paelo.png')}}" type="image/x-icon">

    <!-- Core Css -->
    <link rel="stylesheet" href="{{ url ('assets/css/styles.css') }}" />
    <link rel="stylesheet" href="{{ url ('assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css') }}" />

    <!-- Style app -->
    <link rel="stylesheet" href="{{ url ('assets/css/app-bo.css') }}" />

    <!-- Dropzone -->
    <link rel="stylesheet" href="{{ url ('assets/libs/dropzone/dist/min/dropzone.min.css') }}">

    <!-- Select 2 -->
    <link rel="stylesheet" href="{{ url ('assets/libs/select2/dist/css/select2.min.css') }}">

    <!-- Date range picker -->
    <link rel="stylesheet" href="{{ url ('assets/libs/daterangepicker/daterangepicker.css') }}">

    <!-- jQuery UI CSS -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.3/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intro.js/5.0.0/introjs.min.css">

    <!-- Jquery -->
    <script src="https://code.jquery.com/jquery-3.7.1.js"></script>

    <!-- signature_pad -->
    <script src="https://cdn.jsdelivr.net/npm/signature_pad@4.0.0/dist/signature_pad.umd.min.js"></script>

    <!-- Title -->
    <title>{{ config('app.name', 'Paelo') }} - @yield('title')</title>
</head>

<body id="body" data-sidebartype="full">
    <!-- Toast -->
    <div class="toast toast-onload align-items-center text-bg-primary border-0" role="alert" aria-live="assertive" aria-atomic="true">
        <div class="toast-body hstack align-items-start gap-6">
            <i class="ti ti-alert-circle fs-6"></i>
            <div>
                <h5 class="text-white fs-3 mb-1">Welcome to Monster</h5>
                <h6 class="text-white fs-2 mb-0">
                    Easy to costomize the Template!!!
                </h6>
            </div>
            <button type="button" class="btn-close btn-close-white fs-2 m-0 ms-auto shadow-none" data-bs-dismiss="toast" aria-label="Close"></button>
        </div>
    </div>

    <!-- Preloader -->
    <div class="preloader">
        <img src="{{ url('assets/images/logos/favicon.png') }}" alt="loader" class="lds-ripple img-fluid" />
    </div>

    <div id="main-wrapper">
        @include('layouts.nav-vertical')
        <div class="page-wrapper">
            @include('layouts.topbar')
            @include('layouts.nav-horizontal')

            <div class="body-wrapper">
                @yield('content')
                @include('layouts.footer')
            </div>
            @include('layouts.setting')
        </div>
    </div>

    <div class="dark-transparent sidebartoggler"></div>

    @include('layouts.modal')

    <!-- Import Js pdf-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfobject/2.2.7/pdfobject.min.js"></script>

    <!-- Import Js Files -->
     
    <script src="{{ url('assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ url('assets/libs/simplebar/dist/simplebar.min.js') }}"></script>
    <!-- <script src="{{ url('assets/js/theme/app.init.js') }}"></script> -->
    @include('layouts.theme')
    <script src="{{ url('assets/js/theme/theme.js') }}"></script>
    <script src="{{ url('assets/js/theme/app.min.js') }}"></script>
    <script src="{{ url('assets/js/theme/sidebarmenu.js') }}"></script>

    <!-- Solar icons -->
    <script src="https://cdn.jsdelivr.net/npm/iconify-icon@1.0.8/dist/iconify-icon.min.js"></script>
    <script src="{{ url('assets/libs/apexcharts/dist/apexcharts.min.js') }}"></script>
    <!-- <script src="{{ url('assets/js/dashboards/dashboard.js') }}"></script> -->

    <!-- Datatable -->
    <script src="{{ url('assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ url('assets/js/datatable/datatable-basic.init.js') }}"></script>
    <script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>

    <!-- Other -->
    <script src="{{ url('assets/js/vendor.min.js') }}"></script>

    <!-- User setting -->
    <script src="{{ url('assets/js/setting.js') }}"></script>

    <!-- Dropzone -->
    <script src="{{ url('assets/libs/dropzone/dist/min/dropzone.min.js') }}"></script>

    <!-- Select2-->
    <script src="{{ url('assets/libs/select2/dist/js/select2.full.min.js') }}"></script>
    <script src="{{ url('assets/libs/select2/dist/js/select2.min.js') }}"></script>
    <script src="{{ url('assets/js/forms/select2.init.js') }}"></script>

    <!-- Date range picker -->
    <script src="{{ url('assets/js/extra-libs/moment/moment.min.js') }}"></script>
    <script src="{{ url('assets/libs/daterangepicker/daterangepicker.js') }}"></script>
    <script src="{{ url('assets/js/forms/daterangepicker-init.js') }}"></script>
    
    <!-- Validation -->
    <script src="{{ url('assets/js/plugins/bootstrap-validation-init.js') }}"></script>

    <!-- Toast -->
    <script src="{{ url('assets/js/plugins/toastr-init.js') }}"></script>
    @include('layouts.toast')

    <!-- Calendar & Report-->
    <script src="{{ url('assets/libs/fullcalendar/index.global.min.js') }}"></script>
    <!-- <script src="{{ url('assets/js/apps/calendar-init.js') }}"></script> -->

    <!-- jQuery UI -->
    <script src="https://code.jquery.com/ui/1.13.3/jquery-ui.js"></script>

    <!-- Custom -->
    <script>
        function save_setting(name, value) {
            $.ajax({
                type: 'POST',
                url: "{{ route('other.save-setting', $locale) }}",
                data: '_token={{ csrf_token() }}&name=' + name + '&value=' + value,
                success: function(data) {
                    console.log(data);
                }
            });
        }

        function handleColorTheme(e) {
            document.documentElement.setAttribute("data-color-theme", e);
        }

        $(document).ready(function() {
            $(".select2-auto-height span.select2-selection__rendered").css({
                "padding-top": ".625rem",
                "padding-bottom": ".625rem",
                "padding-left": "1rem",
                "padding-right": "1rem",
                "height": "58px",
            });
        });
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intro.js/5.0.0/intro.min.js"></script>
    <script>
        window.onload = function() {
            // Vérifier si l'introduction a déjà été vue
            if (!localStorage.getItem('introSeen')) {
                // Configurer et lancer Intro.js
                introJs().setOptions({
                    steps: [{
                            intro: '{{ __("menus.welcome") }} {{ __("menus.for") }} click Next'
                        },
                        {
                            element: document.querySelector('#navbar'),
                            intro: '{{ __("menus.hide_side_menu") }} '
                        },
                        {
                            element: document.querySelector('#modesombre'),
                            intro: '{{ __("menus.dark") }} '
                        },
                        {
                            element: document.querySelector('#themesetup'),
                            intro: '{{ __("menus.custom_theme") }} '
                        },
                        {
                            element: document.querySelector('#tuto'),
                            intro: '{{ __("menus.tuto") }} '
                        },
                    ],
                    showProgress: true,
                    showBullets: false
                }).start();

                // Marquer l'introduction comme vue
                localStorage.setItem('introSeen', 'true');
            }
        };

        function resetIntro() {
            localStorage.removeItem('introSeen');
            introJs().start();
        }
    </script>
    <script src="{{ url('assets/libs/apexcharts/dist/apexcharts.min.js') }}"></script>
    <!--
    <script src="{{ url('assets/js/dashboards/dashboard3.js') }}"></script>
    <script src="{{ url('assets/js/dashboards/dashboard4.js') }}"></script>
    -->
    @yield('scripts')

</body>

</html>