@php
    $menus_left = $menus['menus_left'];
    $menus_top = $menus['menus_top'];
    $menus_icon = $menus['menus_icon'];
    $menus_active = $menus['menus_active'];
@endphp
<!-- Sidebar Start -->
<style>
    .index {
        z-index: 1001;
    }
</style>
<aside class="left-sidebar with-vertical">
    <!-- ---------------------------------- -->
    <!-- Start Vertical Layout Sidebar -->
    <!-- ---------------------------------- -->

    <div>
        <div class="brand-logo d-flex align-items-center">
            <a href="{{ route('admin.dashboard', $locale) }}" class="text-nowrap logo-img">
                <img src="{{ url('assets/images/logos/dark-logo.svg') }}" alt="Logo" class="dark-logo" width="100px"/>
                <img src="{{ url('/assets/images/logos/light-logo.svg') }}" alt="Logo" class="light-logo" width="100px"/>
            </a>
        </div>

        <!-- ---------------------------------- -->
        <!-- Dashboard -->
        <!-- ---------------------------------- -->
        <nav class="sidebar-nav scroll-sidebar" data-simplebar>
            <a href="#" id="get-url" style="display: none;">get-url</a>
            <ul class="sidebar-menu" id="sidebarnav">
                <!-- User Profile-->
                <li>
                    <!-- User profile -->
                    <div class="user-profile text-center position-relative pt-4 mt-1">
                        <!-- User profile image -->
                        <div class="profile-img m-auto">
                            <img src="{{ $user->avatar ? Storage::url($user->avatar) : url('assets/images/profile/user-1.jpg') }}" alt="user" class="w-100 rounded-circle" />
                        </div>
                        <!-- User profile text-->
                        <div class="profile-text py-2 dropdown-center hide-menu">
                            <a href="javascript:void(0)" class="dropdown-toggle link u-dropdown" data-bs-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">
                                {{ Auth::user()->lname }} {{ Auth::user()->fname }}
                                <span class="caret"></span>
                            </a>
                            <div class="dropdown-menu">
                                <a class="dropdown-item d-flex align-items-center gap-2" href="{{ route('profile.edit', $locale)}}">
                                    <iconify-icon icon="solar:user-linear" class="fs-5 text-primary"></iconify-icon>
                                    {{ __('menus.my_profile') }}
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item d-flex align-items-center gap-2" href="{{ route('users.viewqr', [$locale, auth()->user()->id]) }}">
                                    <iconify-icon icon="solar:user-linear" class="fs-5 text-primary"></iconify-icon>
                                    QR Code
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item d-flex align-items-center gap-2" href="{{ route('logout', $locale)}}">
                                    <iconify-icon icon="solar:login-2-linear" class="fs-5 text-primary"></iconify-icon>
                                    {{ __('menus.logout') }}
                                </a>
                                <div class="dropdown-divider"></div>
                                <div class="p-2">
                                    <a href="{{ route('profile.view', $locale) }}" class="btn d-block w-100 btn-info">
                                        {{ __('menus.view_profile') }}
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End User profile text-->
                </li>
                <!-- User Profile-->
                @foreach ($menus_left as $key_level1 => $val_level1)
                    <li class="nav-small-cap">
                        <iconify-icon icon="solar:menu-dots-linear" class="mini-icon"></iconify-icon>
                        <span class="hide-menu">{{ __("menus.".$key_level1) }}</span>
                    </li>
                    @if (is_string($val_level1))
                        <li class="sidebar-item">
                            <a href="{{ $val_level1 }}" class="sidebar-link">
                                <iconify-icon icon="{{ $menus_icon[$key_level1] }}"></iconify-icon>
                                <span class="hide-menu">{{ __("menus.".$key_level1) }}</span>
                            </a>
                        </li>
                    @else
                        @foreach ($val_level1 as $key_level2 => $val_level2)
                            @if (is_string($val_level2))
                                <li class="sidebar-item">
                                    <a class="sidebar-link" href="{{ $val_level2 }}">
                                        <iconify-icon icon="{{ $menus_icon[$key_level1.$key_level2] }}"></iconify-icon>
                                        <span class="hide-menu">{{ __("menus.".$key_level2) }}</span>
                                    </a>
                                </li>
                            @else
                                <li class="sidebar-item">
                                    <a class="sidebar-link has-arrow" href="javascript:void(0)" aria-expanded="false">
                                        <iconify-icon icon="{{ $menus_icon[$key_level1.$key_level2] }}"></iconify-icon>
                                        <span class="hide-menu">{{ __("menus.".$key_level2) }}</span>
                                    </a>
                                    <ul aria-expanded="false" class="collapse first-level">
                                        @foreach ($val_level2 as $key_level3 => $val_level3)
                                            @if (is_string($val_level3))
                                                <li class="sidebar-item">
                                                    <a class="sidebar-link" href="{{ $val_level3 }}">
                                                        <iconify-icon icon="{{ $menus_icon[$key_level1.$key_level2.$key_level3] }}"></iconify-icon>
                                                        <span class="hide-menu">{{ __("menus.".$key_level3) }}</span>
                                                    </a>
                                                </li>
                                            @endif
                                        @endforeach
                                    </ul>
                                </li>
                            @endif
                        @endforeach
                    @endif
                @endforeach
            </ul>
        </nav>

        <div class="sidebar-footer hide-menu">
            <!-- item-->
            @if (optional(optional($user->role_user)->role)->name == 'Administrator')
                <a href="{{ route('permission.index', $locale) }}" class="link" data-bs-toggle="tooltip" data-bs-placement="top" title="Settings"><iconify-icon icon="solar:settings-linear"></iconify-icon></a>
            @else
                <a href="{{ route('profile.edit', $locale) }}" class="link" data-bs-toggle="tooltip" data-bs-placement="top" title="Settings"><iconify-icon icon="solar:user-linear"></iconify-icon></a>
            @endif
            <!-- item-->
            <a href="{{ route('other.info', $locale) }}" class="link" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ __('menus.info') }}"><iconify-icon icon="solar:info-circle-line-duotone"></iconify-icon></a>
            <!-- item-->
            <a href="{{ $menus_top['logout'] }}" class="link" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ __('menus.logout') }}"><iconify-icon icon="solar:power-bold"></iconify-icon></a>
        </div>
    </div>
</aside>