<div class="text-center mb-4">
    <label class="form-label">{{ $form_field->field }}</label>
    <br/>
    @if ($is_view)
    <img width="600px" height="250px" style="border: solid 1px #dddddd; touch-action: auto;" src="{{ isset($user_form) ? $user_form->$signature_name : '' }}"/>
    @else
    <canvas id="{{ $signature_name }}" width="600px" height="250px" style="border: solid 1px #dddddd; touch-action: auto;"></canvas>
    <br/>
    @if (isset($assigned_training))
    <button type="button" class="btn btn-info" onclick="{{ 'clear_' . $signature_name }} {{ '()' }};" style="margin-right:15px;">
        <i class="ti ti-wash-dryclean-off fs-4"></i>
        {{ __('app.clear_signature') }}
    </button>
    <input type="hidden" name="{{ $signature_name }}" id="hidden_{{ $signature_name }}" value=""/>
    @endif
    @endif
</div>

@if (!$is_view)
    <script>
        const penColor = "rgb(66, 133, 244)";
        const backgroundcolor = "rgb(255,255,255,0)";
    </script>
    @if ($form_field->type == 16)
    <script>
        const canvas_signature = document.querySelector("canvas#{{ $signature_name }}");
        const signaturePadSignature = new SignaturePad(canvas_signature);
        signaturePadSignature.penColor = penColor;
        signaturePadSignature.backgroundcolor = backgroundcolor;

        function clear_signature()
        {
            signaturePadSignature.clear();
        }

        function save_signature()
        {
            var dataURL = signaturePadSignature.toDataURL();
            document.querySelector("#hidden_signature").value = dataURL;
        }
    </script>
    @else
    <script>
        function save_signature()
        {
            
        }
    </script>
    @endif

    @if ($form_field->type == 17)
    <script>
        const canvas_signature_i = document.querySelector("canvas#{{ $signature_name }}");
        const signaturePadSignatureI = new SignaturePad(canvas_signature_i);
        signaturePadSignatureI.penColor = penColor;
        signaturePadSignatureI.backgroundcolor = backgroundcolor;
        
        function clear_signature_i()
        {
            signaturePadSignatureI.clear();
        }

        function save_signature_i()
        {
            var dataURL = signaturePadSignatureI.toDataURL();
            document.querySelector("#hidden_signature_i").value = dataURL;
        }
    </script>
    @else
    <script>
        function save_signature_i()
        {
            
        }
    </script>
    @endif
    
    @if ($form_field->type == 18)
    <script>
        const canvas_signature_s = document.querySelector("canvas#{{ $signature_name }}");
        const signaturePadSignatureS = new SignaturePad(canvas_signature_s);
        signaturePadSignatureS.penColor = penColor;
        signaturePadSignatureS.backgroundcolor = backgroundcolor;

        function clear_signature_s()
        {
            signaturePadSignatureS.clear();
        }

        function save_signature_s()
        {
            var dataURL = signaturePadSignatureS.toDataURL();
            document.querySelector("#hidden_signature_s").value = dataURL;
        }
    </script>
    @else
    <script>
        function save_signature_s()
        {
            
        }
    </script>
    @endif

    @if (isset($user_form) && $user_form->$signature_name)
        @if ($form_field->type == 16)
        <script>
            signaturePadSignature.fromDataURL('{{ $user_form->$signature_name }}');
        </script>
        @endif
        @if ($form_field->type == 17)
        <script>
            signaturePadSignatureI.fromDataURL('{{ $user_form->$signature_name }}');
        </script>
        @endif
        @if ($form_field->type == 18)
        <script>
            signaturePadSignatureS.fromDataURL('{{ $user_form->$signature_name }}');
        </script>
        @endif
    @endif
@endif