@php $required = $form_field->required ? 'required' : ''; @endphp
@php $disabled = isset($is_view) && $is_view == true ? 'disabled' : ''; @endphp
@php $answer = isset($user_form) && array_key_exists($form_field->field, $user_form->answers) ? $user_form->answers[$form_field->field] : '' @endphp
@if (in_array($form_field->type, array(1, 2, 11, 12, 13, 14, 15)))
    <input type="hidden" name="{{ $form_field->field }}" value="{{ $answer }}"/>
@endif
@switch($form_field->type)
    @case(1)
        <h4 class="card-title">{{ $form_field->field }}</h4>
        @break
    @case(2)
        <hr/>
        @break
    @case(3)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="text" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(4)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="number" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(5)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->content }} : </label>
            </div>
            <div class="col-md-4">
                <select class="form-select" name="{{ $form_field->field }}" {{ $required }} {{ $disabled }}>
                    <option value=""></option>
                    @foreach ($form_field->list as $value)
                        @php $selected = $answer == $value ? 'selected' : ''; @endphp;
                        <option value="{{ $value }}" {{ $selected }}>{{ $value }}</option>
                    @endforeach
                </select>
            </div>
        </div>
        @break
    @case(6)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="tel" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(7)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="email" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(8)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                @php $checked = $answer ? 'checked' : ''; @endphp
                <input type="checkbox" class="form-check" name="{{ $form_field->field }}" value="{{ $answer }}" $checked }} {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(9)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="date" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(10)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <input type="number" class="form-control" name="{{ $form_field->field }}" value="{{ $answer }}" {{ $required }} {{ $disabled }}/>
            </div>
        </div>
        @break
    @case(11)
        <h5 class="card-title">{{ $form_field->field }}</h5>
        @break
    @case(12)
        <span class="mb-3 badge  bg-default-subtle text-none" style="border: solid 1px #eee;padding: 20px;width: 100%;text-align: left;--bs-badge-color: #000;">
            {{ $form_field->content }}
        </span>
        @break
    @case(13)
        <span class="mb-3 badge  bg-primary-subtle text-primary" style="padding: 20px;width: 100%;text-align: left;--bs-badge-color: #000;">
            {{ $form_field->content }}
        </span>
        @break
    @case(14)
        <span class="mb-3 badge  bg-warning-subtle text-warning" style="padding: 20px;width: 100%;text-align: left;--bs-badge-color: #000;">
            {{ $form_field->content }}
        </span>
        @break
    @case(15)
        <span class="mb-3 badge  bg-danger-subtle text-danger" style="padding: 20px;width: 100%;text-align: left;--bs-badge-color: #000;">
            {{ $form_field->content }}
        </span>
        @break
    @case(16)
        @php $signature_name = 'signature'; @endphp
        @include('lib.form-field-signature')
        @break
    @case(17)
        @php $signature_name = 'signature_i'; @endphp
        @include('lib.form-field-signature')
        @break
    @case(18)
        @php $signature_name = 'signature_s'; @endphp
        @include('lib.form-field-signature')
        @break
    @case(19)
        <div class="row mb-3">
            <div class="col-md-8">
                <label class="form-label">{{ $form_field->field }} : </label>
            </div>
            <div class="col-md-4">
                <select class="form-select" name="{{ $form_field->field }}" {{ $required }} {{ $disabled }}>
                    <option value=""></option>
                    @foreach ($assign_users as $assign_user)
                        @php $selected = $answer == $assign_user->id ? 'selected' : ''; @endphp;
                        <option value="{{ $assign_user->id }}" {{ $selected }}>{{ $assign_user->fname }} {{ $assign_user->lname }}</option>
                    @endforeach
                </select>
            </div>
        </div>
        @break
    @default
        <p>{{ $form_field->field }}</p>
@endswitch