@extends('layouts.app-bo')

@section('title', __('users.create_users'))
@section('content')
<div class="container my-4">
    <div class="card">
        <div class="card-header">
            <h1 class="text-center">{{ __("users.addvideo") }}</h1>
        </div>
        <div class="card-body">
            <div class="library-video-create">
                <form id="w0" action="{{ route('training-library_video.store', ['locale' => app()->getLocale()]) }}" method="post" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <!-- Première colonne -->
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label for="name">{{ __("users.videoname") }}</label>
                                <input type="text" id="name" class="form-control" name="name" maxlength="255" required>
                                @error('name')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="department_id">{{ __("users.department") }}</label>
                                <select id="department_id" class="form-control" name="department_id" required>
                                    <option value="">Sélectionner...</option>
                                    @foreach ($departments as $dept)
                                    <option value="{{ $dept->id }}">{{ $dept->name }}</option>
                                    @endforeach
                                </select>
                                @error('department_id')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="url">Url {{ __("other.video") }}</label>
                                <input type="text" id="url" class="form-control" name="url" maxlength="512" oninput="toggleVideoInput(this)">
                                @error('url')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="video">{{ __("other.uploid") }} {{ __("other.video") }}</label>
                                <input type="file" class="form-control" id="video" name="video" accept="video/*">
                                @error('video')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <!-- Deuxième colonne -->
                        <div class="col-md-6">
                            <div class="form-group mb-3">
                                <label for="work_id">{{ __("users.job") }}</label>
                                <select id="work_id" class="form-control" name="work_id" required>
                                    <option value="">Sélectionner...</option>
                                    @foreach ($jobs as $job)
                                    <option value="{{ $job->id }}">{{ $job->name }}</option>
                                    @endforeach
                                </select>
                                @error('work_id')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="date_creation">{{ __("users.Date_of_issue") }}</label>
                                <input type="date" id="date_creation" class="form-control" name="date_creation" required>
                                @error('date_creation')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="image">{{ __("other.select") }} {{ __("other.image") }}</label>
                                <input type="file" class="form-control" id="image" name="image" accept="image/*">
                                @error('image')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="display_order">{{ __("users.orderdisplay") }}</label>
                                <input type="number" id="display_order" class="form-control" name="display_order" required>
                                @error('display_order')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <div class="alert alert-info">{{ __("users.url_video_and_uploid") }}</div>

                    <div class="form-group d-flex justify-content-between">
                        <button type="submit" class="btn btn-success">{{ __("other.save") }}</button>
                        <a href="{{ route('training-library_video.list', [$locale, $category->id]) }}" class="btn btn-secondary">
                            {{ __("users.back") }}
                        </a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
