@extends('layouts.app-bo')

@section('title', __('Historique de la vidéothèque'))

@section('content')

<div class="main-content container-fluid">
    <div class="page-title">

    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-12 col-md-6 order-md-1 order-last">
                        <h3>{{ __('users.videohistory') }}</h3>
                        <a href="{{ route('training-library_video.index', [$locale, 11]) }}" class="btn btn-secondary">
                            {{ __("users.back") }}
                        </a>
                        <p>Affichage de <strong>{{ $history->firstItem() }}</strong> à <strong>{{ $history->lastItem() }}</strong> sur <strong>{{ $history->total() }}</strong> éléments.</p>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <form method="GET" action="">
                        <table class="table table-striped table-bordered display text-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Nom de la vidéo</th>
                                    <th>Matricule</th>
                                    <th>Nom utilisateur</th>
                                    <th>Date</th>

                                </tr>
                                <tr>
                                    <th>
                                        <div class="d-flex align-items-center">
                                            <!-- Bouton de recherche -->
                                            <button type="submit" class="btn btn-primary btn-sm me-2" title="Rechercher">
                                                <i class="fas fa-search"></i> <!-- Icône recherche -->
                                            </button>

                                            <!-- Bouton de réinitialisation 
                        <a href="" class="btn btn-secondary btn-sm" title="Réinitialiser les filtres">
                            <i class="fas fa-redo"></i>  -->
                                            </a>
                                        </div>
                                    </th>

                                    <th>
                                        <input
                                            type="text"
                                            name="video_name"
                                            value="{{ request('video_name') }}"
                                            class="form-control"
                                            placeholder="Rechercher">
                                    </th>
                                    <th>
                                        <input
                                            type="text"
                                            name="matricule"
                                            value="{{ request('matricule') }}"
                                            class="form-control"
                                            placeholder="Rechercher">
                                    </th>
                                    <th>
                                        <input
                                            type="text"
                                            name="user_name"
                                            value="{{ request('user_name') }}"
                                            class="form-control"
                                            placeholder="Rechercher">
                                    </th>
                                    <th>
                                        <input
                                            type="date"
                                            name="date"
                                            value="{{ request('date') }}"
                                            class="form-control">
                                    </th>

                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($history as $item)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ $item->video->name ?? '-' }}</td>
                                    <td>{{ $item->user->matricule ?? '-' }}</td>
                                    <td>{{ $item->user->name ?? '-' }}</td>
                                    <td>{{ $item->date }}</td>
                                </tr>
                                @empty
                                <tr>
                                    <td colspan="5">Aucun historique trouvé.</td>
                                </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </form>
                </div>
            </div>
    </section>





    <!-- Pagination -->

    <div class="d-flex justify-content-center mt-4">
        {{ $history->links() }}
    </div>
</div>

@endsection