@extends('layouts.app-bo')
@section('title', __('app.libraryvideo'))
@section('content')
<div class="main-content container-fluid">


    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">

                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">{{ $user->fname }} {{ $user->lname }}</h4>
                        <div class="mb-3 card-subtitle">{{ __("menus.video_library") }}</div>
                    </div>
                    <div class="d-flex align-items-center gap-6">
                        <a href="#" class="btn bg-primary-subtle text-primary d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-category-tutorial-video">
                            {{ __("app.watch_the_training_tutorial") }}
                        </a>
                        <a href="{{ route('admin.dashboard', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <div class="container">
                    <div class="row mb-3">
                        <div class="col-md-3">
                            <a href="{{ route('training-library_video.list', [$locale, $category->id]) }}" class="btn btn-primary w-100">
                                {{ __("other.addelement") }}
                            </a>
                        </div>

                    </div>
                    <form action="" method="GET">
                        <div class="row mb-3">
                            <div class="col-md-3">
                                <label class="form-label" for="videoName">{{ __("menus.name_video") }}</label>
                                <input class="form-control" id="videoName" name="videoName" type="text" value="{{ request('videoName') }}" />
                            </div>

                            <div class="col-md-3">
                                <label class="form-label" for="department">{{ __("users.department") }}</label>
                                <select class="form-select" id="department" name="department">
                                    <option value="">{{ __("other.select") }}</option>
                                    @foreach ($departments as $dept)
                                    <option value="{{ $dept->id }}" {{ request('department') == $dept->id ? 'selected' : '' }}>{{ $dept->name }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="col-md-3">
                                <label class="form-label" for="job">{{ __("users.job") }}</label>
                                <select class="form-select" id="job" name="job">
                                    <option value="">{{ __("other.select") }}</option>
                                    @foreach ($jobs as $job)
                                    <option value="{{ $job->id }}" {{ request('job') == $job->id ? 'selected' : '' }}>{{ $job->name }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="col-md-3">
                                <label class="form-label" for="creationDate">{{ __("users.Date_of_issue") }}</label>
                                <input type="date" class="form-control" id="creationDate" name="creationDate" value="{{ request('creationDate') }}" />
                            </div>
                        </div>

                        <div class="row mb-3">
                            <div class="col-md-2">
                                <button class="btn btn-success w-100" type="submit">{{ __("other.recherche") }}</button>
                            </div>
                            <div class="col-md-2">
                                <a href="{{ route('training-library_video.index', ['locale' => app()->getLocale(), 'category_id' => $category->id]) }}" class="btn btn-secondary w-100">{{ __("other.initialise") }}</a>
                            </div>
                            <div class="col-md-2">
                                <a href="{{ route('training-library_video_history.list', ['locale' => app()->getLocale()],11) }}" class="btn btn-warning w-100">{{ __("other.historique") }}</a>
                            </div>
                            <div class="col-md-3">
                                <button class="btn btn-warning w-100">{{ __("other.historiqueOthercompanies") }}</button>
                            </div>
                        </div>

                </div>
                </form>





            </div>

            <div class="card">
                <div class="card-body">
                    <div class="container">
                        <div class="row g-4">
                            @foreach($libraryVideo as $libraryVideos)
                            <div class="col-sm-6 col-xxl-4">
                                <div class="card overflow-hidden rounded-2 border shadow-sm">
                                    <img src="{{ asset('storage/' . $libraryVideos->image) }}" alt="{{ __('menus.libraryVideos') }}" class="img-fluid card-img-top video-thumbnail">
                                    <div class="position-relative">
                                        <a href="javascript:void(0)" class="text-bg-primary rounded-circle p-2 text-white d-inline-flex position-absolute bottom-0 end-0 mb-n3 me-3"
                                            data-bs-toggle="modal"
                                            data-bs-target="#modal-dialog-category-tutorial-video"
                                            data-video="{{ $libraryVideos->filename ? asset($libraryVideos->filename) : $libraryVideos->url }}">
                                            <i class="ti ti-basket fs-4"></i>
                                        </a>
                                    </div>
                                    <div class="card-body pt-3">
                                        <h6 class="fw-semibold fs-5 mb-2">{{ $libraryVideos->name }}</h6>
                                        <h6 class="fw-semibold fs-5 mb-2 text-primary">{{ __('users.department') }}: {{ $libraryVideos->department->name }}</h6>
                                        <h6 class="fw-semibold fs-5 mb-2 text-secondary">{{ __('users.job') }}: {{ $libraryVideos->work->name }}</h6>
                                        <a href="javascript:void(0)"
                                            class="btn btn-outline-primary"
                                            data-bs-toggle="modal"
                                            data-bs-target="#modal-dialog-category-tutorial-video"
                                            data-video="{{ $libraryVideos->filename ? asset($libraryVideos->filename) : $libraryVideos->url }}"
                                            data-library-video-id="{{ $libraryVideos->id }}">
                                            {{ __('other.view') }}
                                        </a>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
    </section>
</div>
<!-- Modal pour afficher la vidéo -->
<div class="modal fade" id="modal-dialog-category-tutorial-video" tabindex="-1" aria-labelledby="modal-title" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body p-0">
                <div class="ratio ratio-16x9" id="video-container">
                    <!-- Vidéo MP4 -->
                    <video class="w-100 h-100" controls id="tutorial-video" style="display: none;">
                        <source src="" type="video/mp4">
                        {{ __('message.your_browser_does_not_support_the_video_tag') }}
                    </video>
                    <!-- Vidéo YouTube en iframe -->
                    <iframe class="w-100 h-100" id="youtube-video" src="" title="YouTube video player" frameborder="0"
                        allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
                        referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ __('app.close') }}</button>
            </div>
        </div>
    </div>
</div>


<script>
    let startTime = null;
    let stopTime = null;

    document.addEventListener('DOMContentLoaded', function() {
        const watchButtons = document.querySelectorAll('a[data-bs-toggle="modal"]');
        const videoElement = document.getElementById('tutorial-video');
        const youtubeFrame = document.getElementById('youtube-video');
        const modal = document.getElementById('modal-dialog-category-tutorial-video');
        let currentVideoId = null; // Variable pour stocker l'ID de la vidéo actuelle

        watchButtons.forEach((button) => {
            button.addEventListener('click', function() {
                let videoUrl = this.getAttribute('data-video');
                currentVideoId = this.getAttribute('data-library-video-id'); // Récupérer l'ID de la vidéo

                // Vérifier si c'est un lien YouTube et convertir en URL d'intégration
                if (videoUrl.includes('youtube.com') || videoUrl.includes('youtu.be')) {
                    const youtubeIdMatch = videoUrl.match(/(?:youtube\.com\/watch\?v=|youtu\.be\/|youtube\.com\/embed\/)([a-zA-Z0-9_-]{11})/);
                    if (youtubeIdMatch && youtubeIdMatch[1]) {
                        videoUrl = `https://www.youtube.com/embed/${youtubeIdMatch[1]}`;
                    }

                    // Charger la vidéo dans le frame YouTube
                    youtubeFrame.src = videoUrl;
                    videoElement.style.display = 'none';
                    youtubeFrame.style.display = 'block';
                } else {
                    // Charger la vidéo locale
                    videoElement.querySelector('source').src = videoUrl;
                    videoElement.load();
                    youtubeFrame.style.display = 'none';
                    videoElement.style.display = 'block';
                }
            });
        });

        // Détecter l'ouverture du modal
        modal.addEventListener('show.bs.modal', function() {
            startTime = Math.floor(Date.now() / 1000); // Temps en secondes
            console.log("Start time:", startTime);
        });

        // Détecter la fermeture du modal
        modal.addEventListener('hidden.bs.modal', function() {
            stopTime = Math.floor(Date.now() / 1000); // Temps en secondes
            console.log("Stop time:", stopTime);

            // Enregistrer dans la base de données
            saveVideoHistory(startTime, stopTime, currentVideoId);
            // Réinitialiser les valeurs
            videoElement.pause();
            videoElement.querySelector('source').src = ''; // Réinitialiser la source
            youtubeFrame.src = ''; // Réinitialiser l'iframe YouTube
            currentVideoId = null; // Réinitialiser l'ID de la vidéo
        });

        // Gérer le plein écran (facultatif)
        const fullscreenBtn = document.getElementById('fullscreen-btn');
        if (fullscreenBtn) {
            fullscreenBtn.addEventListener('click', function() {
                if (videoElement.requestFullscreen) {
                    videoElement.requestFullscreen();
                } else if (videoElement.mozRequestFullScreen) {
                    videoElement.mozRequestFullScreen();
                } else if (videoElement.webkitRequestFullscreen) {
                    videoElement.webkitRequestFullscreen();
                } else if (videoElement.msRequestFullscreen) {
                    videoElement.msRequestFullscreen();
                }
            });
        }
    });

    // Fonction pour envoyer les données au serveur
    function saveVideoHistory(startTime, stopTime, videoId) {
        const userId = "{{ Auth::user()->id }}"; // ID utilisateur récupéré depuis la session
        const videoDate = new Date().toISOString().slice(0, 10); // Date au format YYYY-MM-DD
        const duration = stopTime - startTime;

        if (startTime && stopTime && userId && videoId) {
            fetch("{{ route('training-library_video.saveHistory', app()->getLocale()) }}", {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json",
                        "X-CSRF-TOKEN": "{{ csrf_token() }}",
                    },
                    body: JSON.stringify({
                        user_id: userId,
                        library_video_id: videoId,
                        start_time: startTime,
                        stop_time: stopTime,
                        date: videoDate,
                        duration: duration,
                    }),
                })
                .then(response => response.json())
                .then(data => {
                    console.log("Historique sauvegardé :", data);
                })
                .catch(error => {
                    console.error("Erreur lors de la sauvegarde :", error);
                });
        }
    }
</script>

<style>
    .video-thumbnail {
        height: 200px;
        object-fit: cover;
        width: 100%;
    }
</style>

@endsection