@extends('layouts.app-bo')
@section('title', __('other.dashboard'))
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.department') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="{{ route('training-library_video.create', [$locale, $category->id])  }}">{{ __('users.addvideo') }}</a>
                <a href="{{ route('training-library_video.index', [$locale, $category->id]) }}" class="btn btn-secondary">
                    {{ __("users.back") }}
                </a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ __('other.action') }}</th>
                            <th>{{ __('menus.name_video') }}</th>
                            <th>{{ __('menus.departments') }}</th>
                            <th>{{ __('menus.jobs') }}</th>
                            <th>{{ __('users.Date_of_issue') }}</th>
                            <th>{{ __('apps.file_name') }}</th>
                            <th>{{ __('apps.image') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($libraryVideos as $location)
                        <tr>
                            <td>{{ $location->id }}</td>
                            <td>
                                <div class="btn-location" role="location" aria-label="Company Actions">
                                    <a href="javascript:void(0)" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-location-modal-{{ $location->id }}">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </a>&nbsp;
                                    <form action="{{ route('training-library_video.destroy', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                            <td>{{ $location->name }}</td>
                            <td>{{ $location->department->name }}</td>
                            <td>{{ $location->work->name }}</td>
                            <td>{{ $location->date_creation }}</td>
                            <td>
                                @if (!empty($location->filename))
                                <span style="color: green;">&#10003;</span> <!-- Icône verte (✓) pour fichier existant -->
                                @else
                                <span style="color: red;">&#10060;</span> <!-- Icône rouge (✗) pour fichier manquant -->
                                @endif
                            </td>
                            <td>
                                @if (!empty($location->image))
                                <span style="color: green;">&#10003;</span> <!-- Icône verte (✓) pour image existante -->
                                @else
                                <span style="color: red;">&#10060;</span> <!-- Icône rouge (✗) pour image manquante -->
                                @endif
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>

@foreach($libraryVideos as $location)
<!-- Edit Location Modal -->
<div class="modal fade" id="edit-location-modal-{{ $location->id }}" tabindex="-1" role="dialog" aria-labelledby="editLocationModalLabel-{{ $location->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title white" id="editLocationModalLabel-{{ $location->id }}">
                    {{ __('other.update') }} {{ __('other.video') }}
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-edit">
                        <div class="company-form">
                            <form id="edit-form-{{ $location->id }}" action="{{ route('training-library_video.update', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="post" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <!-- Première colonne -->
                                    <div class="col-md-6">
                                        <div class="form-group mb-3">
                                            <label for="name">{{ __("users.videoname") }}</label>
                                            <input type="text" id="name" class="form-control" name="name" value="{{ old('name', $location->name) }}" maxlength="255" required>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-3">
                                            <label for="department_id">{{ __("users.department") }}</label>
                                            <select id="department_id" class="form-control" name="department_id" required>
                                                <option value="">Sélectionner...</option>
                                                @foreach ($departments as $dept)
                                                <option value="{{ $dept->id }}" {{ old('department_id', $location->department_id) == $dept->id ? 'selected' : '' }}>
                                                    {{ $dept->name }}
                                                </option>
                                                @endforeach
                                            </select>
                                            @error('department_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-3">
                                            <label for="url">Url {{ __("other.video") }}</label>
                                            <input type="text" id="url" class="form-control" name="url" value="{{ old('url', $location->url) }}" maxlength="512" oninput="toggleVideoInput(this)">
                                            @error('url')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-3">
                                            <label for="video">{{ __("other.uploid") }} {{ __("other.video") }}</label>
                                            <input type="file" class="form-control" id="video" name="video" accept="video/*">
                                            @error('video')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <!-- Deuxième colonne -->
                                    <div class="col-md-6">
                                        <div class="form-group mb-3">
                                            <label for="work_id">{{ __("users.job") }}</label>
                                            <select id="work_id" class="form-control" name="work_id" required>
                                                <option value="">Sélectionner...</option>
                                                @foreach ($works as $work)
                                                <option value="{{ $work->id }}" {{ old('work_id', $location->work_id) == $work->id ? 'selected' : '' }}>
                                                    {{ $work->name }}
                                                </option>
                                                @endforeach
                                            </select>
                                            @error('work_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-3">
                                            <label for="image">{{ __("other.image") }}</label>
                                            <input type="file" class="form-control" id="image" name="image" accept="image/*">
                                            @error('image')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                        <div class="form-group mb-3">
                                            <label for="date_creation">{{ __("other.creationdate") }}</label>
                                            <input type="text" id="date_creation" class="form-control" name="date_creation" value="{{ old('date_creation', $location->date_creation) }}" required>
                                            @error('date_creation')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group mb-3">
                                            <label for="display_order">{{ __("users.orderdisplay") }}</label>
                                            <input type="number" id="display_order" class="form-control" name="display_order" value="{{ old('display_order', $location->display_order) }}" required>
                                            @error('display_order')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>

                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-primary">{{ __('other.update') }}</button>
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ __('other.close') }}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endforeach
@endsection