<div class="row d-flex">
    <div class="col-12">
        <h4 class="text-center">Consignation</h4>
    </div>
</div>
<div class="row border py-3">
    <div class="{{ $setting->table_div_class }}">
        <table class="table mb-0 table-hover display">
            <thead class="{{ $setting->table_thead_class }}">
            <tr>
                <th>{{ __("devices.table.order") }}</th>
                <th>{{ __("devices.table.device_id") }}</th>
                <th>{{ __("devices.table.icon") }}</th>
                <th>{{ __("devices.table.energy") }}</th>
                <th>{{ __("devices.table.emplacement") }}</th>
                <th width="20%">{{ __("devices.table.instruction") }}</th>
                <th>{{ __("devices.table.image") }}</th>
                <th>{{ __("devices.table.position") }}</th>
                <th>{{ __("devices.table.cadenas") }}</th>
                <th>{{ __("devices.table.mechanism") }}</th>
                @if (isset($mode) && $mode == 'configure')
                    <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                @endif
            </tr>
            </thead>
            <tbody class="{{ $setting->table_tbody_class }}">
                @foreach ($lockout->allItems as $item)
                @if ($lockout->isDevice($item))
                    <tr>
                        <td>{{ $item->order }}</td>
                        <td>{{ $item->itemable->device_id }}</td>
                        <td><img src="{{ $item->itemable->icon->icon }}" alt="{{ $item->itemable->icon->icon }}" title="{{ $item->itemable->icon->icon }}" class="img-fluid" style="max-width: 50px;"></td>
                        <td>{{ $item->itemable->energy->label }}</td>
                        <td>{{ $item->itemable->emplacement }}</td>
                        <td>{{ $item->itemable->instruction->label }}</td>
                        <td><img src="{{ $item->itemable->image }}" alt="{{ $item->itemable->image }}" title="{{ $item->itemable->image }}" class="img-fluid" style="max-width: 50px;"></td>
                        <td>{{ $item->itemable->position->label }}</td>
                        <td>{{ $item->itemable->need_lockpad ? __('app.yes') : __('app.no') }}</td>
                        <td>
                            <img src="{{ $item->itemable->mechanism->icon }}" alt="{{ $item->itemable->mechanism->type }}" title="{{ $item->itemable->mechanism->title }}" class="img-fluid" style="max-width: 50px;">
                        </td>
                        @if (isset($mode) && $mode == 'configure')
                            <td>
                                <div class="d-inline-flex">
                                    @if ($item->order > 1)
                                        <form action="{{ route('lockouts.configure.items.move.up', [$locale, $lockout, $item->itemable_id]) }}" method="post">
                                            @csrf
                                            <button type="submit" class="btn btn-link p-0">
                                                <i class="ti ti-arrow-up fs-5 text-primary" title="{{ __('app.button.title.move_up') }}"></i>
                                            </button>
                                        </form>
                                    @endif
                                    @if ($item->order < count($lockout->allItems))
                                        <form action="{{ route('lockouts.configure.items.move.down', [$locale, $lockout, $item->itemable_id]) }}" method="post">
                                            @csrf
                                            <button type="submit" class="btn btn-link p-0">
                                                <i class="ti ti-arrow-down fs-5 text-primary" title="{{ __('app.button.title.move_down') }}"></i>
                                            </button>
                                        </form>
                                    @endif
                                    <form action="{{ route('lockouts.configure.items.destroy', [$locale, $lockout, $item]) }}" method="post">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('lockouts.message.confirm.delete_device') }}')">
                                            <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        @endif
                    </tr>
                @elseif ($lockout->isNote($item))
                    <tr>
                        <td>{{ $item->order }}</td>
                        <td colspan="9">
                            {!! $item->itemable->labelFull !!}
                            @if ($item->itemable->image)
                                <div width="100%" class="text-center">
                                    <img src="{{ $item->itemable->image }}" alt="{{ $item->itemable->title }}" title="{{ $item->itemable->title }}" class="img-thumbnail" style="max-width: 100px;">
                                </div>
                            @endif
                        </td>
                        @if (isset($mode) && $mode == 'configure')
                            <td>
                                <div class="d-inline-flex">
                                    @if ($item->order > 1)
                                        <form action="{{ route('lockouts.configure.items.move.up', [$locale, $lockout, $item->itemable_id]) }}" method="post">
                                            @csrf
                                            <button type="submit" class="btn btn-link p-0">
                                                <i class="ti ti-arrow-up fs-5 text-primary" title="{{ __('app.button.title.move_up') }}"></i>
                                            </button>
                                        </form>
                                    @endif
                                    @if ($item->order < count($lockout->allItems))
                                        <form action="{{ route('lockouts.configure.items.move.down', [$locale, $lockout, $item->itemable_id]) }}" method="post">
                                            @csrf
                                        <button type="submit" class="btn btn-link p-0">
                                            <i class="ti ti-arrow-down fs-5 text-primary" title="{{ __('app.button.title.move_down') }}"></i>
                                            </button>
                                        </form>
                                    @endif
                                    <form action="{{ route('lockouts.configure.items.destroy', [$locale, $lockout, $item]) }}" method="post">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('lockouts.message.confirm.delete_note') }}')">
                                            <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        @endif
                    </tr>
                @endif
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@if (isset($mode) && $mode == 'configure')
<div class="row py-3">
    <div class="col-12">
        <!-- create form to add devices to the lockout-->
        <form action="{{ route('lockouts.configure.items.store', [$locale, $lockout]) }}" method="post">
            @csrf
            <div class="form-group">
                <label for="device_id">{{ __("devices.table.device_id") }}</label>
                <select name="device_id" id="device_id" class="form-control">
                    <option value="">{{ __("app.select") }}</option>
                    @foreach ($devices as $device)
                        <option value="{{ $device->id }}">{{ $device->device_id }}</option>
                    @endforeach
                </select>
            </div>
            <div class="row">or</div>
            <div class="form-group">
                <label for="note_id">{{ __("devices.table.note") }}</label>
                <select name="note_id" id="note_id" class="form-control">
                    <option value="">{{ __("app.select") }}</option>
                    @foreach ($device_notes as $note)
                        <option value="{{ $note->id }}">{{ $note->label }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <label for="order">{{ __("notes.table.order") }}</label>
                <select name="order" id="order" class="form-control">
                    <option value="">{{ __("app.select") }}</option>
                    @foreach ($lockout->allItems as $item)
                        <option value="{{ $item->order }}">{{ $item->order }}</option>
                    @endforeach
                </select>
            </div>
            <button type="submit" class="btn btn-primary mt-3">{{ __("app.add") }}</button>
        </form>
    </div>
</div>
@endif


