<form action="{{ route('lockouts.update.header', [$locale, 'lockout' => $lockout]) }}" method="POST" enctype="multipart/form-data">
    @csrf
    @method('PUT')
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="equipment_id" class="form-label">{{ __('lockouts.form.label.equipment_id') }}</label>
                <input type="text" class="form-control" id="equipment_id" name="equipment_id" value="{{ $lockout->equipment_id }}" required>
                @error("equipment_id")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="title" class="form-label">{{ __('lockouts.form.label.title') }}</label>
                <input type="text" class="form-control" id="title" name="title" value="{{ $lockout->title }}" required>
                @error("title")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="version" class="form-label">{{ __('lockouts.form.label.version') }}</label>
                <input type="text" class="form-control" id="version" name="version" value="{{ $lockout->version }}" required>
                @error("version")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>  
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="code" class="form-label">{{ __('lockouts.form.label.code') }}</label>
                <input type="text" class="form-control" id="code" name="code" value="{{ $lockout->code }}" required>
                @error("code")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="equipment_location" class="form-label">{{ __('lockouts.form.label.equipment_location') }}</label>
                <input type="text" class="form-control" id="equipment_location" name="equipment_location" value="{{ $lockout->equipment_location }}" required>
                @error("equipment_location")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
        {{-- form input for status --}}
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="status" class="form-label">{{ __('lockouts.form.label.status') }}</label>
                <select class="form-control" id="status" name="status" required>
                    @if ($lockout->status == 'draft')
                        <option value="draft" selected>{{ __('lockouts.status.draft') }}</option>
                        <option value="writed">{{ __('lockouts.status.writed') }}</option>
                    @elseif ($lockout->status == 'writed')
                        <option value="writed" selected>{{ __('lockouts.status.writed') }}</option>
                        <option value="in_verification">{{ __('lockouts.status.in_verification') }}</option>
                    @endif
                </select>
            </div>
        </div>
    </div>

    @if ($lockout->status == 'writed')
        <div class="row">
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label for="verified_by" class="form-label">{{ __('lockouts.form.label.verified_by') }}</label>
                    <select name="verified_by" id="verified_by" class="form-control">
                        <option value="1">Admin</option>
                        <option value="2">Technicien</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group mb-3">
                    <label for="verified_at" class="form-label">{{ __('lockouts.form.label.verified_at') }}</label>
                    <input type="date" class="form-control" id="verified_at" name="verified_at" value="{{ $lockout->verified_at }}">
                </div>
            </div>
        </div>
    @endif
    
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="equipment_image">{{ __('lockouts.form.label.equipment_image') }}</label>
                <input type="file" class="form-control" id="equipment_image" name="equipment_image" value="{{ $lockout->equipment_image }}">
                @if ($lockout->equipment_image)
                    <img src="{{ $lockout->equipment_image }}" alt="Image actuelle" class="img-thumbnail" style="max-width: 50px;">
                @endif
                @error("equipment_image")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="equipment_description" class="form-label">{{ __('lockouts.form.label.equipment_description') }}</label>
                <textarea class="form-control" id="equipment_description" name="equipment_description" rows="3" required>{{ $lockout->equipment_description }}</textarea>
                @error("description")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="department_id" class="form-label">{{ __('lockouts.form.label.department') }}</label>
                <select class="form-control" id="department_id" name="department_id" required>
                    @foreach ($departments as $department)
                        <option value="{{ $department->id }}" {{ $department->id == $lockout->department_id ? 'selected' : '' }}>{{ $department->name }}</option>
                    @endforeach
                </select>
                @error("department_id")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="sub_department_id" class="form-label">{{ __('lockouts.form.label.sub_department') }}</label>
                <select class="form-control" id="sub_department_id" name="sub_department_id" required>
                    @foreach ($subDepartments as $subDepartment)
                        <option value="{{ $subDepartment->id }}" {{ $subDepartment->id == $lockout->sub_department_id ? 'selected' : '' }}>{{ $subDepartment->name }}</option>
                    @endforeach
                </select>
                @error("sub_department_id")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group mb-3">
                <label for="location_id" class="form-label">{{ __('lockouts.form.label.location') }}</label>
                <select class="form-control" id="location_id" name="location_id" required>
                    @foreach ($locations as $location)
                        <option value="{{ $location->id }}" {{ $location->id == $lockout->location_id ? 'selected' : '' }}>{{ $location->name }}</option>
                    @endforeach
                </select>
                @error("location_id")
                <div>{{ $message }}</div>
                @enderror
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-6"></div>
        <div class="col-6"></div>
    </div>

    <div class="row">
        <div class="col-md6">
            <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
        </div>
    </div>
</form>
