<div class="row border py-3">
    <div class="col-2 text-center">
        <div class="row text-center">
            @if($lockout->company->logo)
                <img src="{{ asset('storage/' . $lockout->company->logo) }}" class="m-auto" alt="Main Logo" height="100" style="width:auto">
            @endif
        </div>
        <div class="row mt-2">
            <div>{{ $lockout->company->name }}</div>
        </div>
    </div>
    <div class="col-6 text-center align-items-center">
        <div class="row">
            <h3>Systeme de management QSE</h3>
        </div>
        <div class="row">
            <h2>
                FICHE DE CONSIGNATION
            </h2>
        </div>
    </div>
    <div class="col-4">
        <div class="row h-100 d-flex flex-column justify-content-around">
            <div class="col-12 d-flex align-items-center gap-2">
                <label class="form-label mb-0">{{ __('lockouts.table.code') }} :</label>
                <span> {{ $lockout->code }}</span>
            </div>
            <div class="col-12 d-flex align-items-center gap-2">
                <label class="form-label mb-0">{{ __('lockouts.table.version') }} :</label>
                <span> {{ $lockout->version }}</span>
            </div>
            <div class="col-12 d-flex align-items-center gap-2">
                <label class="form-label mb-0">{{ __('lockouts.table.created_at') }} :</label>
                <span> {{ $lockout->created_at }}</span>
            </div>
        </div>
    </div>
</div>

<div class="row border py-3">
    <div class="col-md-4 text-center">
        <h3>{{ $lockout->equipment_id }}</h3>
    </div>
    <div class="col-md-4 text-center">
        @if($lockout->equipment_image)
            <img src="{{ $lockout->equipment_image }}" alt="Equipment Image" class="img-fluid" style="max-height: 150px;">
        @endif
    </div>
    <div class="col-md-4 text-center">
        <h3>{{ $lockout->title }}</h3>
    </div>
</div>

<div class="row border py-3">
    <div class="col-12 d-flex align-items-center gap-2">
        <label class="form-label mb-0">{{ __('lockouts.table.equipment_localisation') }} :</label>
        <div>{{ $lockout->equipment_location }}</div>
    </div>
</div>

<div class="row border py-2 bg-color-{{$lockout->status}}">
    <div class="col-12 text-center py-0">
        <h3 class="mb-0">{{ __('lockouts.status.'.$lockout->status) }}</h3>
    </div>
</div>

<div class="row border py-3">
    <div class="col-6 py-0">
        <label class="form-label mb-0">{{ __('lockouts.form.label.redacted_by') }} :</label>
        <div>John Doe</div>
    </div>
    <div class="col-6 py-0">
        <label class="form-label mb-0">{{ __('lockouts.form.label.redacted_at') }} :</label>
        <div>12/12/2024</div>
    </div>
</div>

@if(isset($mode) && $mode == 'configure')
    {{-- create bootstrap accordion --}}
    <div class="accordion mt-4" id="accordionExample">
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingOne">
                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    <h4 class="card-title">
                        {{ __('lockouts.form_edit') }}
                    </h4>
                </button>
            </h2>
            <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    @include('lockouts.configure.form.header')
                </div>
            </div>
        </div> 
    </div>
@endif
