<div class="col-md-12">
    <h4 class="text-center">Préparation et arrêt / Preparation and shutdown</h4>
</div>
<div class="row border py-3">
    <div class="{{ $setting->table_div_class }}">
        <table class="{{ $setting->table_class }}">
            <thead class="{{ $setting->table_thead_class }}">
            <tr>
                <th>{{ __("notes.table.order") }}</th>
                <th>{{ __("notes.table.label") }}</th>
                @if (isset($mode) && $mode == 'configure')
                    <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                @endif
            </tr>
            </thead>
            <tbody class="{{ $setting->table_tbody_class }}">
                @foreach ($lockout->notesPreparation as $note)
                    <tr>
                        <td>{{ $note->pivot->order }}</td>
                        <td>{{ $note->label }}</td>
                        @if (isset($mode) && $mode == 'configure')
                            <td>
                                <div class="d-inline-flex">
                                    @if ($note->pivot->order > 1)
                                    <form action="{{ route('lockouts.configure.notes_preparation.move.up', [$locale, $lockout, $note->id]) }}" method="post">
                                    @csrf
                                    <button type="submit" class="btn btn-link p-0">
                                        <i class="ti ti-arrow-up fs-5 text-primary" title="{{ __('app.button.title.move_up') }}"></i>
                                        </button>
                                    </form> 
                                    @endif
                                    @if ($note->pivot->order < count($lockout->notesPreparation))
                                    <form action="{{ route('lockouts.configure.notes_preparation.move.down', [$locale, $lockout, $note->id]) }}" method="post">
                                    @csrf
                                    <button type="submit" class="btn btn-link p-0">
                                        <i class="ti ti-arrow-down fs-5 text-primary" title="{{ __('app.button.title.move_down') }}"></i>
                                        </button>
                                    </form>
                                    @endif
                                    <form action="{{ route('lockouts.configure.notes_preparation.destroy', [$locale, $lockout, $note]) }}" method="post">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('lockouts.message.confirm.delete_trade') }}')">
                                        <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                        </button>
                                    </form>
                                </div>  
                            </td>
                        @endif
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@if (isset($mode) && $mode == 'configure')
    <div class="row py-3">
        <div class="col-12">
        <!-- create form to add notes preparation to the lockout-->
        <form action="{{ route('lockouts.configure.notes_preparation.store', [$locale, $lockout]) }}" method="post">
            @csrf
            <div class="form-group">
                <label for="note_id">{{ __("notes.table.label") }}</label>
                <select name="note_id" id="note_id" class="form-control">
                    <option value="">{{ __("app.select") }}</option>
                    @foreach ($notesPreparation as $note)
                        <option value="{{ $note->id }}">{{ $note->label }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <label for="order">{{ __("notes.table.order") }}</label>
                <select name="order" id="order" class="form-control">
                    <option value="">{{ __("app.select") }}</option>
                    @foreach ($lockout->notesPreparation as $note)
                        <option value="{{ $note->pivot->order }}">{{ $note->pivot->order }}</option>
                    @endforeach
                </select>
            </div>
            <button type="submit" class="btn btn-primary mt-3">{{ __("app.add") }}</button>
        </form> 
        </div>
    </div>
@endif


