<div class="col-md-12">
    <h4 class="text-center">Metiers / Trades</h4>
</div>
<div class="row border py-3">
    <div class="{{ $setting->table_div_class }}">
        <table class="{{ $setting->table_class }}">
            <thead class="{{ $setting->table_thead_class }}">
            <tr>
                <th>{{ __("trades.table.order") }}</th>
                <th>{{ __("trades.table.name") }}</th>
                <th>{{ __("trades.table.details") }}</th>
                @if (isset($mode) && $mode == 'configure')
                    <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                @endif
            </tr>
            </thead>
            <tbody class="{{ $setting->table_tbody_class }}">
                @foreach ($lockout->trades as $trade)
                    <tr>
                        <td>{{ $trade->pivot->order }}</td>
                        <td>{{ $trade->name }}</td>
                        <td>{{ $trade->details }}</td>
                        @if (   isset($mode) && $mode == 'configure')
                            <td>
                                <div class="d-inline-flex">
                                    {{-- if first trade, do not show move up button --}}
                                @if ($trade->pivot->order != 1)
                                    <form action="{{ route('lockouts.configure.trades.move.up', [$locale, $lockout, $trade]) }}" method="post">
                                        @csrf
                                    <button type="submit" class="btn btn-link p-0" title="{{ __('app.button.title.move_up') }}">
                                        <i class="ti ti-arrow-up fs-5 text-primary" title="{{ __('app.button.title.move_up') }}"></i>
                                        </button>
                                    </form>
                                @endif

                                {{-- if last trade, do not show move down button --}}
                                @if ($trade->pivot->order != $lockout->trades->count())
                                    <form action="{{ route('lockouts.configure.trades.move.down', [$locale, $lockout, $trade]) }}" method="post">
                                        @csrf
                                        <button type="submit" class="btn btn-link p-0" title="{{ __('app.button.title.move_down') }}">
                                            <i class="ti ti-arrow-down fs-5 text-primary" title="{{ __('app.button.title.move_down') }}"></i>
                                            </button>
                                    </form>
                                @endif

                                    <form action="{{ route('lockouts.configure.trades.destroy', [$locale, $lockout, $trade]) }}" method="post">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('lockouts.message.confirm.delete_trade') }}')">
                                            <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                        </button>
                                    </form>
                                </div>  
                            </td>
                        @endif
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>


@if (isset($mode) && $mode == 'configure')
    <div class="row py-3">
        <div class="col-12">
            <!-- create form to add trades to the lockout-->
            <form action="{{ route('lockouts.configure.trades.store', [$locale, $lockout]) }}" method="post">
                @csrf
                <div class="form-group">
                    <label for="trade_id">{{ __("trades.table.name") }}</label>
                    <select name="trade_id" id="trade_id" class="form-control" required>
                        <option value="">{{ __("app.select") }}</option>
                        @foreach ($trades as $trade)
                            <option value="{{ $trade->id }}">{{ $trade->name }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="order">{{ __("trades.table.order") }}</label>
                    <select name="order" id="order" class="form-control">
                        <option value="">{{ __("app.select") }}</option>
                        @foreach ($lockout->trades as $trade)
                            <option value="{{ $trade->pivot->order }}">{{ $trade->pivot->order }}</option>
                        @endforeach
                    </select>
                </div>
                <button type="submit" class="btn btn-primary mt-3">{{ __("app.add") }}</button>
            </form> 
        </div>
    </div>
@endif


