@extends('layouts.app-bo')
@section('title', __('device_icons.create_device_icon'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('device_icons.create_device_icon') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        {{--mechanism form --}}
                        <form action="{{ route('device_icons.store', $locale) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="icon">{{ __('device_icons.form.label.icon') }}</label>
                                        <input type="file" class="form-control" id="icon" name="icon" value="" required>
                                        @error("icon")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="description_en">{{ __('device_icons.form.label.description_en') }}</label>
                                        <input type="text" class="form-control" id="description_en" name="description_en" value="" required>
                                        @error("description_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="description_fr">{{ __('device_icons.form.label.description_fr') }}</label>
                                        <input type="text" class="form-control" id="description_fr" name="description_fr" value="" required>
                                        @error("description_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md6">
                                    <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
                                    <a href="{{ route('device_icons.index', $locale)  }}" class="btn btn-secondary">Annuler</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
