@extends('layouts.app-bo')
@section('title', __('device_icons.device_icon_management'))

@section('content')

    <div class="main-content container-fluid">
        <section class="section">
            <div class="card" id="training-demand">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                <iconify-icon icon="material-symbols-light:flowsheet-outline"></iconify-icon>
                                {{ __("device_icons.device_icon_management") }}
                            </h4>
                            <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($deviceIcons) }}</b> {{ __('device_icons.items') }}</div>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6 mb-2">
                            <a href="{{ route('device_icons.create', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                                <i class="ti ti-plus fs-4"></i>
                                {{ __("app.button.add") }}
                            </a>
                        </div>
                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("mechanisms.table.id") }}</th>
                                <th>{{ __("device_icons.table.icon") }}</th>
                                <th>{{ __("device_icons.table.description_fr") }}</th>
                                <th>{{ __("device_icons.table.description_en") }}</th>

                                <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                            </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($deviceIcons as $key => $deviceIcon)
                                    <tr>
                                        <td>{{ $key+1 }}</td>
                                        <td>{{ $deviceIcon->id }}</td>
                                        <td><img src="{{ $deviceIcon->icon }}" alt="{{ $deviceIcon->icon }}" title="{{ $deviceIcon->icon }}" class="img-fluid" style="max-width: 50px;"></td>
                                        <td>{{ $deviceIcon->description_fr }}</td>
                                        <td>{{ $deviceIcon->description_en }}</td>
                                        <td class="sticky-search-button">
                                            <a href="{{ route('device_icons.show', [$locale, 'deviceIcon' => $deviceIcon]) }}" class="text-primary view" title="{{ __('app.button.title.show') }}">
                                                <i class="ti ti-eye fs-5"></i>
                                            </a>
                                            <a href="{{ route('device_icons.edit', [$locale, 'deviceIcon' => $deviceIcon]) }}" class="text-primary check" title="{{ __('app.button.title.edit') }}">
                                                <i class="ti ti-edit fs-5 text-success"></i>
                                            </a>
                                            <form action="{{ route('device_icons.destroy', [$locale, 'deviceIcon' => $deviceIcon]) }}" method="POST" class="d-inline">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('device_icons.message.confirm.delete') }}')">
                                                    <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-12 mt-3">
                            {{ $deviceIcons->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
