@extends('layouts.app-bo')
@section('title', __('device_icons.device_icon_management'))
@section('')
@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('Détails de l\'icône') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{ $deviceIcon->icon }}" alt="{{ $deviceIcon->title }}" title="{{ $deviceIcon->title }}" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col-md-8">
                    <h2>{{ $deviceIcon->description_fr }}</h2>
                    <p><strong>{{ __('DIC') }}:</strong> {{ $deviceIcon->id }}</p>
                    <p><strong>{{ __('device_icons.form.label.icon') }}:</strong> {{ $deviceIcon->icon }}</p>
                    <p><strong>{{ __('device_icons.form.label.description') }}:</strong><br> {!! $deviceIcon->descriptionFull !!}</p>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('device_icons.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $deviceIcon->company)
            <a href="{{ route('device_icons.edit', [app()->getLocale(), $deviceIcon]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('device_icons.destroy', [app()->getLocale(), $deviceIcon]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('positions.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
