@extends('layouts.app-bo')
@section('title', __('devices.device_management'))
@section('')
@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('Détails du dispositif') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{ $device->image }}" alt="{{ $device->description }}" title="{{ $device->description }}" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col-md-8">
                    <h2>{{ $device->description }}</h2>
                    <p><strong>{{ __('devices.form.label.device_id') }}:</strong> {{ $device->device_id }}</p>
                    <p><strong>{{ __('devices.form.label.icon') }}:</strong> {{ $device->icon?->description }}</p>
                    <p><strong>{{ __('devices.form.label.energy') }}:</strong> {{ $device->energy?->label }}</p>
                    <p><strong>{{ __('devices.form.label.position') }}:</strong> {{ $device->position?->label }}</p>
                    <p><strong>{{ __('devices.form.label.position_decad') }}:</strong> {{ $device->position_decad?->label }}</p>
                    <p><strong>{{ __('devices.form.label.description') }}:</strong><br> {!! $device->descriptionFull !!}</p>
                    <p><strong>{{ __('devices.form.label.emplacement') }}:</strong> {{ $device->emplacement }}</p>
                    <p><strong>{{ __('devices.form.label.instruction') }}:</strong> {{ $device->instruction?->label }}</p>
                    <p><strong>{{ __('devices.form.label.mechanism') }}:</strong> {{ $device->mechanism?->label }}</p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('devices.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $device->company_id)
            <a href="{{ route('devices.edit', [app()->getLocale(), $device]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('devices.destroy', [app()->getLocale(), $device]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('devices.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
