@extends('layouts.app-bo')
@section('title', __('app.lockout_management'))
<style>
    .bg-draft {
        background-color: #ff9f89;
    }
    .bg-writed {
        background-color: #ff9f89;
    }
</style>
@section('content')

    <div class="main-content container-fluid">
        <section class="section">
            <div class="card" id="training-demand">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                <iconify-icon icon="material-symbols-light:flowsheet-outline"></iconify-icon>
                                {{ __("app.lockout_management") }}
                            </h4>
                           <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($lockouts) }}</b> {{ __('app.items') }}</div>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6 mb-2">
                            <a href="{{ route('lockouts.download-pdf', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                                <iconify-icon icon="streamline:download-file"></iconify-icon>
                                {{ __("lockouts.links.blank_lockout_sheet") }}
                            </a>
                            <a href="{{ route('lockouts.create', [$locale]) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                                <iconify-icon icon="tabler:plus"></iconify-icon>
                                {{ __("app.add") }}
                            </a>
                        </div>
                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("lockouts.table.id") }}</th>
                                <th>{{ __("lockouts.table.equipment_id") }}</th>
                                <th>{{ __("lockouts.table.equipment_description") }}</th>
                                <th>{{ __("lockouts.table.equipment_localisation") }}</th>
                                <th>{{ __("lockouts.table.title") }}</th>
                                <th>{{ __("lockouts.table.created_at") }}</th>
                                <th>{{ __("lockouts.table.lieu_division") }}</th>
                                <th>{{ __("lockouts.table.department") }}</th>
                                <th>{{ __("lockouts.table.sub_department") }}</th>
                                <th>{{ __("lockouts.table.created_by") }}</th>
                                <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                            </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($lockouts as $lockout)
                                    <tr>
                                        <td>{{ $loop->index + 1 }}</td>
                                        <td>{{ $lockout->id }}</td>
                                        <td>{{ $lockout->equipment_id }}&nbsp;<span class="badge bg-{{ $lockout->status }}">{{ __("lockouts.status.$lockout->status") }}</span></td>
                                        <td>{{ $lockout->equipment_description }}</td>
                                        <td>{{ $lockout->equipment_location }}</td>
                                        <td>{{ $lockout->title }}</td>
                                        <td>{{ $lockout->created_at }}</td>
                                        <td>{{ $lockout->location->name }}</td>
                                        <td>{{ $lockout->department->name }}</td>
                                        <td>{{ $lockout->subDepartment->name }}</td>
                                        <td>{{ $lockout->createdBy->name }}</td>
                                        <td class="sticky-search-button table-actions">
                                            <a href="{{ route('lockouts.show', [$locale, 'lockout' => $lockout]) }}" class="text-primary view" title="{{ __('app.button.title.show') }}">
                                                <i class="ti ti-eye fs-5"></i>
                                            </a>
                                            <a href="{{ route('lockouts.edit', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.edit') }}">
                                                <i class="ti ti-edit fs-5 text-success"></i>
                                            </a>
                                            <a href="{{ route('lockouts.configure', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.configure') }}">
                                                <i class="ti ti-settings fs-5 text-primary"></i>
                                            </a>
                                            <a href="{{ route('lockouts.print', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.print') }}">
                                                <i class="ti ti-printer fs-5 text-success"></i>
                                            </a>
                                            <a href="{{ route('lockouts.copy', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.copy') }}">
                                                <i class="ti ti-copy fs-5 text-success"></i>
                                            </a>
                                            <a href="{{ route('lockouts.link', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.link') }}">
                                                <i class="ti ti-link fs-5 text-success"></i>
                                            </a>
                                            <a href="{{ route('lockouts.merge', [$locale, 'lockout' => $lockout]) }}" class="text-primary check" title="{{ __('app.button.title.merge') }}">
                                                <i class="ti ti-plus fs-5 text-success"></i>
                                            </a>
                                            <form action="{{ route('lockouts.destroy', [$locale, 'lockout' => $lockout]) }}" method="POST" class="d-inline">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-link p-0" onclick="return confirm('{{ __('lockouts.message.confirm.delete') }}')">
                                                    <i class="ti ti-trash fs-5 text-danger" title="{{ __('app.button.title.delete') }}"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{ $lockouts->links() }}
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection
