@extends('layouts.app-bo')
@section('title', __('instructions.edit_instruction'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('instructions.edit_instruction') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('instructions.update', [$locale, 'instruction' => $instruction]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_fr">{{ __('instructions.form.label.label_fr') }}</label>
                                        <input type="text" class="form-control" id="label_fr" name="label_fr" value="{{ $instruction->label_fr }}" required>
                                        @error("label_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_en">{{ __('instructions.form.label.label_en') }}</label>
                                        <input type="text" class="form-control" id="label_en" name="label_en" value="{{ $instruction->label_en }}" required>
                                        @error("label_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">{{ __('app.button.validate') }}</button>
                                    <a href="{{ route('instructions.index', $locale) }}" class="btn btn-secondary">{{ __('app.button.cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
