@extends('layouts.app-bo')
@section('title', __('instructions.instruction_management'))
@section('')
@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('Détails de l\'instruction') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                </div>
                <div class="col-md-8">
                    <h2>{{ $instruction->label_fr }}</h2>
                    <p><strong>{{ __('MCH') }}:</strong> {{ $instruction->id }}</p>
                    <p><strong>{{ __('instructions.form.label.label') }}:</strong> {{ $instruction->labelFull }}</p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('instructions.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $instruction->company)
            <a href="{{ route('instructions.edit', [app()->getLocale(), $instruction]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('instructions.destroy', [app()->getLocale(), $instruction]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('positions.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
