@extends('layouts.app-bo')
@section('title', __('mechanisms.create_mechanism'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('mechanisms.create_mechanism') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        {{--mechanism form --}}
                        <form action="{{ route('mechanisms.store', $locale) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="type">{{ __('mechanisms.form.label.type') }}</label>
                                        <input type="text" class="form-control" id="type" name="type" value="" required>
                                        @error("type")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="icon">{{ __('mechanisms.form.label.icon') }}</label>
                                        <input type="file" class="form-control" id="icon" name="icon" value="" required>
                                        @error("icon")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md6">
                                    <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
                                    <a href="{{ route('mechanisms.index', $locale)  }}" class="btn btn-secondary">Annuler</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
