@extends('layouts.app-bo')
@section('title', __('mechanisms.edit_mechanism'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('mechanisms.edit_mechanism') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('mechanisms.update', [$locale, 'mechanisms' => $mechanisms]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            @if($mechanisms->icon)
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <img src="{{ $mechanisms->icon }}" alt="Icône actuelle" class="img-thumbnail" style="max-width: 100px;">
                                    </div>
                                </div>
                            @endif

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="type">{{ __('mechanisms.form.label.type') }}</label>
                                        <input type="text" class="form-control" id="type" name="type" value="{{ $mechanisms->type }}" required>
                                        @error("type")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="icon">{{ __('mechanisms.form.label.icon') }}</label>
                                        <input type="file" class="form-control" id="icon" name="icon" value="{{ $mechanisms->icon }}">
                                        @error("icon")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">{{ __('app.button.validate') }}</button>
                                    <a href="{{ route('mechanisms.index', $locale) }}" class="btn btn-secondary">{{ __('app.button.cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
