@extends('layouts.app-bo')
@section('title', __('mechanisms.mechanism_management'))
@section('')
@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('mechanisms.show_title') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{ $mechanisms->icon }}" alt="{{ $mechanisms->type }}" title="{{ $mechanisms->title }}" class="img-fluid" style="max-width: 50px;">
                </div>
                <div class="col-md-8">
                    <h2>{{ $mechanisms->type }}</h2>
                    <p><strong>{{ __('MCH') }}:</strong> {{ $mechanisms->id }}</p>
                    <p><strong>{{ __('mechanisms.form.label.type') }}:</strong> {{ $mechanisms->type }}</p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('mechanisms.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $mechanisms->company_id)
            <a href="{{ route('mechanisms.edit', [app()->getLocale(), $mechanisms]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('mechanisms.destroy', [app()->getLocale(), $mechanisms]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('mechanisms.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
