@extends('layouts.app-bo')
@section('title', __('lockouts.lockout_management'))

@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('lockouts.lockout_details') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{ $lockout->equipment_image }}" alt="{{ $lockout->equipment_description }}" title="{{ $lockout->equipment_description }}" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col-md-8">
                    <h2>{{ $lockout->title }}</h2>
                    <p><strong>{{ __('lockouts.form.label.equipment_id') }}:</strong> {{ $lockout->equipment_id }}</p>
                    <p><strong>{{ __('lockouts.form.label.equipment_description') }}:</strong> {{ $lockout->equipment_description }}</p>
                    <p><strong>{{ __('lockouts.form.label.equipment_location') }}:</strong> {{ $lockout->equipment_location }}</p>
                    <p><strong>{{ __('lockouts.form.label.code') }}:</strong> {{ $lockout->code }}</p>
                    <p><strong>{{ __('lockouts.form.label.version') }}:</strong> {{ $lockout->version }}</p>
                    <p><strong>{{ __('lockouts.form.label.lieu_division') }}:</strong> {{ $lockout->location->name }}</p>
                    <p><strong>{{ __('lockouts.form.label.department') }}:</strong> {{ $lockout->department->name }}</p>
                    <p><strong>{{ __('lockouts.form.label.sub_department') }}:</strong> {{ $lockout->subDepartment->name }}</p>
                    <p><strong>{{ __('lockouts.form.label.created_by') }}:</strong> {{ $lockout->createdBy->name }}</p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('lockouts.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $lockout->company_id)
            <a href="{{ route('lockouts.edit', [app()->getLocale(), $lockout]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('lockouts.destroy', [app()->getLocale(), $lockout]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('notes.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
