@extends('layouts.app-bo')
@section('title',  __('other.dashboard') )
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.employee_categories') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="#" data-bs-toggle="modal" data-bs-target="#createLocationModal">{{ __('other.create') }} {{ __('users.employee_categories') }}</a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ __('users.employee_categories') }} {{ __('other.name') }}</th>
                            <th>{{ __('users.company') }}</th>
                            <th>{{ __('other.action') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($employecategorys as $location)
                        <tr>
                            <td>{{ $location->id }}</td>
                            <td>{{ $location->name }}</td>
                            <td>{{ $location->company_id}}</td>
                            <td>
                                <div class="btn-location" role="location" aria-label="Company Actions">
                                    <a href="javascript:void(0)" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-location-modal-{{ $location->id }}">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </a>&nbsp;
                                    <form action="{{ route('employecategory.destroy', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>

<!-- Create Location Modal -->
<div class="modal fade text-left" id="createLocationModal" tabindex="-1" role="dialog" aria-labelledby="createLocationModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title white" id="createLocationModalLabel">
                {{ __('other.create') }} {{ __('users.employee_categories') }}
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-create">
                        <div class="company-form">
                            <form id="create-location-form" action="{{ route('employecategory.store', ['locale' => app()->getLocale()]) }}" method="post">
                                @csrf
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group field-location_company required">
                                            <label class="control-label" for="name">{{ __('users.employee_categories') }} {{ __('other.name') }}</label>
                                            <input type="text" id="name" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @endif
                                </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                {{ __('other.close') }}
                </button>
                <div class="form-group">
                    <button type="submit" id="create-location-button" class="btn btn-success">{{ __('other.save') }}</button>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>

@foreach($employecategorys as $location)
<!-- Edit Location Modal -->
<div class="modal fade" id="edit-location-modal-{{ $location->id }}" tabindex="-1" role="dialog" aria-labelledby="editLocationModalLabel-{{ $location->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title white" id="editLocationModalLabel-{{ $location->id }}">
                {{ __('other.update') }} {{ __('users.employee_categories') }}
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-edit">
                        <div class="company-form">
                            <form id="edit-location-form-{{ $location->id }}" action="{{ route('employecategory.update', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="post">
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group field-location_company required">
                                            <label class="control-label" for="edit-location-name-{{ $location->id }}">{{ __('users.employee_categories') }} {{ __('other.name') }}</label>
                                            <input type="text" id="edit-location-name-{{ $location->id }}" value="{{ old('name', $location->name) }}" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @endif
                                </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                {{ __('other.close') }}
                </button>
                <div class="form-group">
                    <button type="submit" class="btn btn-success update-location-button" data-location-id="{{ $location->id }}">{{ __('other.save') }}</button>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endforeach
@endsection