@extends('layouts.app-bo')
@section('title', __('users.employer'))
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.employer') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="#" data-bs-toggle="modal" data-bs-target="#info">{{ __('other.create') }} {{ __('users.employer') }}</a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ __('other.name') }}</th>
                            <th>{{ __('other.company_id') }}</th>
                            <th>{{ __('other.action') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($employers as $employer)
                        <tr>
                            <td>{{ $employer->id }}</td>
                            <td>{{ $employer->name }}</td>
                            <td>{{ $employer->company_id }}</td>
                            <td>
                                <div class="btn-employer" role="employer" aria-label="Company Actions">
                                    <a href="javascript:void(0)" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-employer-modal-{{ $employer->id }}">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </a>&nbsp;
                                    <form action="{{ route('employer.destroy', ['locale' => app()->getLocale(), 'id' => $employer->id])  }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>
@foreach($employers as $employer)
<!-- Create employer Modal -->
<div class="modal fade text-left" id="info" tabindex="-1" role="dialog" aria-labelledby="myModalLabel120" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title white" id="myModalLabel120">
                    <h2>{{ __('other.create') }} {{ __('users.employer') }}</h2>
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-create">
                        <div class="company-form">
                            <form id="create-employer-form" action="{{ route('employer.store',['locale' => app()->getLocale(), 'id' => $employer->id]) }}" method="post">
                                @csrf
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group field-employer_company required">
                                            <label class="control-label" for="name">{{ __('other.name') }} {{ __('users.employer') }}</label>
                                            <input type="text" id="name" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @endif

                                </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">{{ __('other.close') }}</span>
                </button>
                <div class="form-group">
                    <button type="submit" id="create-employer-button" class="btn btn-success">{{ __('other.save') }}</button>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>
<!-- Edit employer Modal -->
<div class="modal fade" id="edit-employer-modal-{{ $employer->id }}" tabindex="-1" role="dialog" aria-labelledby="editemployerModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title white" id="editemployerModalLabel">
                    <h2>{{ __('other.update') }} {{ __('users.employer') }}</h2>
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container" style="margin-top:20px;">
                    <div class="company-edit">

                        <div class="company-form">
                            <form id="edit-employer-form-{{ $employer->id }}" action="{{ route('employer.update',['locale' => app()->getLocale(), 'id' => $employer->id]) }}" method="post">
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group required">
                                            <label class="control-label" for="edit-employer-name">{{ __('users.company') }}</label>
                                            <input type="text" id="edit-employer-name" value="{{ old('name', $employer->name) }}" class="form-control" name="name" maxlength="255" aria-required="true">
                                            <div class="help-block"></div>
                                            @error('name')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    @endif

                                </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">{{ __('other.close') }}</span>
                </button>
                <div class="form-group">
                    <button type="submit" class="btn btn-success update-employer-button" data-employer-id="{{ $employer->id }}">{{ __('other.save') }}</button>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>
@endforeach
@endsection