@extends('layouts.app-bo')
@section('title', __('other.dashboard') )
@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.competency_card') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="#" data-bs-toggle="modal" data-bs-target="#createLocationModal">{{ __('other.create') }} {{ __('users.competency_card') }}</a>
            </div>
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ __('users.competency') }}</th>
                            <th>{{ __('users.service') }}</th>
                            <th>{{ __('users.approuved') }}</th>
                            <th>{{ __('users.actions') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($competencies as $competency)
                        <tr>
                            <td>{{ $competency->id }}</td>
                            <td>{{ $competency->competency_name }}</td>
                            <td>{{ $competency->training_service }}</td>
                            <td>
                                <input type="checkbox" {{ $competency->approuved == 1 ? 'checked' : '' }} disabled>
                            </td>

                            <td>
                                <div class="btn-location" role="location" aria-label="Company Actions">
                                    <a href="javascript:void(0)" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-location-modal-{{ $competency->id }}">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                            <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                        </svg>
                                    </a>&nbsp;
                                    <form action="{{ route('competencycardrequests.destroy', ['locale' => app()->getLocale(), 'id' => $competency->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                            </svg>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>

<!-- Create Location Modal -->
<div class="modal fade text-left" id="createLocationModal" tabindex="-1" role="dialog" aria-labelledby="createLocationModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title white" id="createLocationModalLabel">
                    {{ __('other.create') }} {{ __('users.competency') }}
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="{{ route('competencycardrequests.store',app()->getLocale()) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="mb-3">
                        <label for="competency_name" class="form-label">Competency Name</label>
                        <input type="text" name="competency_name" class="form-control" required>
                    </div>
                    <div class="mb-3">
                        <label for="training_service" class="form-label">Training Service</label>
                        <input type="text" name="training_service" class="form-control" required>
                    </div>
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="coursePlan" class="form-label">{{ __('users.download_certificate') }}</label>
                                <input type="file" id="coursePlan" class="form-control file-loading" name="coursePlan">
                            </div>
                        </div>
                    </div>
                    <div class="mb-3">
                        <label for="approved_by" class="form-label">{{ __('users.approuved') }} {{ __('users.by') }}</label>
                        <select id="approved_by" class="form-control" name="approved_by">
                            <option value="">{{ __('users.username') }}</option>
                            @foreach($users as $user)
                            <option value="{{ $user->id }}">{{ $user->name }} [{{ $user->username }}]</option>
                            @endforeach
                        </select>
                    </div>
                    <!-- Champ caché pour approuver -->
                    <input type="hidden" id="approved" name="approved" value="0">
                    <button type="submit" class="btn btn-primary">{{ __('other.save') }}</button>
                </form>
            </div>
        </div>
    </div>
</div>


@foreach($competencies as $competency)
<!-- Edit Location Modal -->
<div class="modal fade" id="edit-location-modal-{{ $competency->id }}" tabindex="-1" role="dialog" aria-labelledby="editLocationModalLabel-{{ $competency->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <h5 class="modal-title white" id="editLocationModalLabel-{{ $competency->id }}">
                    {{ __('other.update') }} {{ __('users.competency_card') }}
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="{{ route('competencycardrequests.update', ['locale' => app()->getLocale(), 'id' => $competency->id]) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT') <!-- Utilisation de la méthode PUT pour la mise à jour -->
                    <div class="mb-3">
                        <label for="competency_name_{{ $competency->id }}" class="form-label">Competency Name</label>
                        <input type="text" id="competency_name_{{ $competency->id }}" name="competency_name" class="form-control" value="{{ $competency->competency_name }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="training_service_{{ $competency->id }}" class="form-label">Training Service</label>
                        <input type="text" id="training_service_{{ $competency->id }}" name="training_service" class="form-control" value="{{ $competency->training_service }}" required>
                    </div>
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="coursePlan_{{ $competency->id }}" class="form-label">{{ __('users.download_certificate') }}</label>
                                <input type="file" id="coursePlan_{{ $competency->id }}" class="form-control file-loading" name="coursePlan">
                                @if($competency->course_plan) <!-- Affiche le certificat actuel s'il existe -->
                                <small class="form-text text-muted">{{ __('users.current_file') }}: {{ $competency->course_plan }}</small>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="mb-3">
                        <label for="approved_by_{{ $competency->id }}" class="form-label">{{ __('users.users') }}</label>
                        <select id="approved_by_{{ $competency->id }}" class="form-control" name="approved_by">
                            <option value="">{{ __('users.username') }}</option>
                            @foreach($users as $user)
                            <option value="{{ $user->id }}" {{ $competency->approved_by == $user->id ? 'selected' : '' }}>
                                {{ $user->name }} [{{ $user->username }}]
                            </option>
                            @endforeach
                        </select>
                    </div>
                    <button type="submit" class="btn btn-warning">{{ __('other.update') }}</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endforeach
<script>
    function checkApproved() {
        var approvedBy = document.getElementById('approved_by').value;
        var approvedField = document.getElementById('approved');
        
        if (approvedBy) {
            approvedField.value = 1; // Si une valeur est sélectionnée, approuvé
        } else {
            approvedField.value = 0; // Sinon, non approuvé
        }
    }
</script>
@endsection