@extends('layouts.app-bo')

@section('title', __('other.dashboard'))
@section('content')

<div class="container-fluid main-content">
    <div class="page-title mb-4">
        <div class="row align-items-center">
            <div class="col-12 col-md-6">
                <h3>{{ __('other.create') }} {{ __('users.competency') }} {{ __('users.service') }}</h3>
            </div>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body">
                <form method="post" action="{{ route('competencyservice.store',['locale' => app()->getLocale()]) }}" enctype="multipart/form-data">
                    @csrf
                    <div class="mb-3">
                        <label for="competence" class="form-label" style="color: red;">{{ __('users.competency') }} </label>
                        <select class="form-select" name="competence" aria-describedby="competenceHelp" style="border-color: red;">
                            @foreach($competencies as $competency)
                            <option value="{{ $competency->id }}">{{ $competency->name }}</option>
                            @endforeach
                        </select>
                   </div>
                    <div class="mb-3">
                        <label for="existingService" class="form-label">{{ __('users.select_formation_exist') }} </label>
                        <select class="form-select" name="existingService">
                            <option>Select a service</option>
                            @foreach($services as $service)
                            <option value="{{ $service->id }}" {{ $competency->id == $service->id ? 'selected' : '' }}>
                                {{ $service->name }}
                            </option>
                            @endforeach
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="newService" class="form-label">{{ __('users.service_name') }}</label>
                        <input type="text" class="form-control" name="newService">
                    </div>
                    <div class="mb-3">
                        <label for="coursePlan" class="form-label">{{ __('users.coursePlan') }}</label>
                        <input type="file" class="form-control" name="coursePlan">
                    </div>
                    <div class="form-group d-flex justify-content-between">
                        <a href="{{ route('competencyservice.list',['locale' => app()->getLocale()]) }}" class="btn btn-info">
                            <i class="bi bi-arrow-left-circle"></i> {{ __('users.back') }}
                        </a>
                        <button type="submit" class="btn btn-success">{{ __('other.save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </section>

</div>

@endsection