@extends('layouts.app-bo')

@section('title', __('other.dashboard'))
@section('content')

<div class="container-fluid main-content">
    <div class="page-title mb-4">
        <div class="row align-items-center">
            <div class="col-12 col-md-6">
                <h3>{{ __('other.create') }} {{ __('users.competency') }} {{ __('users.users') }}</h3>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="card">
            <div class="card-body">
                <form id="w0" action="{{ route('competencyuser.store', ['locale' => app()->getLocale()]) }}" method="post" enctype="multipart/form-data">
                    @csrf
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="user_id" class="form-label">{{ __('users.users') }}</label>
                                <select id="user_id" class="form-control select2" name="user_id" required>
                                    <option value="">{{ __('users.username') }}</option>
                                    @foreach($users as $user)
                                    <option value="{{ $user->id }}">{{ $user->name }} [{{ $user->username }}]</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="competency_id" class="form-label">{{ __('users.competency') }}</label>
                                <select id="competency_id" class="form-control" name="competency_id" required>
                                    <option value="">{{ __('other.select') }}</option>
                                    @foreach($competencies as $competency)
                                    <option value="{{ $competency->id }}">{{ $competency->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="service_id" class="form-label">{{ __('users.service') }}</label>
                                <select id="service_id" class="form-control" name="service_id" required>
                                    <option value="">{{ __('users.section') }} {{ __('users.service') }} </option>
                                            @foreach($services as $service)
                                    <option value="{{ $service->id }}">{{ $service->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="date" class="form-label">{{ __('users.Date_of_issue') }}</label>
                                <input type="date" id="date" class="form-control" name="date" required>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validity" class="form-label">{{ __('users.Validity_in_years') }}</label>
                                <input type="number" id="validity" class="form-control" name="validity" min="0">
                            </div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="coursePlan" class="form-label">{{ __('users.download_certificate') }}</label>
                                <input type="file" id="coursePlan" class="form-control file-loading" name="coursePlan" data-krajee-fileinput="fileinput_4b998240">
                            </div>
                        </div>
                    </div>

                    <div class="form-check mb-4">
                        <input type="checkbox" id="declaration" class="form-check-input" required>
                        <label for="declaration" class="form-check-label">
                            {{ __('users.declaration') }}
                        </label>
                    </div>

                    <div class="form-group d-flex justify-content-between">
                        <a href="{{ route('competency.index',['locale' => app()->getLocale()]) }}" class="btn btn-info">
                            <i class="bi bi-arrow-left-circle"></i> {{ __('users.back') }}
                        </a>
                        <button type="submit" class="btn btn-success">{{ __('other.save') }}</button>
                        <a href="{{ route('competency.index',['locale' => app()->getLocale()]) }}" class="btn btn-primary">{{ __('users.request') }}</a>
                    </div>
                </form>
            </div>
        </div>
    </section>


</div>

@endsection