@extends('layouts.app-bo')

@section('title', __('other.dashboard'))

@section('content')
<div class="main-content container-fluid">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>{{ __('users.competency') }} {{ __('users.users')}}</h3>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="card">
            <div class="card-header">
                <a class="btn btn-outline-success" href="{{ route('competencyuser.create', ['locale' => app()->getLocale()]) }}">
                    {{ __('other.create') }} {{ __('users.competency') }} {{ __('users.users')}}
                </a>
            </div>
            <div class="card-body table-responsive">
                @php
                $lastUserId = null; // Variable pour suivre le dernier ID utilisateur affiché
                $userRowspan = 0; // Nombre de lignes à regrouper
                @endphp

                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ __('users.users') }}</th>
                            <th>{{ __('other.name') }} {{ __('users.service') }}</th>
                            <th>{{ __('users.competency') }}</th>
                            <th>{{ __('users.Date_of_issue') }}</th>
                            <th>{{ __('users.Validity_in_years') }}</th>
                            <th>{{ __('users.validate') }}</th>
                            <th>{{ __('users.certificate') }}</th>
                            <th>{{ __('other.action') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($competencyUsers->sortBy('user.fname') as $index => $location)
                        {{-- Vérifier si l'utilisateur est différent --}}
                        @if($lastUserId != $location->user->id)
                        @php
                        // Calculer le rowspan pour cet utilisateur
                        $userRowspan = $competencyUsers->where('user_id', $location->user->id)->count();
                        @endphp
                        @endif

                        <tr>
                            <td>{{ $index + 1 }}</td>

                            {{-- Affichage du rowspan uniquement pour le premier utilisateur trouvé --}}
                            @if($lastUserId != $location->user->id)
                            <td rowspan="{{ $userRowspan }}">{{ $location->user->fname }} {{ $location->user->lname }}</td>
                            @php
                            $lastUserId = $location->user->id; // Mise à jour du dernier ID utilisateur
                            @endphp
                            @endif

                            <td>{{ $location->competency->name ?? 'N/A' }}</td>
                            <td>{{ $location->service->name ?? 'N/A' }}</td>
                            <td>{{ $location->date }}</td>
                            <td>{{ $location->validity }} {{ __('users.years') }}</td>
                            <td>
                                @if($location->is_valid)
                                <i class="fa fa-check-circle text-success"></i>
                                @else
                                <i class="fa fa-times-circle text-danger"></i>
                                @endif
                            </td>
                            <td>
                                @if($location->has_certificate)
                                <i class="fa fa-check-circle text-success"></i>
                                @else
                                <i class="fa fa-times-circle text-danger"></i>
                                @endif
                            </td>
                            <td>
                                <div class="btn-group">
                                    <a href="#" class="btn btn-info" title="View" data-bs-toggle="modal" data-bs-target="#view-location-modal-{{ $location->id }}">
                                        <i class="fa fa-eye"></i>
                                    </a>
                                    <a href="#" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-location-modal-{{ $location->id }}">
                                        <i class="fa fa-pencil-alt"></i>
                                    </a>
                                    <form action="{{ route('competencyuser.destroy', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="POST" style="display: inline;">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>





        </div>
    </section>
</div>
@if($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif
@foreach($services as $location)
<!-- Edit Location Modal -->
<!-- Edit Location Modal -->
@foreach($competencyUsers as $location)
<div class="modal fade" id="edit-location-modal-{{ $location->id }}" tabindex="-1" role="dialog" aria-labelledby="editLocationModalLabel-{{ $location->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg">
        <div class="modal-content">
            <div class="modal-header d-flex align-items-center">
                <h5 class="modal-medium white" id="editLocationModalLabel-{{ $location->id }}">
                    {{ __('other.update') }} {{ __('users.service') }}
                </h5>
                <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                </button>
            </div>
            <div class="modal-body">
                <div class="container-fluid main-content">
                    <div class="page-title mb-4">
                        <div class="row align-items-center">
                            <div class="col-12 col-md-6">
                                <h3>{{ __('other.update') }} {{ __('users.competency') }} {{ __('users.users') }}</h3>
                            </div>
                        </div>
                    </div>
                    <section class="section">
                        <div class="card">
                            <div class="card-body">
                                <form id="w0" action="{{ route('competencyuser.update', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')
                                    <div class="row mb-3">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="user_id" class="form-label">{{ __('users.users') }}</label>
                                                <select id="user_id" class="form-control select2" name="user_id" required>
                                                    <option value="{{ optional($location->user)->id }}">{{ __('other.select') }}
                                                        << /option>
                                                            @foreach($users as $user)
                                                    <option value="{{ $user->id }}" {{ optional($location->user)->id == $user->id ? 'selected' : '' }}>{{ $user->fname }} [{{ $user->username }}]</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="competency_id" class="form-label">{{ __('users.competency') }}</label>
                                                <select id="competency_id" class="form-control" name="competency_id" required>
                                                    <option value="">{{ __('other.select') }}</option>
                                                    @foreach($competencies as $competency)
                                                    <option value="{{$competency->id}}" {{ optional($location->competency)->id  == $competency->id ? 'selected' : '' }}> {{ $competency->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row mb-3">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="service_id" class="form-label">{{ __('users.service') }}</label>
                                                <select id="service_id" class="form-control" name="service_id" required>
                                                    <option value="">{{ __('users.section') }} {{ __('users.service') }} </option>
                                                    @foreach($services as $service)
                                                    <option value="{{ $service->id }}" {{ $location->service_id == $service->id ? 'selected' : '' }}>{{ $service->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label for="date" class="form-label">{{ __('users.Date_of_issue') }}</label>
                                                <input type="date" id="date" class="form-control" name="date" value="{{ $location->date }}" required>
                                            </div>
                                        </div>

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label for="validity" class="form-label">{{ __('users.Validity_in_years') }}</label>
                                                <input type="number" id="validity" class="form-control" name="validity" value="{{ $location->validity }}" min="0">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="coursePlan" class="form-label">{{ __('users.download_certificate') }}</label>
                                                <input type="file" id="coursePlan" class="form-control file-loading" name="coursePlan" data-krajee-fileinput="fileinput_4b998240">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-check mb-4">
                                        <input type="checkbox" id="declaration" class="form-check-input" required {{ $location->declaration ? 'checked' : '' }}>
                                        <label for="declaration" class="form-check-label">
                                            {{ __('users.declaration') }}
                                        </label>
                                    </div>

                                    <div class="form-group d-flex justify-content-between">
                                        <button type="submit" class="btn btn-success">{{ __('other.save') }}</button>
                                        <a href="{{ route('competency.index',['locale' => app()->getLocale()]) }}" class="btn btn-primary">{{ __('users.request') }}</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">{{ __('other.close') }}</button>
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function() {
    $('#default_order').DataTable({
        "paging": true,
        "info": true,
        "searching": true,
        "ordering": true,
        "autoWidth": false,  // Empêche DataTables de calculer automatiquement la largeur
        "error": false,  // Empêche l'affichage des erreurs
        "columns": [
            { "title": "#" },
            { "title": "{{ __('users.users') }}" },
            { "title": "{{ __('other.name') }} {{ __('users.service') }}" },
            { "title": "{{ __('users.competency') }}" },
            { "title": "{{ __('users.Date_of_issue') }}" },
            { "title": "{{ __('users.Validity_in_years') }}" },
            { "title": "{{ __('users.validate') }}" },
            { "title": "{{ __('users.certificate') }}" },
            { "title": "{{ __('other.action') }}" }
        ]
    });
});
</script>
@endforeach
@endforeach


<!-- View Location Modal -->
@foreach($competencyUsers as $location)
<div class="modal fade" id="view-location-modal-{{ $location->id }}" tabindex="-1" role="dialog" aria-labelledby="viewLocationModalLabel-{{ $location->id }}" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg">
        <div class="modal-content">
           <img src="{{ asset('/assets/images/competencycard/view.jpg') }}" alt="competency_card" class="img-fluid">

        </div>
    </div>
</div>
@endforeach
@endsection