<div class="tab-pane fade" id="pills-bills" role="tabpanel" aria-labelledby="pills-bills-tab" tabindex="0">
    <div class="row justify-content-center">
        <div class="col-lg-9">
            <div class="card border shadow-none">
                <div class="col-12 col-md-6 order-md-1 order-last">
                    <h3>{{ __('users.competency') }} {{ __('users.users')}}</h3>
                </div>
            </div>
        </div>

        <section class="section">
            <div class="card">
                <div class="card-header">
                    <a class="btn btn-outline-success" href="{{ route('competencyuser.create', ['locale' => app()->getLocale()]) }}">
                        {{ __('other.create') }} {{ __('users.competency') }} {{ __('users.users')}}
                    </a>
                </div>
                <div class="card-body table-responsive">
                    <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>{{ __('users.users') }}</th>
                                <th>{{ __('other.name') }} {{ __('users.service') }}</th>
                                <th>{{ __('users.competency') }}</th>
                                <th>{{ __('users.Date_of_issue') }}</th>
                                <th>{{ __('users.Validity_in_years') }}</th>
                                <th>{{ __('other.action') }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($competencyUsers as $location)
                            <tr>
                                <td>{{ $location->id }}</td>
                                <td>{{ optional($location->user)->fname }}</td>
                                <td>{{ optional($location->competency)->name }}</td>
                                <td>{{ optional($location->service)->name }}</td>
                                <td>{{$location->date }}</td>
                                <td>{{$location->validity }}</td>
                                <td>
                                    <div class="btn-location" role="group" aria-label="Service Actions">
                                        <a href="#" class="btn icon btn-warning" title="Edit" data-bs-toggle="modal" data-bs-target="#edit-location-modal-{{ $location->id }}">
                                            <!-- Icone de modification -->
                                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                            </svg>
                                        </a>&nbsp;
                                        <form action="{{ route('competencyuser.destroy', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="POST" style="display: inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn icon btn-danger" title="Delete" onclick="return confirm('Are you sure you want to delete this item?');">
                                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                                    <path d="M19 5h-4.2l-.8-1H9.97l-.8 1H5v2h14V5zm-3 12H8l-.6-7.6h10.3L16 17zm-2.25-8.75c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm-3.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25zm6.5 0c0 .41-.34.75-.75.75s-.75-.34-.75-.75V7c0-.41.34-.75.75-.75s.75.34.75.75v1.25z" />
                                                </svg>
                                            </button>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    @if($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
    @endif
    @foreach($services as $location)
    <!-- Edit Location Modal -->
    <!-- Edit Location Modal -->
    @foreach($competencyUsers as $location)
    <div class="modal fade" id="edit-location-modal-{{ $location->id }}" tabindex="-1" role="dialog" aria-labelledby="editLocationModalLabel-{{ $location->id }}" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header d-flex align-items-center">
                    <h5 class="modal-medium white" id="editLocationModalLabel-{{ $location->id }}">
                        {{ __('other.update') }} {{ __('users.service') }}
                    </h5>
                    <button type="button" class="btn-close btn-close-red" data-bs-dismiss="modal" aria-label="Close">
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid main-content">
                        <div class="page-title mb-4">
                            <div class="row align-items-center">
                                <div class="col-12 col-md-6">
                                    <h3>{{ __('other.update') }} {{ __('users.competency') }} {{ __('users.users') }}</h3>
                                </div>
                            </div>
                        </div>
                        <section class="section">
                            <div class="card">
                                <div class="card-body">
                                    <form id="w0" action="{{ route('competencyuser.update', ['locale' => app()->getLocale(), 'id' => $location->id]) }}" method="post" enctype="multipart/form-data">
                                        @csrf
                                        @method('PUT')
                                        <div class="row mb-3">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="user_id" class="form-label">{{ __('users.users') }}</label>
                                                    <select id="user_id" class="form-control select2" name="user_id" required>
                                                        <option value="{{ optional($location->user)->id }}">{{ __('other.select') }}
                                                            << /option>
                                                                @foreach($users as $user)
                                                        <option value="{{ $user->id }}" {{ optional($location->user)->id == $user->id ? 'selected' : '' }}>{{ $user->fname }} [{{ $user->username }}]</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="competency_id" class="form-label">{{ __('users.competency') }}</label>
                                                    <select id="competency_id" class="form-control" name="competency_id" required>
                                                        <option value="">{{ __('other.select') }}</option>
                                                        @foreach($competencies as $competency)
                                                        <option value="{{$competency->id}}" {{ optional($location->competency)->id  == $competency->id ? 'selected' : '' }}> {{ $competency->name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-3">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="service_id" class="form-label">{{ __('users.service') }}</label>
                                                    <select id="service_id" class="form-control" name="service_id" required>
                                                        <option value="">{{ __('users.section') }} {{ __('users.service') }} </option>
                                                        @foreach($services as $service)
                                                        <option value="{{ $service->id }}" {{ $location->service_id == $service->id ? 'selected' : '' }}>{{ $service->name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="date" class="form-label">{{ __('users.Date_of_issue') }}</label>
                                                    <input type="date" id="date" class="form-control" name="date" value="{{ $location->date }}" required>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validity" class="form-label">{{ __('users.Validity_in_years') }}</label>
                                                    <input type="number" id="validity" class="form-control" name="validity" value="{{ $location->validity }}" min="0">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="coursePlan" class="form-label">{{ __('users.download_certificate') }}</label>
                                                    <input type="file" id="coursePlan" class="form-control file-loading" name="coursePlan" data-krajee-fileinput="fileinput_4b998240">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-check mb-4">
                                            <input type="checkbox" id="declaration" class="form-check-input" required {{ $location->declaration ? 'checked' : '' }}>
                                            <label for="declaration" class="form-check-label">
                                                {{ __('users.declaration') }}
                                            </label>
                                        </div>

                                        <div class="form-group d-flex justify-content-between">
                                            <button type="submit" class="btn btn-success">{{ __('other.save') }}</button>
                                            <a href="{{ route('competency.index',['locale' => app()->getLocale()]) }}" class="btn btn-primary">{{ __('users.request') }}</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </section>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light-secondary" data-bs-dismiss="modal">{{ __('other.close') }}</button>
                </div>
            </div>
        </div>
    </div>
    @endforeach
    @endforeach
</div>