@extends('layouts.app-bo')
@section('title', __('users.create_users'))
@section('content')

<style>
    .readonly {
        background-color: #e9ecef;
    }

    /* Added styles */
    .card {
        box-shadow: 0 4px 8px rgba(0,0,0,0.1);
        border-radius: 8px;
    }

    .card-body {
        padding: 2rem;
    }

    .page-title h3 {
        color: #2c3e50;
        font-weight: 600;
        margin-bottom: 2rem;
    }

    .form-control {
        border-radius: 4px;
        border: 1px solid #dce4ec;
    }

    .form-control:focus {
        border-color: #3498db;
        box-shadow: 0 0 0 0.2rem rgba(52,152,219,0.25);
    }

    .btn {
        border-radius: 4px;
        padding: 8px 16px;
        font-weight: 500;
    }

    .btn-success {
        background-color: #2ecc71;
        border-color: #27ae60;
    }

    .btn-success:hover {
        background-color: #27ae60;
        border-color: #219a52;
    }

    .btn-info {
        background-color: #3498db;
        border-color: #2980b9;
    }

    .btn-info:hover {
        background-color: #2980b9;
        border-color: #2472a4;
    }

    .control-label {
        font-weight: 500;
        color: #34495e;
    }

    .checkbox-label {
        font-weight: normal;
    }

    hr {
        border-top: 1px solid #eee;
        margin: 2rem 0;
    }

    .alert-danger {
        border-radius: 4px;
    }

    .help-block-error {
        color: #e74c3c;
        font-size: 0.875rem;
        margin-top: 5px;
    }
</style>

<div class="main-content container-fluid">
    <div class="page-title text-center">
        <h3>{{ __('users.create_users') }}</h3>
    </div>

    <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
        <!-- start Input Text Bold -->
        <div class="card w-100">
            <div class="card-body">
                <div class="text-center">
                    <button type="button" id="btn-generate" class="btn btn-success" name="" value="" style="margin: 5px" onclick="generate()">{{ __("users.generate_username_password_matricule") }}</button>
                </div>
                <br />
                <section class="section">
                    <form action="{{ route('users.store', ['locale' => app()->getLocale(), 'id' => $company->id]) }}" method="post" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-id_field required has-error">
                                    <label class="control-label" for="id_field">{{ __('users.id_matricule_num') }}</label>
                                    <input type="text" id="id_field" class="form-control input-lg @error('uid') is-invalid @enderror" name="uid" maxlength="64" aria-required="true" aria-invalid="true" readonly='' value="{{ old('uid') }}">
                                    @error('uid')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group field-already-has-matricule">
                                    <div class="checkbox">
                                        <label for="already-has-matricule">
                                            <input type="hidden" name="Users[useAutomaticMatricule]" value="0"><input type="checkbox" id="already-has-matricule" name="Users[useAutomaticMatricule]" value="1" onchange="matriculeExists(this);" {{ old('Users.useAutomaticMatricule') == 1 ? 'checked' : '' }}>
                                            {{ __('users.manually_matricule') }}
                                        </label>
                                        <p class="help-block help-block-error"></p>

                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <input type="hidden" id="company" value="DÉMO PAÉLO">
                                <input type="hidden" id="matricule" value="153">
                                <div class="form-group field-username_field required has-success">
                                    <label class="control-label" for="username_field">{{ __('users.username') }}</label>
                                    <input type="text" id="username_field" class="form-control input-lg @error('username') is-invalid @enderror" name="username" maxlength="64" aria-required="true" aria-invalid="false" value="{{ old('username') }}" required>
                                    @error('username')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-personID_field">
                                    <label class="control-label" for="personID_field">{{ __('users.person_id') }}</label>
                                    <input type="text" id="personID_field" class="form-control input-lg @error('person_id') is-invalid @enderror" name="person_id" maxlength="64" value="{{ old('person_id') }}">
                                    @error('person_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-fname_field has-success">
                                    <label class="control-label" for="fname_field">{{ __('users.first_name') }}</label>
                                    <input type="text" id="fname_field" class="form-control input-lg @error('fname') is-invalid @enderror" name="fname" maxlength="60" aria-invalid="false" value="{{ old('fname') }}">
                                    @error('fname')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-lname_field required has-success">
                                    <label class="control-label" for="lname_field">{{ __('users.last_name') }}</label>
                                    <input type="text" id="lname_field" class="form-control input-lg @error('lname') is-invalid @enderror" name="lname" maxlength="60" aria-required="true" aria-invalid="false" value="{{ old('lname') }}">
                                    @error('lname')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-sex">
                                    <label class="control-label" for="users-sex">{{ __('users.sex') }}</label>
                                    <select id="users-sex" class="form-control input-lg @error('sex') is-invalid @enderror" name="sex">
                                        <option value="">Select ...</option>
                                        <option value="0" {{ old('sex') == '0' ? 'selected' : '' }}>{{ __('users.male') }}</option>
                                        <option value="1" {{ old('sex') == '1' ? 'selected' : '' }}>{{ __('users.female') }}</option>
                                    </select>
                                    @error('sex')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-dateofbirth_field">
                                    <label class="control-label" for="dateofbirth_field">{{ __('users.date_of_birth') }}</label>
                                    <input type="date" id="dateofbirth_field" class="form-control input-lg @error('dateofbirth') is-invalid @enderror" name="dateofbirth" value="{{ old('dateofbirth') }}">
                                    @error('dateofbirth')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-place_of_birth">
                                    <label class="control-label" for="users-place_of_birth">{{ __('users.place_of_birth') }}</label>
                                    <select id="users-place_of_birth" class="form-control input-lg @error('place_of_birth_id') is-invalid @enderror" name="place_of_birth_id">
                                        <option value="">Select ...</option>
                                        @foreach($placeofbirths as $placeofbirth)
                                        <option value="{{ $placeofbirth->id }}" {{ old('place_of_birth_id') == $placeofbirth->id ? 'selected' : '' }}>{{ $placeofbirth->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('place_of_birth_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-nas">
                                    <label class="control-label" for="users-nas">NAP</label>
                                    <input type="text" id="users-nas" class="form-control input-lg @error('nas') is-invalid @enderror" name="nas" value="{{ old('nas') }}">
                                    @error('nas')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                        </div>


                        <div class="row">

                            <div class="col-lg-4">
                                <div class="form-group field-users-email">
                                    <label class="control-label" for="users-email">{{ __('users.corporate_e_mail') }}</label>
                                    <input type="text" id="users-email" class="form-control input-lg @error('email') is-invalid @enderror" name="email" maxlength="50" value="{{ old('email') }}">
                                    @error('email')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-email2">
                                    <label class="control-label" for="users-email2">{{ __('users.personal_e_mail') }}</label>
                                    <input type="text" id="users-email2" class="form-control input-lg @error('email2') is-invalid @enderror" name="email2" maxlength="50" value="{{ old('email2') }}">
                                    @error('email2')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-minority">
                                    <label class="control-label" for="users-minority">{{ __('users.visible_minority') }}</label>
                                    <select id="users-minority" class="form-control input-lg @error('minority') is-invalid @enderror" name="minority">
                                        <option value="">Select ...</option>
                                        <option value="0" {{ old('minority') == '0' ? 'selected' : '' }}>{{ __('users.no') }}</option>
                                        <option value="1" {{ old('minority') == '1' ? 'selected' : '' }}>{{ __('users.yes') }}</option>
                                    </select>
                                    @error('minority')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-lang">
                                    <label class="control-label" for="users-lang">{{ __('users.language') }}</label>
                                    <select id="users-lang" class="form-control input-lg @error('lang') is-invalid @enderror" name="lang">
                                        @foreach($langues as $langue)
                                        <option value="{{ $langue->id }}" {{ old('lang') == $langue->id ? 'selected' : '' }}>{{ $langue->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('lang')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-datestart">
                                    <label class="control-label" for="users-datestart">{{ __('users.start_date') }}</label>
                                    <input type="date" id="users-datestart" class="form-control input-lg @error('datestart') is-invalid @enderror" name="datestart" value="{{ old('datestart') }}">
                                    @error('datestart')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-datestop">
                                    <label class="control-label" for="users-datestop">{{ __('users.stop_date') }}</label>
                                    <input type="date" id="users-datestop" class="form-control input-lg @error('datestop') is-invalid @enderror" name="datestop" value="{{ old('datestop') }}">
                                    @error('datestop')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-port_attach_id">
                                    <label class="control-label" for="users-port_attach_id">{{ __('users.portofregistry') }}</label>
                                    <select id="users-port_attach_id" class="form-control input-lg @error('port_attach_id') is-invalid @enderror" name="port_attach_id">
                                        <option value="">Select ...</option>
                                        @foreach ($portofregistrys as $portofregistry)
                                        <option value="{{ $portofregistry->id }}" {{ old('port_attach_id') == $portofregistry->id ? 'selected' : '' }}>{{ $portofregistry->port_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('port_attach_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-adress">
                                    <label class="control-label" for="users-adress">{{ __('users.adress') }}</label>
                                    <input type="text" id="users-adress" class="form-control input-lg @error('adress') is-invalid @enderror" name="adress" maxlength="255" value="{{ old('adress') }}">
                                    @error('adress')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-txtPhoneNo">
                                    <label class="control-label" for="txtPhoneNo">{{ __('users.phone_number') }}</label>
                                    <input type="text" id="txtPhoneNo" class="form-control input-lg @error('phone_number') is-invalid @enderror" name="phone_number" maxlength="12" value="{{ old('phone_number') }}">
                                    @error('phone_number')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-emergencycontact">
                                    <label class="control-label" for="users-emergencycontact">{{ __('users.emergency_contact') }}</label>
                                    <input type="text" id="users-emergencycontact" class="form-control @error('emergency_contact') is-invalid @enderror" name="emergency_contact" maxlength="255" value="{{ old('emergency_contact') }}">
                                    @error('emergency_contact')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-txtPhoneNoEmer">
                                    <label class="control-label" for="txtPhoneNoEmer">{{ __('users.emergency_phone_number') }}</label>
                                    <input type="text" id="txtPhoneNoEmer" class="form-control @error('emergency_phone_number') is-invalid @enderror" name="emergency_phone_number" maxlength="12" value="{{ old('emergency_phone_number') }}">
                                    @error('emergency_phone_number')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                        </div>

                        <br>
                        <hr>
                        <br>
                        <div class="row">

                            <div class="col-lg-4">
                                <div class="form-group field-users-department">
                                    <label class="control-label" for="users-department">{{ __('users.department') }}</label>
                                    <select id="users-department" class="form-control input-lg @error('department_id') is-invalid @enderror" name="department_id">
                                        <option value="">Select ...</option>
                                        @foreach ($departments as $department)
                                        <option value="{{ $department->id }}" {{ old('department_id') == $department->id ? 'selected' : '' }}>{{ $department->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('department_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-subdepartment">
                                    <label class="control-label" for="users-subdepartment">{{ __('users.sub_department') }}</label>
                                    <select id="users-subdepartment" class="form-control input-lg @error('subdepartment_id') is-invalid @enderror" name="subdepartment_id">
                                        <option value="">Select ...</option>
                                        @foreach ($subdepartments as $subdepartment)
                                        <option value="{{ $subdepartment->id }}" {{ old('subdepartment_id') == $subdepartment->id ? 'selected' : '' }}>{{ $subdepartment->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('subdepartment_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-location">
                                    <label class="control-label" for="users-location">{{ __('users.location_division') }}</label>
                                    <select id="users-location" class="form-control input-lg @error('location_id') is-invalid @enderror" name="location_id">
                                        <option value="">Select ...</option>
                                        @foreach ($locations as $location)
                                        <option value="{{ $location->id }}" {{ old('location_id') == $location->id ? 'selected' : '' }}>{{ $location->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('location_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-job_status">
                                    <label class="control-label" for="users-job_status">{{ __('users.job_status') }}</label>
                                    <select id="users-job_status" class="form-control input-lg @error('job_status') is-invalid @enderror" name="job_status">
                                        <option value="">Select ...</option>
                                        <option value="1" {{ old('job_status') == '1' ? 'selected' : '' }}>{{ __('users.permanent') }}</option>
                                        <option value="2" {{ old('job_status') == '2' ? 'selected' : '' }}>{{ __('users.permanent_part_time') }}</option>
                                        <option value="3" {{ old('job_status') == '3' ? 'selected' : '' }}>{{ __('users.temporary_full_time') }}</option>
                                        <option value="4" {{ old('job_status') == '4' ? 'selected' : '' }}>{{ __('users.temporary_part_time') }}</option>
                                    </select>
                                    @error('job_status')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-employer">
                                    <label class="control-label" for="users-employer">{{ __('users.employer') }}</label>
                                    <select id="users-employer" class="form-control input-lg @error('employer_id') is-invalid @enderror" name="employer_id" oninvalid="this.setCustomValidity(&quot;An employer/contractor must be selected for a Contractor Responsible User&quot;)" oninput="this.setCustomValidity(&quot;&quot;)">
                                        <option value="">Select ...</option>
                                        @foreach ($employers as $employer)
                                        <option value="{{ $employer->id }}" {{ old('employer_id') == $employer->id ? 'selected' : '' }}>{{ $employer->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('employer_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-sectionid">
                                    <label class="control-label" for="users-sectionid">Section</label>
                                    <select id="users-sectionid" class="form-control input-lg @error('section_id') is-invalid @enderror" name="section_id">
                                        <option value="">Select ...</option>
                                        @foreach ($sections as $section)
                                        <option value="{{ $section->id }}" {{ old('section_id') == $section->id ? 'selected' : '' }}>{{ $section->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('section_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-teamid">
                                    <label class="control-label" for="users-teamid">{{ __('users.team') }}</label>
                                    <select id="users-teamid" class="form-control input-lg @error('team_id') is-invalid @enderror" name="team_id">
                                        <option value="">Select ...</option>
                                        @foreach ($teams as $team)
                                        <option value="{{ $team->id }}" {{ old('team_id') == $team->id ? 'selected' : '' }}>{{ $team->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('team_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-employecategoryid">
                                    <label class="control-label" for="users-employecategoryid">{{ __('users.employee_categories') }}</label>
                                    <select id="users-employecategoryid" class="form-control input-lg @error('employe_category_id') is-invalid @enderror" name="employe_category_id">
                                        <option value="">Select ...</option>
                                        @foreach ($employeeCategories as $emploayerc)
                                        <option value="{{ $emploayerc->id }}" {{ old('employe_category_id') == $emploayerc->id ? 'selected' : '' }}>{{ $emploayerc->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('employe_category_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-jobid">
                                    <label class="control-label" for="users-jobid">{{ __('users.job') }}</label>
                                    <select id="users-jobid" class="form-control input-lg @error('work_id') is-invalid @enderror" name="work_id">
                                        <option value="">Select ...</option>
                                        @foreach ($jobs as $job)
                                        <option value="{{ $job->id }}" {{ old('work_id') == $job->id ? 'selected' : '' }}>{{ $job->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('work_id')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-status required">
                                    <label class="control-label" for="users-status">{{ __('users.status') }}</label>
                                    <select id="users-status" class="form-control input-lg @error('status') is-invalid @enderror" name="status" aria-required="true">
                                        <option value="">Select ...</option>
                                        <option value="-1" {{ old('status') == '-1' ? 'selected' : '' }}>{{ __('users.temporary') }}</option>
                                        <option value="0" {{ old('status') == '0' ? 'selected' : '' }}>{{ __('users.inactive') }}</option>
                                        <option value="1" {{ old('status') == '1' ? 'selected' : 'selected' }}>{{ __('users.active') }}</option>
                                    </select>
                                    @error('status')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-authassignment-item_name required">
                                    <label class="control-label" for="authassignment-item_name">Role</label>
                                    <select id="authassignment-item_name" class="form-control input-lg @error('ref') is-invalid @enderror" name="ref" onchange="test();" aria-required="true" required>
                                        <option value="">Select ...</option>
                                        @foreach ($rols as $rol)
                                        <option value="{{ $rol->id }}" {{ old('ref') == $rol->id ? 'selected' : '' }}>{{ $rol->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('ref')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group field-users-companyid">
                                    <label class="control-label" for="users-companyid">{{ __('users.company') }}</label>
                                    <input type="text" id="users-company" class="form-control input-lg readonly" value="{{ $company->name }}" readonly>

                                    <p class="help-block help-block-error"></p>
                                </div>
                                {{-- <div class="form-group field-users-companyid">

                                    <input type="hidden" id="users-companyid" class="form-control" name="company_id" value="">

                                    <p class="help-block help-block-error"></p>
                                </div> --}}
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group field-users-password required has-success">
                                    <label class="control-label" for="users-password">{{ __('users.password') }}</label>
                                    <input type="password" id="users-password" class="form-control input-lg @error('password') is-invalid @enderror" name="password" maxlength="64" autocomplete="new-password" aria-required="true" aria-invalid="false">
                                    @error('password')
                                        <div class="help-block help-block-error">{{ $message }}</div>
                                    @enderror
                                </div> <input type="checkbox" id="reveal-password" name="reveal-password" value="1" style="margin-right: 10px; margin-left: 10px; margin-top: 0px; left: 100px;"><label for="reveal-password">{{ __('app.show_password') }}</label>
                            </div>
                            <div class="col-lg-4">
                            </div>
                            <div class="col-lg-4 mt-4">
                                <div class="form-group field-users-isadminreq has-success">
                                    <div class="checkbox">
                                        <label class="checkbox-label" for="users-isadminreq">
                                            <input type="hidden" name="is_adminreq" value="0"><input type="checkbox" id="users-isadminreq" name="isAdminreq" value="1" aria-invalid="false">
                                            {{ __('users.requisition_s_adminnistrator') }}
                                        </label>
                                        <p class="help-block help-block-error"></p>

                                    </div>
                                </div>
                                <div class="form-group field-users-islockoutresp has-success">
                                    <div class="checkbox">
                                        <label class="checkbox-label" for="users-islockoutresp">
                                            <input type="hidden" name="is_lockout_resp" value="0"><input type="checkbox" id="users-islockoutresp" name="isLockoutResp" value="1" aria-invalid="false">
                                            {{ __('users.is_responsible_lockout') }}
                                        </label>
                                        <p class="help-block help-block-error"></p>

                                    </div>
                                </div>

                                <div class="form-group field-users-isprocedureresp has-success">
                                    <div class="checkbox">
                                        <label class="checkbox-label" for="users-isprocedureresp">
                                            <input type="hidden" name="is_procedure_resp" value="0"><input type="checkbox" id="users-isprocedureresp" name="isProcedureResp" value="1" aria-invalid="false">
                                            {{ __('users.is_responsible_procedure') }}
                                        </label>
                                        <p class="help-block help-block-error"></p>

                                    </div>
                                </div>
                                
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group mb-4" style="display: flex; align-items: center; justify-content: center;">
                                <a href="{{ route('users.index', [$locale, $is_temporary]) }}" class="btn btn-info">
                                    <span class="glyphicon glyphicon-circle-arrow-left"></span>  {{ __('users.back') }}
                                </a>
                                &nbsp;
                                <button type="submit" class="btn btn-success"> {{ __('app.save') }}</button>
                            </div>
                        </div>


            </div>
            </form>
            </section>
        </div>
    </div>
</div>
</div>
<script>
   
    // Function to toggle password visibility
    $(document).ready(function() {
        $('#reveal-password').change(function() {
            if ($(this).is(':checked')) {
                $('#users-password').attr('type', 'text');
            } else {
                $('#users-password').attr('type', 'password'); 
            }
        });

        $('#id_field').addClass('readonly');
        $('#already-has-matricule').change(function() {
            if ($(this).is(':checked')) {
                $('#id_field').val(''); 
                document.getElementById('id_field').readOnly = false; 
                $('#id_field').removeClass('readonly');
        
            }
            else {
                document.getElementById('id_field').readOnly = true;
                $('#id_field').addClass('readonly');
                $('#id_field').val(companyInitial);
            }
        });

    $("[id^=txtPhoneNo]").keydown(function(e) {
        if (e.key === "Backspace" || e.key === "Delete") return;
        if ($(this).val().length == 3) {
            $(this).val($(this).val() + "-");
        } else if ($(this).val().length == 7) {
            $(this).val($(this).val() + "-");
        }

        const keyCode = event.keyCode;
        const excludedKeys = [8, 37, 39, 46];

        if (!((keyCode >= 48 && keyCode <= 57) ||
        (keyCode >= 96 && keyCode <= 105) ||
        (excludedKeys.includes(keyCode)))) {
        event.preventDefault();
        }
    });

    $("[id^=txtPhoneNoEmer]").keydown(function(e) {
        if (e.key === "Backspace" || e.key === "Delete") return;
        if ($(this).val().length == 3) {
            $(this).val($(this).val() + "-");
        } else if ($(this).val().length == 7) {
            $(this).val($(this).val() + "-");
        }

        const keyCode = event.keyCode;
        const excludedKeys = [8, 37, 39, 46];

        if (!((keyCode >= 48 && keyCode <= 57) ||
        (keyCode >= 96 && keyCode <= 105) ||
        (excludedKeys.includes(keyCode)))) {
        event.preventDefault();
            }
        });
    });

    function generate() {    
        if($('#lname_field').val() === "" || $('#fname_field').val() === ""){
            alert("{{ __('Please fill both first and last name.') }}");
            return;
        }

        var login = $('#lname_field').val() + '.' + $('#fname_field').val();
        login = login.replace(" ", "_");

        // Get matricule ID via AJAX
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.open("GET", "{{ route('users.generate-matricule-id', ['locale' => $locale, 'company_id' => $company->id]) }}", false); // false for synchronous request
        xmlHttp.send(null);
        //parse response
        let response = JSON.parse(xmlHttp.responseText);
        let id = response.matricule;
        
        //set value
        $('#username_field').val(login.toLowerCase());
        // $('#id_field').val(companyInitial);
        $('#id_field').val(id);
        
        random();

    }

    function random() {
        const length = 10;
        const uppercaseChars = 'ABCDEFGHJKLMNPQRSTUVWXYZ'; // Excluding 'O'
        const lowercaseChars = 'abcdefghijkmnpqrstuvwxyz'; // Excluding 'o'
        const numbers = '123456789'; // Excluding '0'

        // Ensure we have at least one of each required character type
        let password = '';
        password += uppercaseChars[Math.floor(Math.random() * uppercaseChars.length)];
        password += lowercaseChars[Math.floor(Math.random() * lowercaseChars.length)];
        password += numbers[Math.floor(Math.random() * numbers.length)]; 5

        // Create the remaining part of the password
        const allChars = uppercaseChars + lowercaseChars + numbers;
        for (let i = 3; i < length; i++) {
            password += allChars[Math.floor(Math.random() * allChars.length)];
        }

        // Shuffle the password to avoid predictable patterns
        password = password.split('').sort(() => 0.5 - Math.random()).join('');

        console.log(password);
        $('#users-password').val(password);
    }


    // Fonction pour activer/désactiver le mode lecture seule du champ ID
    function matriculeExists(checkbox) {
        var idField = document.getElementById('id_field');
        if (checkbox.checked) {
            idField.removeAttribute('readonly');
        } else {
            idField.setAttribute('readonly', 'readonly');
        }
    }
</script>
@endsection