<div class="tab-pane fade" id="pills-document" role="tabpanel" aria-labelledby="pills-document-tab" tabindex="0">
    <div class="row">
        <div class="main-content w-100">
            <section class="section">
                <div class="card">
                    <div class="card-body">
                        <div class="container-fluid mt-12">
                            <h2 class="text-center">{{ __("app.create") }} {{ __("app.external_file") }} {{ __("app.training") }}</h2>
                            <form action="{{ route('users.ExternalTrainingFolder', ['locale' => app()->getLocale(), 'user' => $user->id]) }}" method="POST" enctype="multipart/form-data">
                                @csrf

                                <!-- Champ pour le fichier -->
                                <div class="mb-3">
                                    <label for="externalTrainingFile" class="form-label">{{ __("app.external_file") }}</label>
                                    <div class="input-group">
                                        <input type="file" name="filetype" class="form-control" id="externalTrainingFile" placeholder="Select file ..." required>
                                    </div>
                                </div>

                                <!-- Champ pour la description -->
                                <div class="mb-3">
                                    <label for="description" class="form-label">{{ __("app.description") }}</label>
                                    <textarea name="description" class="form-control" id="description" rows="5"></textarea>
                                </div>

                                <!-- Champ caché pour l'ID de l'utilisateur -->
                                <input type="hidden" name="user_id" value="{{ $user->id }}">

                                <!-- Bouton de soumission -->
                                <button type="submit" class="btn btn-primary mb-3">Save</button>
                            </form>

                            <table class="table table-bordered w-100">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>{{ __("app.description") }}</th>
                                        <th>{{ __("app.filename") }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($documents as $document)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $document->description }}</td>
                                        <td>{{ $document->filename }}</td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="4">Aucun document trouvé.</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            <div class="d-flex justify-content-between">
                                <button type="button" class="btn btn-secondary"><i class="fas fa-arrow-left"></i> {{ __("app.back") }}</button>
                                <button type="button" class="btn btn-secondary"><i class="fas fa-clone"></i> {{ __("app.duplicate") }}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>