<div class="tab-pane fade" id="pills-itinerary" role="tabpanel" aria-labelledby="pills-itinerary-tab" tabindex="0">
    <div class="row">
        <div class="main-content container-fluid">
            <section class="section">
                <div class="card">
                    <div class="card-body">
                        <div class="d-md-flex align-items-center justify-content-between">
                            <div class="mb-4 mb-md-0">
                                <h4 class="card-title">
                                    <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                                    {{ __("app.job_itineraries") }}
                                </h4>
                            </div>

                        </div>
                        <div class="{{ $setting->table_div_class }}">
                            <table class="{{ $setting->table_class }}">
                                <thead class="{{ $setting->table_thead_class }}">
                                    <tr>
                                        <th>{{ __("app.job_itineraries") }}</th>
                                        <th>{{ __("app.description") }}</th>
                                        <th>{{ __("app.category") }}</th>
                                        <th>{{ __("app.training_name") }}</th>
                                        <th>{{ __("app.platform_name") }}</th>
                                        <th>{{ __("app.status") }}</th>
                                        <th>{{ __("app.trainee_progress") }}</th>
                                    </tr>
                                </thead>
                                <tbody class="{{ $setting->table_tbody_class }}">
                                    @foreach ($job_training_groups as $job_training_group)
                                    @php
                                    // Filtrer les formations par catégorie et plateforme
                                    $validTrainings = $job_training_group->trainings->filter(function ($training) {
                                    return $training->platform_id == 1;
                                    });
                                    @endphp

                                    <tr>
                                        <td>{{ $job_training_group->name }}</td>
                                        <td>{{ $job_training_group->description }}</td>
                                        <td>
                                            @foreach ($categories as $category)
                                            @php
                                            $categoryTrainings = $validTrainings->filter(function ($training) use ($category) {
                                            return $training->category_id == $category->id;
                                            });
                                            @endphp

                                            @if ($categoryTrainings->isNotEmpty())
                                            <p><b>{{ __('menus.' . $category->code) }}</b></p>

                                            @endif
                                            @endforeach
                                        </td>
                                        <td>
                                            <ul>
                                                @foreach ($validTrainings as $training)
                                                <li>
                                                    <i class="ti ti-box fs-4 me-2"></i>
                                                    {{ $training->prefix }} {{ ' Rev.' . $training->rev }} {{ $training->name }}
                                                </li>
                                                @endforeach
                                            </ul>
                                        </td>
                                        <td>
                                            {{-- Exemple pour le nom de la plateforme --}}
                                            @foreach ($validTrainings->unique('platform_id') as $training)
                                            {{ $training->platform->type }}
                                            @endforeach
                                        </td>
                                        <td>
                                            {{-- Exemple de statut (à ajuster selon ton modèle) --}}
                                            {{ $job_training_group->status ?? __('app.not_available') }}
                                        </td>
                                        <td class="table-actions">
                                            0%
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        let table = new DataTable('#default_order');

        table.columns().every(function() {
            var column = this;

            // Gestion de la recherche dans les colonnes
            $('input, select', this.header()).on('keyup change clear', function() {
                if (column.search() !== this.value) {
                    column.search(this.value).draw();
                }
            });
        });
    });
</script>