@extends('layouts.app-bo')
@section('title', __('users.users'))
@section('content')
<style>
    /* General page styles */
    .main-content {
        padding: 2rem;
        /* background-color: #f8f9fa;*/
    }

    /* Header styles */
    .fs-6 {
        font-size: 1.25rem;
        font-weight: 600;
        color: #2c3e50;
    }

    /* Button styles */
    .btn {
        border-radius: 6px;
        transition: all 0.3s ease;
    }

    .btn:hover {
        transform: translateY(-2px);
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }

    .btn-primary {
        background-color: #4361ee;
        border-color: #4361ee;
    }

    .btn-success {
        background-color: #2ea44f;
        border-color: #2ea44f;
    }

    /* Table styles */
    .table-container {
        overflow-x: auto;
        margin: 1rem 0;
        border-radius: 8px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
    }

    .card {
        border: none;
        border-radius: 12px;
        box-shadow: 0 0 25px rgba(0, 0, 0, 0.05);
        /*background: #fff;*/
    }

    table {
        border-collapse: separate;
        border-spacing: 0;
        width: 100%;
    }

    th,
    td {
        padding: 12px 16px;
        border: 1px solid #e9ecef;
        text-align: left;
        font-size: 0.9rem;
    }

    th {
        background-color: #f8f9fa;
        font-weight: 600;
        color: #2c3e50;
    }

    tbody tr:hover {
        background-color: #f8f9fa;
        transition: background-color 0.3s ease;
    }

    /* Sticky search button styles */
    .sticky-search-button {
        position: sticky;
        top: 0;
        left: 0;
        z-index: 1000;
        background-color: #fff;
        padding: 12px;
        border: 1px solid #e9ecef;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    }

    /* Form control styles */
    .form-control {
        border: 1px solid #e9ecef;
        border-radius: 6px;
        padding: 8px 12px;
        font-size: 0.9rem;
        transition: border-color 0.3s ease;
    }

    .form-control:focus {
        border-color: #4361ee;
        box-shadow: 0 0 0 0.2rem rgba(67, 97, 238, 0.25);
    }

    /* Action button styles */
    .icon {
        padding: 6px;
        margin: 0 2px;
    }



    /* Status indicators */
    .active {
        color: #2ea44f;
        font-weight: 600;
    }

    .inactive {
        color: #e74c3c;
        font-weight: 600;
    }
</style>
<div class="main-content container-fluid">
    <div class="d-md-flex align-items-center justify-content-between mb-7">
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">{{ __('users.users') }}</h4>
        </div>
        <div class="d-flex align-items-center justify-content-between gap-6">
            <a href="{{ route('users.export', $locale) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                <i class="ti ti-file-export fs-4"></i>
                {{ __('app.export') }}
            </a>
            <a href="{{ route('users.create', $locale) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                <i class="ti ti-plus fs-4"></i>
                {{ __('users.create_users') }}
            </a>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body table-responsive">
                <table id="default_order" class="table table-striped table-bordered display text-nowrap">
                    <thead>
                        <tr>
                            <th class="sticky-search-button">#</th>
                            <th class="sticky-search-button">{{ __('users.actions') }}</th>
                            <!-- <th>{{ __('users.id_matricule_num') }}</th> !-->
                            <th>{{ __('users.first_name') }}</th>
                            <th>{{ __('users.last_name') }}</th>
                            <th>{{ __('users.username') }}</th>
                            <th>{{ __('users.date_of_birth') }}</th>
                            <th>{{ __('users.place_of_birth') }}</th>
                            <th>{{ __('users.person_id') }}</th>
                            <th>{{ __('users.role') }}</th>
                            <th>{{ __('users.job') }}</th>
                            <th>{{ __('users.corporate_e_mail') }}</th>
                            <th>{{ __('users.personal_e_mail') }}</th>
                            <th>{{ __('users.language') }}</th>
                            <th>{{ __('users.sex') }}</th>
                            <th>{{ __('users.start_date') }}</th>
                            <th>{{ __('users.stop_date') }}</th>
                            <th>{{ __('users.department') }}</th>
                            <th>{{ __('users.sub_department') }}</th>
                            <th>{{ __('users.location_division') }}</th>
                            <th>{{ __('users.employee_categories') }}</th>
                            <th>{{ __('users.employer') }}</th>
                            <th>{{ __('users.is_responsible_lockout') }}</th>
                            <th>{{ __('users.is_responsible_procedure') }}</th>
                            <th>{{ __('users.requisition_s_adminnistrator') }}</th>
                            <th>{{ __('users.visible_minority') }}</th>
                            <th>{{ __('users.job_status') }}</th>
                            <th>{{ __('users.status') }}</th>
                            <th>{{ __('users.last_login') }}</th>
                            <th>#</th>
                        </tr>
                        <tr class="no-sort">
                            <th><input type="text" class="form-control" placeholder="Rechercher..."></th>
                            <th></th> <!-- Vide pour la colonne actions -->
                            <th><input type="text" class="form-control" placeholder="prénom"></th>
                            <th><input type="text" class="form-control" placeholder="nom"></th>
                            <th><input type="text" class="form-control" placeholder="nom d'utilisateur"></th>
                            <th><input type="text" class="form-control" placeholder="date de naissance"></th>
                            <th><input type="text" class="form-control" placeholder="lieu de naissance"></th>
                            <th><input type="text" class="form-control" placeholder="ID personne"></th>
                            <th><input type="text" class="form-control" placeholder="rôle"></th>
                            <th><input type="text" class="form-control" placeholder="emploi"></th>
                            <th><input type="text" class="form-control" placeholder="email pro"></th>
                            <th><input type="text" class="form-control" placeholder="email perso"></th>
                            <th><input type="text" class="form-control" placeholder="langue"></th>
                            <th><input type="text" class="form-control" placeholder="sexe"></th>
                            <th><input type="text" class="form-control" placeholder="date début"></th>
                            <th><input type="text" class="form-control" placeholder="date fin"></th>
                            <th><input type="text" class="form-control" placeholder="département"></th>
                            <th><input type="text" class="form-control" placeholder="sous-département"></th>
                            <th><input type="text" class="form-control" placeholder="division"></th>
                            <th><input type="text" class="form-control" placeholder="catégorie"></th>
                            <th><input type="text" class="form-control" placeholder="employeur"></th>
                            <th>
                                <select class="form-control">
                                    <option value="">resp. cadenassage</option>
                                    <option value="yes">Yes</option>
                                    <option value="no">No</option>
                                </select>
                            </th>
                            <th>
                                <select class="form-control">
                                    <option value="">resp. procédure</option>
                                    <option value="yes">Yes</option>
                                    <option value="no">No</option>
                                </select>
                            </th>
                            <th>
                                <select class="form-control">
                                    <option value="">admin of requisition</option>
                                    <option value="yes">Yes</option>
                                    <option value="no">No</option>
                                </select>
                            </th>
                            <th>
                                <select class="form-control">
                                    <option value="">visible minority</option>
                                    <option value="yes">Yes</option>
                                    <option value="no">No</option>
                                </select>
                            </th>
                            <th><input type="text" class="form-control" placeholder="statut emploi"></th>
                            <th>
                                <select class="form-control">
                                    <option value="">statut</option>
                                    <option value="yes">Yes</option>
                                    <option value="no">No</option>
                                </select>
                            </th>
                            <th><input type="text" class="form-control" placeholder="dernière connexion"></th>
                            <th><input type="text" class="form-control" placeholder="#"></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($users as $user)
                        <tr>
                            <td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->id }}</a></td>
                            <td class="sticky-search-button">
                                <a href="{{ route('users.view', [$locale, $user->id]) }}" class="btn icon btn-info" title="View">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                        <path d="M12 4c-4.9 0-8.8 5.1-8.8 6s3.9 6 8.8 6 8.8-5.1 8.8-6-3.9-6-8.8-6zm0 10c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z" />
                                    </svg>
                                </a>
                                <a href="{{ route('users.edit', [$locale, $user->id]) }}" class="btn icon btn-warning" title="Edit">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="16" height="16">
                                        <path d="M20.71 7.04l-3.75-3.75c-.78-.78-2.05-.78-2.83 0L2.29 16.29c-.39.39-.6.91-.6 1.46v4.25c0 .41.34.75.75.75h4.25c.55 0 1.07-.21 1.46-.6L20.71 9.87c.39-.39.6-.91.6-1.46v-4.25c0-.41-.34-.75-.75-.75zm-13.16 12.52l-1.85.62.62-1.85 9.33-9.33 1.23 1.23-9.33 9.33z" />
                                    </svg>
                                </a>
                                <a href="{{ route('users.loginAs', [$locale, $user->id]) }}" class="btn icon btn-success" title="Login As">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                        <path fill="currentColor" d="M10 11V8l5 4l-5 4v-3H1v-2zm-7.542 4h2.124A8.003 8.003 0 0 0 20 12A8 8 0 0 0 4.582 9H2.458C3.732 4.943 7.522 2 12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10c-4.478 0-8.268-2.943-9.542-7" />
                                    </svg>
                                </a>
                                @if ($user->email || $user->email)
                                <a href="{{ route('users.sendNotification', [$locale, $user]) }}" class="btn icon btn-primary" title="Send Email">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-mail">
                                        <path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path>
                                        <polyline points="22,6 12,13 2,6"></polyline>
                                    </svg>

                                </a>
                                @endif
                            </td>
                            <!--<td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->ref }}</a></td>!-->
                            <td>{{ $user->fname }}</td>
                            <td>{{ $user->lname }}</td>
                            <td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->username }}</a></td>
                            <td>{{ $user->dateofbirth }}</td>
                            <td>{{ optional($user->place_of_birth)->name }}</td>
                            <td>{{ $user->person_id }}</td>
                            <td>{{ optional(optional($user->role_user)->role)->name }}</td>
                            <td>{{ optional($user->work)->name }}</td>
                            <td>{{ $user->email }}</td>
                            <td>{{ $user->email2 }}</td>
                            <td>{{ $user->lang }}</td>
                            <td>{{ $user->sex }}</td>
                            <td>{{ $user->datestart }}</td>
                            <td>{{ $user->datestop }}</td>
                            <td>{{ optional($user->department)->name }}</td>
                            <td>{{ optional($user->subdepartment)->name }}</td>
                            <td>{{ optional($user->location)->location_name }}</td>
                            <td>{{ optional($user->employee_category)->name }}</td>
                            <td>{{ optional($user->employer)->name }}</td>
                            <td><span class="badge {{ $user->is_lockout_resp == 1 ? 'bg-success' : 'bg-danger' }}">{{ $user->is_lockout_resp == 1 ? 'Yes' : 'No' }}</span></td>
                            <td><span class="badge {{ $user->is_lockout_resp == 1 ? 'bg-success' : 'bg-danger' }}">{{ $user->is_lockout_resp == 1 ? 'Yes' : 'No' }}</span></td>
                            <td><span class="badge {{ $user->is_adminreq == 1 ? 'bg-success' : 'bg-danger' }}">{{ $user->is_adminreq == 1 ? 'Yes' : 'No' }}</span></td>
                            <td><span class="badge {{ $user->minority == 1 ? 'bg-success' : 'bg-danger' }}">{{ $user->minority == 1 ? 'Yes' : 'No' }}</span></td>
                            <td>{{ $user->job_status  }}</td>
                            <td><span class="badge {{ $user->status == 1 ? 'bg-success' : 'bg-danger' }}">{{ $user->status == 1 ? 'Active' : 'Inactive' }}</span></td>
                            <td>{{ $user->last_login_at }}</td>
                            <td>{{ $user->id }}</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function() {
        let table = new DataTable('#default_order');

        table.columns().every(function() {
            var column = this;

            // Handle both input and select elements
            $('input, select', this.header()).on('keyup change clear', function() {
                if (column.search() !== this.value) {
                    column.search(this.value).draw();
                }
            });
        });
    });
</script>
@endsection
