@extends('layouts.app-bo')
@section('title', __('app.training'))
@section('content')

    <div class="main-content container-fluid">
        <section>
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <th>{{ __('app.last_name') }}</th>
                                @if($isSupervisor || $isInstructor)
                                    <th>{{ __('app.progress') }}</th>
                                    <th>{{ __('app.attestations') }}</th>
                                    <th>{{ __('app.certifications') }}</th>
                                    <th>{{ __('app.time_spent') }}</th>
                                @endif
                                <th>{{ __('app.actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($trainees as $trainee)
                                <tr>
                                    <td>{{ $trainee->lname }} {{ $trainee->fname }}</td>
                                    
                                @if($isSupervisor || $isInstructor)
                                    <td>
                                        @if($isSupervisor)
                                            @php
                                                    $progress = \App\Models\TrackRecord::where('trainee', 3)
                                                    ->join('user_training', 'track_record.user_training_id', '=', 'user_training.id')
                                                    ->join('supervisors', 'user_training.id', '=', 'supervisors.user_training_id')
                                                    ->where('user_training.user_id', $trainee->id)
                                                    ->where('supervisors.user_id', auth()->user()->id)
                                                
                                                    ->count();

                                                $total = \App\Models\TrackRecord::join('user_training', 'track_record.user_training_id', '=', 'user_training.id')
                                                    ->join('training', 'user_training.training_id', '=', 'training.id')
                                                    ->join('supervisors', 'user_training.id', '=', 'supervisors.user_training_id')
                                                    ->where('user_training.user_id', $trainee->id)
                                                    ->where('supervisors.user_id', auth()->user()->id)
                                                    ->where('training.category_id', 3)
                                                    ->count();

                                                $percentage = $total > 0 ? round(($progress / $total) * 100) : 0;
                                            @endphp

                                            <div class="progress" style="height: 20px;">
                                                <div class="progress-bar bg-primary" role="progressbar" 
                                                    style="width: {{ $percentage }}%; height: 20px;" 
                                                    aria-valuenow="{{ $percentage }}" 
                                                    aria-valuemin="0" 
                                                    aria-valuemax="100">
                                                    {{ $percentage }}%
                                                </div>
                                            </div>
                                        @endif
                                        @if($isInstructor)
                                            @php
                                                $progress = \App\Models\TrackRecord::where('trainee', 3)
                                                    ->join('user_training', 'track_record.user_training_id', '=', 'user_training.id')
                                                    ->join('instructors', 'user_training.id', '=', 'instructors.user_training_id')
                                                    ->where('user_training.user_id', $trainee->id)
                                                    ->where('instructors.user_id', auth()->user()->id)
                                                
                                                    ->count();

                                                $total = \App\Models\TrackRecord::join('user_training', 'track_record.user_training_id', '=', 'user_training.id')
                                                    ->join('training', 'user_training.training_id', '=', 'training.id')
                                                    ->join('instructors', 'user_training.id', '=', 'instructors.user_training_id')
                                                    ->where('user_training.user_id', $trainee->id)
                                                    ->where('instructors.user_id', auth()->user()->id)
                                                    ->where('training.category_id', 3)
                                                    ->count();

                                                $percentage = $total > 0 ? round(($progress / $total) * 100) : 0;
                                            @endphp

                                            <div class="progress" style="height: 20px;">
                                                <div class="progress-bar bg-primary" role="progressbar" 
                                                    style="width: {{ $percentage }}%; height: 20px;" 
                                                    aria-valuenow="{{ $percentage }}" 
                                                    aria-valuemin="0" 
                                                    aria-valuemax="100">
                                                    {{ $percentage }}%
                                                </div>
                                            </div>
                                        @endif
                                    </td>
                                    <td></td>   
                                    <td></td>
                                    <td></td>
                                @endif
                                    <td>
                                        <a href="{{ route('users.traineedetails', [$locale, 'trainee_id' => $trainee->id]) }}" class="btn btn-sm btn-primary">
                                            <iconify-icon icon="ph:select"></iconify-icon>
                                            {{ __('app.select') }}
                                        </a>

                                    </td>
                                </tr>

                            @empty
                                <tr>
                                    <td colspan="3" class="text-center">{{ __('app.no_trainees_found') }}</td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
        </section>
    </div>

    @include('lib.training-confirm-dialog')
@endsection
