@extends('layouts.app-bo')
@section('title', __('users.user'))
@section('content')

    <div class="main-content container-fluid">
        <div class="card">
            <div class="card-body">

                <h3>{{ __('app.select_users_for') }} {{ __('app.' . $role) }}</h3>

                <form method="POST" action="{{ route('users.saveSelect', [$locale, 'role' => $role, 'userID' => $userID, 'userTrainingID' => $userTrainingID]) }}">
                    @csrf
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th>
                                    <input type="checkbox" id="checkAll" />
                                </th>
                                <th>{{ __('app.first_name') }}</th>
                                <th>{{ __('app.last_name') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($model as $item)
                                <tr>
                                    <td>
                                        <input type="checkbox" name="selection[]" value="{{ $item->id }}" />
                                    </td>
                                    <td>{{ $item->fname }}</td>
                                    <td>{{ $item->lname }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>

                    <div class="form-group">
                        <a href="{{ url()->previous() }}" class="btn btn-danger me-2"><iconify-icon icon="ph:arrow-left-bold"></iconify-icon> {{ __('app.back') }}</a>
                        <button type="submit" class="btn btn-success"><iconify-icon icon="ph:plus-bold"></iconify-icon> {{ __('app.add') }}</button>
                    </div>
                </form>
            </div>

        </div>

    </div>
    <script>
        document.getElementById('checkAll').onclick = function() {
            const checkboxes = document.querySelectorAll('input[type="checkbox"]');
            checkboxes.forEach(checkbox => {
                checkbox.checked = this.checked;
            });
        };
    </script>

@endsection
