@extends('layouts.app-bo')
@section('title', __('users.users'))
@section('content')
<style>
    .table-container {
    overflow-x: auto;
}

table {
    border-collapse: collapse;
    width: 100%;
}

th, td {
    /*padding: 8px 16px;*/
    border: 1px solid #ddd;
    text-align: left;
}

.sticky-search-button {
        position: -webkit-sticky;
        /* Pour Safari */
        position: sticky;
        top: 0;
        left: 0;
        z-index: 1000;
        /* Assurez-vous qu'il reste au-dessus des autres éléments */
        background-color: #fff;
        /* Arrière-plan blanc pour s'assurer qu'il est visible */
        padding: 5px;
        /* Ajouter du padding pour l'espacement */
        border: 1px solid #ddd;
        /* Ajouter une bordure pour le style */
    }

</style>
<div class="main-content container-fluid">
    <div class="d-md-flex align-items-center justify-content-between mb-7">
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">{{ __('users.send_notification') }}</h4>
        </div>
        <div class="d-flex align-items-center justify-content-between gap-6">
            <a href="{{ route('users.create', $locale) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                <i class="ti ti-plus fs-4"></i>
                {{ __('users.create_users') }}
            </a>
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body table-responsive">

                <div class="row">
                    <div class="col-md-6">
                        <div class="card">
                            <div class="card-header">
                                <h4>{{ __('users.user_information') }}</h4>
                            </div>
                            <div class="card-body">
                                <div class="form-group">
                                    <label>{{ __('users.first_name') }}</label>
                                    <p class="form-control-static">{{ $user->fname }}</p>
                                </div>
                                <div class="form-group">
                                    <label>{{ __('users.last_name') }}</label>
                                    <p class="form-control-static">{{ $user->lname }}</p>
                                </div>
                                <div class="form-group">
                                    <label>{{ __('users.username') }}</label>
                                    <p class="form-control-static">{{ $user->username }}</p>
                                </div>
                                <div class="form-group">
                                    <label>{{ __('users.corporate_e_mail') }}</label>
                                    <p class="form-control-static">{{ $user->email }}</p>
                                </div>
                                <div class="form-group">
                                    <label>{{ __('users.personal_e_mail') }}</label>
                                    <p class="form-control-static">{{ $user->email2 }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card">
                            <div class="card-header">
                                <h4>{{ __('users.send_notification') }}</h4>
                            </div>
                            <div class="card-body">
                                <form action="{{ route('users.notify', [$locale, $user]) }}" method="POST">
                                    @csrf
                                    <div class="form-group">
                                        <label for="notification_type">{{ __('users.notification_type') }}</label>
                                        <select class="form-control" id="notification_type" name="notification_type" required>
                                            <option value="">{{ __('users.select_notification_type') }}</option>
                                            @foreach (App\Models\User::NOTIFICATION_TYPE as $type)
                                                <option value="{{ $type }}">{{ __('users.' . $type) }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="form-group mt-3">
                                        <button type="submit" class="btn btn-primary">{{ __('users.send') }}</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
</div>
@endsection
