@extends('layouts.app-bo')
@section('title', __('users.user'))
@section('content')

<div class="main-content container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="d-md-flex align-items-center justify-content-between">
                <div class="mb-4 mb-md-0">
                    <h4 class="card-title">
                        {{ $user->fname }} {{ $user->lname }}
                    </h4>
                    <div class="mb-3 card-subtitle"><b> {{ __('users.id_matricule_num') }} : </b> {{ $user->ref }}</div>
                </div>
                <div class="d-flex align-items-center justify-content-between gap-6">
                    
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <ul class="nav nav-pills user-profile-tab" id="pills-tab" role="tablist">
            <li class="nav-item" role="presentation">
                <button class="nav-link position-relative rounded-0 active d-flex align-items-center justify-content-center bg-transparent fs-3 py-3" id="pills-account-tab" data-bs-toggle="pill" data-bs-target="#pills-account" type="button" role="tab" aria-controls="pills-account" aria-selected="true">
                    <i class="ti ti-user-circle me-2 fs-6"></i>
                    <span class="d-none d-md-block">{{ __('users.account') }} </span>
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-3" id="pills-notifications-tab" data-bs-toggle="pill" data-bs-target="#pills-notifications" type="button" role="tab" aria-controls="pills-notifications" aria-selected="false">
                    <i class="ti ti-bell me-2 fs-6"></i>
                    <span class="d-none d-md-block">{{ __('app.training') }} </span>
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-3" id="pills-bills-tab" data-bs-toggle="pill" data-bs-target="#pills-bills" type="button" role="tab" aria-controls="pills-bills" aria-selected="false">
                    <i class="ti ti-article me-2 fs-6"></i>
                    <span class="d-none d-md-block">{{ __('users.competency_card') }} </span>
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-3" id="pills-itinerary-tab" data-bs-toggle="pill" data-bs-target="#pills-itinerary" type="button" role="tab" aria-controls="pills-itinerary" aria-selected="false">
                    <i class="ti ti-map me-2 fs-6"></i>
                    <span class="d-none d-md-block">{{ __('app.job_itineraries') }} </span>
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-3" id="pills-document-tab" data-bs-toggle="pill" data-bs-target="#pills-document" type="button" role="tab" aria-controls="pills-document" aria-selected="false">
                    <i class="ti ti-briefcase me-2 fs-6"></i>
                    <span class="d-none d-md-block">{{ __('app.documents') }} </span>
                </button>
            </li>
        </ul>
        <div class="card-body">
            <div class="tab-content" id="pills-tabContent">
                @include('management.users.account')

                @include('management.users.training')

                @include('management.users.competency-cards')

                @include('management.users.jobitinerary')
                
                @include('management.users.document')
            </div>
        </div>
    </div>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#user_ids").select2({
            dropdownParent: $('#modal-dialog-edit .modal-content')
        });
        $("a#create-new-edit").click(function() {
            $("#modal-dialog-edit-form #modal-dialog-edit-label").html("{{ __('message.create_trainers') }}");
            $("#modal-dialog-edit-form div.internal-edit").show();
        });

        $("a.form-edit-edit").click(function() {
            $("#modal-dialog-edit-form div.internal-edit").hide();
            $("#modal-dialog-edit-form #modal-dialog-edit-label").html("{{ __('message.update_trainer') }}");
            $("#modal-dialog-edit-form #id").val("");
            $("#modal-dialog-edit-form #fname").val("");
            $("#modal-dialog-edit-form #lname").val("");
            $("#modal-dialog-edit-form #training_institution").val("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("trainer.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'Trainer'
                },
                dataType: 'json',
                success: function(trainer) {
                    if (trainer) {
                        $("#modal-dialog-edit-form #id").val(trainer.id);
                        $("#modal-dialog-edit-form #fname").val(trainer.fname);
                        $("#modal-dialog-edit-form #lname").val(trainer.lname);
                        $("#modal-dialog-edit-form #training_institution").val(trainer.training_institution);
                    }
                }
            });
        });
    });
</script>
@endsection