
@extends('layouts.app-bo')
@section('title', __('users.users'))
@section('content')     
<div class="main-content container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row justify-content-center">
                <div class="col-md-6 text-center">
                    <h4 class="mb-4">{{ __('users.qr_code') }}</h4>
                    
                    <div class="qr-container mb-4">
                        <img src="data:{{ $qrCode->getDataUri() }}" alt="QR Code">
                    </div>

                    
                </div>
            </div>
            <div class="d-flex gap-2 justify-content-center">
                <a href="{{ url()->previous() }}" class="btn btn-secondary">
                    {{ __('app.back') }}
                </a>
                <a href="data:{{ $qrCode->getDataUri() }}" download="qr_code_{{ $code }}.png" class="btn btn-primary">
                    {{ __('app.download') }}
                </a>
            </div>
        </div>
    </div>
</div>

<style>
    .qr-container {
        padding: 20px;
        background: #fff;
        border-radius: 8px;
        box-shadow: 0 0 15px rgba(0,0,0,0.1);
        display: inline-block;
    }

    .qr-container img {
        max-width: 100%;
        height: auto;
    }

    .code-info {
        background: #f8f9fa;
        padding: 15px;
        border-radius: 8px;
    }
</style>
@endsection
