@extends('layouts.app-bo')
@section('title', __('notes.create_note'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('notes.create_note') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        {{--note form --}}
                        <form action="{{ route('notes.store', $locale) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_fr">{{ __('notes.form.label.label_fr') }}</label>
                                        <input type="text" class="form-control" id="label_fr" name="label_fr" value="" required>
                                        @error("label_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_en">{{ __('notes.form.label.label_en') }}</label>
                                        <input type="text" class="form-control" id="label_en" name="label_en" value="" required>
                                        @error("label_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="image">{{ __('notes.form.label.image') }}</label>
                                        <input type="file" class="form-control" id="image" name="image" value="" required>
                                        @error("image")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md6">
                                    <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
                                    <a href="{{ route('notes.index', $locale)  }}" class="btn btn-secondary">Annuler</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
