@extends('layouts.app-bo')
@section('title', __('notes.edit_note'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('notes.edit_note') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('notes.update', [$locale, 'note' => $note]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            @if($note->image)
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <img src="{{ $note->image }}" alt="Image actuelle" class="img-thumbnail" style="max-width: 100px;">
                                    </div>
                                </div>
                            @endif

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_fr">{{ __('notes.form.label.label_fr') }}</label>
                                        <input type="text" class="form-control" id="label_fr" name="label_fr" value="{{ $note->label_fr }}" required>
                                        @error("label_fr")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="label_en">{{ __('notes.form.label.label_en') }}</label>
                                        <input type="text" class="form-control" id="label_en" name="label_en" value="{{ $note->label_en }}" required>
                                        @error("label_en")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="image">{{ __('notes.form.label.image') }}</label>
                                        <input type="file" class="form-control" id="image" name="image" value="{{ $note->image }}">
                                        @error("image")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">{{ __('app.button.validate') }}</button>
                                    <a href="{{ route('notes.index', $locale) }}" class="btn btn-secondary">{{ __('app.button.cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
