@extends('layouts.app-bo')
@section('title', __('notes.note_management'))

@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('Détails de la note') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                    <img src="{{ $note->image }}" alt="{{ $note->label_fr }}" title="{{ $note->label_fr }}" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col-md-8">
                    <h2>{{ $note->label }}</h2>
                    <p><strong>{{ __('ID') }}:</strong> {{ $note->id }}</p>
                    <p><strong>{{ __('notes.form.label.label') }}:</strong> <br>{!!  $note->labelFull !!} </p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('notes.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $note->company)
            <a href="{{ route('notes.edit', [app()->getLocale(), $note]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('notes.destroy', [app()->getLocale(), $note]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('notes.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
