@extends('layouts.app-bo')
@section('title', __('other.update'))
@section('content')

<div class="main-content container-fluid">
    <div class="page-title text-center">
        <h3><b> {{ __('other.update_paelo') }} </b></h3>
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="page-title text-left">
                    <h4 class="card-title mb-0">{{ __('other.update_installed') }}</h4>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th>#</th>
                                <th>{{ __("other.number") }}</th>
                                <th>{{ __("other.description") }}</th>
                                <th>{{ __("other.concerned_role") }}</th>
                                <th>{{ __("other.date") }}</th>
                                <th>{{ __("other.file") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($update_installed as $update)
                            <tr>
                                <td>{{ $update->id }}</td>
                                <td>{{ $update->number }}</td>
                                <td>{{ $update->description }}</td>
                                <td>@foreach ($update->roles as $role) {{ $role->role->name }} <br/> @endforeach</td>
                                <td>{{ $update->date }}</td>
                                <td>{{ $update->file }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
    <br/></br>
    <div class="card">
        <div class="card-body">
            <div class="page-title text-left">
                <h4 class="card-title mb-0">{{ __('other.update_comming') }}</h4>
            </div>
            <section class="section">
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th>#</th>
                                <th>{{ __("other.number") }}</th>
                                <th>{{ __("other.description") }}</th>
                                <th>{{ __("other.concerned_role") }}</th>
                                <th>{{ __("other.date") }}</th>
                                <th>{{ __("other.file") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($update_comming as $update)
                            <tr>
                                <td>{{ $update->id }}</td>
                                <td>{{ $update->number }}</td>
                                <td>{{ $update->description }}</td>
                                <td>@foreach ($update->roles as $role) {{ $role->role->name }} <br/> @endforeach</td>
                                <td>{{ $update->date }}</td>
                                <td>{{ $update->file }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection