@extends('layouts.app-bo')
@section('title', __('trades.create_trade'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('trades.create_trade') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('trades.store', [$locale]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="name">{{ __('trades.form.label.name') }}</label>
                                        <input type="text" class="form-control" id="name" name="name" value="" required>
                                        @error("name")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="details">{{ __('trades.form.label.details') }}</label>
                                        <textarea class="form-control" id="details" name="details" required></textarea>
                                        @error("details")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md6">
                                    <input class="btn btn-primary" type="submit" name="valider" value="Valider" >
                                    <a href="{{ route('trades.index', [$locale])  }}" class="btn btn-secondary">Annuler</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
