@extends('layouts.app-bo')
@section('title', __('trades.edit_trade'))
@section('content')

    <div class="main-content container-fluid">
        <div class="page-title text-center">
            <h3>{{ __('trades.edit_trade') }}</h3>
        </div>

        <div class="col-md-12 col-lg-12 d-flex align-items-stretch">
            <!-- start Input Text Bold -->
            <div class="card w-100">
                <div class="card-body">
                    <section class="section">
                        <form action="{{ route('trades.update', [$locale, 'trade' => $trade]) }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="name">{{ __('trades.form.label.name') }}</label>
                                        <input type="text" class="form-control" id="name" name="name" value="{{ $trade->name }}" required>
                                        @error("name")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label for="details">{{ __('trades.form.label.details') }}</label>
                                        <textarea class="form-control" id="details" name="details" required>{{ $trade->details }}</textarea>
                                        @error("details")
                                        <div>{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="submit" class="btn btn-primary">{{ __('app.button.validate') }}</button>
                                    <a href="{{ route('trades.index', $locale) }}" class="btn btn-secondary">{{ __('app.button.cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>
@endsection
