@extends('layouts.app-bo')
@section('title', __('trades.trade_management'))

@section('content')
<div class="container">
    <h1 class="mb-4">{{ __('Détails du metier') }}</h1>

    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4">
                </div>
                <div class="col-md-8">
                    <h2>{{ $trade->name }}</h2>
                    <p><strong>{{ __('ID') }}:</strong> {{ $trade->id }}</p>
                    <p><strong>{{ __('trades.form.label.name') }}:</strong> {{ $trade->name }}</p>
                    <p><strong>{{ __('trades.form.label.details') }}:</strong> {{ $trade->details }}</p>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-4">
        <a href="{{ route('trades.index', app()->getLocale()) }}" class="btn btn-secondary">{{ __('app.button.back_to_list') }}</a>
        @if(auth()->user()->company->id === $trade->company)
            <a href="{{ route('trades.edit', [app()->getLocale(), $trade]) }}" class="btn btn-primary">{{ __('app.button.edit') }}</a>
            <form action="{{ route('trades.destroy', [app()->getLocale(), $trade]) }}" method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger" onclick="return confirm('{{ __('trades.message.confirm.delete') }}')">{{ __('app.button.delete') }}</button>
            </form>
        @endif
    </div>
</div>
@endsection
