<div class="row">
    <div class="col-md-4">
        <h4 class="mb-4 card-title">{{ __('app.modules') }}</h4>
    </div>
    <div class="col-md-8 text-end">
        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_training->track_records) }}</b> {{ __('app.items') }}</div>
    </div>
</div>
<div class="{{ $setting->table_div_class }}">
    <table class="table mb-0 text-nowrap">
        <thead class="{{ $setting->table_thead_class }}">
            <tr>
                <th class="table-reference">#</th>
                <th>{{ __("app.module") }}</th>
                <th>{{ __("app.title") }}</th>
                <th>{{ __("app.time_taken") }}</th>
                <th class="table-actions">{{ __("app.actions") }}</th>
                <th></th>
            </tr>
        </thead>
        <tbody class="{{ $setting->table_tbody_class }}">
            @php $j = 0; @endphp
            @foreach ($type_modules as $type => $modules)
            <tr>
                <td colspan="6" class="header-group">{{ __("app.$type") }}</td>
            </tr>
            @foreach ($modules as $module)
            @foreach ($tasks[$module->id] as $i => $task)
            @php
            $track_record = $track_records[$module->id][$task->id];
            $is_completed = $status_modules[$module->id]['completed'];
            $completed_date = $status_modules[$module->id]['date'];
            @endphp
            <tr>
                <td>{{ $task->id }}</td>
                @if ($i == 0)
                <td rowspan="{{ count($tasks[$module->id]) }}">
                    {{ $module->name }}
                    @if ($is_completed)
                    <div class="text-primary">
                        {{ __('app.completed') }}
                    </div>
                    <div class="text-primary">
                        {{ $completed_date }}
                    </div>
                    @endif
                </td>
                @endif
                <td @if ($track_record->answer_points > 0) class="text-success" @endif>
                    @if ($track_record->answer_points > 0)
                    <i class="ti ti-check fs-6 text-success"></i>
                    @elseif ($track_record->id == $track_record_id_here)
                    <i class="ti ti-arrow-big-right fs-6 text-primary"></i>
                    @elseif ($track_record->answer_points && $track_record->answer_points < -1)
                    <i class="ti ti-alert-circle fs-6 text-danger"></i>
                    @else
                    <i class="ti ti-info-circle fs-6 text-default"></i>
                    @endif
                    {{ $task->title }}
                </td>
                <td>{{ $track_record->time_taken }}</td>
                <td class="text-center">
                    @if ($j == 0 || $track_record->answer_points != -1 || $track_record->id == $track_record_id_here || $track_record->duration)
                    @if (!$track_record->duration || 1)
                    <a href="{{ route('track-record.exam', [$locale, $track_record->id]) }}">
                        @if ($track_record->module->type == 'Exam')
                        <i class="ti ti-circle-caret-right fs-7 text-primary"></i>
                        @else
                        <i class="ti ti-player-play fs-6 text-primary"></i>
                        @endif
                    </a>
                    @endif
                    @endif
                </td>
                <td class="text-center">
                    @if ($track_record->id == $track_record_id_here && !$is_completed)
                    <i class="ti ti-arrow-big-left fs-6 text-danger blink"></i>
                    {{ __('app.here') }}
                    @endif
                </td>
            </tr>
            @php $j++; @endphp
            @endforeach
            @endforeach
            @endforeach
        </tbody>
    </table>
</div>