<div class="row">
    <div class="col-md-4">
        <h4 class="mb-4 card-title">{{ __('app.tasks') }}</h4>
    </div>
    <div class="col-md-8 text-end">
        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_training->track_records) }}</b> {{ __('app.items') }}</div>
    </div>
</div>
<div class="{{ $setting->table_div_class }}">
    <table class="table mb-0 text-nowrap">
        <thead class="{{ $setting->table_thead_class }}">
            <tr>
                <th class="table-reference">#</th>
                <th>{{ __("app.attestation") }}</th>
                <th>{{ __("app.title") }}</th>
                <th class="text-center">{{ __("app.checked") }}</th>
                <th>{{ __("app.date") }}</th>
                <th class="table-actions">{{ __("app.actions") }}</th>
            </tr>
        </thead>
        <tbody class="{{ $setting->table_tbody_class }}">
            @foreach ($user_training->track_records as $track_record)
            @php
            $module_id = $track_record->module->id;
            $is_completed = $status_modules[$module_id]['completed'];
            $completed_date = $status_modules[$module_id]['date'];
            @endphp
            <tr>
                <td>{{ $track_record->task->id }}</td>
                <td>
                    @if ($is_completed)
                    {{ $completed_date }}
                    @endif
                </td>
                <td>{{ $track_record->task->title }}</td>
                <td class="text-center">
                    @if ($track_record->trainee)
                    <i class="ti ti-check fs-6 text-success"></i>
                    @else
                    <i class="ti ti-x fs-6 text-danger"></i>
                    @endif
                </td>
                <td>{{ $track_record->last_stop_date }}</td>
                <td class="text-center">
                    <a href="{{ route('track-record.read', [$locale, $track_record->id]) }}">
                        <i class="ti ti-player-play fs-6 text-primary"></i>
                    </a>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>