@extends('layouts.app-bo')
@section('title', __("menus.result_and_training_follow_up"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="text-center mb-4">
            <h3>
                {{ __("menus.result_and_training_follow_up") }}
            </h3>
        </div>
        <form action="{{ route('assigned-training.result', $locale) }}" method="GET" class="needs-validation" novalidate>
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                {{ __('app.user_filters') }}
                            </h4>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6">
                            <i class="ti ti-user fs-7"></i>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="matricule_id" name="matricule_id" placeholder="{{ __('app.matricule_id') }}" />
                                <label for="matricule_id">{{ __('app.matricule_id') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="user_id" name="user_id" aria-label="{{ __('app.user_id') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($users as $user)
                                    <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} ({{ $user->ref }})</option>
                                    @endforeach
                                </select>
                                <label for="user_id">{{ __('app.name') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="username" name="username" placeholder="{{ __('users.username') }}" />
                                <label for="username">{{ __('users.username') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="role_id" name="role_id" aria-label="{{ __('users.role') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($roles as $role)
                                    <option value="{{ $role->id }}">{{ $role->name }}</option>
                                    @endforeach
                                </select>
                                <label for="role_id">{{ __('users.role') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="department_id" name="department_id" aria-label="{{ __('app.department') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($departments as $department)
                                    <option value="{{ $department->id }}">{{ $department->name }}</option>
                                    @endforeach
                                </select>
                                <label for="department_id">{{ __('app.department') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="subdepartment_id" name="subdepartment_id" aria-label="{{ __('app.sub_department') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($subdepartments as $subdepartment)
                                    <option value="{{ $subdepartment->id }}">{{ $subdepartment->name }}</option>
                                    @endforeach
                                </select>
                                <label for="subdepartment_id">{{ __ ('app.subdepartment') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="employer_id" name="employer_id" aria-label="{{ __('app.employer') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($employers as $employer)
                                    <option value="{{ $employer->id }}">{{ $employer->name }}</option>
                                    @endforeach
                                </select>
                                <label for="employer_id">{{ __('app.employer') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="location_id" name="location_id" aria-label="{{ __('users.location_division') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($locations as $location)
                                    <option value="{{ $location->id }}">{{ $location->name }}</option>
                                    @endforeach
                                </select>
                                <label for="location_id">{{ __('users.location_division') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="team_id" name="team_id" aria-label="{{ __('users.team') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($teams as $team)
                                    <option value="{{ $team->id }}">{{ $team->name }}</option>
                                    @endforeach
                                </select>
                                <label for="team_id">{{ __('users.team') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="employe_category_id" name="employe_category_id" aria-label="{{ __('app.employe_category') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($employe_categories as $employe_category)
                                    <option value="{{ $employe_category->id }}">{{ $employe_category->name }}</option>
                                    @endforeach
                                </select>
                                <label for="employe_category_id">{{ __('app.employe_category') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="place_of_birth_id" name="place_of_birth_id" aria-label="{{ __('users.place_of_birth_id') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($place_of_births as $place_of_birth)
                                    <option value="{{ $place_of_birth->id }}">{{ $place_of_birth->name }}</option>
                                    @endforeach
                                </select>
                                <label for="place_of_birth_id">{{ __('users.place_of_birth') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="minority" name="minority" aria-label="{{ __('app.minority') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($minorities as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="minority">{{ __('app.minority') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="sex" name="sex" aria-label="{{ __('users.sex') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($sexes as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="sex">{{ __('users.sex') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="job_status" name="job_status" aria-label="{{ __('users.job_status') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($jobs_status as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="job_status">{{ __('users.job_status') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="procedure" name="procedure" aria-label="{{ __('app.is_responsible_procedure') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($procedures as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="procedure">{{ __('users.is_responsible_procedure') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="lockout" name="lockout" aria-label="{{ __('app.is_responsible_lockout') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($lockouts as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="lockout">{{ __('users.is_responsible_lockout') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="lang" name="lang" aria-label="{{ __('users.language') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($langs as $lang)
                                    <option value="{{ $lang->code }}">{{ $lang->name }}</option>
                                    @endforeach
                                </select>
                                <label for="lang">{{ __('users.language') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="user_status" name="user_status" aria-label="{{ __('app.user_status') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($user_status as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="user_status">{{ __('app.user_status') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                {{ __('app.training_filters') }}
                            </h4>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6">
                            <i class="ti ti-clipboard-list fs-7"></i>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="platform_id" name="platform_id" aria-label="{{ __('app.platform') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($platforms as $platform)
                                    <option value="{{ $platform->id }}">{{ $platform->type }}</option>
                                    @endforeach
                                </select>
                                <label for="platform_id">{{ __('app.platform') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="category_id" name="category_id" aria-label="{{ __('app.category') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->new_name }}</option>
                                    @endforeach
                                </select>
                                <label for="category_id">{{ __('app.category') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_id" name="training_id" aria-label="{{ __('app.training_name') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($trainings as $training)
                                    <option value="{{ $training->id }}">{{ $training->name }} [{{ $training->prefix }}]</option>
                                    @endforeach
                                </select>
                                <label for="training_id">{{ __('app.training_name') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_prefix" name="training_prefix" aria-label="{{ __('app.training_prefix') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($trainings as $training)
                                    <option value="{{ $training->prefix }}">{{ $training->prefix }}</option>
                                    @endforeach
                                </select>
                                <label for="training_prefix">{{ __('app.training_prefix') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control daterange" id="assigned_date" name="assigned_date" placeholder="{{ __('app.assigned_date') }}" />
                                <label for="assigned_date">{{ __('app.assigned_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control daterange" id="due_date" name="due_date" placeholder="{{ __('app.due_date') }}" />
                                <label for="due_date">{{ __('app.due_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control daterange" id="completion_date" name="completion_date" placeholder="{{ __('app.completion_date') }}" />
                                <label for="completion_date">{{ __('app.completion_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control daterange" id="refresh_date" name="refresh_date" placeholder="{{ __('app.refresh_date') }}" />
                                <label for="refresh_date">{{ __('app.refresh_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control daterange" id="activity_date" name="activity_date" placeholder="{{ __('app.activity_date') }}" />
                                <label for="activity_date">{{ __('app.activity_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="training_status" name="training_status" aria-label="{{ __('app.training_status') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($training_status as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="training_status">{{ __('app.training_status') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_department_id" name="training_department_id" aria-label="{{ __('app.training_department') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($departments as $department)
                                    <option value="{{ $department->id }}">{{ $department->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_department_id">{{ __('app.training_department') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_subdepartment_id" name="training_subdepartment_id" aria-label="{{ __('app.training_sub_department') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($subdepartments as $subdepartment)
                                    <option value="{{ $subdepartment->id }}">{{ $subdepartment->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_subdepartment_id">{{ __ ('app.training_sub_department') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_location_id" name="training_location_id" aria-label="{{ __('app.training_location_division') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($locations as $location)
                                    <option value="{{ $location->id }}">{{ $location->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_location_id">{{ __('app.training_location_division') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="trainer_id" name="trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">
                                        {{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif
                                    </option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_demand_team_id" name="training_demand_team_id" aria-label="{{ __('app.training_demand_team') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($teams as $team)
                                    <option value="{{ $team->id }}">{{ $team->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_demand_team_id">{{ __('app.training_demand_team') }}</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="training_demand_id" name="training_demand_id" placeholder="{{ __('app.training_demand_id') }}" />
                                <label for="training_demand_id">{{ __('app.training_demand_id') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-actions mb-4">
                <div class="card-body text-center">
                    <button type="submit" class="btn btn-primary">
                        <i class="ti ti-filter fs-4"></i>
                        {{ __('app.submit') }}
                    </button>
                </div>
            </div>
        </form>
    </section>
</div>

<script type="text/javascript">
    // Dropzone.autoDiscover = false;
    $(function() {
        $(".daterange").val('');

        $('.daterange').on('cancel.daterangepicker', function(ev, picker) {
            $(this).val('');
        });

        <?php foreach ($parameters as $key => $val) { ?>
        $("#<?=$key?>").val("<?=$val?>").trigger("change");
        <?php } ?>
    });
</script>

@endsection