@extends('layouts.app-bo')
@section('title', __("menus.result_and_training_follow_up"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="text-center mb-4">
            <h3>
                {{ __("menus.result_and_training_follow_up") }}
            </h3>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.assigned_trainings') }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('assigned-training.export-csv', [$locale]) }}" class="btn btn-secondary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-file-export fs-4"></i>
                            {{ __("app.export_trainings_to_csv") }}
                        </a>
                        <a href="javascript:void(0)" class="btn btn-secondary d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-export-activity">
                            <i class="ti ti-file-export fs-4"></i>
                            {{ __('app.export_activities') }}
                        </a>
                        <a href="{{ route('assigned-training.filter', [$locale]) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-filter fs-4"></i>
                            {{ __("app.new_search") }}
                        </a>
                        <a href="{{ route('assigned-training.result', array_merge($parameters_all_data, array('all' => 1))) }}" class="btn btn-warning d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-database fs-4"></i>
                            {{ __("app.show_all_data") }}
                        </a>
                        <a href="{{ route('assigned-training.filter', $parameters) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <form action="{{ route('assigned-training.result', $locale) }}" method="GET" id="form-search">
                    <div class="mt-3">
                        {{ $assigned_trainings->appends(request()->query())->links() }}
                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                                <tr>
                                    <th class="table-reference">#</th>
                                    <th class="table-actions">{{ __("app.actions") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __("app.matricule_id") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __("app.full_name") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __("users.username") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __("users.role") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __("users.person_id") }}</th>
                                    <th>{{ __("app.training_name") }}</th>
                                    <th>{{ __("app.duration_of_theory") }}</th>
                                    <th>{{ __("app.duration_of_practice") }}</th>
                                    <th>{{ __("app.training_demand_id") }}</th>
                                    <th>{{ __("app.training_demand_team") }}</th>
                                    <th>
                                        <button class="btn bg-info-subtle text-info collapsed" type="button" id="collapse-all">
                                            <i class="ti ti-layout-bottombar-collapse fs-4"></i>
                                        </button>
                                    </th>
                                    <th>{{ __("app.platform") }}</th>
                                    <th>{{ __("app.attestation") }}</th>
                                    <th>{{ __("app.certification") }}</th>
                                    <th>{{ __("app.lms") }}</th>
                                    <th>{{ __("app.theory_by_trainer") }}</th>
                                    <th>{{ __("app.practice_by_trainer") }}</th>
                                    <th>{{ __("app.category") }}</th>
                                    <th>{{ __("app.prefix") }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.corporate_e_mail') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.personal_e_mail') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.department') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.sub_department') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.employer') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.location_division') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.team') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.language') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.place_of_birth') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.date_of_birth') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('app.employee_category') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.job_status') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('app.minority') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.sex') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('app.user_status') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.start_date') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('users.stop_date') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('app.procedure_responsible') }}</th>
                                    <th><i class="ti ti-user-search fs-4"></i> {{ __('app.lockout_responsible') }}</th>
                                    <th>{{ __('app.equipment') }}</th>
                                    <th>{{ __('app.trainer') }}</th>
                                    <th>{{ __('app.assigned_date') }}</th>
                                    <th>{{ __('app.due_date') }}</th>
                                    <th>{{ __('app.comments') }}</th>
                                    <th>{{ __('app.result') }}</th>
                                    <th>{{ __('app.status') }}</th>
                                    <th>{{ __('app.refresh') }}</th>
                                    <th>{{ __('app.training_valid') }}</th>
                                    <th class="table-reference">#</th>
                                </tr>
                            </thead>
                            <thead class="thead-light">
                                <tr>
                                    <th class="table-reference"></th>
                                    <th class="table-actions">
                                        <a class="btn bg-danger-subtle text-danger" href="{{ route('assigned-training.result', $locale) }}" title="{{ __('app.reset_filter') }}" data-bs-toggle="tooltip" data-bs-placement="bottom">
                                            <i class="ti ti-filter-off fs-4"></i>
                                        </a>
                                        <button class="btn bg-success-subtle text-success" type="submit" title="{{ __('app.search') }}" data-bs-toggle="tooltip" data-bs-placement="bottom">
                                            <i class="ti ti-search fs-4"></i>
                                        </button>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="matricule_id" name="matricule_id" />
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="user_id" name="user_id" aria-label="{{ __('app.user_id') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($users as $user)
                                            <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="username" name="username" />
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="role_id" name="role_id" aria-label="{{ __('users.role') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($roles as $role)
                                            <option value="{{ $role->id }}">{{ $role->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select select2" id="training_id" name="training_id" aria-label="{{ __('app.training_name') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($trainings as $training)
                                            <option value="{{ $training->id }}">{{ $training->name }} [{{ $training->prefix }}]</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th></th>
                                    <th>
                                        <input type="text" class="form-control" id="training_demand_id" name="training_demand_id" />
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="training_demand_team_id" name="training_demand_team_id" aria-label="{{ __('app.training_demand_team') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($teams as $team)
                                            <option value="{{ $team->id }}">{{ $team->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select" id="platform_id" name="platform_id" aria-label="{{ __('app.platform') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($platforms as $platform)
                                            <option value="{{ $platform->id }}">{{ $platform->type }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>
                                        <select class="form-select" id="category_id" name="category_id" aria-label="{{ __('app.category') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($categories as $category)
                                            <option value="{{ $category->id }}">{{ $category->new_name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="training_prefix" name="training_prefix" />
                                    </th>
                                    <th></th>
                                    <th></th>
                                    <th>
                                        <select class="form-select select2" id="department_id" name="department_id" aria-label="{{ __('app.department') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($departments as $department)
                                            <option value="{{ $department->id }}">{{ $department->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="subdepartment_id" name="subdepartment_id" aria-label="{{ __('app.sub_department') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($subdepartments as $subdepartment)
                                            <option value="{{ $subdepartment->id }}">{{ $subdepartment->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="employer_id" name="employer_id" aria-label="{{ __('app.employer') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($employers as $employer)
                                            <option value="{{ $employer->id }}">{{ $employer->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="location_id" name="location_id" aria-label="{{ __('users.location_division') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($locations as $location)
                                            <option value="{{ $location->id }}">{{ $location->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="team_id" name="team_id" aria-label="{{ __('users.team') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($teams as $team)
                                            <option value="{{ $team->id }}">{{ $team->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="lang" name="lang" aria-label="{{ __('users.language') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($langs as $lang)
                                            <option value="{{ $lang->code }}">{{ $lang->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select select2" id="place_of_birth_id" name="place_of_birth_id" aria-label="{{ __('users.place_of_birth_id') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($place_of_births as $place_of_birth)
                                            <option value="{{ $place_of_birth->id }}">{{ $place_of_birth->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select select2" id="employe_category_id" name="employe_category_id" aria-label="{{ __('app.employe_category') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($employe_categories as $employe_category)
                                            <option value="{{ $employe_category->id }}">{{ $employe_category->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="job_status" name="job_status" aria-label="{{ __('users.job_status') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($jobs_status as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="minority" name="minority" aria-label="{{ __('app.minority') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($minorities as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="sex" name="sex" aria-label="{{ __('users.sex') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($sexes as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="user_status" name="user_status" aria-label="{{ __('app.user_status') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($user_status as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th></th>
                                    <th>
                                        <select class="form-select" id="procedure" name="procedure" aria-label="{{ __('app.is_responsible_procedure') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($procedures as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="lockout" name="lockout" aria-label="{{ __('app.is_responsible_lockout') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($lockouts as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select select2" id="trainer_id" name="trainer_id" aria-label="{{ __('app.trainer') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($trainers as $trainer)
                                            <option value="{{ $trainer->id }}">
                                                {{ $trainer->fname }} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif
                                            </option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control daterange" id="assigned_date" name="assigned_date" />
                                    </th>
                                    <th>
                                        <input type="text" class="form-control daterange" id="due_date" name="due_date" />
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="comments" name="comments" />
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="result" name="result" />
                                    </th>
                                    <th>
                                        <select class="form-select" id="training_status" name="training_status" aria-label="{{ __('app.training_status') }}">
                                            <option value="">&nbsp;</option>
                                            @foreach ($training_status as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control daterange" id="refresh_date" name="refresh_date" />
                                    </th>
                                    <th>

                                    </th>
                                    <th class="table-reference"></th>
                                </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($assigned_trainings as $assigned_training)
                                @php
                                $action = route('assigned-training.destroy', [$locale]);
                                $id = $assigned_training->id;
                                $name = $assigned_training->training->name;
                                $message_question = __('message.confirmation_delete_item');
                                $message_warning = '';
                                @endphp
                                <tr>
                                    <td class="table-reference">{{ $assigned_training->id }}</td>
                                    <td class="table-actions">
                                        <div class="btn-group">
                                            <button class="btn btn-light dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                {{ __("app.actions") }}
                                            </button>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                <li>
                                                    <a href="javascript:void(0)" class="dropdown-item assigned-training-edit" data-id="{{ $assigned_training->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-assigned-training-edit">
                                                        <i class="ti ti-edit fs-5"></i>
                                                        {{ __('app.view_and_update') }}
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="javascript:void(0)" class="dropdown-item" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete">
                                                        <i class="ti ti-trash fs-5"></i>
                                                        {{ __('app.delete') }}
                                                    </a>
                                                </li>
                                                @if ($assigned_training->status == 'Completed' || $assigned_training->completed == 1)
                                                <li>
                                                    <a href="javascript:void(0)" class="dropdown-item assigned-training-attestation" data-id="{{ $assigned_training->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-assigned-training-attestation">
                                                        <i class="ti ti-certificate fs-5"></i>
                                                        {{ __('app.attestation') }}
                                                    </a>
                                                </li>
                                                @endif
                                                @if (count($assigned_training->activities))
                                                <li>
                                                    <a href="{{ route('activity.list', [$locale, $assigned_training->id]) }}" class="dropdown-item">
                                                        <i class="ti ti-chart-area-line fs-5"></i>
                                                        {{ __('app.activities') }}
                                                    </a>
                                                </li>
                                                @endif
                                                <li>
                                                    <a href="{{ route('assigned-training.upload', [$locale, $assigned_training->id]) }}" class="dropdown-item">
                                                        <i class="ti ti-upload fs-5"></i>
                                                        {{ __('app.upload_documents') }}
                                                    </a>
                                                </li>
                                                @if ($assigned_training->user_form_id || count($assigned_training->user_forms))
                                                <li>
                                                    <a href="{{ route('user-form.list', [$locale, $assigned_training->user_id, $assigned_training->presentiel_id ?? 0]) }}" class="dropdown-item">
                                                        <i class="ti ti-clipboard-list fs-5"></i>
                                                        {{ __('app.training_forms') }}
                                                    </a>
                                                </li>
                                                @endif
                                            </ul>
                                        </div>
                                    </td>
                                    <td>{{ $assigned_training->user->ref }}</td>
                                    <td>{{ $assigned_training->user->lname }}, {{ $assigned_training->user->fname }}</td>
                                    <td>{{ $assigned_training->user->username }}</td>
                                    <td>{{ $assigned_training->user->role_user->role->name }}</td>
                                    <td>{{ $assigned_training->user->person_id }}</td>
                                    <td>{{ $assigned_training->training->name }}</td>
                                    <td>{{ $assigned_training->training->duration_th }}</td>
                                    <td>{{ $assigned_training->training->duration_pr }}</td>
                                    <td>{{ $assigned_training->training_demand->id }}</td>
                                    <td>{{ $assigned_training->training_demand->team->name }}</td>
                                    <td>
                                        <button class="btn bg-info-subtle text-info collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-{{ $assigned_training->id }}" aria-expanded="false" aria-controls="collapseExample">
                                            <i class="ti ti-layout-bottombar-collapse fs-4"></i>
                                        </button>
                                    </td>
                                    <td>{{ $assigned_training->training->platform->type }}</td>
                                    <td>{{ $assigned_training->attest_date }}</td>
                                    <td>{{ $assigned_training->cert_date }}</td>
                                    <td class="text-center"><i class="ti ti-{{ $assigned_training->training->platform->type == 'LMS' && $assigned_training->theory ? 'circle-check text-success' : 'circle-x text-danger' }} fs-4"></i></td>
                                    <td class="text-center"><i class="ti ti-{{ $assigned_training->theory ? 'circle-check text-success' : 'circle-x text-danger' }} fs-4"></i></td>
                                    <td class="text-center"><i class="ti ti-{{ $assigned_training->practice ? 'circle-check text-success' : 'circle-x text-danger' }} fs-4"></i></td>
                                    <td>{{ $assigned_training->training->category->new_name }}</td>
                                    <td>{{ $assigned_training->training->prefix }}</td>
                                    <td>{{ $assigned_training->user->email }}</td>
                                    <td>{{ $assigned_training->user->email2 }}</td>
                                    <td>{{ $assigned_training->user->department->name }}</td>
                                    <td>{{ $assigned_training->user->subdepartment->name }}</td>
                                    <td>{{ $assigned_training->user->employer->name }}</td>
                                    <td>{{ $assigned_training->user->location->name }}</td>
                                    <td>{{ $assigned_training->user->team->name }}</td>
                                    <td class="text-center text-uppercase">{{ $assigned_training->user->lang }}</td>
                                    <td>{{ $assigned_training->user->place_of_birth->name }}</td>
                                    <td>{{ $assigned_training->user->dateofbirth }}</td>
                                    <td>{{ $assigned_training->user->employe_category->name }}</td>
                                    <td>{{ $jobs_status[$assigned_training->user->job_status] ?? '' }}</td>
                                    <td class="text-center">{!! $assigned_training->user->minority ? '<i class="ti ti-circle-check text-success fs-4"></i>' : '' !!}</td>
                                    <td>{{ $sexes[$assigned_training->user->sex] ?? '' }}</td>
                                    <td class="text-center">{!! $assigned_training->user->status ? '<i class="ti ti-circle-check text-success fs-4"></i>' : '' !!}</td>
                                    <td>{{ $assigned_training->user->datestart }}</td>
                                    <td>{{ $assigned_training->user->datestop }}</td>
                                    <td class="text-center">{!! $assigned_training->user->is_procedure_resp ? '<i class="ti ti-circle-check text-success fs-4"></i>' : '' !!}</td>
                                    <td class="text-center">{!! $assigned_training->user->is_lockout_resp ? '<i class="ti ti-circle-check text-success fs-4"></i>' : '' !!}</td>
                                    <td>{{ $assigned_training->training->equipement->name }}</td>
                                    <td>{{ $assigned_training->trainer->lname }} {{ $assigned_training->trainer->fname }}</td>
                                    <td>{{ $assigned_training->start_date }}</td>
                                    <td>{{ $assigned_training->due_date }}</td>
                                    <td>{{ $assigned_training->comments }}</td>
                                    <td>{{ $assigned_training->result }}</td>
                                    <td>{{ $assigned_training->status }}</td>
                                    <td>{{ $assigned_training->refresh_date }}</td>
                                    <td class="text-center">{!! $assigned_training->completed ? '<i class="ti ti-circle-check text-success fs-4"></i>' : '' !!}</td>
                                    <td clss="table-reference">{{ $assigned_training->id }}</td>
                                </tr>
                                <tr class="accordion-collapse collapse" id="collapse-{{ $assigned_training->id }}">
                                    <td class="table-reference"></td>
                                    <td colspan="49" class="bg-light">
                                        @if (count($assigned_training->activities))
                                        <div>
                                            {{ __('app.showing') }} <b>1-{{ count($assigned_training->activities) }}</b> {{ __('app.of') }} <b>{{ count($assigned_training->activities) }}</b> {{ __('app.items') }}
                                        </div>
                                        <div class="{{ $setting->table_div_class }}">
                                            <table class="{{ $setting->table_class }}" style="width: auto;">
                                                <thead class="{{ $setting->table_thead_class }}">
                                                    <tr>
                                                        <th class="table-reference">#</th>
                                                        <th>{{ __("app.trainer") }}</th>
                                                        <th>{{ __("app.type") }}</th>
                                                        <th>{{ __("app.date") }}</th>
                                                        <th>{{ __("app.status") }}</th>
                                                        <th>{{ __("app.duration") }}</th>
                                                        <th>{{ __("app.notes") }}</th>
                                                        <th class="table-actions">{{ __("app.actions") }}</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="{{ $setting->table_tbody_class }}">
                                                    @foreach ($assigned_training->activities as $activity)
                                                    <tr data-id="{{ $activity->id }}">
                                                        <td class="table-reference">{{ $activity->id }}</td>
                                                        <td>{{ $activity->trainer->lname }} {{ $activity->trainer->fname }}</td>
                                                        <td class="bg-{{ $activity->type == 'Theory' ? 'primary' : 'info' }}">{{ __('app.' . ($activity->type ? : 'none')) }}</td>
                                                        <td>{{ $activity->date }}</td>
                                                        <td class="bg-{{ $activity->status == 'Completed' ? 'success' : 'warning' }}">{{ __('app.' . ($activity->status ? : 'none')) }}</td>
                                                        <td>{{ $activity->duration }}</td>
                                                        <td>{{ $activity->notes }}</td>
                                                        <td class="table-actions">
                                                            <a href="{{ route('activity.upload', [$locale, $activity->id]) }}">
                                                                <i class="ti ti-upload fs-5"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                        @endif
                                    </td>
                                    <td class="table-reference"></td>
                                </tr>
                                @endforeach
                                @if (!count($assigned_trainings))
                                <tr>
                                    <td colspan="51">
                                        {{ __('app.no_results_found') }}
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<!-- Modal dialog -->
<form action="{{ route('assigned-training.store', $locale) }}" method="POST" id="modal-dialog-assigned-training-edit-form" class="needs-validation" novalidate>
    @csrf
    <input type="hidden" id="modal_id" name="id" value="" />
    <div id="modal-dialog-assigned-training-edit" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-assigned-training-edit-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-assigned-training-edit-label">
                        {{ __('message.view_and_update_training') }} : <span id="modal-training-name"></span>
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="modal_training_id" name="training_id" aria-label="{{ __('app.training_') }}" disabled>
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($trainings as $training)
                                    <option value="{{ $training->id }}">{{ $training->name }} [{{ $training->prefix }}]</option>
                                    @endforeach
                                </select>
                                <label for="modal_training_id">{{ __('app.training_') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="modal_user_id" name="user_id" aria-label="{{ __('app.user_id') }}" disabled>
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($users as $user)
                                    <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} ({{ $user->ref }})</option>
                                    @endforeach
                                </select>
                                <label for="modal_user_id">{{ __('app.user') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="modal_trainer_id" name="trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">
                                        {{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif
                                    </option>
                                    @endforeach
                                </select>
                                <label for="modal_trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="modal_category_id" name="category_id" aria-label="{{ __('app.category') }}" disabled>
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->new_name }}</option>
                                    @endforeach
                                </select>
                                <label for="modal_category_id">{{ __('app.category') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="modal_status" name="status" aria-label="{{ __('app.status') }}" disabled>
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($training_status as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="modal_status">{{ __('app.status') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <input type="date" id="modal_refresh_date" name="refresh_date" class="form-control" disabled>
                                <label for="modal_refresh_date">{{ __('app.refresh') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3 modal_attest_date">
                                <input type="date" id="modal_attest_date" name="attest_date" class="form-control">
                                <label for="modal_attest_date">{{ __('app.attestation') }}</label>
                            </div>
                            <div class="form-floating mb-3 modal_cert_date">
                                <input type="date" id="modal_cert_date" name="cert_date" class="form-control">
                                <label for="modal_cert_date">{{ __('app.certification') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <input type="date" id="modal_due_date" name="due_date" class="form-control" disabled>
                                <label for="modal_due_date">{{ __('app.due_date') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-floating mb-3">
                                <input type="date" id="modal_start_date" name="start_date" class="form-control" disabled>
                                <label for="modal_start_date">{{ __('app.assigned_date') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <textarea class="form-control" id="modal_comments" name="comments" placeholder="{{ __('app.comments') }}" style="height: 115px;"></textarea>
                                <label for="modal_comments">{{ __('app.comments') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 text-center mt-2">
                            <h4 class="card-title">
                                {{ __("app.uploaded_documents") }}
                            </h4>
                            <div class="documents" id="modal_uploaded_documents">

                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-check fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn btn-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog Attestation -->
<form action="{{ route('assigned-training.attestation-update', $locale) }}" method="POST" id="modal-dialog-assigned-training-attestation-form">
    @csrf
    <input type="hidden" name="id" id="assigned_training_id" value="" />
    <input type="hidden" name="presentiel_id" value="" />
    <div id="modal-dialog-assigned-training-attestation" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-assigned-training-attestation-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-module-label">
                        {{ __('message.attestation_date') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="assigned_training_attest_date" name="attest_date" value="{{ date('Y-m-d') }}" placeholder="{{ __('app.select_the_attestation_date') }}" />
                                <label for="attest_date">{{ __('app.select_the_attestation_date') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" name="trainer_id" id="assigned_training_trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">{{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif</option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.submit') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog export activities -->
<form action="{{ route('assigned-training.export-activity', $locale) }}" method="POST" id="modal-dialog-export-activity-form">
    @csrf
    <div id="modal-dialog-export-activity" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-export-activity-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-module-label">
                        {{ __('app.export_activities') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-warning text-warning">
                        {!! __('message.confirmation_to_export') !!}
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select" id="format" name="format" aria-label="{{ __('app.format') }}">
                                    @foreach ($format as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="format">{{ __('app.format') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12" style="height: 17px;">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="column-select-all" title="{{ __('app.select_all') }}" data-bs-toggle="tooltip" checked />
                                <label class="form-check-label" for="column-select-all">{{ __('app.select_all') }}</label>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        @php $i = 1; @endphp
                        @foreach ($maps as $key => $val)
                        @php $i = str_pad($i, 2, STR_PAD_LEFT); @endphp
                        <div class="col-md-3">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input column-select" name="{{ $key }}" value="{{ $key }}" placeholder="{{ $val }}" checked />
                                <label class="form-check-label" for="{{ $key }}">{{ $val }}</label>
                            </div>
                        </div>
                        @php $i++; @endphp
                        @endforeach
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn btn-primary" id="btn-export">
                        <i class="ti ti-file-export fs-4"></i>
                        {{ __('app.export') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    // Dropzone.autoDiscover = false;
    $(function() {
        $(".daterange").val('');

        $('.daterange').on('cancel.daterangepicker', function(ev, picker) {
            $(this).val('');
        });

        <?php foreach ($parameters as $key => $val) { ?>
            $("#<?= $key ?>").val("<?= $val ?>").trigger("change");
            $("select#<?= $key ?>").change(function() {
                $("form#form-search").submit();
            });
        <?php } ?>

        $('#collapse-all').click(function() {
            $('.accordion-collapse').each(function() {
                if ($(this).hasClass('show')) {
                    $(this).collapse('hide');
                } else {
                    $(this).collapse('show');
                }
            });
        });

        $("#column-select-all").click(function() {
            if (this.checked) {
                $(".column-select").prop("checked", true);
            } else {
                $(".column-select").prop("checked", false);
            }
            $("input[type='checkbox'].column-select").change();
        });

        $("a.assigned-training-edit").click(function() {
            $(".modal_attest_date").hide();
            $(".modal_cert_date").hide();
            $("#modal_id").val("");
            $("#modal-training-name").html("");
            $("#modal_training_id").val("");
            $("#modal_user_id").val("");
            $("#modal_trainer_id").val("");
            $("#modal_category_id").val("");
            $("#modal_status").val("");
            $("#modal_refresh_date").val("");
            $("#modal_attest_date").val("");
            $("#modal_cert_date").val("");
            $("#modal_due_date").val("");
            $("#modal_start_date").val("");
            $("#modal_comments").html("");
            $("#modal_uploaded_documents").html("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("assigned-training.get-full", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id
                },
                dataType: 'json',
                success: function(assigned_training) {
                    if (assigned_training) {
                        if (assigned_training.training.result == "2") {
                            $(".modal_cert_date").show();
                        } else {
                            $(".modal_attest_date").show();
                        }
                        $("#modal_id").val(assigned_training.id);
                        $("#modal-training-name").html(assigned_training.training.name);
                        $("#modal_training_id").val(assigned_training.training_id).trigger('change');
                        $("#modal_user_id").val(assigned_training.user_id).trigger('change');
                        $("#modal_trainer_id").val(assigned_training.trainer_id).trigger('change');
                        $("#modal_category_id").val(assigned_training.category_id).trigger('change');
                        $("#modal_status").val(assigned_training.status).trigger('change');
                        $("#modal_refresh_date").val(assigned_training.refresh_date);
                        $("#modal_attest_date").val(assigned_training.attest_date);
                        $("#modal_cert_date").val(assigned_training.cert_date);
                        $("#modal_due_date").val(assigned_training.due_date);
                        $("#modal_start_date").val(assigned_training.start_date);
                        $("#modal_comments").html(assigned_training.comments);
                        $("#modal_uploaded_documents").html(assigned_training.documents_html);
                    }
                }
            });
        });

        $("a.assigned-training-attestation").click(function() {
            $("#assigned_training_id").val("");
            $("#assigned_training_trainer_id").val("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("assigned-training.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'AssignedTraining'
                },
                dataType: 'json',
                success: function(assigned_training) {
                    if (assigned_training) {
                        $("#assigned_training_id").val(assigned_training.id);
                        if (assigned_training.attest_date) {
                            $("#assigned_training_attest_date").val(assigned_training.attest_date);
                        }
                        $("#assigned_training_trainer_id").val(assigned_training.trainer_id).trigger("change");
                    }
                }
            });
        });

        $("#btn-export").click(function() {
            $("#modal-dialog-export-activity").modal("hide");
        });
    });
</script>

@endsection