@extends('layouts.app-bo')
@section('title', __("app.upload"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between mb-4">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.upload_training_documents') }}
                        </h4>
                        <div class="mb-3 card-subtitle"> <b> </b></div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('assigned-training.result', $parameters) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <form action="{{ route('assigned-training.upload.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="assigned_training_id" value="{{ $assigned_training->id }}" />
                    <div class="dropzone" id="dropzone-documents">
                        <div class="dz-button" type="button">{{ __('app.drag_drop_files_here') }}</div>
                    </div>
                    <br/>
                    <input class="form-control" id="documents" name="documents[]" type="file" placeholder="{{ __('app.select_files') }}" multiple onchange="this.form.submit()" />
                </form>
            </div>
        </div>
    </section>
</div>

@endsection