<div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="id" name="id" value="{{ $training_demand->id }}" disabled />
                <label for="id">{{ __('app.id') }}</label>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="applicant_1st_level" name="applicant_1st_level" value="{{ $training_demand->applicant->fname }} {{ $training_demand->applicant->lname }}" disabled />
                <label for="applicant_1st_level">{{ __('app.applicant_1st_level') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="user_id" name="user_id" value="{{ $training_demand->user->fname }} {{ $training_demand->user->lname }}" disabled />
                <label for="user_id">{{ __('app.user') }}</label>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="date" class="form-control" id="demand_date" name="demand_date" value="{{ $training_demand->demand_date }}" disabled />
                <label for="id">{{ __('app.demand_date') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="level2" name="level2" value="{{ $training_demand->level2 }}" disabled />
                <label for="level2">{{ __('app.2nd_level_treatment') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="date" class="form-control" id="decision_date" name="decision_date" value="{{ $training_demand->decision_date }}" disabled />
                <label for="id">{{ __('app.decision_date') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <select class="form-select" id="decision_made" name="decision_made" aria-label="{{ __('app.2nd_level_decision_status') }}">
                    <option value="">{{ __('app.select') }} ...</option>
                    @foreach ($decision_status as $key => $val)
                    <option value="{{ $key }}" {{ $key == $training_demand->decision_made ? 'selected' : ''}}>{{ $val }}</option>
                    @endforeach
                </select>
                <label for="decision_made">{{ __('app.2nd_level_decision_status') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="level3" name="level3" value="{{ $training_demand->level3 }}" disabled />
                <label for="level2">{{ __('app.3rd_level_treatment') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="date" class="form-control" id="completed_date" name="completed_date" value="{{ $training_demand->completed_date }}" disabled />
                <label for="id">{{ __('app.final_status') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <select class="form-select" id="status" name="status" aria-label="{{ __('app.final_status') }}">
                    <option value="">{{ __('app.select') }} ...</option>
                    @foreach ($decision_status as $key => $val)
                    <option value="{{ $key }}" {{ $key == $training_demand->status ? 'selected' : ''}}>{{ $val }}</option>
                    @endforeach
                </select>
                <label for="decision_made">{{ __('app.final_status') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="platform_id" name="platform_id" value="{{ $training_demand->training->platform->type }}" disabled />
                <label for="level2">{{ __('app.platform') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="training_id" name="training_id" value="{{ $training_demand->training->name }}" disabled />
                <label for="id">{{ __('app.training') }}</label>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-floating mb-3">
                <input type="date" class="form-control" id="start_date" name="start_date" value="{{ $training_demand->start_date }}" />
                <label for="id">{{ __('app.date_of_training') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="team_id" name="team_id" value="{{ $training_demand->team->name }}" disabled />
                <label for="team_id">{{ __('app.team') }}</label>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="location" name="location" value="{{ $training_demand->location }}" disabled />
                <label for="location">{{ __('app.location') }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-floating mb-3">
                <textarea class="form-control" id="description" name="description" placeholder="{{ __('app.description') }}" style="height: 80px;" disabled>{{ $training_demand->description }}</textarea>
                <label for="description">{{ __('app.description') }}</label>
            </div>
        </div>
    </div>
</div>