@extends('layouts.app-bo')
@section('title', __('app.training_requests'))
@section('content')

<div class="main-content container-fluid">
    @if (!$is_closed)
    <div class="d-md-flex align-items-center justify-content-between">
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.steps') }}</h4>
                    <br />
                    <div class="row gap-2">
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.1st_step_make_a_training_demand') }}
                        </div>
                        <div class="col-md-1 align-middle text-center">
                            <br />
                            <b>=></b>
                        </div>
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.2nd_step_optional_intermediate_approval') }}
                        </div>
                        <div class="col-md-1 align-middle text-center">
                            <br />
                            <b>=></b>
                        </div>
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.3rd_step_final_approval_training_departement') }}
                        </div>
                    </div>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">&nbsp;&nbsp;&nbsp;</h4>
        </div>
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.legend') }}</h4>
                    <div class="row gap-2">
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-success-subtle w-100 d-block text-success ">
                                {{ __('app.approved') }}
                                <span class="badge ms-auto text-bg-success">{{ $count_approved }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-danger-subtle w-100 d-block text-danger ">
                                {{ __('app.declined') }}
                                <span class="badge ms-auto text-bg-danger">{{ $count_declined }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-warning-subtle w-100 d-block text-warning ">
                                {{ __('app.pending') }}
                                <span class="badge ms-auto text-bg-warning">{{ $count_pending }}</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endif
    <section class="section">
        <div class="card" id="training-demand">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                            {{ __("menus.training_requests") }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        @if ($is_closed)
                        <a href="{{ route('training-demand.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                        @else
                        <div class="btn-group">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="ti ti-file-export fs-4"></i>
                                {{ __("app.export") }}
                            </button>
                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <li>
                                    <a href="{{ route('training-demand.export', [$locale, 'csv']) }}" class="dropdown-item">
                                        <i class="ti ti-file-type-csv fs-5"></i>
                                        {{ __('app.csv') }}
                                    </a>
                                </li>
                                <li>
                                    <a href="{{ route('training-demand.export', [$locale, 'xlsx']) }}" class="dropdown-item">
                                        <i class="ti ti-file-type-xls fs-5"></i>
                                        {{ __('app.excel') }}
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <a href="{{ route('training-demand.create', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-browser-x fs-4"></i>
                            {{ __("app.create_demand_of_non_recurrente_training") }}
                        </a>
                        <a href="{{ route('training-demand-level.list', [$locale]) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-eye fs-4"></i>
                            {{ __("app.view_authorization_levels") }}
                        </a>
                        <a href="{{ route('training-demand.list-closed', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-browser-x fs-4"></i>
                            {{ __("app.see_all_closed_demand") }}
                        </a>
                        @endif
                    </div>
                </div>
                <div class="mt-3">
                    {{ $training_demands->appends(request()->query())->links() }}
                </div>
                <form action="{{ route('training-demand.list', $locale) }}" method="GET" id="form-search">
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                                <tr>
                                    <th class="table-reference">#</th>
                                    <th>{{ __("app.applicant_1st_level") }}</th>
                                    <th>{{ __("app.2nd_level_treatment") }}</th>
                                    <th>{{ __("app.3rd_level_treatment") }}</th>
                                    <th>{{ __("app.2nd_level_status") }}</th>
                                    <th>{{ __("app.final_status") }}</th>
                                    <th>{{ __("app.demand_date") }}</th>
                                    <th>{{ __("app.user") }}</th>
                                    <th>{{ __("app.platform") }}</th>
                                    <th>{{ __("app.training") }}</th>
                                    <th>{{ __("app.description") }}</th>
                                    <th>{{ __("app.team") }}</th>
                                    <th>{{ __("app.date_of_training") }}</th>
                                    <th>{{ __("app.training_location") }}</th>
                                    @if (!$is_closed)
                                    <th class="table-actions sticky-search-button">{{ __("app.actions") }}</th>
                                    @endif
                                </tr>
                            </thead>
                            <thead class="thead-light">
                                <tr>
                                    <th class="table-reference">
                                        <input type="text" class="form-control" id="id" name="id" style="width: 75px;" />
                                    </th>
                                    <th>
                                        <select class="form-select" id="applicant_id" name="applicant_id">
                                            <option value="">&nbsp;</option>
                                            @foreach ($users as $user)
                                            <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} [{{ $user->ref }}] @if ($user->nas) [{{ $user->nas }}] @endif</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="level2" name="level2">
                                            <option value="">&nbsp;</option>
                                            @foreach ($users_level2 as $user)
                                            <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} [{{ $user->ref }}] @if ($user->nas) [{{ $user->nas }}] @endif</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="level3" name="level3">
                                            <option value="">&nbsp;</option>
                                            @foreach ($users_level3 as $user)
                                            <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} [{{ $user->ref }}] @if ($user->nas) [{{ $user->nas }}] @endif</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="status" name="status">
                                            <option value="">&nbsp;</option>
                                            @foreach ($decision_status as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="decision_made" name="decision_made">
                                            <option value="">&nbsp;</option>
                                            @foreach ($decision_status as $key => $val)
                                            <option value="{{ $key }}">{{ $val }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="demand_date" name="demand_date" />
                                    </th>
                                    <th>
                                        <select class="form-select" id="user_id" name="user_id">
                                            <option value="">&nbsp;</option>
                                            @foreach ($users as $user)
                                            <option value="{{ $user->id }}">{{ $user->lname }}, {{ $user->fname }} [{{ $user->ref }}] @if ($user->nas) [{{ $user->nas }}] @endif</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <select class="form-select" id="platform_id" name="platform_id">
                                            <option value="">&nbsp;</option>
                                            @foreach ($platforms as $platform)
                                            <option value="{{ $platform->id }}">{{ $platform->type }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th>
                                        <input type="text" class="form-control" id="training_name" name="training_name" />
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select" id="team_id" name="team_id">
                                            <option value="">&nbsp;</option>
                                            @foreach ($teams as $team)
                                            <option value="{{ $team->id }}">{{ $team->name }}</option>
                                            @endforeach
                                        </select>
                                    </th>
                                    <th></th>
                                    <th></th>
                                    <th class="sticky-search-button">
                                        <a class="btn bg-danger-subtle text-danger" href="{{ route('training-demand.list', $locale) }}" title="{{ __('app.reset_filter') }}" data-bs-toggle="tooltip" data-bs-placement="bottom">
                                            <i class="ti ti-filter-off fs-4"></i>
                                        </a>
                                        <button class="btn bg-success-subtle text-success" type="submit" title="{{ __('app.search') }}" data-bs-toggle="tooltip" data-bs-placement="bottom">
                                            <i class="ti ti-search fs-4"></i>
                                        </button>
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($training_demands as $training_demand)
                                @php
                                $decision_status_bg = [0 => 'bg-warning', 1 => 'bg-success', -1 => 'bg-danger'];
                                $action = route('training-demand.destroy', [$locale]);
                                $id = $training_demand->id;
                                $name = '';
                                $message_question = __('message.confirmation_delete_item');
                                $message_warning = '';
                                @endphp
                                <tr>
                                    <td class="table-reference">{{ $training_demand->id }}</td>
                                    <td>{{ $training_demand->applicant->fname }} {{ $training_demand->applicant->lname }}</td>
                                    <td>{{ $training_demand->level2 }}</td>
                                    <td>{{ $training_demand->level3 }}</td>
                                    <td class="{{ $decision_status_bg[$training_demand->status] ?? '' }}">
                                        @if ($training_demand->status == -1) {{ $training_demand->refusal_raison_level2 }} @endif
                                        @if ($training_demand->status == 1) {{ $training_demand->completed_date }} @endif
                                        @if ($training_demand->status == 0) {{ $decision_status[$training_demand->status] }} @endif
                                    </td>
                                    <td class="{{ $decision_status_bg[$training_demand->decision_made] ?? '' }}">
                                        @if ($training_demand->decision_made == -1) {{ $training_demand->refusal_raison_level3 }} @endif
                                        @if ($training_demand->decision_made == 1) {{ $training_demand->decision_date }} @endif
                                        @if ($training_demand->decision_made == 0) {{ $decision_status[$training_demand->decision_made] }} @endif
                                    </td>
                                    <td>{{ $training_demand->demand_date }}</td>
                                    <td>{{ $training_demand->user->fname }} {{ $training_demand->user->lname }}</td>
                                    <td>{{ $training_demand->training->platform->type }}</td>
                                    <td>{{ $training_demand->training->name }}</td>
                                    <td>{{ $training_demand->description }}</td>
                                    <td>{{ $training_demand->team->name }}</td>
                                    <td>{{ $training_demand->start_date }}</td>
                                    <td>{{ $training_demand->location }}</td>
                                    @if (!$is_closed)
                                    <td class="table-actions sticky-search-button">
                                        <a href="javascript:void(0)" class="text-primary form-view" data-id="{{ $training_demand->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-view">
                                            <i class="ti ti-eye fs-5"></i>
                                        </a>
                                        @if ($training_demand->status && !$training_demand->is_closed)
                                        <a href="javascript:void(0)" class="text-primary form-close" data-id="{{ $training_demand->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-close">
                                            <i class="ti ti-browser-x fs-5"></i>
                                        </a>
                                        @endif
                                        @if ($is_level4 && !$training_demand->is_closed)
                                        <a href="javascript:void(0)" class="text-danger delete" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete">
                                            <i class="ti ti-trash fs-5"></i>
                                        </a>
                                        <a href="javascript:void(0)" class="text-primary form-edit" data-id="{{ $training_demand->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-edit">
                                            <i class="ti ti-edit fs-5"></i>
                                        </a>
                                        @endif
                                    </td>
                                    @endif
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<!-- Modal dialog view -->
<div id="modal-dialog-view" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-view-label" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg">
        <div class="modal-content">
            <div class="modal-header modal-colored-header bg-primary text-white">
                <h4 class="modal-title text-white">
                    {{ __('message.training_demand_entry') }}
                </h4>
                <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" id="modal-body-content-view">
                {{ __('message.loading_please_wait') }}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                    <i class="ti ti-circle-x fs-4"></i>
                    {{ __('app.close') }}
                </button>
            </div>
        </div>
    </div>
</div>

<!-- Modal dialog close -->
<form action="{{ route('training-demand.close', $locale) }}" method="POST" id="modal-dialog-close-form">
    @csrf
    <input type="hidden" name="id" id="training-demand-id" value="" />
    <div id="modal-dialog-close" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-close-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-warning text-white">
                    <h4 class="modal-title text-white">
                        {{ __('message.confirmation') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    {{ __('message.confirmation_close_demand') }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-check fs-4"></i>
                        {{ __('app.ok') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog edit -->
<form action="{{ route('training-demand.store', $locale) }}" method="POST" id="modal-dialog-edit-form">
    @csrf
    <input type="hidden" name="id" id="modal-edit-id" value="" />
    <div id="modal-dialog-edit" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-edit-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white">
                        {{ __('message.training_demand_entry') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="modal-body-content-edit">
                    {{ __('message.loading_please_wait') }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn btn-primary">
                        <i class="ti ti-check fs-4"></i>
                        {{ __('app.validate') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("a.form-view").click(function() {
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-demand.view", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id
                },
                dataType: 'html',
                success: function(response) {
                    $("#modal-body-content-view").html(response);
                }
            });
        });

        $("a.form-edit").click(function() {
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-demand.edit", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id
                },
                dataType: 'html',
                success: function(response) {
                    $("#modal-edit-id").val(id);
                    $("#modal-body-content-edit").html(response);
                }
            });
        });

        $("a.form-close").click(function() {
            var id = $(this).data("id");
            $("#training-demand-id").val(id);
        });

        <?php foreach ($parameters as $key => $val) { ?>
            $("#<?= $key ?>").val("<?= $val ?>").trigger("change");
            $("select#<?= $key ?>").change(function() {
                $("form#form-search").submit();
            });
        <?php } ?>
    });
</script>
@endsection