@extends('layouts.app-bo')
@section('title', __('app.training_demand_levels'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card" id="training-demand">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                            {{ __("app.training_demand_levels") }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('training-demand-level.create', [$locale, 1]) }}" class="btn btn-warning d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-edit fs-4"></i>
                            {{ __("app.edit_supervisor_users_1st_level") }}
                        </a>
                        <a href="{{ route('training-demand-level.create', [$locale, 2]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-edit fs-4"></i>
                            {{ __("app.edit_general_foreman_users_2nd_Level") }}
                        </a>
                        <a href="{{ route('training-demand-level.create', [$locale, 3]) }}" class="btn btn-danger d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-edit fs-4"></i>
                            {{ __("app.edit_training_department_users_3rd_level") }}
                        </a>
                        <a href="{{ route('training-demand.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <div class="mt-3">
                    {{ $training_demand_levels->appends(request()->query())->links() }}
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.user") }}</th>
                                <th>{{ __("app.level") }}</th>
                                <th>{{ __("app.training_request_step_1_notification") }}</th>
                                <th>{{ __("app.training_request_step_2_notification") }}</th>
                                <th>{{ __("app.training_request_step_3_notification") }}</th>
                                <th class="table-actions sticky-search-button">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($training_demand_levels as $training_demand_level)
                            @php
                            $action = route('training-demand-level.destroy', [$locale]);
                            $id = $training_demand_level->id;
                            $name = $training_demand_level->user->fname . ' ' . $training_demand_level->user->lname;
                            $message_question = __('message.confirmation_delete_item');
                            $message_warning = '';
                            @endphp
                            <tr>
                                <td class="table-reference">{{ $training_demand_level->id }}</td>
                                <td>{{ $training_demand_level->user->fname }} {{ $training_demand_level->user->lname }}</td>
                                <td>{{ $levels[$training_demand_level->level] ?? '' }}</td>
                                <td class="text-center">
                                    @if ($training_demand_level->req_step1_notification)
                                    <i class="ti ti-circle-check text-success fs-4"></i>
                                    @else
                                    <i class="ti ti-circle-x text-danger fs-4"></i>
                                    @endif
                                </td>
                                <td class="text-center">
                                    @if ($training_demand_level->req_step2_notification)
                                    <i class="ti ti-circle-check text-success fs-4"></i>
                                    @else
                                    <i class="ti ti-circle-x text-danger fs-4"></i>
                                    @endif
                                </td>
                                <td class="text-center">
                                    @if ($training_demand_level->req_step3_notification)
                                    <i class="ti ti-circle-check text-success fs-4"></i>
                                    @else
                                    <i class="ti ti-circle-x text-danger fs-4"></i>
                                    @endif
                                </td>
                                <td class="table-actions sticky-search-button">
                                    <a href="javascript:void(0)" class="text-primary delete" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete">
                                        <i class="ti ti-trash fs-5"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
</div>

@endsection