@extends('layouts.app-bo')
@section('title', !isset($training) ? ($category->id == 2 ? __("app.create_procedure") : __("app.create_training")) : (($category->id == 2 ? __("app.update_procedure") : __('app.update_training')) . ' : ' . $training->name))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            @if ($category->id == 2)
                            @if (isset($training))
                            {{ __("app.update_procedure") }} : {{ $training->name }}
                            @else
                            {{ __("app.create_procedure") }}
                            @endif
                            @else
                            @if (isset($training))
                            {{ __("app.update_training") }} : {{ $training->name }}
                            @else
                            {{ __("app.create_training") }}
                            @endif
                            @endif
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.category') }} : </b> {{ __('menus.' . $category->code) }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('training.index', [$locale]) . '#' . $category->code }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <form action="{{ route('training.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="id" value="{{ isset($training) ? $training->id : '' }}" />
                    <input type="hidden" name="company_id" value="{{ $company->id }}" />
                    <input type="hidden" name="category_id" value="{{ $category->id }}" />
                    <input type="hidden" name="procedure" value="{{ $procedure }}" />
                    @php
                    $name_id = $category->id == 2 ? "procedure_id" : "training_id";
                    @endphp
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="id" value="{{ isset($training) ? $training->id : '' }}" placeholder="{{ __("app.$name_id") }}" disabled readonly />
                                <label for="id">{{ __("app.$name_id") }}</label>
                            </div>
                        </div>
                    </div>
                    @if (!$procedure)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select @error('platform_id') is-invalid @enderror" id="platform_id" name="platform_id" aria-label="{{ __('app.platform') }}" {{ isset($training) ? 'disabled' : '' }} required>
                                    <option></option>
                                    @foreach ($platforms as $platform)
                                    <option value="{{ $platform->id }}" {{ old('platform_id') == $platform->id ? 'selected' : (isset($training) && $training->platform_id == $platform->id ? 'selected' : '') }}>{{ $platform->type }}</option>
                                    @endforeach
                                </select>
                                <label for="platform_id">{{ __('app.platform') }}</label>
                                @error('platform_id')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    @endif
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') ? : (isset($training) ? $training->name : '') }}" placeholder="{{ __('app.name') }}" required />
                                <label for="name">{{ __('app.name') }}</label>
                                @error('name')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control @error('name') is-invalid @enderror" id="prefix" name="prefix" value="{{ old('prefix') ? : (isset($training) ? $training->prefix : '') }}" placeholder="{{ __('app.prefix') }}" required />
                                <label for="prefix">{{ __('app.prefix') }}</label>
                                @error('prefix')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="number" class="form-control" id="refresh" name="refresh" value="{{ old('refresh') ? : (isset($training) ? $training->refresh : '') }}" placeholder="{{ __('app.refresh_after_years') }}" />
                                <label for="refresh">{{ __('app.refresh_after_years') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select @error('platform_id') is-invalid @enderror" id="result" name="result" aria-label="{{ __('app.select_result_of_training_competion') }}" required {{ $procedure ? 'disabled' : '' }}>
                                    <option></option>
                                    @foreach ($training_result as $tresult)
                                    <option value="{{ $tresult->id }}" {{ old('result') == $tresult->id ? 'selected' : (isset($training) && $training->result == $tresult->id ? 'selected' : ($procedure && $tresult->id == 1 ? 'selected' : '')) }}>{{ $tresult->name }}</option>
                                    @endforeach
                                </select>
                                <label for="result">{{ __('app.select_result_of_training_competion') }}</label>
                                @error('result')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="department_id" name="department_id" aria-label="{{ __('app.department') }}">
                                    <option></option>
                                    @foreach ($departments as $department)
                                    <option value="{{ $department->id }}" {{ old('department_id') == $department->id ? 'selected' : (isset($training) && $training->department_id == $department->id ? 'selected' : '') }}>{{ $department->name }}</option>
                                    @endforeach
                                </select>
                                <label for="department_id">{{ __('app.department') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="subdepartment_id" name="subdepartment_id" aria-label="{{ __('app.subdepartment') }}">
                                    <option></option>
                                    @foreach ($subdepartments as $subdepartment)
                                    <option value="{{ $subdepartment->id }}" {{ old('subdepartment_id') == $subdepartment->id ? 'selected' : (isset($training) && $training->subdepartment_id == $subdepartment->id ? 'selected' : '') }}>{{ $subdepartment->name }}</option>
                                    @endforeach
                                </select>
                                <label for="subdepartment_id">{{ __('app.subdepartment') }}</label>
                            </div>
                        </div>
                    </div>
                    @if (!$procedure)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="equipement_id" name="equipement_id" aria-label="{{ __('app.equipement') }}">
                                    <option></option>
                                    @foreach ($equipements as $equipement)
                                    <option value="{{ $equipement->id }}" {{ old('equipement_id') == $equipement->id ? 'selected' : (isset($training) && $training->equipement_id == $equipement->id ? 'selected' : '') }}>{{ $equipement->name }}</option>
                                    @endforeach
                                </select>
                                <label for="equipement_id">{{ __('app.equipement') }}</label>
                            </div>
                        </div>
                    </div>
                    @if ($category->id == 2)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="following_training_id" aria-label="{{ __('app.training_for_follow_up') }}">
                                    <option>{{ __('app.select_a_training') }} ...</option>
                                    @foreach ($following_trainings as $following_training)
                                    <option value="{{ $following_training->id }}">[{{ $following_training->prefix }}] {{ $following_training->name }}</option>
                                    @endforeach
                                </select>
                                <label for="following_training_id">{{ __('app.training_for_follow_up') }}</label>
                            </div>
                        </div>
                    </div>
                    @endif
                    @endif
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <textarea class="form-control" id="details" name="details" placeholder="{{ __('app.details') }}" style="height: 115px;">{{ old('details') ? : (isset($training) ? $training->details : '') }}</textarea>
                                <label for="details">{{ __('app.details') }}</label>
                            </div>
                        </div>
                    </div>
                    @if (isset($training))
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="rev" name="rev" value="{{ old('rev') ? : (isset($training) ? $training->rev : '') }}" placeholder="{{ __('app.revision') }}" />
                                <label for="rev">{{ __('app.revision') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <div class="form-check mb-3">
                                <label class="form-check-label" for="notification">{{ __('app.send_notification_to_assigned_trainees_about_revision_change') }}
                                    <input type="checkbox" class="form-check-input" id="notification" name="notification" value="1" placeholder="{{ __('app.send_notification_to_assigned_trainees_about_revision_change') }}" {{ old('notification') ? 'checked' : '' }}>
                                </label>
                            </div>
                        </div>
                    </div>
                    @endif
                    @if ($category->id != 2)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form mb-3">
                                <label class="form-label" for="dropzone-image">{{ __('app.upload_image') }}</label>
                                <div class="dropzone" id="dropzone-image">
                                    <div class="dz-button" type="button">{{ __('app.drag_drop_files_here') }}</div>
                                </div>
                                <br />
                                <input class="form-control" type="file" id="image" name="image" id="image" accept="image/*" placeholder="{{ __('app.select_file') }}">
                            </div>
                        </div>
                    </div>
                    @endif
                    @if ($procedure)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form mb-3">
                                <label class="form-label" for="dropzone-file">{{ __('app.file_representing_the_procedure') }}</label>
                                <div class="dropzone" id="dropzone-file">
                                    <div class="dz-button" type="button">{{ __('app.drag_drop_file_here') }}</div>
                                </div>
                                <br />
                                <input class="form-control" type="file" id="file" name="file" id="file" placeholder="{{ __('app.select_file') }}">
                            </div>
                        </div>
                    </div>
                    @endif
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('training.index', [$locale]) . '#' . $category->code }}" class="btn bg-danger-subtle text-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">
    // Dropzone.autoDiscover = false;
</script>

@endsection