@extends('layouts.app-bo')
@section('title', !isset($form_field) ? __("app.create_form_field") : (__('app.update_form_field') . ' : ' . $form_field->name))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <form action="{{ route('form-field.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
            @csrf
            <input type="hidden" name="id" value="{{ isset($form_field) ? $form_field->id : '' }}" />
            <input type="hidden" name="company_id" value="{{ $company->id }}" />
            <input type="hidden" name="form_id" value="{{ $form->id }}" />
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                @if (isset($form_field))
                                    {{ __("app.update_form_field") }} : {{ $form_field->name }}
                                @else
                                    {{ __("app.create_form_field") }}
                                @endif
                            </h4>
                            <div class="mb-3 card-subtitle"><b>{{ __('app.form') }} : </b> {{ $form->name }}</div>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6">
                            <a href="{{ route('form.edit', [$locale, $form->id]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                                <i class="ti ti-arrow-back-up fs-4"></i>
                                {{ __("app.back") }}
                            </a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control @error('field') is-invalid @enderror" id="field" name="field" value="{{ old('field') ? : (isset($form_field) ? $form_field->field : '') }}" placeholder="{{ __('app.field') }}" required />
                                <label for="field">{{ __('app.field') }}</label>
                                @error('field')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select id="type" class="form-control" name="type" aria-label="{{ __('app.type') }}" aria-required="true" aria-invalid="true" required>
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($form_field_types as $form_field_type)
                                        @if (!$has_assign_to_user || $form_field_type->id != 19)
                                            <option value="{{ $form_field_type->id }}" {{ isset($form_field) && $form_field_type->id == $form_field->type ? 'selected' : '' }}>{{ __('app.' . $form_field_type->name) }}</option>
                                        @endif
                                    @endforeach
                                </select>
                                <label for="type">{{ __('app.type') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row div_content">
                        <div class="col-md-12 mb-3 div_type_text div_type_text_5">
                            <span class="mb-3 badge  bg-info-subtle text-info" style="padding: 20px;width: 100%;text-align: left;">
                                {{ __('app.form_field_title_choice') }}
                            </span>
                        </div>
                        <div class="col-md-12 mb-3 div_type_text div_type_text_12">
                            <span class="mb-3 badge  bg-default-subtle text-none" style="border: solid 1px #eee;padding: 20px;width: 100%;text-align: left;--bs-badge-color: #000;">
                                {{ __('app.form_field_title_text_plain') }}
                            </span>
                        </div>
                        <div class="col-md-12 mb-3 div_type_text div_type_text_13">
                            <span class="mb-3 badge  bg-primary-subtle text-primary" style="padding: 20px;width: 100%;text-align: left;">
                                {{ __('app.form_field_title_text_blue') }}
                            </span>
                        </div>
                        <div class="col-md-12 mb-3 div_type_text div_type_text_14">
                            <span class="mb-3 badge  bg-warning-subtle text-warning" style="padding: 20px;width: 100%;text-align: left;">
                                {{ __('app.form_field_title_text_yellow') }}
                            </span>
                        </div>
                        <div class="col-md-12 mb-3 div_type_text div_type_text_15">
                            <span class="mb-3 badge  bg-danger-subtle text-danger" style="padding: 20px;width: 100%;text-align: left;">
                                {{ __('app.form_field_title_text_red') }}
                            </span>
                        </div>
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="content" name="content" value="{{ old('content') ? : (isset($form_field) ? $form_field->content : '') }}" placeholder="{{ __('app.content') }}" />
                                <label for="content">{{ __('app.content') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select id="required" class="form-control" name="required" aria-label="{{ __('app.required') }}" aria-required="true" aria-invalid="true">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    <option value="0" {{ isset($form_field) && $form_field->required == "0" ? 'selected' : '' }}>{{ __('app.no') }}</option>
                                    <option value="1" {{ isset($form_field) && $form_field->required == "1" ? 'selected' : '' }}>{{ __('app.yes') }}</option>
                                </select>
                                <label for="required">{{ __('app.required') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('form.edit', [$locale, $form->id]) }}" class="btn bg-danger-subtle text-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
</div>

<script type="text/javascript">
    $(function() {
        $("select#type").change(function() {
            change_type($(this).val());
        }).change();
    });

    function change_type(type) {
        var div_content = $("div.div_content");
        var div_type_text = $("div.div_type_text");
        var array_content_type = ["3", "5", "12", "13", "14", "15"];
        var array_content_type_text = ["5", "12", "13", "14", "15"];
        div_type_text.hide();
        if (array_content_type.includes(type)) {
            div_content.show();
        } else {
            div_content.hide();
        }
        if (array_content_type_text.includes(type)) {
            $("div.div_type_text_" + type).show();
        }
    }
</script>

@endsection