@extends('layouts.app-bo')
@section('title', __('app.trainings'))
@section('content')

<div class="main-content container-fluid">
    <div class="d-md-flex align-items-center justify-content-between">
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.jump_to') }}</h4>
                    <div class="row gap-2">
                        <div class="col-md-4">
                            <a href="#online_training_and_evaluation" class="btn d-flex bg-success-subtle w-100 d-block text-success ">
                                {{ __('menus.online_training_and_evaluation') }}
                                <span class="badge ms-auto text-bg-success">{{ count($training_1) }}</span>
                            </a>
                        </div>
                        <div class="col-md-4">
                            <a href="#inspection_of_equipment_in_3d" class="btn d-flex bg-primary-subtle w-100 d-block text-primary ">
                                {{ __('menus.inspection_of_equipment_in_3d') }}
                                <span class="badge ms-auto text-bg-primary">{{ count($training_6) }}</span>
                            </a>
                        </div>
                        <div class="col-md-3">
                            <a href="#form" class="btn d-flex bg-secondary-subtle w-100 d-block text-secondary ">
                                {{ __('menus.form') }}
                                <span class="badge ms-auto text-bg-secondary">{{ count($forms_7) }}</span>
                            </a>
                        </div>
                        <div class="col-md-4">
                            <a href="#online_reading_procedures" class="btn d-flex bg-info-subtle w-100 d-block text-info ">
                                {{ __('menus.online_reading_procedures') }}
                                <span class="badge ms-auto text-bg-info">{{ count($training_2) }}</span>
                            </a>
                        </div>
                        <div class="col-md-4">
                            <a href="#interactive_survey" class="btn d-flex bg-danger-subtle w-100 d-block text-danger ">
                                {{ __('menus.interactive_survey') }}
                                <span class="badge ms-auto text-bg-danger">{{ count($training_4) }}</span>
                            </a>
                        </div>
                        <div class="col-md-3">
                            <a href="#reports" class="btn d-flex bg-info-subtle w-100 d-block text-info ">
                                {{ __('menus.reports') }}
                                <span class="badge ms-auto text-bg-info">{{ count($reports) }}</span>
                            </a>
                        </div>
                        <div class="col-md-4">
                            <a href="#interactive_apprentice_booklet" class="btn d-flex bg-warning-subtle w-100 d-block text-warning ">
                                {{ __('menus.interactive_apprentice_booklet') }}
                                <span class="badge ms-auto text-bg-warning">{{ count($training_3) }}</span>
                            </a>
                        </div>
                        <div class="col-md-4">
                            <a href="#personal_survey" class="btn d-flex bg-primary-subtle w-100 d-block text-primary ">
                                {{ __('menus.personal_survey') }}
                                <span class="badge ms-auto text-bg-primary">{{ count($training_5) }}</span>
                            </a>
                        </div>
                        <div class="col-md-3">
                            <a href="#work_card" class="btn d-flex bg-success-subtle w-100 d-block text-success ">
                                {{ __('menus.work_card') }}
                                <span class="badge ms-auto text-bg-success">{{ count($forms_9) }}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">&nbsp;&nbsp;&nbsp;</h4>
        </div>
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.legend') }}</h4>
                    <div class="row gap-2">
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-danger-subtle w-100 d-block text-danger ">
                                {{ __('app.disable_training') }}
                                <span class="badge ms-auto text-bg-danger">{{ $count_disable_training }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex btn-outline-light w-100 d-block text-dark ">
                                {{ __('app.paid_training') }}
                                <span class="badge ms-auto text-bg-dark">{{ $count_paid_training }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-success-subtle w-100 d-block text-success ">
                                {{ __('app.immutable_training') }}
                                <span class="badge ms-auto text-bg-success">{{ $count_immutable_training }}</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @php
    $color_disable_training = "--bs-table-bg: pink;";
    $color_paid_training = "";
    $color_immutable_training = "--bs-table-bg: #c5fcc8;";
    @endphp
    <section class="section">
        <!-- online_training_and_evaluation -->
        @php
        $category_id = 1;
        $training_name = "online_training_and_evaluation";
        $training_iconify_icon = "healthicons:i-training-class-outline";
        $trainings = $training_1;
        $training_button_create = "create";
        @endphp
        @include("training.training-list")

        <!-- online_reading_procedures -->
        @php
        $category_id = 2;
        $training_name = "online_reading_procedures";
        $training_iconify_icon = "ant-design:delivered-procedure-outlined";
        $trainings = $training_2;
        $training_button_create = "add_a_new_procedure";
        @endphp
        @include("training.training-list")
        @include("training.modal-choose-procedure-type")

        <!-- interactive_apprentice_booklet -->
        @php
        $category_id = 3;
        $training_name = "interactive_apprentice_booklet";
        $training_iconify_icon = "lucide:notebook";
        $trainings = $training_3;
        $training_button_create = "create";
        @endphp
        @include("training.training-list")

        <!-- interactive_survey -->
        @php
        $category_id = 4;
        $training_name = "interactive_survey";
        $training_iconify_icon = "fluent-mdl2:survey-questions";
        $trainings = $training_4;
        $training_button_create = "create";
        @endphp
        @include("training.training-list")

        <!-- personal_survey -->
        @php
        $category_id = 5;
        $training_name = "personal_survey";
        $training_iconify_icon = "wpf:survey";
        $trainings = $training_5;
        $training_button_create = "create";
        @endphp
        @include("training.training-list")

        <!-- inspection_of_equipment_in_3d -->
        @php
        $category_id = 6;
        $training_name = "inspection_of_equipment_in_3d";
        $training_iconify_icon = "tdesign:map-3d";
        $trainings = $training_6;
        $training_button_create = "create";
        @endphp
        @include("training.training-list")

        <!-- form -->
        @php
        $category_id = 7;
        $training_name = "form";
        $training_iconify_icon = "fluent:notepad-edit-16-regular";
        $forms = $forms_7;
        $training_button_create = "create";
        @endphp
        @include("training.form-list")

        <!-- reports -->
        @php
        $category_id = 8;
        $training_name = "reports";
        $training_iconify_icon = "mdi:report-multiple";
        $reports = $reports;
        $training_button_create = "create";
        @endphp
        @include("training.report-list")

        <!-- work_card -->
        @php
        $category_id = 9;
        $training_name = "work_card";
        $training_iconify_icon = "entypo:v-card";
        $forms = $forms_9;
        $training_button_create = "create";
        @endphp
        @include("training.form-list")
    </section>
</div>

@include('lib.training-confirm-dialog')

@endsection