@extends('layouts.app-bo')
@section('title', __('app.job_itinerary') . ' : ' . $job_training_group->name)
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.job_itinerary") }} : {{ $job_training_group->name }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.description') }} : </b> {{ $job_training_group->description }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('job-training.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.trainings_in_the_itinerary") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($job_training_group->trainings) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">

                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}" id="training-job_training_group-list">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th>{{ __("app.category") }}</th>
                                <th>{{ __("app.prefix") }}</th>
                                <th>{{ __("app.revision") }}</th>
                                <th>{{ __("app.training_name") }}</th>
                                <th class="table-actions">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($categories as $category)
                            @php
                            $key_tr = $category->id.'-'.($category->code == 'external_presentiel' ? 2 : 1);
                            $trainings = array_key_exists($key_tr, $training_categories) ? $training_categories[$key_tr] : [];
                            @endphp
                            @if (count($trainings))
                            @foreach ($trainings as $i => $training)
                            @php
                            $action = route('job-training.training.detach', [$locale, $job_training_group->id]);
                            $id = $training->id;
                            $title = $training->name;
                            $message_question = __('message.confirmation_delete_job_training_group');
                            $message_warning = "";
                            @endphp
                            <tr data-id="{{ $training->id }}">
                                @if ($i == 0)
                                <td rowspan="{{ count($trainings) }}" valign="middle">
                                    <div class="row">
                                        <div class="col-md-10">
                                            {{ __('menus.' . $category->code) }}
                                        </div>
                                        <div class="col-md-2" data-bs-toggle="tooltip" title="{{ __('app.add_new_training') }} ({{ __('menus.' . $category->code) }})">
                                            <a href="#" class="text-primary select-training-from-list" data-code="{{ $category->code }}" data-name="{{ __('menus.' . $category->code) }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-select-training">
                                                <i class="ti ti-circle-plus fs-7"></i>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                @endif
                                <td>{{ $training->prefix }}</td>
                                <td>{{ $training->rev }}</td>
                                <td>{{ $training->name }}</td>
                                <td class="table-actions">
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $title }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-danger delete">
                                        <i class="ti ti-xbox-x fs-5"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                            @else
                            <tr>
                                <td>
                                    <div class="row">
                                        <div class="col-md-10">
                                            {{ __('menus.' . $category->code) }}
                                        </div>
                                        <div class="col-md-2" data-bs-toggle="tooltip" title="{{ __('app.add_new_training') }} ({{ __('menus.' . $category->code) }})">
                                            <a href="#" class="text-primary select-training-from-list" data-code="{{ $category->code }}" data-name="{{ __('menus.' . $category->code) }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-select-training">
                                                <i class="ti ti-circle-plus fs-7"></i>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="table-actions">

                                </td>
                            </tr>
                            @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="form-action">
            <div class="card-body text-center">
                <a href="{{ route('job-training.list', [$locale]) }}" class="btn btn-info ms-6">
                    <i class="ti ti-arrow-back-up fs-4"></i>
                    {{ __("app.back") }}
                </a>
            </div>
        </div>
        <br />
        <br />
        <br />
    </section>
</div>

<!-- Modal dialog select training -->
<form action="{{ route('job-training.training.select', $locale) }}" method="POST" id="modal-dialog-select-training-form">
    @csrf
    <input type="hidden" name="id" value="{{ $job_training_group->id }}" />
    <div id="modal-dialog-select-training" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-select-training-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-info text-white">
                    <h4 class="modal-title text-white">
                        <span>{{ __('app.add') }}</span>
                        <span id="modal-dialog-select-training-label"></span>
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-8">
                            <p class="title"><b>{{ __('app.job_itinerary') }} : </b>{{ $job_training_group->name }}</p>
                        </div>
                        <div class="col-md-4 text-end"><b>{{ __('app.select_training') }}</b></div>
                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                                <tr>
                                    <th class="table-reference">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="training_select_all" title="{{ __('app.select_all') }}" data-bs-toggle="tooltip">
                                        </div>
                                    </th>
                                    <th>{{ __("app.prefix") }}</th>
                                    <th>{{ __("app.revision") }}</th>
                                    <th>{{ __("app.name") }}</th>
                                </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($new_trainings as $training)
                                <tr id="tr_training_{{ $training->id }}" class="tr_training {{ $training->category->code }}">
                                    <td class="table-reference">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input training-select" id="training_select_{{ $training->id }}" name="training_id[{{ $training->id }}]" value="{{ $training->id }}" title="{{ $training->name }}" data-bs-toggle="tooltip">
                                        </div>
                                    </td>
                                    <td>{{ $training->prefix }}</td>
                                    <td>{{ $training->rev }}</td>
                                    <td>{{ $training->name }}</td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#training_select_all").click(function() {
            if (this.checked) {
                $(".training-select:visible").prop("checked", true);
            } else {
                $(".training-select:visible").prop("checked", false);
            }
            $("input[type='checkbox'].training-select").change();
        });

        $("input[type='checkbox'].training-select").change(function() {
            if ($("input[type='checkbox'].training-select:checked").length > 0) {
                $("#delete-selected-trainings").attr("disabled", false);
                $("#delete-selected-trainings").attr("style", "cursor: default;");
            } else {
                $("#delete-selected-trainings").attr("disabled", true);
                $("#delete-selected-trainings").attr("style", "cursor: not-allowed !important;");
            }
        }).change();

        $("a.select-training-from-list").click(function() {
            var code = $(this).data('code');
            var name = $(this).data('name');
            $("#modal-dialog-select-training-form #modal-dialog-select-training-label").html(name);
            $("tr.tr_training").hide();
            $("tr." + code).show();
        });
    });
</script>

@endsection