@extends('layouts.app-bo')
@section('title', __('app.live_reading'))
@section('content')


<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
        <div class="card">
            <div class="card-body">
                <form id="categoryForm" method="POST" action="{{ route('trainings.live_reading', ['locale' => $locale]) }}">
                    @csrf
                    <div class="row mb-4">
                        <div class="col-12 mx-auto">
                            <h3>Select Category</h3>
                            <div class="form-group">
                                <select name="category_id" id="category" class="form-control">
                                    <option value="">Select Category...</option>
                                    @foreach($data['category'] as $category)
                                  
                                        <option value="{{ $category->id }}">{{ $category->new_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-4" id="trainingSection" style="display:none">
                        <div class="col">
                            <h3>Select Training</h3>
                            <div class="form-group">
                                <select name="training_id" id="training" class="form-control select2">
                                    <option value="">Select Training...</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-4" id="submitSection" style="display:none; text-align:center">
                        <div class="col">
                            <button type="submit" class="btn btn-success">
                                Select Participants <i class="fas fa-arrow-circle-right"></i>
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

    <script>
        $(document).ready(function() {
            $('.select2').select2();

            $('#category').change(function() {
                var categoryId = $(this).val();
                if(categoryId) {
                    $.ajax({
                        url: '{{ route('trainings.get-by-category', ['locale' => $locale, 'category_id' => ':id']) }}'.replace(':id', categoryId),
                        type: 'GET',
                        success: function(data) {
                            $('#training').empty();
                            $('#training').append('<option value="">Select Training...</option>');
                            $.each(data, function(key, value) {
                                $('#training').append('<option value="'+ value.id +'">'+ value.name +'</option>');
                            });
                            $('#trainingSection').show();
                        }
                    });
                } else {
                    $('#trainingSection').hide();
                    $('#submitSection').hide();
                }
            });

            $('#training').change(function() {
                if($(this).val()) {
                    $('#submitSection').show();
                } else {
                    $('#submitSection').hide();
                }
            });
        });
    </script>

@endsection
