@extends('layouts.app-bo')

@section('title', __('app.training_groups'))

@section('content')
<div class="main-content container-fluid">
    <div class="page-title"></div>
    <section class="section">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-12 col-md-6 order-md-1 order-last">
                        <h3>{{ __('Live Readings') }}</h3>
                        <a href="{{ route('training-library_video.index', [$locale, 11]) }}" class="btn btn-secondary">
                            {{ __("users.back") }}
                        </a>
                        <p>
                            Affichage de <strong>{{ $history->firstItem() }}</strong> à 
                            <strong>{{ $history->lastItem() }}</strong> sur 
                            <strong>{{ $history->total() }}</strong> éléments.
                        </p>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <form method="GET" action="">
                        <div class="mb-4">
                            <label for="categorySelect" class="form-label">Category</label>
                            <select class="form-select" id="categorySelect" name="category_id">
                                <option value="">{{ __('Select a category') }}</option>
                                @foreach ($categories as $category)
                                    <option value="{{ $category->id }}">
                                        {{ __('menus.' . $category->code) }}
                                    </option>
                                @endforeach
                                <option value="13">Meeting</option>
                            </select>
                        </div>
                        <table class="table table-striped table-bordered display text-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>{{ __('Category') }}</th>
                                    <th>{{ __('Training') }}</th>
                                    <th>{{ __('Trainer') }}</th>
                                    <th>{{ __('Date') }}</th>
                                    <th>{{ __('Duration (h:m:s)') }}</th>
                                    <th>{{ __('Completed') }}</th>
                                    <th>{{ __('Trainees') }}</th>
                                    <th>{{ __('Actions') }}</th>
                                </tr>
                                <tr>
                                    <th>
                                        <button type="submit" class="btn btn-primary btn-sm" title="Rechercher">
                                            <i class="fas fa-search"></i>
                                        </button>
                                    </th>
                                    <th>
                                        <input 
                                            type="text" 
                                            name="category_name" 
                                            class="form-control" 
                                            placeholder="{{ __('Search category') }}">
                                    </th>
                                    <th>
                                        <select 
                                            class="form-select" 
                                            name="training_id">
                                            <option value="">{{ __('Select Training') }}</option>
                                            {{-- Ajoutez ici les options des trainings --}}
                                        </select>
                                    </th>
                                    <th>
                                        <input 
                                            type="text" 
                                            name="trainer_name" 
                                            class="form-control" 
                                            placeholder="{{ __('Search trainer') }}">
                                    </th>
                                    <th>
                                        <input 
                                            type="date" 
                                            name="date" 
                                            class="form-control">
                                    </th>
                                    <th></th>
                                    <th>
                                        <select class="form-select" name="completed">
                                            <option value="">{{ __('All') }}</option>
                                            <option value="1">{{ __('Yes') }}</option>
                                            <option value="0">{{ __('No') }}</option>
                                        </select>
                                    </th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($history as $item)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $item->category->name ?? '-' }}</td>
                                        <td>{{ $item->training->name ?? '-' }}</td>
                                        <td>{{ $item->trainer->name ?? '-' }}</td>
                                        <td>{{ $item->date }}</td>
                                        <td>{{ $item->duration }}</td>
                                        <td>
                                            @if ($item->completed)
                                                <i class="fas fa-check-circle text-success"></i>
                                            @else
                                                <i class="fas fa-times-circle text-danger"></i>
                                            @endif
                                        </td>
                                        <td>{{ $item->trainees_list }}</td>
                                        <td>
                                            <a href="">
                                                <i class="fas fa-file-alt"></i>
                                            </a>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="9">{{ __('No history found.') }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <div class="d-flex justify-content-center mt-4">
        {{ $history->links() }}
    </div>
</div>
@endsection
