@extends('layouts.app-bo')
@section('title', __('app.task') . ' : ' . $task->title)
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.task") }} : {{ $task->title }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.module') }} : </b> {{ $module->name }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('task.question.create', [$locale, $training->id, $module->id, $task->id]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <form action="{{ route('answer.complete', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
            @csrf
            <input type="hidden" name="id" value="{{ $task->id }}" />
            <input type="hidden" name="module_id" value="{{ $module->id }}" />
            <input type="hidden" name="training_id" value="{{ $training->id }}" />
            <div class="card">
                <div class="card-body">
                    <div class="d-md-flex align-items-center justify-content-between">
                        <div class="mb-4 mb-md-0">
                            <h4 class="card-title">
                                {{ __("app.answers") }}
                            </h4>
                            <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($answers) }}</b> {{ __('app.items') }}</div>
                        </div>
                        <div class="d-flex align-items-center justify-content-between gap-6">
                            <a href="{{ route('answer.create', [$locale, $training->id, $module->id, $task->id]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                                <i class="ti ti-plus fs-4"></i>
                                {{ __("app.add_new") }}
                            </a>
                        </div>
                    </div>
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}" id="training-module-list">
                            <thead class="{{ $setting->table_thead_class }}">
                                <tr>
                                    <th class="table-reference">#</th>
                                    <th>{{ __("app.answer") }}</th>
                                    <th>{{ __("app.correct") }}</th>
                                    <th>{{ __("app.feedback") }}</th>
                                    <th>{{ __("app.filename") }}</th>
                                    <th class="table-actions">{{ __("app.actions") }}</th>
                                </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($answers as $answer)
                                @php
                                $action = route('answer.destroy', [$locale, $training->id, $module->id, $task->id]);
                                $id = $answer->id;
                                $title = $answer->answer;
                                $message_question = __('message.confirmation_delete_item');
                                $message_warning = "";
                                @endphp
                                <tr data-id="{{ $answer->id }}">
                                    <td class="table-reference">{{ $answer->id }}</td>
                                    <td>{{ $answer->answer }}</td>
                                    <td><i class="ti ti-{{ $answer->correct ? 'square-check' : 'square' }} fs-5"></i></td>
                                    <td>{{ $answer->feedback }}</td>
                                    <td>{{ $answer->filename }}</td>
                                    <td class="table-actions">
                                        <a href="{{ route('answer.edit', [$locale, $training->id, $module->id, $task->id, $answer->id]) }}" class="text-primary edit form-answer-edit">
                                            <i class="ti ti-edit fs-5"></i>
                                        </a>
                                        <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $title }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                            <i class="ti ti-trash fs-5"></i>
                                        </a>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="form-action">
                <div class="card-body text-center">
                    <a href="{{ route('task.question.create', [$locale, $training->id, $module->id, $task->id]) }}" class="btn btn-info ms-6">
                        <i class="ti ti-arrow-back-up fs-4"></i>
                        {{ __("app.back") }}
                    </a>
                    <button type="submit" class="btn btn-success ms-6">
                        <i class="ti ti-circle-check fs-4"></i>
                        {{ __('app.done') }}
                    </button>
                </div>
            </div>
        </form>
        <br />
        <br />
        <br />
    </section>
</div>

@endsection