@extends('layouts.app-bo')
@section('title', !isset($answer) ? __("app.create_answer") : (__('app.update_answer') . ' : ' . $answer->answer))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            @if (isset($answer))
                            {{ __("app.update_answer") }} : {{ $answer->answer }}
                            @else
                            {{ __("app.create_answer") }}
                            @endif
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.question') }} : </b> {{ $task->title }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('answer.index', [$locale, $training->id, $module->id, $task->id]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <form action="{{ route('answer.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="id" value="{{ isset($answer) ? $answer->id : '' }}" />
                    <input type="hidden" name="task_id" value="{{ $task->id }}" />
                    <input type="hidden" name="module_id" value="{{ $module->id }}" />
                    <input type="hidden" name="training_id" value="{{ $training->id }}" />
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating">
                                <textarea class="form-control" id="answer" name="answer" placeholder="{{ __('app.answer') }}" style="height: 115px;">{{ old('answer') ? : (isset($answer) ? $answer->answer : '') }}</textarea>
                                <label for="answer">{{ __('app.answer') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3 mb-3">
                        <div class="col-md-12">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" name="correct" id="correct" value="1" {{ old('correct') ? 'checked' : (isset($answer) && $answer->correct ? 'checked' : '') }}>
                                <label class="form-check-label" for="correct">{{ __('app.correct') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3 mb-3">
                        <div class="col-md-12">
                            <div class="form">
                                <label class="form-label" for="file">{{ __('app.filename') }}</label>
                                <input class="form-control" type="file" id="file" name="file" placeholder="{{ __('app.filename') }}">
                                @if (isset($answer) && $answer->filepath)
                                <div class="mt-3">
                                    <img src="{{ $answer->filepath }}" style="max-width:70%;height:auto;" title="{{ $answer->filename }}">
                                </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('answer.index', [$locale, $training->id, $module->id, $task->id]) }}" class="btn btn-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

@endsection