@extends('layouts.app-bo')
@section('title', __('app.module') . ' : ' . $module->name)
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.module") }} : {{ $module->name }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.type') }} : </b> {{ __('app.'.$module->type) }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('training.view', [$locale, $training_id]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.tasks") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($tasks) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('task.create', [$locale, $training_id, $module->id]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-plus fs-4"></i>
                            {{ __("app.add_new") }}
                        </a>
                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}" id="module-task-list">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference"></th>
                                <th class="table-reference">#</th>
                                <th class="table-reference">
                                    <a href="javascript:void(0)" id="collapse_all">
                                        <i class="ti ti-layout-sidebar-left-expand fs-6"></i>
                                    </a>
                                </th>
                                <th class="table-reference">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input" id="task_select_all" title="{{ __('app.select_all') }}" data-bs-toggle="tooltip">
                                    </div>
                                </th>
                                <th>{{ __("app.title") }}</th>
                                <th>{{ __("app.question") }}</th>
                                <th class="table-actions">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($tasks as $task)
                            @php
                            $action = route('task.destroy', [$locale, $module->id, $training_id]);
                            $id = $task->id;
                            $title = $task->title;
                            $message_question = __('message.confirmation_delete_item');
                            $message_warning = "";
                            @endphp
                            <tr data-id="{{ $task->id }}" class="line">
                                <td class="table-reference drag-handle" style="cursor: move;"><i class="ti ti-arrows-up-down fs-5"></i></td>
                                <td class="table-reference">{{ $task->id }}</td>
                                <td class="table-reference">
                                    <a href="javascript:void(0)" data-bs-toggle="collapse" data-bs-target="#collapse-task-{{ $task->id }}" aria-expanded="false" aria-controls="collapse-task-{{ $task->id }}">
                                        <i class="ti ti-layout-bottombar-collapse fs-6"></i>
                                    </a>
                                </td>
                                <td class="table-reference">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input task-select" id="task_select_{{ $task->id }}" name="task_id[{{ $task->id }}]" value="{{ $task->id }}" title="{{ $task->title }}" data-bs-toggle="tooltip">
                                    </div>
                                </td>
                                <td>{{ $task->title }}</td>
                                <td>{{ $task->question }}</td>
                                <td class="table-actions">
                                    <a href="{{ route('task.view', [$locale, $training_id, $module->id, $task->id]) }}" class="text-primary view">
                                        <i class="ti ti-eye fs-5"></i>
                                    </a>
                                    <a href="{{ route('task.edit', [$locale, $training_id, $module->id, $task->id]) }}" class="text-primary edit form-task-edit">
                                        <i class="ti ti-edit fs-5"></i>
                                    </a>
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $title }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                        <i class="ti ti-trash fs-5"></i>
                                    </a>
                                </td>
                            </tr>
                            <tr class="collapse" id="collapse-task-{{ $task->id }}">
                                <td></td>
                                <td></td>
                                <td></td>
                                <td colspan="3">
                                    <!-- <img src="test.png"> -->
                                    <h5>{{ __('app.question') }}</h5>
                                    <p>{{ $task->question }}</p>
                                    <div class="d-md-flex align-items-center justify-content-between">
                                        <div class="mb-4 mb-md-0">
                                            <h5>{{ __('app.answers') }}</h5>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between gap-6">
                                            @if (count($task->answers))
                                            <div class="mb-3 card-subtitle">{{ __('app.showing') }} <b>1-{{ count($task->answers) }}</b> {{ __('app.of') }} <b>{{ count($task->answers) }}</b> {{ __('app.items') }}</div>
                                            @endif
                                        </div>
                                    </div>
                                    @if (count($task->answers))
                                    <div class="{{ $setting->table_div_class }}">
                                        <table class="{{ $setting->table_class }}" id="module-task-list">
                                            <thead class="{{ $setting->table_thead_class }}">
                                                <tr>
                                                    <th>{{ __("app.answer") }}</th>
                                                    <th>{{ __("app.correct") }}</th>
                                                    <th>{{ __("app.feedback") }}</th>
                                                </tr>
                                            </thead>
                                            <tbody class="{{ $setting->table_tbody_class }}">
                                                @foreach ($task->answers as $answer)
                                                <tr data-id="{{ $answer->id }}">
                                                    <td>{{ $answer->answer }}</td>
                                                    <td>
                                                        <i class="ti ti-{{ $answer->correct ? 'square-check' : 'square' }} fs-5"></i>
                                                    </td>
                                                    <td>{{ $answer->feedback }}</td>
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="form-action">
            <div class="card-body text-center">
                <a href="{{ route('training.view', [$locale, $training_id]) }}" class="btn btn-info ms-6">
                    <i class="ti ti-arrow-back-up fs-4"></i>
                    {{ __("app.back") }}
                </a>
                <a href="#" class="btn btn-success ms-6" data-id="{{ $training->id }}" data-name="{{ $training->name }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-training-confirmation-enable" onclick="open_dialig_enable(this)">
                    <i class="ti ti-clipboard-check fs-4"></i>
                    {{ __('app.enable_training_and_go_to_trainings') }}
                </a>
                @php
                $action = route('task.destroy', [$locale, $module->id, $training_id]);
                $message_question = __('message.all_the_selected_tasks_are_going_to_be_permanently_deleted_are_you_sure');
                $message_warning = "";
                @endphp
                <button onclick="set_data_delete('{{ $action }}', get_selected_ids(), '', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="btn btn-danger ms-6" id="delete-selected-tasks">
                    <i class="ti ti-trash fs-4"></i>
                    {{ __('app.delete_selected_tasks') }}
                </button>
            </div>
        </div>
        <br />
        <br />
        <br />
    </section>
</div>

@include('lib.training-confirm-dialog')

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#task_select_all").click(function() {
            if (this.checked) {
                $(".task-select").prop("checked", true);
            } else {
                $(".task-select").prop("checked", false);
            }
            $("input[type='checkbox'].task-select").change();
        });

        $("input[type='checkbox'].task-select").change(function() {
            if ($("input[type='checkbox'].task-select:checked").length > 0) {
                delete_selected_tasks(false);
            } else {
                delete_selected_tasks(true);
            }
        }).change();
        delete_selected_tasks(true);

        $("table#module-task-list tbody").sortable({
            handle: ".drag-handle",
            items: "tr.line",
            cursor: "move",
            placeholder: "ui-state-highlight",
            start: function(e, ui) {
                ui.placeholder.height(ui.item.height());
            },
            update: function(event, ui) {
                var elements = $(this).sortable('toArray', {
                    attribute: 'data-id'
                });
                $.ajax({
                    url: '{{ route("task.update.order", [$locale]) }}',
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}',
                        module_id: '{{ $module->id }}',
                        ids: elements
                    },
                    dataType: 'json',
                    success: function() {
                        toastr.success(
                            "success",
                            "{{ __('message.order_updated') }}", {
                                showMethod: "fadeIn",
                                hideMethod: "fadeOut",
                                timeOut: 1000,
                                closeButton: true
                            }
                        );
                    }
                });
            }
        });
        $("#table#module-task-list tbody").disableSelection();

        $("#collapse_all").click(function() {
            const $icon = $(this).find('i');
            const target = $("tr.collapse");
            target.on('shown.bs.collapse', function() {
                $icon.removeClass('ti-layout-sidebar-left-expand').addClass('ti-layout-navbar-expand');
            });
            target.on('hidden.bs.collapse', function() {
                $icon.removeClass('ti-layout-navbar-expand').addClass('ti-layout-sidebar-left-expand');
            });

            if ($icon.hasClass("ti-layout-sidebar-left-expand")) {
                $('tr.collapse').each(function() {
                    $(this).collapse('show');
                });
            } else {
                $('tr.collapse').each(function() {
                    $(this).collapse('hide');
                });
            }
        });
    });

    function get_selected_ids() {
        var ids = "";
        $("input[type='checkbox'].task-select:checked").each(function() {
            if (ids != "") ids += ",";
            ids += $(this).val();
        });
        return ids;
    }

    function delete_selected_tasks(disabled) {
        if (disabled) {
            $("#delete-selected-tasks").attr("disabled", true);
            $("#delete-selected-tasks").attr("style", "cursor: not-allowed !important;");
        } else {
            $("#delete-selected-tasks").attr("disabled", false);
            $("#delete-selected-tasks").attr("style", "cursor: default;");
        }
    }
</script>

@endsection