@extends('layouts.app-bo')
@section('title', __('app.presentiel_trainings'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card" id="training-demand">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                            {{ __("app.presentiel_trainings") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($presentiels) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="#" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-choose-procedure-type" id="choose-procedure-type">
                            <i class="ti ti-eye fs-4"></i>
                            {{ __("app.archived_completed_presentiel_trainings") }}
                        </a>
                        <a href="{{ route('presentiel.create', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-plus fs-4"></i>
                            {{ __("app.schedule_a_presentiel_training") }}
                        </a>
                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.prefix") }}</th>
                                <th>{{ __("app.training") }}</th>
                                <th>{{ __("app.assignment_date") }}</th>
                                <th>{{ __("app.due_date") }}</th>
                                <th>{{ __("app.start_time") }}</th>
                                <th>{{ __("app.training_location") }}</th>
                                <th>{{ __("app.trainer") }}</th>
                                <th>{{ __("app.trainees") }}</th>
                                <th>{{ __("app.completed_follow_up_actions") }}</th>
                                <th class="sticky-search-button table-actions">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($presentiels as $presentiel)
                            @php
                            $action = route('presentiel.destroy', [$locale]);
                            $id = $presentiel->id;
                            $name = '';
                            $message_question = __('message.confirmation_delete_item');
                            $message_warning = __('message.confirmation_delete_item_training');
                            @endphp
                            <tr>
                                <td>{{ $presentiel->id }}</td>
                                <td>{{ $presentiel->training->prefix }}</td>
                                <td>{{ $presentiel->training->name }}</td>
                                <td>{{ $presentiel->start_date }}</td>
                                <td>{{ $presentiel->end_date }}</td>
                                <td>{{ $presentiel->time_start }}</td>
                                <td>{{ $presentiel->training_location->name }}</td>
                                <td>{{ $presentiel->trainer->fname }} {{ $presentiel->trainer->lname }}</td>
                                <td>
                                    @foreach ($presentiel->trainees as $trainee)
                                    {{ $trainee->lname }} {{ $trainee->fname }} [{{ $trainee->ref }}]<br />
                                    @endforeach
                                </td>
                                <td>
                                    @if ($presentiel->followup)
                                    <i class="ti ti-square-check fs-5 text-success"></i>
                                    @else
                                    <i class="ti ti-square-x fs-5 text-danger"></i>
                                    @endif
                                </td>
                                <td class="sticky-search-button">
                                    <a href="{{ route('presentiel.view', [$locale, $presentiel->id]) }}" class="text-primary view">
                                        <i class="ti ti-eye fs-5"></i>
                                    </a>
                                    <a href="{{ route('presentiel.complete', [$locale, $presentiel->id]) }}" class="text-primary check">
                                        <i class="ti ti-check fs-5 text-success"></i>
                                    </a>
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                        <i class="ti ti-trash fs-5 text-danger"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection