@extends('layouts.app-bo')
@section('title', __("app.schedule_a_presentiel_training"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.schedule_a_presentiel_training") }}
                        </h4>
                        <div class="mb-3 card-subtitle">&nbsp;</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('presentiel.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <form action="{{ route('presentiel.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="company_id" value="{{ $company->id }}" />
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_id" name="training_id" aria-label="{{ __('app.training') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainings as $training)
                                    <option value="{{ $training->id }}" {{ old('training_id') ? 'selected' : (isset($form) && $training->id == $form->training_id ? 'selected' : '') }}>[{{ $training->prefix }}] {{ $training->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_id">{{ __('app.training') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control @error('start_date') is-invalid @enderror" id="start_date" name="start_date" value="{{ old('start_date') ? : (isset($presentiel) ? $presentiel->start_date : '') }}" placeholder="{{ __('app.assignment_date') }}" required />
                                <label for="start_date">{{ __('app.assignment_date') }}</label>
                                @error('start_date')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control @error('end_date') is-invalid @enderror" id="end_date" name="end_date" value="{{ old('end_date') ? : (isset($presentiel) ? $presentiel->end_date : '') }}" placeholder="{{ __('app.due_date') }}" required />
                                <label for="end_date">{{ __('app.due_date') }}</label>
                                @error('end_date')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12"><span class="mb-3 badge  bg-primary-subtle text-primary" style="padding: 20px;width: 100%;text-align: left;">
                                {{ __('app.timezome_start_stop_time_is_canada_eastern') }}
                            </span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="time" class="form-control @error('time_start') is-invalid @enderror" id="time_start" name="time_start" value="{{ old('time_start') ? : (isset($presentiel) ? $presentiel->time_start : '') }}" placeholder="{{ __('app.start_time') }}" />
                                <label for="time_start">{{ __('app.start_time') }}</label>
                                @error('time_start')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="time" class="form-control @error('time_stop') is-invalid @enderror" id="time_stop" name="time_stop" value="{{ old('time_stop') ? : (isset($presentiel) ? $presentiel->time_stop : '') }}" placeholder="{{ __('app.stop_time') }}" />
                                <label for="time_stop">{{ __('app.stop_time') }}</label>
                                @error('time_stop')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="trainer_id" name="trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}" {{ old('trainer_id') ? 'selected' : (isset($presentiel) && $trainer->id == $presentiel->trainer_id ? 'selected' : '') }}>{{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif</option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="training_location_id" name="training_location_id" aria-label="{{ __('app.training_location') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($training_locations as $training_location)
                                    <option value="{{ $training_location->id }}" {{ old('training_location_id') ? 'selected' : (isset($presentiel) && $training_location->id == $presentiel->training_location_id ? 'selected' : '') }}>{{ $training_location->name}}</option>
                                    @endforeach
                                </select>
                                <label for="training_location_id">{{ __('app.training_location') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" id="trainees" name="trainees" aria-label="{{ __('app.trainees') }}" multiple disabled readonly>
                                    
                                </select>
                                <label for="trainees">{{ __('app.trainees') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="is_grantable" name="is_grantable" value="1" placeholder="{{ __('app.grantable') }}" {{ old('is_grantable') ? 'checked' : (isset($presentiel) && $presentiel->is_grantable ? 'checked' : '') }}>
                                <label class="form-check-label" for="is_grantable">{{ __('app.grantable') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="cost_redistribution" name="cost_redistribution" value="1" placeholder="{{ __('app.can_the_cost_be_redistributed') }}" {{ old('cost_redistribution') ? 'checked' : (isset($presentiel) && $presentiel->cost_redistribution ? 'checked' : '') }}>
                                <label class="form-check-label" for="cost_redistribution">{{ __('app.can_the_cost_be_redistributed') }}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="do_not_send_notification_to_trainees" name="do_not_send_notification_to_trainees" value="1" placeholder="{!! __('app.do_not_send_notification_to_trainees') !!}" {{ old('do_not_send_notification_to_trainees') ? 'checked' : (isset($presentiel) && $presentiel->do_not_send_notification_to_trainees ? 'checked' : '') }}>
                                <label class="form-check-label" for="do_not_send_notification_to_trainees">{!! __('app.do_not_send_notification_to_trainees') !!}</label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="reccuring_calendar" name="reccuring_calendar" value="1" placeholder="{!! __('app.show_in_reccuring_calendar') !!}" {{ old('reccuring_calendar') ? 'checked' : (isset($presentiel) && $presentiel->reccuring_calendar ? 'checked' : '') }}>
                                <label class="form-check-label" for="reccuring_calendar">{!! __('app.show_in_reccuring_calendar') !!}</label>
                            </div>
                        </div>
                        <div class="col-md-4">

                        </div>
                        <div class="col-md-4">
                            <div class="form-check mb-3">
                                <input type="checkbox" class="form-check-input" id="do_not_send_notification_to_trainer" name="do_not_send_notification_to_trainer" value="1" placeholder="{!! __('app.do_not_send_notification_to_trainer') !!}" {{ old('do_not_send_notification_to_trainer') ? 'checked' : (isset($presentiel) && $presentiel->do_not_send_notification_to_trainer ? 'checked' : '') }}>
                                <label class="form-check-label" for="do_not_send_notification_to_trainer">{!! __('app.do_not_send_notification_to_trainer') !!}</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('presentiel.list', [$locale]) }}" class="btn bg-danger-subtle text-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">
    // Dropzone.autoDiscover = false;
</script>

@endsection