@php $is_modal = $is_modal ?? false; @endphp
<div class="card">
    <div class="card-header text-bg-primary">
        <div class="row mb-0">
            <div class="col-md-6">
                <h5 class="text-white">{{ __('app.training_details') }}</h5>
            </div>
            <div class="col-md-6 text-end">
                @if (!$is_modal)
                <a href="{{ route('presentiel.view', [$locale, $presentiel->id]) }}" class="text-white view">
                    <i class="ti ti-eye fs-5"></i>
                </a>
                <a href="" class="text-white edit">
                    <i class="ti ti-pencil fs-5"></i>
                </a>
                <a href="" class="text-white cancel">
                    <i class="ti ti-circle-letter-x fs-5"></i>
                </a>
                <a href="" class="text-white save">
                    <i class="ti ti-device-floppy fs-5"></i>
                </a>
                @endif
            </div>
        </div>
    </div>
    <form class="form-horizontal">
        <div class="form-body">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.training') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">[{{ $presentiel->training->prefix }}] {{ $presentiel->training->name }}</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">

                    </div>

                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.trainer') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->trainer->fname }} {{ $presentiel->trainer->lname }}</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.training_location') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->training_location->name }}</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.cost') }} :</label>
                            <div class="col-md-7">
                                <div class="row">
                                    <div class="col-md-5">
                                        <p class="form-control-static">$ {{ $presentiel->cost }}</p>
                                    </div>
                                    <div class="col-md-7 text-end">
                                        @if (!$is_modal)
                                        <a href="javascript:void(0)" id="training-cost-view" class="btn btn-xs btn-info" data-id="{{ $presentiel->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-training-cost-view">
                                            <i class="ti ti-eye fs-4"></i>
                                            {{ __('app.view') }}
                                        </a>
                                        <a href="javascript:void(0)" id="training-cost-add" class="btn btn-xs btn-primary" data-id="{{ $presentiel->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-training-cost-add">
                                            <i class="ti ti-circle-plus fs-4"></i>
                                            {{ __('app.add') }}
                                        </a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.duration') }} (H:m) :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->duration }}</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.assignment_date') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->start_date }}</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.due_date') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->end_date }}</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.start_time') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->time_start }}</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.stop_time') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->time_stop }}</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.documents') }} :</label>
                            <div class="col-md-7">
                                @foreach ($documents as $document_name => $document_path)
                                @php
                                $link_path = route('other.download', [$locale, $document_name]);
                                $action = route('presentiel.file.delete', [$locale, $document_name]);
                                $id = $presentiel->id;
                                $name = $document_name;
                                $message_question = __('message.training_confirm_delete_file');
                                $message_warning = '';
                                @endphp
                                <p class="form-control-static">
                                    <a href="{{ $link_path }}">{{ $document_name }}</a>
                                    <a href="{{ $link_path }}" class="text-primary edit">
                                        <i class="ti ti-download fs-5"></i>
                                    </a>
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-danger delete">
                                        <i class="ti ti-trash fs-5"></i>
                                    </a>
                                </p>
                                @endforeach
                            </div>
                        </div>
                    </div>
                    @if (!$is_modal)
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.completed_follow_up_actions') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">
                                    @if ($presentiel->followup)
                                    <i class="ti ti-square-check fs-5 text-success"></i>
                                    @else
                                    <i class="ti ti-square-x fs-5 text-danger"></i>
                                    @endif
                                </p>
                            </div>
                        </div>
                    </div>
                    @endif

                    @if (!$is_modal)
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.comments_notes') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->comments }}</p>
                            </div>
                        </div>
                    </div>
                    @endif
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="form-label text-end col-md-5">{{ __('app.max_attendancy') }} :</label>
                            <div class="col-md-7">
                                <p class="form-control-static">{{ $presentiel->training->max_attendancy }}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<div class="card">
    <div class="card-header text-bg-primary">
        <div class="row mb-0">
            <div class="col-md-6">
                <h5 class="text-white">{{ __('app.activities') }}</h5>
            </div>
            <div class="col-md-6 text-end">
                {{ __('app.Total') }} <b>{{ count($activities_presentiel) }}</b> {{ __('app.items') }}
            </div>
        </div>
    </div>
    <br />
    <div class="{{ $setting->table_div_class }}">
        <table class="{{ $setting->table_class }}" id="training-module-list">
            <thead class="{{ $setting->table_thead_class }}">
                <tr>
                    <th class="table-reference">#</th>
                    <th>{{ __("app.trainer") }}</th>
                    <th>{{ __("app.type") }}</th>
                    <th>{{ __("app.date") }}</th>
                    <th>{{ __("app.status") }}</th>
                    <th>{{ __("app.duration") }}</th>
                    <th>{{ __("app.notes") }}</th>
                    <th>{{ __("app.assigned_to") }}</th>
                    @if (!$is_modal)
                    <th class="table-actions">{{ __("app.actions") }}</th>
                    @endif
                </tr>
            </thead>
            <tbody class="{{ $setting->table_tbody_class }}">
                @foreach ($activities_presentiel as $activity_presentiel)
                <tr data-id="{{ $activity_presentiel->id }}">
                    <td class="table-reference">{{ $activity_presentiel->id }}</td>
                    <td>{{ $activity_presentiel->trainer->lname }} {{ $activity_presentiel->trainer->fname }}</td>
                    <td class="bg-{{ $activity_presentiel->type == 'Theory' ? 'primary' : 'info' }}">{{ __('app.' . ($activity_presentiel->type ? : 'none')) }}</td>
                    <td>{{ $activity_presentiel->date }}</td>
                    <td class="bg-{{ $activity_presentiel->status == 'Completed' ? 'success' : 'warning' }}">{{ __('app.' . ($activity_presentiel->status ? : 'none')) }}</td>
                    <td>{{ $activity_presentiel->duration }}</td>
                    <td>{{ $activity_presentiel->notes }}</td>
                    <td>
                        @foreach ($activity_presentiel->activities as $activity)
                        @php
                        $action = route('activity.destroy', [$locale, $presentiel->id]);
                        $id = $activity->id;
                        $name = $activity->name;
                        $message_question = __('message.confirmation_delete_item');
                        $message_warning = "";
                        @endphp
                        <div class="row">
                            <div class="col-md-12">
                                @if (!$is_modal)
                                <a href="#" class="text-primary edit form-activity-edit" data-id="{{ $activity->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-activity" id="modal-dialog-activity">
                                    <i class="ti ti-edit fs-5"></i>
                                </a>
                                <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                    <i class="ti ti-trash fs-5 text-danger"></i>
                                </a>
                                @endif
                                {{ $activity->assigned_training->user->fname }}
                                {{ $activity->assigned_training->user->lname }}
                                [{{ $activity->assigned_training->user->ref }}]
                            </div>
                        </div>
                        @endforeach
                    </td>
                    @if (!$is_modal)
                    @php
                    $action = route('activity-presentiel.destroy', [$locale, $presentiel->id]);
                    $id = $activity_presentiel->id;
                    $name = $activity_presentiel->name;
                    $message_question = __('message.confirmation_delete_item');
                    $message_warning = "";
                    @endphp
                    <td class="table-actions sticky-search-button">
                        <a href="{{ route('activity-presentiel.done', [$locale, $activity_presentiel->id]) }}" class="text-success edit form-activity-presentiel-edit">
                            <i class="ti ti-check fs-5"></i>
                        </a>
                        <a href="#" class="text-primary edit form-activity-presentiel-edit" data-id="{{ $activity_presentiel->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-activity-presentiel" id="modal-dialog-activity-presentiel-edit">
                            <i class="ti ti-edit fs-5"></i>
                        </a>
                        <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                            <i class="ti ti-trash fs-5 text-danger"></i>
                        </a>
                    </td>
                    @endif
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    <br />
</div>
<div class="card">
    <div class="card-header text-bg-primary">
        <div class="row mb-0">
            <div class="col-md-6">
                <h5 class="text-white">{{ __('users.users') }}</h5>
            </div>
            <div class="col-md-6 text-end">
                {{ __('app.Total') }} <b>{{ count($assigned_training) }}</b> {{ __('app.items') }}
            </div>
        </div>
    </div>
    <br />
    <div class="{{ $setting->table_div_class }}">
        <table class="{{ $setting->table_class }}" id="training-module-list">
            <thead class="{{ $setting->table_thead_class }}">
                <tr>
                    <th>{{ __("app.last_name") }}</th>
                    <th>{{ __("app.first_name") }}</th>
                    <th>{{ __("app.matricule_id") }}</th>
                    @if (!$is_modal)
                    <th>{{ __("app.department") }}</th>
                    <th>{{ __("app.employer") }}</th>
                    <th>{{ __("app.status") }}</th>
                    <th>{{ __("app.employer_category") }}</th>
                    @endif
                    <th>{{ __("app.score") }}</th>
                    @if (!$is_modal)
                    <th class="table-actions">{{ __("app.actions") }}</th>
                    @if ($presentiel->training->form_id)
                    <th class="table-actions">{{ __("app.form") }}</th>
                    @endif
                    @endif
                </tr>
            </thead>
            <tbody class="{{ $setting->table_tbody_class }}">
                @foreach ($assigned_training as $assign_training)
                <tr data-id="{{ $assign_training->user->id }}">
                    <td>{{ $assign_training->user->lname }}</td>
                    <td>{{ $assign_training->user->fname }}</td>
                    <td>{{ $assign_training->user->ref }}</td>
                    @if (!$is_modal)
                    <td>{{ $assign_training->user->Department->name }}</td>
                    <td>{{ $assign_training->user->employer->name }}</td>
                    <td>
                        @if ($assign_training->user->status)
                        <i class="ti ti-circle-check fs-5 text-success"></i>
                        @else
                        <i class="ti ti-circle-x fs-5 text-danger"></i>
                        @endif
                    </td>
                    <td>{{ $assign_training->user->employe_category->name }}</td>
                    @endif
                    <td>0</td>
                    @if (!$is_modal)
                    @php
                    $action = route('presentiel.destroy-trainee', [$locale, $presentiel->id]);
                    $id = $assign_training->id;
                    $name = $assign_training->user->lname . ' ' . $assign_training->user->fname;
                    $message_question = __('message.confirmation_delete_item');
                    $message_warning = "";
                    @endphp
                    <td class="table-actions sticky-search-button">
                        @if ($assign_training->attest_date)
                        <a href="{{ route('assigned-training.attestation-remove', [$locale, $presentiel->id, $assign_training->id]) }}" class="text-primary edit form-tra-edit">
                            <i class="ti ti-star fs-5 text-success"></i>
                        </a>
                        @else
                        <a href="#" class="text-primary edit form-assigned-training-edit" data-id="{{ $assign_training->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-assigned-training">
                            <i class="ti ti-star fs-5 text-danger"></i>
                        </a>
                        @endif
                        @if (!$assign_training->user_form_id)
                        <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                            <i class="ti ti-trash fs-5 text-danger"></i>
                        </a>
                        @endif
                    </td>
                    @if ($presentiel->training->form_id)
                    <td class="table-actions sticky-search-button">
                        @if ($assign_training->user_form_id)
                        @php
                        $action = route('presentiel.destroy-user-form', [$locale, $presentiel->id]);
                        $id = $assign_training->user_form_id;
                        $name = $assign_training->user_form->form->name;
                        $message_question = __('message.confirmation_delete_item');
                        $message_warning = "";
                        @endphp
                        <a href="{{ route('user-form.view-form', [$locale, $assign_training->id]) }}" class="text-primary view">
                            <i class="ti ti-eye fs-5"></i>
                        </a>
                        <a href="{{ route('user-form.edit-form', [$locale, $assign_training->id]) }}" class="text-primary edit">
                            <i class="ti ti-edit fs-5"></i>
                        </a>
                        <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                            <i class="ti ti-trash fs-5"></i>
                        </a>
                        @else
                        <a href="{{ route('user-form.create-presentiel', [$locale, $assign_training->id]) }}" class="text-success">
                            <i class="ti ti-plus fs-5"></i>
                        </a>
                        @endif
                    </td>
                    @endif
                    @endif
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    <br />
</div>

<!-- Modal dialog training cost view -->
<div id="modal-dialog-training-cost-view" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-training-cost-view-label" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg">
        <div class="modal-content">
            <div class="modal-header modal-colored-header bg-primary text-white">
                <h4 class="modal-title text-white">
                    {{ __('message.view_training_cost_analysis') }} : {{ $presentiel->training->name }}
                </h4>
                <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" id="modal-body-content-training-cost-view">
                {{ __('message.loading_please_wait') }}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                    <i class="ti ti-circle-x fs-4"></i>
                    {{ __('app.close') }}
                </button>
            </div>
        </div>
    </div>
</div>

<!-- Modal dialog training cost add -->
<form action="{{ route('training-cost.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
    @csrf
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-training-cost-add" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-training-cost-add-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white">
                        {{ __('message.add_training_cost') }} : {{ $presentiel->training->name }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="modal-body-content-training-cost-add">
                    {{ __('message.loading_please_wait') }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn btn-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("a#training-cost-view").click(function() {
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-cost.list", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    presentiel_id: id
                },
                dataType: 'html',
                success: function(response) {
                    $("#modal-body-content-training-cost-view").html(response);
                }
            });
        });
        $("a#training-cost-add").click(function() {
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-cost.add", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    presentiel_id: id
                },
                dataType: 'html',
                success: function(response) {
                    $("#modal-body-content-training-cost-add").html(response);
                }
            });
        });
    });
</script>