@extends('layouts.app-bo')
@section('title', __("app.schedule_a_presentiel_training"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __("app.schedule_a_presentiel_training") }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b> {{ __('app.training') }} : </b> [{{ $presentiel->training->prefix }}] {{ $presentiel->training->name }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="#" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-trainee">
                            <i class="ti ti-user fs-4"></i>
                            {{ __('app.add_remove_trainee') }}
                        </a>
                        <a href="#" class="btn btn-warning d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-document">
                            <i class="ti ti-files fs-4"></i>
                            {{ __('app.add_documents') }}
                        </a>
                        <a href="#" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9 form-activity-presentiel-edit" data-bs-toggle="modal" data-bs-target="#modal-dialog-activity-presentiel" id="modal-dialog-activity-presentiel-create">
                            <i class="ti ti-activity fs-4"></i>
                            {{ __('app.add_activity') }}
                        </a>
                        <a href="{{ route('presentiel.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        @include('training.presentiel.view-tpl')
    </section>
</div>

<!-- Modal dialog activity -->
<form action="{{ route('activity.store', $locale) }}" method="POST" id="modal-dialog-activity-form">
    @csrf
    <input type="hidden" name="id" id="activity_id" value="" />
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-activity" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-activity-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-activity-label">
                        {{ __('message.trainee_activity') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" name="trainer_id" id="activity_trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">{{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif</option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="activity_date" name="date" value="" placeholder="{{ __('app.date') }}" disabled />
                                <label for="date">{{ __('app.date') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="activity_type" name="type" aria-label="{{ __('app.type') }}" disabled>
                                    <option value="Theory">{{ __('app.Theory') }}</option>
                                    <option value="Practice">{{ __('app.Practice') }}</option>
                                </select>
                                <label for="type">{{ __('app.type') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="activity_duration" name="duration" value="" placeholder="{{ __('app.duration') }}" />
                                <label for="duration">{{ __('app.duration') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="activity_status" name="status" aria-label="{{ __('app.status') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    <option value="Completed">{{ __('app.Completed') }}</option>
                                    <option value="Not Completed">{{ __('app.Not Completed') }}</option>
                                </select>
                                <label for="status">{{ __('app.status') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <textarea class="form-control" id="activity_notes" name="notes" placeholder="{{ __('app.notes') }}" style="height: 115px;"></textarea>
                                <label for="notes">{{ __('app.notes') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.close') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save_and_close') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog activity presentiel -->
<form action="{{ route('activity-presentiel.store', $locale) }}" method="POST" id="modal-dialog-activity-presentiel-form">
    @csrf
    <input type="hidden" name="id" id="activity_presentiel_id" value="" />
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-activity-presentiel" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-activity-presentiel-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-activity-presential-label">
                        {{ __('message.trainee_activity') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select select2" name="trainer_id" id="activity_presentiel_trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">{{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif</option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="activity_presentiel_date" name="date" value="" placeholder="{{ __('app.date') }}" disabled />
                                <label for="date">{{ __('app.date') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="activity_presentiel_type" name="type" aria-label="{{ __('app.type') }}" disabled>
                                    <option value="Theory">{{ __('app.Theory') }}</option>
                                    <option value="Practice">{{ __('app.Practice') }}</option>
                                </select>
                                <label for="type">{{ __('app.type') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="activity_presentiel_duration" name="duration" value="" placeholder="{{ __('app.duration') }}" />
                                <label for="duration">{{ __('app.duration') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="activity_presentiel_status" name="status" aria-label="{{ __('app.status') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    <option value="Completed">{{ __('app.Completed') }}</option>
                                    <option value="Not Completed">{{ __('app.Not Completed') }}</option>
                                </select>
                                <label for="status">{{ __('app.status') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <textarea class="form-control" id="activity_presentiel_notes" name="notes" placeholder="{{ __('app.notes') }}" style="height: 115px;"></textarea>
                                <label for="notes">{{ __('app.notes') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.close') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save_and_close') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog Attestation -->
<form action="{{ route('assigned-training.attestation-update', $locale) }}" method="POST" id="modal-dialog-assigned-training-form">
    @csrf
    <input type="hidden" name="id" id="assigned_training_id" value="" />
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-assigned-training" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-assigned-training-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-module-label">
                        {{ __('message.attestation_date') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="assigned_training_attest_date" name="attest_date" value="{{ date('Y-m-d') }}" placeholder="{{ __('app.select_the_attestation_date') }}" />
                                <label for="attest_date">{{ __('app.select_the_attestation_date') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" name="trainer_id" id="assigned_training_trainer_id" aria-label="{{ __('app.trainer') }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($trainers as $trainer)
                                    <option value="{{ $trainer->id }}">{{ $trainer->fname}} {{ $trainer->lname}} ({{ $trainer->training_institution}}) @if (!$trainer->user_id) [Ext]@endif</option>
                                    @endforeach
                                </select>
                                <label for="trainer_id">{{ __('app.trainer') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.submit') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog trainee -->
<form action="{{ route('presentiel.store-trainee', $locale) }}" method="POST" id="modal-dialog-trainee-form">
    @csrf
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-trainee" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-trainee-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-module-label">
                        {{ __('message.add_trainees_to_the_training_presentiel') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <h5>{{ __('app.max_attendancy') }} : <span id="number_attendancy">0</span>/{{ $presentiel->training->max_attendancy }}</h5>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-label">
                                <label for="trainee_id">{{ __('app.trainees')}} : </label>
                            </div>
                            <div class="form-floating mb-3">
                                <select class="form-select select2" name="trainee_id[]" id="trainee_id" aria-label="{{ __('app.trainer') }}" multiple>
                                    <!-- <option>{{ __('app.select') }} {{ __('app.trainees') }} ...</option> -->
                                    @foreach ($trainees as $trainee)
                                    @php $selected = in_array($trainee->id, $selected_trainees) ? 'selected' : ''; @endphp
                                    <option value="{{ $trainee->id }}" {{ $selected }}>[{{ $trainee->ref}}] {{ $trainee->fname}} {{ $trainee->lname}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog document -->
<form action="{{ route('presentiel.store-document', $locale) }}" method="POST" enctype="multipart/form-data" id="modal-dialog-document-form">
    @csrf
    <input type="hidden" name="presentiel_id" value="{{ $presentiel->id }}" />
    <div id="modal-dialog-document" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-document-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-module-label">
                        {{ __('app.upload_documents') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form mb-3">
                            <label class="form-label" for="dropzone-documents">{{ __('app.upload_documents') }}</label>
                            <div class="dropzone" id="dropzone-documents">
                                <div class="dz-button" type="button">{{ __('app.drag_drop_files_here') }}</div>
                            </div>
                            <br />
                            <input class="form-control" id="documents" name="documents[]" type="file" placeholder="{{ __('app.select_files') }}" multiple />
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#activity_trainer_id").select2({
            dropdownParent: $('#modal-dialog-activity .modal-content')
        });
        $("#activity_presentiel_trainer_id").select2({
            dropdownParent: $('#modal-dialog-activity-presentiel .modal-content')
        });
        $("#trainee_id").select2({
            dropdownParent: $('#modal-dialog-trainee .modal-content')
        });
        /*
        $("#assigned_training_trainer_id").select2({
            dropdownParent: $('#modal-dialog-assigned-training .modal-content')
        });
        */

        $("a.form-activity-edit").click(function() {
            $("#activity_id").val("");
            $("#activity_trainer_id").val("");
            $("#activity_date").val("");
            $("#activity_type").val("");
            $("#activity_duration").val("");
            $("#activity_status").val("");
            $("#activity_notes").html("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("activity.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'Activity',
                    duration: 'second',
                },
                dataType: 'json',
                success: function(activity) {
                    if (activity) {
                        $("#activity_id").val(activity.id);
                        $("#activity_trainer_id").val(activity.trainer_id).trigger("change");
                        $("#activity_date").val(activity.date);
                        $("#activity_type").val(activity.type);
                        $("#activity_duration").val(activity.duration);
                        $("#activity_status").val(activity.status);
                        $("#activity_notes").html(activity.notes);
                    }
                }
            });
        });

        $("a.form-activity-presentiel-edit").click(function() {
            $("#activity_presentiel_id").val("");
            $("#activity_presentiel_trainer_id").val("").trigger("change");
            $("#activity_presentiel_date").val("");
            $("#activity_presentiel_type").val("");
            $("#activity_presentiel_duration").val("");
            $("#activity_presentiel_status").val("");
            $("#activity_presentiel_notes").html("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("activity-presentiel.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'ActivityPresentiel',
                    duration: 'minute',
                },
                dataType: 'json',
                success: function(activity_presentiel) {
                    if (activity_presentiel) {
                        $("#activity_presentiel_id").val(activity_presentiel.id);
                        $("#activity_presentiel_trainer_id").val(activity_presentiel.trainer_id).trigger("change");
                        $("#activity_presentiel_date").val(activity_presentiel.date);
                        $("#activity_presentiel_type").val(activity_presentiel.type);
                        $("#activity_presentiel_duration").val(activity_presentiel.duration);
                        $("#activity_presentiel_status").val(activity_presentiel.status);
                        $("#activity_presentiel_notes").html(activity_presentiel.notes);
                    }
                }
            });
        });

        $("a.form-assigned-training-edit").click(function() {
            $("#assigned_training_id").val("");
            $("#assigned_training_trainer_id").val("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("assigned-training.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'AssignedTraining'
                },
                dataType: 'json',
                success: function(assigned_training) {
                    if (assigned_training) {
                        $("#assigned_training_id").val(assigned_training.id);
                        $("#assigned_training_trainer_id").val(assigned_training.trainer_id).trigger("change");
                    }
                }
            });
        });

        $("a#modal-dialog-activity-presentiel-create").click(function() {
            $("#activity_presentiel_date").removeAttr("disabled");
            $("#activity_presentiel_type").removeAttr("disabled");
        });

        $("a#modal-dialog-activity-presentiel-edit").click(function() {
            $("#activity_presentiel_date").attr("disabled", true);
            $("#activity_presentiel_type").attr("disabled", true);
        });
    });
</script>

@endsection