<div class="card" id="{{ $training_name }}">
    <div class="card-body">
        <div class="d-md-flex align-items-center justify-content-between">
            <div class="mb-4 mb-md-0">
                <h4 class="card-title">
                    <iconify-icon icon="{{ $training_iconify_icon }}"></iconify-icon>
                    {{ __("menus.$training_name") }}
                </h4>
                <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($reports) }}</b> {{ __('app.items') }}</div>
            </div>
            <div class="d-flex align-items-center justify-content-between gap-6">
                <a href="{{ route('report.create', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                    <i class="ti ti-plus fs-4"></i>
                    {{ __("app.$training_button_create") }}
                </a>
            </div>
        </div>
        <div class="{{ $setting->table_div_class }}">
            <table class="{{ $setting->table_class }}">
                <thead class="{{ $setting->table_thead_class }}">
                    <tr>
                        <th class="table-reference">#</th>
                        <th class="table-actions">{{ __("app.actions") }}</th>
                        <th>{{ __("app.name") }}</th>
                        <th class="table-reference">#</th>
                    </tr>
                </thead>
                <tbody class="{{ $setting->table_tbody_class }}">
                    @foreach ($reports as $report)
                    <tr>
                        <td class="table-reference">{{ $report->id }}</td>
                        <td class="table-actions">
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-eye fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-edit fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary delete">
                                <i class="ti ti-trash fs-5"></i>
                            </a>
                        </td>
                        <td>{{ $report->name }}</td>
                        <td class="table-reference">{{ $report->id }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>