@extends('layouts.app-bo')
@section('title', __('app.counter'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card" id="counter">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.counter') }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.filter_by') }} : </b> {{ $filter }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('statistic.users.counter.export', array_merge(['locale' => $locale], request()->all())) }}" class="btn btn-secondary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-file-export fs-4"></i>
                            {{ __("app.export") }}
                        </a>
                        <a href="{{ route('training-report.list', $locale) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <br />
                <div class="row">
                    <div class="col-md-6 text-end">
                        <b>{{ __('app.start_date') }} ({{ __('app.inclusive') }}) : </b>
                        <span>{{ $start_date }}</span>
                    </div>
                    <div class="col-md-6 text-start">
                        <b>{{ __('app.end_date') }} ({{ __('app.inclusive') }}) : </b>
                        <span>{{ $end_date ?? ' - ' }}</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="{{ $setting->table_div_class }}">
                    @php $route = "statistic.users.counter.result"; @endphp
                    <table class="{{ $setting->table_class }}" id="training-subreport-list">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference sticky-search-button">{!! App\Helper\TableView::add_sorter('assigned_training.id', '#', $route, $sort_by, $sort_order) !!}</th>
                                <th>{!! App\Helper\TableView::add_sorter('training.category_id', 'app.category', $route, $sort_by, $sort_order) !!}</th>
                                <th>{{ __("app.training_name") }}</th>
                                <th class="text-center">{{ __("app.cost") }}</th>
                                <th class="text-center">{{ __("app.duration_of_theory") }}</th>
                                <th class="text-center">{{ __("app.duration_of_practice") }}</th>
                                <th>{{ __("app.employer") }}</th>
                                <th>{{ __("app.training_level") }}</th>
                                <th>{{ __("app.department") }}</th>
                                <th>{{ __("app.sub_department") }}</th>
                                <th>{{ __("users.last_name") }}</th>
                                <th>{{ __("users.first_name") }}</th>
                                <th>{{ __("users.id_matricule_num") }}</th>
                                <th class="text-center">{{ __("app.assigned_date") }}</th>
                                <th class="text-center">{{ __("app.due_date") }}</th>
                                <th class="text-center">{{ __("app.attestation_certification_date") }}</th>
                                <th class="text-center">{{ __("app.refresh_date") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($assigned_trainings as $assigned_training)
                            @php
                            $training = $assigned_training->training;
                            $user = $assigned_training->user;
                            if (!$training->name) continue;
                            @endphp
                            <tr>
                                <td class="table-reference sticky-search-button">{{ $assigned_training->id }}</td>
                                <td>{{ __('menus.' . $training->category->code )}}</td>
                                <td>{{ $training->name }}</td>
                                <td class="text-center">$ {{ $training->cost }}</td>
                                <td class="text-center">{{ App\Helper\Times::sec_to_time($training->duration_th) }}</td>
                                <td class="text-center">{{ App\Helper\Times::sec_to_time($training->duration_pr) }}</td>
                                <td>{{ $user->employer->name }}</td>
                                <td>{{ $training->training_level->name }}</td>
                                <td>{{ $user->department->name }}</td>
                                <td>{{ $user->subdepartment->name }}</td>
                                <td>{{ $user->lname }}</td>
                                <td>{{ $user->fname }}</td>
                                <td>{{ $user->ref }}</td>
                                <td class="text-center">{{ $assigned_training->start_date }}</td>
                                <td class="text-center">{{ $assigned_training->due_date }}</td>
                                <td class="text-center">{{ $assigned_training->cert_date ?? $assigned_training->attest_date }}</td>
                                <td class="text-center">{{ $assigned_training->refresh_date }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <br />
        </div>
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(document).ready(function() {

    });
</script>
@endsection