@extends('layouts.app-bo')
@section('title', __('app.counter'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card" id="counter">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.counter') }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('training-report.list', $locale) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <br />
                <br />
                <form action="{{ route('statistic.users.counter.result', $locale) }}" method="GET" class="needs-validation" novalidate>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="start_date" name="start_date" placeholder="{{ __('app.start_date') }}" required />
                                <label for="start_date">{{ __('app.start_date') }} ({{ __('app.inclusive') }})</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="end_date" name="end_date" placeholder="{{ __('app.end_date') }}" />
                                <label for="end_date">{{ __('app.end_date') }} ({{ __('app.inclusive') }})</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="filter" name="filter" aria-label="{{ __('app.filter') }}" required>
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($filters as $key => $val)
                                    <option value="{{ $key }}">{{ $val }}</option>
                                    @endforeach
                                </select>
                                <label for="filter">{{ __('app.filter') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="alert alert-primary text-primary">
                                {{ __('message.please_select_a_date_range_up_to_3_months') }}
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="card-body text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-filter fs-4"></i>
                                {{ __('app.submit') }}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(document).ready(function() {

    });
</script>
@endsection