@extends('layouts.app-bo')
@section('title', __('app.training_reports'))
@section('content')

<style>
    /*
    .w-200px {
        width: 200px;
    }
    */
</style>

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:users-group-rounded-broken"></iconify-icon>
                            {{ __("app.training_reports") }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('training-report.create', [$locale]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-plus fs-4"></i>
                            {{ __("app.create") }}
                        </a>
                    </div>
                </div>
                <div class="mt-3">
                    @if ($training_reports->perPage() >= $training_reports->total())
                    <p>{{ __('pagination.Showing') }} {{ $training_reports->total() }} {{ __('pagination.results') }}</p>
                    @else
                    {{ $training_reports->appends(request()->query())->links() }}
                    @endif
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.name") }}</th>
                                <th>{{ __("app.start_date") }}</th>
                                <th>{{ __("app.end_date_period") }}</th>
                                <th>{{ __("app.description") }}</th>
                                <th class="text-center">{{ __("app.scheduled") }}</th>
                                <th class="table-actions sticky-search-button">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($training_reports as $training_report)
                            @php
                            $action = route('training-report.destroy', [$locale]);
                            $id = $training_report->id;
                            $name = $training_report->name;
                            $message_question = __('message.confirmation_delete_item');
                            $message_warning = '';
                            @endphp
                            <tr>
                                <td class="table-reference">{{ $training_report->id }}</td>
                                <td>{{ $training_report->name }}</td>
                                <td>{{ $training_report->start_date }}</td>
                                <td>
                                    @if ($training_report->date_interval == "7")
                                    {{ $training_report->date }}
                                    @else
                                    {{ $date_intervals[$training_report->date_interval] }}
                                    @endif
                                </td>
                                <td>{{ $training_report->description }}</td>
                                <td class="text-center">
                                    @if ($training_report->scheduled)
                                    <i class="ti ti-check fs-6 text-success"></i>
                                    @else
                                    <i class="ti ti-x fs-6 text-danger"></i>
                                    @endif
                                </td>
                                <td class="table-actions sticky-search-button">
                                    <a href="{{ route('training-report.view', [$locale, $training_report->id]) }}" class="text-primary edit form-edit">
                                        <i class="ti ti-eye fs-5"></i>
                                    </a>
                                    <a href="{{ route('training-report.edit', [$locale, $training_report->id]) }}" class="text-primary edit form-edit">
                                        <i class="ti ti-edit fs-5"></i>
                                    </a>
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                        <i class="ti ti-trash fs-5"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.statistics') }}
                        </h4>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">

                    </div>
                </div>
            </div>
            <div class="card-body p-4 border-bottom">
                <h5 class="fs-4 fw-semibold mb-4">{{ __('app.application_wide') }}</h5>
                <div class="row">
                    <div class="col-md-6 text-center">
                        <div class="row">
                            <div class="col-md-6 text-end">
                                <iconify-icon icon="mdi:counter" class="ti" width="40"></iconify-icon>
                            </div>
                            <div class="col-md-6 text-start">
                                <span class="fs-7">{{ __('app.counter') }}</span>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12 text-center">
                                <a href="{{ route('statistic.users.counter', [$locale]) }}" class="btn btn-success w-200px">
                                    <b>{{ __('app.board') }}</b>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 text-center">
                        <div class="row">
                            <div class="col-md-6 text-end">
                                <iconify-icon icon="majesticons:users-line" class="ti" width="40"></iconify-icon>
                            </div>
                            <div class="col-md-6 text-start">
                                <span class="fs-7">{{ __('users.users') }}</span>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12 text-center">
                                <a href="{{ route('statistic.users.stats', [$locale]) }}" class="btn btn-success w-200px">
                                    <b>{{ __('app.show_graph') }}</b>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-body p-4 border-bottom">
                <h5 class="fs-4 fw-semibold mb-4">{{ __('app.per_category') }}</h5>
                <div class="row">
                    @foreach ($categories as $id => $category)
                    <div class="col-md-6 text-center">
                        @if ($id > 2) <br /><br /> @endif
                        <div class="row mt-3">
                            <div class="col-md-3 text-end">
                                <iconify-icon icon="{{ $category->icon }}" class="ti" width="40"></iconify-icon>
                            </div>
                            <div class="col-md-9 text-start">
                                <span class="fs-7">{{ __('menus.' . $category->code) }}</span>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12 text-center">
                                <a href="javascript:void(0)" class="btn btn-success w-200px dialog-filter" data-type="{{ $category->code }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-filter">
                                    <b>{{ __('app.show_progress') }}</b>
                                </a>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="card-body p-4 border-bottom">
                <h5 class="fs-4 fw-semibold mb-4">{{ __('app.per_group') }}</h5>
                <div class="row">
                    <div class="col-md-6 text-center">
                        <div class="row">
                            <div class="col-md-5 text-end">
                                <iconify-icon icon="mdi:user-group" class="ti" width="40"></iconify-icon>
                            </div>
                            <div class="col-md-7 text-start">
                                <span class="fs-7">{{ __('app.training_group') }}</span>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12 text-center">
                                <a href="javascript:void(0)" class="btn btn-success w-200px dialog-filter" data-type="training_group" data-bs-toggle="modal" data-bs-target="#modal-dialog-filter">
                                    <b>{{ __('app.show') }}</b>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 text-center">
                        <div class="row">
                            <div class="col-md-5 text-end">
                                <iconify-icon icon="qlementine-icons:user-16" class="ti" width="40"></iconify-icon>
                            </div>
                            <div class="col-md-7 text-start">
                                <span class="fs-7">{{ __('app.job_itinerary') }}</span>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12 text-center">
                                <a href="javascript:void(0)" class="btn btn-success w-200px dialog-filter" data-type="job_training_group" data-bs-toggle="modal" data-bs-target="#modal-dialog-filter">
                                    <b>{{ __('app.show') }}</b>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br />
        </div>
    </section>
</div>

<!-- Modal dialog filter -->
<form action="{{ route('statistic.user-training.result', [$locale]) }}" method="GET" id="modal-dialog-filter-form">
    <input type="hidden" name="type" id="filter-type" value="" />
    <div id="modal-dialog-filter" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-filter-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white">
                        {{ __('message.filter_assigned_date') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="modal-body-content-view">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="start_date" name="start_date" placeholder="{{ __('app.start_date') }}" required />
                                <label for="start_date">{{ __('app.start_date') }} ({{ __('app.inclusive') }})</label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control" id="end_date" name="end_date" placeholder="{{ __('app.end_date') }}" />
                                <label for="end_date">{{ __('app.end_date') }} ({{ __('app.inclusive') }})</label>
                            </div>
                        </div>
                    </div>
                    <div class="row training_group_id">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="training_group_id" name="training_group_id" aria-label="{{ __('app.training_group') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($training_groups as $training_group)
                                    <option value="{{ $training_group->id }}">{{ $training_group->name }}</option>
                                    @endforeach
                                </select>
                                <label for="training_group_id">{{ __('app.training_group') }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="row job_training_group_id">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select class="form-select" id="job_training_group_id" name="job_training_group_id" aria-label="{{ __('app.job_itinerary') }}">
                                    <option value="">{{ __('app.select') }} ...</option>
                                    @foreach ($job_training_groups as $job_training_group)
                                    <option value="{{ $job_training_group->id }}">{{ $job_training_group->name }}</option>
                                    @endforeach
                                </select>
                                <label for="job_training_group_id">{{ __('app.job_itinerary') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn btn-primary">
                        <i class="ti ti-filter fs-4"></i>
                        {{ __('app.submit') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("a.dialog-filter").click(function() {
            var type = $(this).data("type");
            $("#start_date").val("");
            $("#end_date").val("");
            $("#training_group_id").val("");
            if (type == "training_group") {
                $(".training_group_id").show();
            } else {
                $(".training_group_id").hide();
            }
            $("#job_training_group_id").val("");
            if (type == "job_training_group") {
                $(".job_training_group_id").show();
            } else {
                $(".job_training_group_id").hide();
            }
            $("#filter-type").val(type);

            var form = $("#modal-dialog-filter-form");
            if (type == "training_group") {
                form.attr("action", "{{ route('statistic.training-group.export', [$locale]) }}");
            } else if (type == "job_training_group") {
                form.attr("action", "{{ route('statistic.job-training.export', [$locale]) }}");
            } else {
                form.attr("action", "{{ route('statistic.user-training.result', [$locale]) }}");
            }
        });
    });
</script>
@endsection