@extends('layouts.app-bo')
@section('title', __('app.user_statistics'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card" id="user_statistics">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ __('app.user_statistics') }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b>{{ __('app.displaying_sstatistics_for_the') }} : </b> {{ __('app.' . $period) }} </div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('statistic.users.stats', ['locale' => $locale, 'period' => 'last_1_month']) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-chart-dots fs-4"></i>
                            {{ __("app.show_last_1_month") }}
                        </a>
                        <a href="{{ route('statistic.users.stats', ['locale' => $locale, 'period' => 'last_2_months']) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-chart-dots-2 fs-4"></i>
                            {{ __("app.show_last_2_months") }}
                        </a>
                        <a href="{{ route('statistic.users.stats', ['locale' => $locale, 'period' => 'last_3_months']) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-chart-dots-3 fs-4"></i>
                            {{ __("app.show_last_3_months") }}
                        </a>
                        <a href="{{ route('training-report.list', $locale) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div id="chart-user_statistic" class="ms-n3"></div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <form action="{{ route('statistic.users.stats', [$locale]) }}" method="GET">
                    <input type="hidden" name="period" id="period" value="{{ $period }}" />
                    <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-3 text-end">
                            <div class="form mb-3">
                                <input type="date" class="form-control" id="start_date" name="start_date" value="{{ $start_date }}" placeholder="{{ __('app.start_date') }}" required />
                            </div>
                        </div>
                        <div class="col-md-3 text-start">
                            <div class="form mb-3">
                                <input type="date" class="form-control" id="end_date" name="end_date" value="{{ $end_date }}" placeholder="{{ __('app.end_date') }}" required />
                            </div>
                        </div>
                        <div class="col-md-2 text-start">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-filter fs-4"></i>
                                {{ __('app.submit') }}
                            </button>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                </form>
                <div class="row m-2">
                    <div class="col-md-3"></div>
                    <div class="col-md-3 text-center border">
                        <b>{{ __('app.metric') }}</b>
                    </div>
                    <div class="col-md-3 text-center border">
                        <b>{{ __('app.value') }}</b>
                    </div>
                    <div class="col-md-3"></div>
                </div>
                <div class="row m-2">
                    <div class="col-md-3"></div>
                    <div class="col-md-3 text-center border">
                        {{ __('app.min') }}
                    </div>
                    <div class="col-md-3 text-center border">
                        {{ $count_min }}
                    </div>
                    <div class="col-md-3"></div>
                </div>
                <div class="row m-2">
                    <div class="col-md-3"></div>
                    <div class="col-md-3 text-center border">
                        {{ __('app.max') }}
                    </div>
                    <div class="col-md-3 text-center border">
                        {{ $count_max }}
                    </div>
                    <div class="col-md-3"></div>
                </div>
                <div class="row m-2">
                    <div class="col-md-3"></div>
                    <div class="col-md-3 text-center border">
                        {{ __('app.days') }}
                    </div>
                    <div class="col-md-3 text-center border">
                        {{ $days }}
                    </div>
                    <div class="col-md-3"></div>
                </div>
                <div class="row m-2">
                    <div class="col-md-3"></div>
                    <div class="col-md-3 text-center border">
                        {{ __('app.average') }}
                    </div>
                    <div class="col-md-3 text-center border">
                        {{ $average }}
                    </div>
                    <div class="col-md-3"></div>
                </div>
            </div>
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(document).ready(function() {

    });

    document.addEventListener("DOMContentLoaded", function() {
        var options_line = {
            /*series: [{
                name: "Desktops",
                data: [10, 41, 35, 51, 49, 62, 69, 91, 148],
            }, ],*/
            chart: {
                height: 350,
                type: "line",
                fontFamily: "inherit",
                zoom: {
                    enabled: false,
                },
                offsetX: -10,
                toolbar: {
                    show: false,
                },
            },
            dataLabels: {
                enabled: false,
            },
            colors: ["var(--bs-primary)"],
            stroke: {
                curve: "straight",
            },
            grid: {
                row: {
                    colors: ["transparent"],
                    opacity: 0.5,
                },
                padding: {
                    top: 0,
                    right: 0,
                    bottom: 0,
                    left: 0,
                },
                borderColor: "transparent",
            },
            xaxis: {
                categories: <?= $list_date ?>,
                labels: {
                    style: {
                        colors: "#a1aab2",
                    },
                },
            },
            yaxis: {
                labels: {
                    style: {
                        colors: "#a1aab2",
                    },
                },
            },
            tooltip: {
                theme: "dark",
            },
        };

        var chart_line_basic = new ApexCharts(
            document.querySelector("#chart-line-basic"),
            options_line
        );
        chart_line_basic.render();

        var options = {
            series: [{
                    name: "{{ __('app.total') }}",
                    data: <?= $count_total ?>,
                },
                {
                    name: "{{ __('app.active') }}",
                    data: <?= $count_active ?>,
                },
                {
                    name: "{{ __('app.inactive') }}",
                    data: <?= $count_inactive ?>,
                },
                {
                    name: "{{ __('app.temporary') }}",
                    data: <?= $count_temporary ?>,
                }
            ],
            chart: {
                fontFamily: "inherit",
                height: 350,
                type: "line",
                dropShadow: {
                    enabled: true,
                    color: "#000",
                    top: 18,
                    left: 7,
                    blur: 10,
                    opacity: 0.2,
                },
                toolbar: {
                    show: false,
                },
            },
            colors: ["var(--bs-primary)", "var(--bs-secondary)", "var(--bs-success)", "var(--bs-danger)"],
            dataLabels: {
                enabled: true,
            },
            stroke: {
                curve: "smooth",
            },
            grid: {
                borderColor: "transparent",
                row: {
                    colors: ["transparent"],
                    opacity: 0.5,
                },
            },
            markers: {
                size: 1,
            },
            xaxis: {
                categories: <?= $list_date ?>,
                labels: {
                    style: {
                        colors: "#a1aab2",
                    },
                },
            },
            yaxis: {
                min: 0,
                max: <?= $count_max ?>,
                labels: {
                    style: {
                        colors: "#a1aab2",
                    },
                },
            },
            tooltip: {
                theme: "dark",
            },
            legend: {
                position: "top",
                horizontalAlign: "right",
                floating: true,
                offsetY: -25,
                offsetX: -5,
            },
        };

        var chart_line_data = new ApexCharts(
            document.querySelector("#chart-user_statistic"),
            options
        );
        chart_line_data.render();
    });
</script>
@endsection