@extends('layouts.app-bo')
@section('title', __('app.training_requests'))
@section('content')

<div class="main-content container-fluid">
    <div class="d-md-flex align-items-center justify-content-between">
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.steps') }}</h4>
                    <br />
                    <div class="row gap-2">
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.1st_step_make_a_training_demand') }}
                        </div>
                        <div class="col-md-1 align-middle text-center">
                            <br />
                            <b>=></b>
                        </div>
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.2nd_step_optional_intermediate_approval') }}
                        </div>
                        <div class="col-md-1 align-middle text-center">
                            <br />
                            <b>=></b>
                        </div>
                        <div class="col-md-3 border text-center p-4">
                            {{ __('app.3rd_step_final_approval_training_departement') }}
                        </div>
                    </div>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">&nbsp;&nbsp;&nbsp;</h4>
        </div>
        <div class="mb-4 mb-md-0">
            <div class="card">
                <div class="card-body">
                    <h4 class="mb-4 card-title">{{ __('app.legend') }}</h4>
                    <div class="row gap-2">
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-success-subtle w-100 d-block text-success ">
                                {{ __('app.approved') }}
                                <span class="badge ms-auto text-bg-success">{{ $count_approved }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-danger-subtle w-100 d-block text-danger ">
                                {{ __('app.declined') }}
                                <span class="badge ms-auto text-bg-danger">{{ $count_declined }}</span>
                            </button>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn d-flex bg-warning-subtle w-100 d-block text-warning ">
                                {{ __('app.pending') }}
                                <span class="badge ms-auto text-bg-warning">{{ $count_pending }}</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @php
    $color_approved = "--bs-table-bg: #04B440";
    $color_declined = "--bs-table-bg: #F55151";
    $color_pending = "--bs-table-bg: #FAAB34";
    @endphp
    <section class="section">
        <div class="card" id="training-demand">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                            {{ __("menus.training_requests") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($training_demands) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="#" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-choose-procedure-type" id="choose-procedure-type">
                            <i class="ti ti-eye fs-4"></i>
                            {{ __("app.view_authorization_levels") }}
                        </a>
                        <a href="#" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-browser-x fs-4"></i>
                            {{ __("app.see_all_closed_demand") }}
                        </a>
                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th>{{ __("app.id") }}</th>
                                <th>{{ __("app.applicant_1st_level") }}</th>
                                <th>{{ __("app.2nd_level_treatment") }}</th>
                                <th>{{ __("app.3rd_level_treatment") }}</th>
                                <th>{{ __("app.2nd_level_status") }}</th>
                                <th>{{ __("app.final_status") }}</th>
                                <th>{{ __("app.demand_date") }}</th>
                                <th>{{ __("app.user") }}</th>
                                <th>{{ __("app.platform") }}</th>
                                <th>{{ __("app.training") }}</th>
                                <th>{{ __("app.description") }}</th>
                                <th>{{ __("app.team") }}</th>
                                <th>{{ __("app.date_of_training") }}</th>
                                <th>{{ __("app.training_location") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($training_demands as $training_demand)
                            @php
                            switch ($training_demand->status)
                            {
                                case 'approved':
                                    $tr_color = $color_approved;
                                    break;
                                case 'declined':
                                    $tr_color = $color_declined;
                                    break;
                                case 'pending':
                                    $tr_color = $color_pending;
                                    break;
                            }
                            $style_color = 'style="'.$tr_color.'"';
                            @endphp
                            <tr {!! $style_color !!}>
                                <td>{{ $training_demand->id }}</td>
                                <td>{{ $training_demand->applicant_id }}</td>
                                <td>{{ $training_demand->level2 }}</td>
                                <td>{{ $training_demand->level3 }}</td>
                                <td>{{ $training_demand->refusal_raison_level2 }}</td>
                                <td>{{ $training_demand->refusal_raison_level3 }}</td>
                                <td>{{ $training_demand->demand_date }}</td>
                                <td>{{ $training_demand->user_id }}</td>
                                <td>{{ $training_demand->id }}</td>
                                <td>{{ $training_demand->training_id }}</td>
                                <td>{{ $training_demand->description }}</td>
                                <td>{{ $training_demand->team_id }}</td>
                                <td>{{ $training_demand->id }}</td>
                                <td>{{ $training_demand->id }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection