@extends('layouts.app-bo')
@section('title', __('app.training_levels'))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <iconify-icon icon="solar:book-bookmark-minimalistic-outline"></iconify-icon>
                            {{ __("app.training_levels") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($training_levels) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="#" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-edit" id="create-new-edit">
                            <i class="ti ti-plus fs-4"></i>
                            {{ __("app.create") }}
                        </a>
                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.name") }}</th>
                                <th class="table-actions">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($training_levels as $training_level)
                            @php
                            $action = route('training-level.destroy', [$locale]);
                            $id = $training_level->id;
                            $name = $training_level->name;
                            $message_question = __('message.confirmation_delete_item');
                            $message_warning = '';
                            @endphp
                            <tr>
                                <td class="table-reference">{{ $training_level->id }}</td>
                                <td>{{ $training_level->name }}</td>
                                <td class="table-actions">
                                    <a href="#" class="text-primary view form-view-edit" data-id="{{ $training_level->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-view">
                                        <i class="ti ti-eye fs-5"></i>
                                    </a>
                                    <a href="#" class="text-primary edit form-edit-edit" data-id="{{ $training_level->id }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-edit">
                                        <i class="ti ti-edit fs-5"></i>
                                    </a>
                                    <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                        <i class="ti ti-trash fs-5"></i>
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
</div>

<!-- Modal dialog edit -->
<form action="{{ route('training-level.store', $locale) }}" method="POST" id="modal-dialog-edit-form" class="needs-validation" novalidate>
    @csrf
    <input type="hidden" name="id" id="id" value="" />
    <div id="modal-dialog-edit" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-edit-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-edit-label">
                        {{ __('message.update_training_level') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" id="name" name="name" value="" placeholder="{{ __('app.name') }}" required />
                                <label for="name">{{ __('app.name') }}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                    <button type="submit" class="btn bg-primary-subtle text-primary">
                        <i class="ti ti-device-floppy fs-4"></i>
                        {{ __('app.save') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal dialog view -->
<form id="modal-dialog-view-form">
    <div id="modal-dialog-view" class="modal fade" tabindex="-1" aria-labelledby="modal-dialog-view-label" aria-hidden="true">
        <div class="modal-dialog modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary text-white">
                    <h4 class="modal-title text-white" id="modal-dialog-view-label">
                        {{ __('message.view_training_level') }}
                    </h4>
                    <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <label class="form-label text-end col-md-4">{{ __('app.id') }}</label>
                                <div class="col-md-1 form-label text-center">:</div>
                                <div class="col-md-7 text-left"><p class="form-control-static" id="view-id"></p></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <label class="form-label text-end col-md-4">{{ __('app.name') }}</label>
                                <div class="col-md-1 form-label text-center">:</div>
                                <div class="col-md-7 text-left"><p class="form-control-static" id="view-name"></p></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <label class="form-label text-end col-md-4">{{ __('app.company_id') }}</label>
                                <div class="col-md-1 form-label text-center">:</div>
                                <div class="col-md-7 text-left"><p class="form-control-static" id="view-company_id"></p></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <label class="form-label text-end col-md-4">{{ __('app.company_name') }}</label>
                                <div class="col-md-1 form-label text-center">:</div>
                                <div class="col-md-7 text-left"><p class="form-control-static" id="view-company_name"></p></div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                        <i class="ti ti-circle-x fs-4"></i>
                        {{ __('app.cancel') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("a#create-new-edit").click(function() {
            $("#modal-dialog-edit-form #modal-dialog-edit-label").html("{{ __('message.create_training_level') }}");
        });

        $("a.form-edit-edit").click(function() {
            $("#modal-dialog-edit-form #modal-dialog-edit-label").html("{{ __('message.update_training_level') }}");
            $("#modal-dialog-edit-form #id").val("");
            $("#modal-dialog-edit-form #name").val("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-level.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'TrainingLevel'
                },
                dataType: 'json',
                success: function(training_level) {
                    if (training_level) {
                        $("#modal-dialog-edit-form #id").val(training_level.id);
                        $("#modal-dialog-edit-form #name").val(training_level.name);
                    }
                }
            });
        });

        $("a.form-view-edit").click(function() {
            $("#modal-dialog-view-form #view-id").html("");
            $("#modal-dialog-view-form #view-name").html("");
            $("#modal-dialog-view-form #view-company_id").html("");
            $("#modal-dialog-view-form #view-company_name").html("");
            var id = $(this).data("id");
            $.ajax({
                url: '{{ route("training-level.get", [$locale]) }}',
                type: 'GET',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: id,
                    model: 'TrainingLevel'
                },
                dataType: 'json',
                success: function(training_level) {
                    if (training_level) {
                        $("#modal-dialog-view-form #view-id").html(training_level.id);
                        $("#modal-dialog-view-form #view-name").html(training_level.name);
                        $("#modal-dialog-view-form #view-company_id").html(training_level.company.id);
                        $("#modal-dialog-view-form #view-company_name").html(training_level.company.name);
                    }
                }
            });
        });
    });
</script>
@endsection
