<div class="card" id="{{ $training_name }}">
    <div class="card-body">
        <div class="d-md-flex align-items-center justify-content-between">
            <div class="mb-4 mb-md-0">
                <h4 class="card-title">
                    <iconify-icon icon="{{ $training_iconify_icon }}"></iconify-icon>
                    {{ __("menus.$training_name") }}
                </h4>
                <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($trainings) }}</b> {{ __('app.items') }}</div>
            </div>
            <div class="d-flex align-items-center justify-content-between gap-6">
                @if ($category_id == 2)
                <a href="#" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9" data-bs-toggle="modal" data-bs-target="#modal-dialog-choose-procedure-type" id="choose-procedure-type">
                    <i class="ti ti-plus fs-4"></i>
                    {{ __("app.$training_button_create") }}
                </a>
                @else
                <a href="{{ route('training.create', [$locale, $category_id]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                    <i class="ti ti-plus fs-4"></i>
                    {{ __("app.$training_button_create") }}
                </a>
                @endif
            </div>
        </div>
        <div class="{{ $setting->table_div_class }}">
            <table class="{{ $setting->table_class }}">
                <thead class="{{ $setting->table_thead_class }}">
                    <tr>
                        <th class="table-reference">#</th>
                        <th class="table-actions">{{ __("app.actions") }}</th>
                        <th>{{ __("app.platform") }}</th>
                        <th>{{ __("app.department") }}</th>
                        <th>{{ __("app.sub_department") }}</th>
                        <th>{{ __("app.prefix") }}</th>
                        <th>{{ __("app.revision") }}</th>
                        <th>{{ __("app.name") }}</th>
                        <th>{{ __("app.equipment") }}</th>
                        <th>{{ __("app.duration_theory_practice") }}</th>
                        <th>{{ __("app.cost") }}</th>
                        <th>{{ __("app.paid_training") }}</th>
                        <th>{{ __("app.refresh") }}</th>
                        <th class="table-reference">#</th>
                    </tr>
                </thead>
                <tbody class="{{ $setting->table_tbody_class }}">
                    @foreach ($trainings as $training)
                    @php
                    $action = route('training.destroy', [$locale]);
                    $id = $training->id;
                    $name = $training->name;
                    $message_question = __('message.confirmation_delete_item');
                    $message_warning = __('message.confirmation_delete_item_training');
                    $tr_color = $training->disable ? $color_disable_training : ($training->is_immutable ? $color_immutable_training : $color_paid_training);
                    $style_color = 'style="'.$tr_color.'"';
                    @endphp
                    <tr {!! $style_color !!}>
                        <td class="table-reference">{{ $training->id }}</td>
                        <td class="table-actions">
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-info-circle fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-player-track-next fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-player-play fs-5"></i>
                            </a>
                            <a href="#" class="text-primary view" data-id="{{ $training->id }}" data-name="{{ $training->name }}" data-bs-toggle="modal" data-bs-target="#modal-dialog-training-confirmation-disable" onclick="open_dialig_disable(this)">
                                <i class="ti ti-eye fs-5"></i>
                            </a>
                            <a href="{{ route('training.edit', [$locale, $training->id]) }}" class="text-primary edit">
                                <i class="ti ti-edit fs-5"></i>
                            </a>
                            <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                <i class="ti ti-trash fs-5"></i>
                            </a>
                        </td>
                        <td>{{ $training->platform->type }}</td>
                        <td>{{ $training->department->name }}</td>
                        <td>{{ $training->subdepartment->name }}</td>
                        <td>{{ $training->prefix }}</td>
                        <td>{{ $training->rev }}</td>
                        <td>{{ $training->name }}</td>
                        <td>{{ $training->equipement->name }}</td>
                        <td>{{ $training->duration_th }} / {{ $training->duration_pr }}</td>
                        <td>{{ $training->cost }}</td>
                        <td>{{ $training->paid }}</td>
                        <td>{{ $training->refresh }}</td>
                        <td class="table-reference">{{ $training->id }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>