<div class="card" id="{{ $training_name }}">
    <div class="card-body">
        <div class="d-md-flex align-items-center justify-content-between">
            <div class="mb-4 mb-md-0">
                <h4 class="card-title">
                    <iconify-icon icon="{{ $training_iconify_icon }}"></iconify-icon>
                    {{ __("menus.$training_name") }}
                </h4>
                <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_forms) }}</b> {{ __('app.items') }}</div>
            </div>
            <div class="d-flex align-items-center justify-content-between gap-6">
                @if ($is_assign)
                <a href="{{ route('user-form.create', [$locale, $user->id, $category_id]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                    <i class="ti ti-plus fs-4"></i>
                    {{ __("app.add_new") }}
                </a>
                @endif
            </div>
        </div>
        <div class="{{ $setting->table_div_class }}">
            <table class="{{ $setting->table_class }}">
                <thead class="{{ $setting->table_thead_class }}">
                    <tr>
                        <th class="table-reference">#</th>
                        <th class="table-actions">{{ __("app.actions") }}</th>
                        <th>{{ __("app.completed") }}</th>
                        <th>{{ __("app.name") }}</th>
                        <th class="table-reference">#</th>
                    </tr>
                </thead>
                <tbody class="{{ $setting->table_tbody_class }}">
                    @foreach ($user_forms as $user_form)
                    @php
                    $action = route('user-form.destroy', [$locale]);
                    $id = $user_form->id;
                    $name = $user_form->form->name;
                    $message_question = __('message.confirmation_delete_item');
                    $message_warning = '';
                    @endphp
                    <tr>
                        <td class="table-reference">{{ $user_form->id }}</td>
                        <td class="table-actions">
                            <a href="{{ route('form.view', [$locale, $user_form->id]) }}" class="text-primary view">
                                <i class="ti ti-eye fs-5"></i>
                            </a>
                            <a href="{{ route('form.edit', [$locale, $user_form->id]) }}" class="text-primary edit">
                                <i class="ti ti-edit fs-5"></i>
                            </a>
                            <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                <i class="ti ti-trash fs-5"></i>
                            </a>
                        </td>
                        <td>{{ $user_form->completed_date }}</td>
                        <td>{{ $user_form->form->name }}</td>
                        <td class="table-reference">{{ $user_form->form->id }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>