<div class="card" id="{{ $training_name }}">
    <div class="card-body">
        <div class="d-md-flex align-items-center justify-content-between">
            <div class="mb-4 mb-md-0">
                <h4 class="card-title">
                    <iconify-icon icon="{{ $training_iconify_icon }}"></iconify-icon>
                    {{ __("menus.$training_name") }}
                </h4>
                <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_trainings) }}</b> {{ __('app.items') }}</div>
            </div>
            <div class="d-flex align-items-center justify-content-between gap-6">
                @if ($is_assign)
                <a href="{{ route('user-training.create', [$locale, $user->id, $category_id]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                    <i class="ti ti-plus fs-4"></i>
                    {{ __("app.add_new") }}
                </a>
                @endif
            </div>
        </div>
        <div class="{{ $setting->table_div_class }}">
            <table class="{{ $setting->table_class }}">
                <thead class="{{ $setting->table_thead_class }}">
                    <tr>
                        <th class="table-reference">#</th>
                        <th class="table-actions">{{ __("app.actions") }}</th>
                        <th>{{ __("app.attestation") }}</th>
                        <th>{{ __("app.certification") }}</th>
                        <th>{{ __("app.department") }}</th>
                        <th>{{ __("app.sub_department") }}</th>
                        <th>{{ __("app.prefix") }}</th>
                        <th>{{ __("app.revision") }}</th>
                        <th>{{ __("app.name") }}</th>
                        @if (!$is_assign)
                        <th>{{ __("app.equipement") }}</th>
                        @endif
                        <th>{{ __("app.time_taken") }}</th>
                        @if ($category_id == 1)
                        <th>{{ __("app.completed") }}</th>
                        <th>{{ __("app.modules") }}</th>
                        @endif
                        @if ($category_id == 2)
                        <th>{{ __("app.checked") }}</th>
                        <th>{{ __("app.tasks") }}</th>
                        @endif
                        @if (in_array($category_id, array(3, 4)))
                        <th>{{ __("app.a") }}</th>
                        <th>{{ __("app.i") }}</th>
                        <th>{{ __("app.s") }}</th>
                        <th>{{ __("app.tasks") }}</th>
                        @endif
                        <th class="table-reference">#</th>
                    </tr>
                </thead>
                <tbody class="{{ $setting->table_tbody_class }}">
                    @foreach ($user_trainings as $user_training)
                    @php
                    $action = route('user-training.destroy', [$locale]);
                    $id = $user_training->id;
                    $name = $user_training->training->name;
                    $message_question = __('message.confirmation_delete_item');
                    $message_warning = '';
                    $tr_color = '#880000';
                    $style_color = 'style="'.$tr_color.'"';
                    $count_modules = count($user_training->training->modules);
                    $count_tasks = 0;
                    foreach ($user_training->training->modules as $module) $count_tasks += count($module->tasks);
                    @endphp
                    <tr {!! $style_color !!}>
                        <td class="table-reference">{{ $user_training->id }}</td>
                        <td class="table-actions">
                            <a href="{{ route('user-training.view', [$locale, $user_training->id]) }}" class="text-primary view">
                                <i class="ti ti-eye fs-5"></i>
                            </a>
                            @if ($is_assign)
                            <a href="#" onclick="set_data_delete('{{ $action }}', '{{ $id }}', '{{ $name }}', '{{ $message_warning }}', '{{ $message_question }}')" data-bs-toggle="modal" data-bs-target="#modal-dialog-delete" class="text-primary delete">
                                <i class="ti ti-trash fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-info-circle fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-player-track-next fs-5"></i>
                            </a>
                            <a href="javascript:void(0)" class="text-primary edit">
                                <i class="ti ti-player-play fs-5"></i>
                            </a>
                            <a href="#" class="text-primary edit">
                                <i class="ti ti-edit fs-5"></i>
                            </a>
                            @endif
                        </td>
                        <td>{{ $user_training->attestation ? $user_training->attest_date : '' }}</td>
                        <td>{{ $user_training->certification ? $user_training->cert_date : '' }}</td>
                        <td>{{ $user_training->training->department->name }}</td>
                        <td>{{ $user_training->training->subdepartment->name }}</td>
                        <td>{{ $user_training->training->prefix }}</td>
                        <td>{{ $user_training->training->rev }}</td>
                        <td>{{ $user_training->training->name }}</td>
                        @if (!$is_assign)
                        <td>{{ $user_training->training->equipement->name }}</td>
                        @endif
                        <td>{{ $user_training->training->duration }}</td>
                        @if ($category_id == 1)
                        <td>{{ 0 }}</td>
                        <td>{{ $count_modules }}</td>
                        @endif
                        @if ($category_id == 2)
                        <td>{{ 0 }}</td>
                        <td>{{ $count_tasks }}</td>
                        @endif
                        @if (in_array($category_id, array(3, 4)))
                        <td>{{ 0 }}</td>
                        <td>{{ 0 }}</td>
                        <td>{{ 0 }}</td>
                        <td>{{ $count_tasks }}</td>
                        @endif
                        <td class="table-reference">{{ $user_training->id }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>