@extends('layouts.app-bo')
@section('title', __("app.assign_training_by_users"))
@section('content')
<div class="main-content container-fluid">
    <div class="d-md-flex align-items-center justify-content-between mb-7">
        <div class="mb-4 mb-md-0">
            <h4 class="fs-6 mb-0">{{ __('app.assign_training_by_users') }}</h4>
            <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($users) }}</b> {{ __('app.items') }}</div>
        </div>
        <div class="d-flex align-items-center justify-content-between gap-6">
            
        </div>
    </div>
    <section class="section">
        <div class="card">
            <div class="{{ $setting->table_div_class }}">
                <table class="{{ $setting->table_class }}" id="assign-user-list">
                    <thead class="{{ $setting->table_thead_class }}">
                        <tr>
                            <th class="sticky-search-button">#</th>
                            <th>{{ __('users.id_matricule_num') }}</th>
                            <th>{{ __('app.nap') }}</th>
                            <th>{{ __('users.first_name') }}</th>
                            <th>{{ __('users.last_name') }}</th>
                            <th>{{ __('users.username') }}</th>
                            <th>{{ __('users.department') }}</th>
                            <th>{{ __('users.status') }}</th>
                            <th class="table-actions">{{ __("app.actions") }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($users as $user)
                        <tr>
                            <td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->id }}</a></td>
                            <td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->ref }}</a></td>
                            <td>{{ $user->nas }}</td>
                            <td>{{ $user->fname }}</td>
                            <td>{{ $user->lname }}</td>
                            <td><a href="{{ route('users.view', [$locale, $user->id]) }}">{{ $user->username }}</a></td>
                            <td>{{ optional($user->department)->name }}</td>
                            <td class="text-center">
                                @if ($user->status)
                                <i class="ti ti-circle-check fs-5 text-success"></i>
                                @else
                                <i class="ti ti-circle-x fs-5 text-danger"></i>
                                @endif
                            </td>
                            <td class="text-center">
                                <a href="{{ route('assign-users.view', [$locale, $user->id]) }}" class="text-primary">
                                    <i class="ti ti-chevrons-right fs-5"></i>
                                    {{ __('app.select') }}
                                </a>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
</div>
@endsection