@extends('layouts.app-bo')
@section('title', __("app.assign_training_by_users"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            {{ $user->fname }} {{ $user->lname }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b> {{ __('users.id_matricule_num') }} : </b> {{ $user->ref }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('users.view', [$locale, $user->id]) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __('app.go_to_user_folder') }}
                        </a>
                        <div class="btn-group">
                            <button class="btn btn-success dropdown-toggle" type="button" id="dropdown_select_solo_training" data-bs-toggle="dropdown" aria-expanded="false">
                                {{ __('app.select_solo_training') }}
                            </button>
                            <ul class="dropdown-menu" aria-labelledby="dropdown_select_solo_training">
                                @foreach ($categories as $category)
                                <li>
                                    @if (in_array($category->id, array(7, 9)))
                                    <a href="{{ route('user-form.create', [$locale, $user->id, $category->id]) }}" class="dropdown-item">
                                        {{ __('menus.' . $category->code)}}
                                    </a>
                                    @elseif (in_array($category->id, array(8)))
                                    <a href="{{ route('user-report.create', [$locale, $user->id, $category->id]) }}" class="dropdown-item">
                                        {{ __('menus.' . $category->code)}}
                                    </a>
                                    @else
                                    <a href="{{ route('user-training.create', [$locale, $user->id, $category->id]) }}" class="dropdown-item">
                                        {{ __('menus.' . $category->code)}}
                                    </a>
                                    @endif
                                </li>
                                @endforeach
                            </ul>
                        </div>
                        <a href="{{ route('user-training.create-group', [$locale, $user->id, 1]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __('app.select_group_training') }}
                        </a>
                        <a href="{{ route('user-training.create-job-itinerary', [$locale, $user->id, 1]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __('app.select_job_itinerary') }}
                        </a>
                        <a href="{{ route('user-training.create-department', [$locale, $user->id, 1]) }}" class="btn btn-success d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __('app.select_department') }}
                        </a>
                        <a href="{{ route('assign-users.list', [$locale]) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <h4 class="mb-4 card-title">{{ __('app.legend') }}</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="row gap-2">
                            <div class="col-md-12">
                                <button type="button" class="btn d-flex bg-primary-subtle w-100 d-block text-primary ">
                                    {{ __('app.training_assigned_at_a_future_date') }}
                                    <span class="badge ms-auto text-bg-primary">{{ 0 }}</span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- online_training_and_evaluation -->
        @php
        $category_id = 1;
        $training_name = "online_training_and_evaluation";
        $training_iconify_icon = "healthicons:i-training-class-outline";
        $user_trainings = $user_trainings_1;
        @endphp
        @include("training.user-assign.training-list")

        <!-- online_reading_procedures -->
        @php
        $category_id = 2;
        $training_name = "online_reading_procedures";
        $training_iconify_icon = "ant-design:delivered-procedure-outlined";
        $user_trainings = $user_trainings_2;
        @endphp
        @include("training.user-assign.training-list")

        <!-- interactive_apprentice_booklet -->
        @php
        $category_id = 3;
        $training_name = "interactive_apprentice_booklet";
        $training_iconify_icon = "lucide:notebook";
        $user_trainings = $user_trainings_3;
        @endphp
        @include("training.user-assign.training-list")

        <!-- interactive_survey -->
        @php
        $category_id = 4;
        $training_name = "interactive_survey";
        $training_iconify_icon = "fluent-mdl2:survey-questions";
        $user_trainings = $user_trainings_4;
        @endphp
        @include("training.user-assign.training-list")

        <!-- personal_survey -->
        @php
        $category_id = 5;
        $training_name = "personal_survey";
        $training_iconify_icon = "wpf:survey";
        $user_trainings = $user_trainings_5;
        @endphp
        @include("training.user-assign.training-list")

        <!-- inspection_of_equipment_in_3d -->
        @php
        $category_id = 6;
        $training_name = "inspection_of_equipment_in_3d";
        $training_iconify_icon = "tdesign:map-3d";
        $user_trainings = $user_trainings_6;
        @endphp
        @include("training.user-assign.training-list")

        <!-- form -->
        @php
        $category_id = 7;
        $training_name = "form";
        $training_iconify_icon = "fluent:notepad-edit-16-regular";
        $user_forms = $user_forms_7;
        @endphp
        @include("training.user-assign.form-list")

        <!-- reports -->
        @php
        $category_id = 8;
        $training_name = "reports";
        $training_iconify_icon = "mdi:report-multiple";
        $user_reports = $user_reports;
        @endphp
        @include("training.user-assign.report-list")

        <!-- work_card -->
        @php
        $category_id = 9;
        $training_name = "work_card";
        $training_iconify_icon = "entypo:v-card";
        $user_forms = $user_forms_9;
        @endphp
        @include("training.user-assign.form-list")
    </section>
</div>
@endsection