@extends('layouts.app-bo')
@section('title', $form->name)
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <!--
                        <h4 class="card-title">
                            {{ __("app.form") }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b> {{ __('app.name') }} : </b> {{ $form->name }}</div>
                        -->
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        @if ($assigned_training)
                        <a href="{{ route('presentiel.view', [$locale, $assigned_training->presentiel_id]) }}" class="btn btn-info align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                        @else
                        <a href="{{ route('train-user.index', [$locale, 7]) }}" class="btn btn-info align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                        @endif
                        @if ($is_view)
                        <a href="#" class="btn btn-info align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-printer fs-4"></i>
                            {{ __("app.print") }}
                        </a>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header text-bg-primary">
                <div class="row">
                    <div class="col-md-10">
                        <h4 class="mb-0 text-white">{{ $form->name }}</h4>
                    </div>
                    <div class="col-md-2 text-end gap-6">
                        
                    </div>
                </div>
            </div>
            <div class="card-body">
                @if (!$is_view)
                <form action="{{ route('user-form.store-presentiel', $locale) }}" method="POST" class="needs-validation" novalidate>
                    @csrf
                    @if (isset($assigned_training))
                    <input type="hidden" name="assigned_training_id" value="{{ $assigned_training->id ?? '' }}" />
                    @endif
                    <input type="hidden" name="user_form_id" value="{{ isset($user_form) ? $user_form->id : '' }}" />
                    @if ($assigned_training)
                    <div class="col-md-12">
                        <div class="form-floating mb-3 select2-auto-height">
                            <select class="form-select" name="user_id" disabled>
                                <option value=""></option>
                                @foreach ($trainees as $trainee)
                                    @php $selected = $assigned_training->user->id == $trainee->id ? 'selected' : ''; @endphp;
                                    <option value="{{ $trainee->id }}" {{ $selected }}>[{{ $trainee->ref }}] {{ $trainee->fname }} {{ $trainee->lname }}</option>
                                @endforeach
                            </select>
                            <label for="trainer_id">{{ __('app.trainee') }}</label>
                        </div>
                    </div>
                    <hr/>
                    @endif
                @endif
                    @foreach ($form_fields as $i => $form_field)
                        @include('lib.form-field')
                    @endforeach
                @if (!$is_view)
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary" onclick="save_signature();save_signature_i();save_signature_s();">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save_form') }}
                            </button>
                        </div>
                    </div>
                </form>
                @endif
            </div>
        </div>
    </section>
</div>

@endsection