@extends('layouts.app-bo')
@section('title', __("app.create_userforms"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="text-center">
            <h3>{{ __("app.create_userforms") }}</h3>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-3 mb-md-0">
                        <h4 class="card-title">
                            <strong>{{ __("app.user") }} : </strong> {{ $user->fname }} {{ $user->lname }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b> {{ __('app.category') }} : </b> {{ $category->new_name }}</div>
                    </div>
                    <div class="mb-3 mb-md-0 text-end">
                        <h4 class="card-title">
                            {{ __("app.select_form") }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($forms) }}</b> {{ __('app.items') }}</div>
                    </div>
                </div>
                <br>
                <form action="{{ route('user-form.store', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="user_id" value="{{ $user->id }}" />
                    <div class="{{ $setting->table_div_class }}">
                        <table class="{{ $setting->table_class }}">
                            <thead class="{{ $setting->table_thead_class }}">
                                <tr>
                                    <th class="table-reference">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="form_select_all" title="{{ __('app.select_all') }}" data-bs-toggle="tooltip">
                                        </div>
                                    </th>
                                    <th>{{ __("app.name") }}</th>
                                </tr>
                            </thead>
                            <tbody class="{{ $setting->table_tbody_class }}">
                                @foreach ($forms as $form)
                                <tr>
                                    <td class="table-reference">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input forms-select" id="form_select_{{ $form->id }}" name="form_id[{{ $form->id }}]" value="{{ $form->id }}" title="{{ $form->name }}" data-bs-toggle="tooltip">
                                        </div>
                                    </td>
                                    <td>{{ $form->name }}</td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('assign-users.view', [$locale, $user->id]) }}" class="btn bg-danger-subtle text-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#form_select_all").click(function() {
            if (this.checked) {
                $("input.forms-select").prop("checked", true);
            } else {
                $("input.forms-select").prop("checked", false);
            }
        });
    });
</script>
@endsection