@extends('layouts.app-bo')
@section('title', __("app.list_userforms"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="text-start">
            <h3>
                @if (!$presentiel)
                {{__("app.bad_request_400") }}
                @else
                {{__("app.user") }} : {{ $assigned_training->user->fname }} {{ $assigned_training->user->lname }}
                @endif
            </h3>
        </div>
        @if (!$presentiel)
        <div class="alert alert-danger text-danger">
            {{ __('message.missing_required_parameters') }} : Presentiel ID
        </div>
        <div class="alert">
            {!! __('message.missing_required_parameters_details') !!}
        </div>
        @else
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-4 mb-md-0">
                        <h4 class="card-title">
                            <strong>{{ __("app.forms_for_training") }} </strong> {{ $assigned_training->training->name }}
                        </h4>
                        <div class="mb-3 card-subtitle">{{ __('app.Total') }} <b>{{ count($user_forms) }}</b> {{ __('app.items') }}</div>
                    </div>
                    <div class="d-flex align-items-center justify-content-between gap-6">
                        <a href="{{ route('user-form.presentiel', [$locale, $presentiel->id, $assigned_training->user_id]) }}" class="btn btn-primary d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-filter fs-4"></i>
                            {{ __("app.fill_presentiel_training_form") }}
                        </a>
                        <a href="{{ route('assigned-training.result', $parameters) }}" class="btn btn-info d-flex align-items-center gap-1 fs-3 py-2 px-9">
                            <i class="ti ti-arrow-back-up fs-4"></i>
                            {{ __("app.back") }}
                        </a>
                    </div>
                </div>
                <div class="{{ $setting->table_div_class }}">
                    <table class="{{ $setting->table_class }}">
                        <thead class="{{ $setting->table_thead_class }}">
                            <tr>
                                <th class="table-reference">#</th>
                                <th>{{ __("app.completed") }}</th>
                                <th>{{ __("app.form_name") }}</th>
                                <th class="table-actions">{{ __("app.actions") }}</th>
                            </tr>
                        </thead>
                        <tbody class="{{ $setting->table_tbody_class }}">
                            @foreach ($user_forms as $user_form)
                            <tr data-id="{{ $user_form->id }}">
                                <td class="table-reference">{{ $user_form->id }}</td>
                                <td>
                                    @if ($user_form->completed)
                                    <i class="ti ti-circle-check text-success fs-4"></i>
                                    @endif
                                </td>
                                <td>{{ $user_form->form->name }}</td>
                                <td class="table-actions">
                                    <a href="{{ route('user-form.edit-form-id', ['locale' => $locale, 'user_form_id' => $user_form->id]) }}" class="text-primary check">
                                        <i class="ti ti-player-play fs-5 text-primary"></i>
                                    </a>
                                    @if ($presentiel)
                                    <a href="{{ route('user-form.edit-form-presentiel', ['locale' => $locale, 'presentiel_id' => $presentiel->id, 'user_id' => $user_form->user->id]) }}" class="text-primary activity-edit">
                                        <i class="ti ti-edit fs-5"></i>
                                    </a>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                            @if (!count($user_forms))
                            <tr>
                                <td colspan="8">
                                    {{ __('app.no_results_found') }}
                                </td>
                            </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        @endif
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {

    });
</script>
@endsection