<div class="row">
    <div class="col-12">
        <canvas id="trainingStatisticsChart"></canvas>
    </div>
</div>

<script>
document.addEventListener('DOMContentLoaded', function() {
    console.log('DOMContentLoaded');
    const ctx = document.getElementById('trainingStatisticsChart').getContext('2d');

    // Group track records by module
    const moduleStats = {};
    @foreach($trackRecords as $record)
        if (!moduleStats['{{ $record->module_name }}']) {
            moduleStats['{{ $record->module_name }}'] = {
                inProgress: 0,
                mastered: 0,
                read: 0,
                instructor: 0,
                supervisor: 0,
                total: 0
            };
        }
    
        moduleStats['{{ $record->module_name }}'].total++;
        
        if ({{ $record->trainee }} == 1) {
            moduleStats['{{ $record->module_name }}'].read++;
        } else if ({{ $record->trainee }} == 2) {
            moduleStats['{{ $record->module_name }}'].mastered++;
        } else if ({{ $record->trainee }} == 3) {
            moduleStats['{{ $record->module_name }}'].inProgress++;
        }
        
        if ({{ $record->instructor }} == 1) {
            moduleStats['{{ $record->module_name }}'].instructor++;
        }
        
        if ({{ $record->supervisor }} == 1) {
            moduleStats['{{ $record->module_name }}'].supervisor++;
        }
    @endforeach

    const moduleNames = Object.keys(moduleStats);
    const data = {
        labels: moduleNames,
        datasets: [
            {
                label: '{{ __("app.in_progress") }}',
                data: moduleNames.map(name => (moduleStats[name].inProgress / moduleStats[name].total) * 100),
                backgroundColor: '#ffc107'
            },
            {
                label: '{{ __("app.mastered") }}',
                data: moduleNames.map(name => (moduleStats[name].mastered / moduleStats[name].total) * 100),
                backgroundColor: '#28a745'
            },
            {
                label: '{{ __("app.read") }}',
                data: moduleNames.map(name => (moduleStats[name].read / moduleStats[name].total) * 100),
                backgroundColor: '#17a2b8'
            },
            {
                label: '{{ __("app.instructor") }}',
                data: moduleNames.map(name => (moduleStats[name].instructor / moduleStats[name].total) * 100),
                backgroundColor: '#dc3545'
            },
            {
                label: '{{ __("app.supervisor") }}',
                data: moduleNames.map(name => (moduleStats[name].supervisor / moduleStats[name].total) * 100),
                backgroundColor: '#6610f2'
            }
        ]
    };

    new Chart(ctx, {
        type: 'bar',
        data: data,
        options: {
            responsive: true,
            scales: {
                x: {
                    stacked: true,
                },
                y: {
                    stacked: true,
                    max: 100,
                    ticks: {
                        callback: function(value) {
                            return value + '%';
                        }
                    }
                }
            },
            plugins: {
                tooltip: {
                    callbacks: {
                        label: function(context) {
                            return context.dataset.label + ': ' + Math.round(context.raw) + '%';
                        }
                    }
                }
            }
        }
    });
});
</script>
