@extends('layouts.app-bo')
@section('title', __("app.$create_title"))
@section('content')

<div class="main-content container-fluid">
    <section class="section">
        <div class="text-center">
            <h3>{{ __("app.$create_title") }}</h3>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-md-flex align-items-center justify-content-between">
                    <div class="mb-3 mb-md-0">
                        <h4 class="card-title">
                            <strong>{{ __("app.user") }} : </strong> {{ $user->fname }} {{ $user->lname }}
                        </h4>
                        <div class="mb-3 card-subtitle"><b> {{ __('app.category') }} : </b> {{ $category->new_name }}</div>
                    </div>
                    <div class="mb-3 mb-md-0 text-end">
                        <h4 class="card-title">
                            {{ __("app.$create_add_title") }}
                        </h4>
                    </div>
                </div>
                <br>
                <form action="{{ route('user-training.store-other', $locale) }}" method="POST" enctype="multipart/form-data" class="needs-validation" novalidate>
                    @csrf
                    <input type="hidden" name="user_id" value="{{ $user->id }}" />
                    <input type="hidden" name="type" value="{{ $type }}" />
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-floating mb-3 select2-auto-height">
                                <select class="form-select" id="line_id" name="line_id" aria-label="{{ __('app.' . $create_select_title) }}">
                                    <option>{{ __('app.select') }} ...</option>
                                    @foreach ($type_list as $type_line)
                                    <option value="{{ $type_line->id }}">{{ $type_line->name }}</option>
                                    @endforeach
                                </select>
                                <label for="line_id">{{ __("app.$create_select_title") }}</label>
                            </div>
                        </div>
                    </div>
                    <div class="alert alert-info text-info mt-4">{{ __('message.note_of_dates_affected_all_selected_trainings_groups') }}</div>
                    <div class="row mt-4">
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control @error('start_date') is-invalid @enderror" id="start_date" name="start_date" value="{{ old('start_date') ? : date('Y-m-d') }}" placeholder="{{ __('app.assignment_date') }}" required />
                                <label for="start_date">{{ __('app.assignment_date') }}</label>
                                @error('start_date')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="date" class="form-control @error('end_date') is-invalid @enderror" id="end_date" name="end_date" value="{{ old('end_date') ? : '' }}" placeholder="{{ __('app.due_date') }}" />
                                <label for="end_date">{{ __('app.due_date') }} ({{ __('app.optional') }})</label>
                                @error('end_date')<div class="alert alert-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <div class="card-body border-top text-center">
                            <button type="submit" class="btn btn-primary">
                                <i class="ti ti-device-floppy fs-4"></i>
                                {{ __('app.save') }}
                            </button>
                            <a href="{{ route('assign-users.view', [$locale, $user->id]) }}" class="btn bg-danger-subtle text-danger ms-6">
                                <i class="ti ti-circle-x fs-4"></i>
                                {{ __('app.cancel') }}
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>

<!-- Javascript -->
<script type="text/javascript">
    $(function() {
        $("#training_select_all").click(function() {
            if (this.checked) {
                $("input.training-select").prop("checked", true);
            } else {
                $("input.training-select").prop("checked", false);
            }
        });
    });
</script>
@endsection