@extends('layouts.app-bo')
@section('title', __('app.training'))
@section('content')

    <div class="main-content container-fluid">
        <section>
            <div class="card">
                <div class="card-header">
                    <div class="mb-4">
                        <a href="{{ route('train-user.index', [$locale, 3]) }}" class="btn btn-info">
                            <iconify-icon icon="ph:arrow-left-bold"></iconify-icon>
                            {{ __('app.back') }}
                        </a>
                    </div>
                    <h4>{{ $model->name }}</h4>
                </div>
            </div>
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                                                        <h4>{{ __('app.supervisors') }}</h4>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th style="text-align:center; width:70px;">{{ __('app.primary') }}</th>
                                    <th>{{ __('app.first_name') }}</th>
                                    <th>{{ __('app.last_name') }}</th>
                                    <th>
                                        @if($isSuper_trainer || $isTrainer)
                                        <a href="{{ route('users.select', [$locale, 'role' => 'Supervisor', 'userID' => auth()->user()->id, 'userTrainingID' => $id]) }}" class="btn btn-success btn-sm">
                                                <iconify-icon icon="codicon:add" class="text-white"></iconify-icon> &nbsp; {{ __('app.add_new') }}
                                            </a>
                                        @endif
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach ($supervisors as $supervisor)

                                    <tr>
                                        <td style="text-align:center;">
                                            @php
                                                $utID = $id;
                                            @endphp
                                            @if($supervisor->prime)
                                                <span class="btn btn-success">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><path fill="currentColor" d="M5.75 1a.75.75 0 0 1 .75.75V3.6l1.72-.344a8.7 8.7 0 0 1 4.925.452l.204.081a8 8 0 0 0 4.91.334a1.2 1.2 0 0 1 1.491 1.164v7.367c0 .644-.439 1.206-1.064 1.362l-.214.053a8.68 8.68 0 0 1-5.327-.361a8.7 8.7 0 0 0-4.924-.452L6.5 13.6v8.15a.75.75 0 0 1-1.5 0v-20A.75.75 0 0 1 5.75 1"/></svg>

                                                </span>
                                            @endif
                                        </td>
                                        <td>
                                            {{ $supervisor->fname }}
                                        </td>
                                        <td>
                                            {{ $supervisor->lname }}
                                        </td>
                                        <td>
                                        @php
                                            $sup = App\Models\Supervisor::where('user_id', $supervisor->user_id)
                                                        ->where('user_training_id', $utID)
                                                        ->first();
                                        @endphp

                                        @if ($sup)
                                            <!-- Delete Button -->
                                                <form action="{{ route('users.delete-supervisor-instructor', [$locale, 'role' => 'supervisor', 'user_id' => $supervisor->user_id, 'user_training_id' => $utID]) }}"
                                                      method="POST"
                                                      style="display: inline;">
                                                    @csrf
                                                    @method('DELETE')

                                                    <button type="submit"
                                                            class="btn btn-danger"
                                                            onclick="return confirm('{{ __('Are you sure you want to delete this item?') }}')">
                                                        <iconify-icon icon="codicon:trash" class="text-white"></iconify-icon>
                                                    </button>
                                                </form>

                                                <!-- Prime Button -->
                                                @if (!$sup->prime)
                                                    <form action="{{ route('users.set-prime', [$locale, 'role' => 'supervisor', 'user_id' => $supervisor->user_id, 'user_training_id' => $utID]) }}"
                                                          method="POST"
                                                          style="display: inline;">
                                                        @csrf
                                                        @method('POST')
                                                        <button type="submit"
                                                                class="btn btn-success"
                                                                data-method="post">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><path fill="currentColor" d="M5.75 1a.75.75 0 0 1 .75.75V3.6l1.72-.344a8.7 8.7 0 0 1 4.925.452l.204.081a8 8 0 0 0 4.91.334a1.2 1.2 0 0 1 1.491 1.164v7.367c0 .644-.439 1.206-1.064 1.362l-.214.053a8.68 8.68 0 0 1-5.327-.361a8.7 8.7 0 0 0-4.924-.452L6.5 13.6v8.15a.75.75 0 0 1-1.5 0v-20A.75.75 0 0 1 5.75 1"/></svg>
                                                        </button>
                                                    </form>
                                                @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div class="col-6">
                            <h4>{{ __('app.instructors') }}</h4>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th style="text-align:center; width:70px;">{{ __('app.primary') }}</th>
                                    <th>{{ __('app.first_name') }}</th>
                                    <th>{{ __('app.last_name') }}</th>
                                    <th>
                                        @if($isSuper_trainer || $isTrainer)
                                        <a href="{{ route('users.select', [$locale, 'role' => 'Instructor', 'userID' => auth()->user()->id, 'userTrainingID' => $id]) }}" class="btn btn-success btn-sm">
                                            <iconify-icon icon="codicon:add" class="text-white"></iconify-icon> {{ __('app.add_new') }}
                                        </a>
                                        @endif
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach ($instructors as $instructor)

                                    <tr>
                                        <td style="text-align:center;">
                                            @if($instructor->prime)
                                               <span class="btn btn-success">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><path fill="currentColor" d="M5.75 1a.75.75 0 0 1 .75.75V3.6l1.72-.344a8.7 8.7 0 0 1 4.925.452l.204.081a8 8 0 0 0 4.91.334a1.2 1.2 0 0 1 1.491 1.164v7.367c0 .644-.439 1.206-1.064 1.362l-.214.053a8.68 8.68 0 0 1-5.327-.361a8.7 8.7 0 0 0-4.924-.452L6.5 13.6v8.15a.75.75 0 0 1-1.5 0v-20A.75.75 0 0 1 5.75 1"/></svg>

                                               </span>
                                            @endif

                                        </td>
                                        <td>
                                            {{ $instructor->fname }}
                                        </td>
                                        <td>
                                            {{ $instructor->lname }}
                                        </td>
                                        <td>
                                        @php
                                            $sup = App\Models\Instructor::where('user_id', $instructor->user_id)
                                                        ->where('user_training_id', $utID)
                                                        ->first();
                                        @endphp

                                        @if ($sup)
                                            <!-- Delete Button -->
                                                <form action="{{ route('users.delete-supervisor-instructor', [$locale, 'role' => 'instructor', 'user_id' => $instructor->user_id, 'user_training_id' => $utID]) }}"
                                                      method="POST"
                                                      style="display: inline;">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit"
                                                            class="btn btn-danger"
                                                            onclick="return confirm('{{ __('Are you sure you want to delete this item?') }}')">
                                                        <iconify-icon icon="codicon:trash" class="text-white"></iconify-icon>
                                                    </button>
                                                </form>

                                                <!-- Prime Button -->
                                                @if (!$sup->prime)
                                                    <form action="{{ route('users.set-prime', [$locale, 'role' => 'instructor', 'user_id' => $instructor->user_id, 'user_training_id' => $utID]) }}"
                                                          method="POST"
                                                          style="display: inline;">
                                                        @csrf
                                                        @method('POST')
                                                        <button type="submit"
                                                                class="btn btn-success"
                                                                data-method="post">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><path fill="currentColor" d="M5.75 1a.75.75 0 0 1 .75.75V3.6l1.72-.344a8.7 8.7 0 0 1 4.925.452l.204.081a8 8 0 0 0 4.91.334a1.2 1.2 0 0 1 1.491 1.164v7.367c0 .644-.439 1.206-1.064 1.362l-.214.053a8.68 8.68 0 0 1-5.327-.361a8.7 8.7 0 0 0-4.924-.452L6.5 13.6v8.15a.75.75 0 0 1-1.5 0v-20A.75.75 0 0 1 5.75 1"/></svg>
                                                        </button>
                                                    </form>
                                                @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>

            </div>

            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-8">
                            <h2 class="tasks">{{ __('app.tasks') }}</h2>
                        </div>
                        <div class="col-4" >

                            <p><span class="fas fa-times text-danger"></span> {{ __('app.task_not_started') }} </p>

                            <p><span class="fas fa-check text-warning"></span> {{ __('app.i_read_the_task') }} </p>

                            <p> <span class="fas fa-cog text-primary"></span> {{ __('app.i_read_the_task_and_it_is_in_progress') }} </p>

                            <p><iconify-icon icon="codicon:check-all" class="text-success"></iconify-icon> {{ __('app.i_understand_and_have_mastered_the_task') }} </p>

                        </div>

                    </div>
                    @php
                        // Regrouper les tâches par module
                        $groupedTrackRecords = [];
                        foreach ($trackRecords as $trackrecord) {
                            $groupedTrackRecords[$trackrecord->module_name][] = $trackrecord;
                        }
                    @endphp

                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>{{ __('app.module') }}</th>
                            <th>{{ __('app.title') }}</th>
                            <th>{{ __('app.a') }}</th>
                            <th>{{ __('app.date') }}</th>
                            @if($isInstructor || $isSupervisor)
                                <th>{{ __('app.i') }}</th>
                                <th>{{ __('app.instructor') }}</th>
                            @endif
                            @if($isSupervisor)
                                <th>{{ __('app.s') }}</th>
                                <th>{{ __('app.supervisor') }}</th>
                            @endif
                            <th>{{ __('app.comments') }}</th>
                            <th>{{ __('app.actions') }}</th>

                        </tr>
                        </thead>
                        <tbody>
                        @foreach ($groupedTrackRecords as $moduleName => $records)
                            @php
                                $rowCount = count($records);
                            @endphp

                            @foreach ($records as $index => $trackrecord)
                                <tr>
                                    @if ($index === 0)
                                        <td rowspan="{{ $rowCount }}">
                                            <p> {{ $moduleName }} </p>
                                            @if($isSupervisor || $isInstructor)
                                                <p>
                                                    <a href="{{ route('track-record.validate-module', [$locale, $trackrecord->module_id, $trackrecord->user_training_id]) }}" class="btn btn-warning btn-sm" onclick="return confirm('{{ __('app.validate_all_tasks_in_this_module') }}')">
                                                    <iconify-icon icon="codicon:check" class="text-white"></iconify-icon> {{ __('app.validate_all_tasks_in_this_module') }}
                                                </a>
                                            </p>
                                            @endif

                                        </td>

                                    @endif

                                    <td>{{ $trackrecord->task_title }}</td>
                                    <td>
                                        @if ($trackrecord->trainee === 0)
                                            <p><span class="fas fa-times text-danger"></span></p>
                                        @elseif ($trackrecord->trainee === 1)
                                            <p><span class="fas fa-check text-warning"></span></p>
                                        @elseif ($trackrecord->trainee === 2)
                                            <p><span class="fas fa-cog text-primary"></span></p>
                                        @elseif ($trackrecord->trainee === 3)
                                            <p><iconify-icon icon="codicon:check-all" class="text-success"></iconify-icon></p>
                                        @else
                                            <p><i class="fas fa-times text-danger"></i></p>
                                        @endif
                                    </td>
                                    <td>
                                        @if ($trackrecord->trainee_date)
                                            <span class="glyphicon glyphicon-star"></span><br>
                                            <small>{{ $trackrecord->trainee_date }}</small>
                                        @endif
                                    </td>
                                    @if($isInstructor || $isSupervisor)
                                        <td>
                                            @if ($trackrecord->instructor === 0)
                                                <p><span class="fas fa-times text-danger"></span></p>
                                            @elseif ($trackrecord->instructor === 1)
                                                <p><span class="fas fa-check text-success"></span></p>
                                            @endif

                                        </td>
                                        <td>
                                            @if($trackrecord->instructor_user)
                                                {{ $trackrecord->instructor_user->fname }} {{ $trackrecord->instructor_user->lname }}
                                            @endif
                                        </td>
                                    @endif
                                    @if($isSupervisor)
                                        <td>
                                            @if($trackrecord->supervisor === 0)
                                                <p><span class="fas fa-times text-danger"></span></p>
                                            @elseif($trackrecord->supervisor === 1)
                                                <p><span class="fas fa-check text-success"></span></p>
                                            @endif
                                        </td>
                                        <td>
                                            @if($trackrecord->supervisor_user)
                                                {{ $trackrecord->supervisor_user->fname }} {{ $trackrecord->supervisor_user->lname }}
                                            @endif
                                        </td>
                                    @endif
                                    <td>
                                        <a href="#" class="btn btn-link" data-bs-toggle="collapse" data-bs-target="#comments-{{$trackrecord->id}}" aria-expanded="false">
                                            <iconify-icon icon="mdi:comment-text-outline"></iconify-icon>
                                        </a>
                                        <div class="collapse" id="comments-{{$trackrecord->id}}">
                                            <div class="card card-body">
                                                @if($trackrecord->comments)
                                                    <p><strong>{{ __('app.trainee_comments') }}:</strong><br>
                                                        {{ $trackrecord->comments }}</p>
                                                @endif

                                                @if($trackrecord->comments2)
                                                    <p><strong>{{ __('app.instructor_comments') }}:</strong><br>
                                                        {{ $trackrecord->comments2 }}</p>
                                                @endif

                                                @if($trackrecord->comments3)
                                                    <p><strong>{{ __('app.supervisor_comments') }}:</strong><br>
                                                        {{ $trackrecord->comments3 }}</p>
                                                @endif
                                            </div>
                                        </div>

                                    </td>
                                    <td>
                                        <a href="{{ route('track-record.test', [$locale, 'track_record' => $trackrecord]) }}">
                                            <iconify-icon icon="codicon:play" class="text-primary"></iconify-icon>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                        @endforeach
                        </tbody>
                    </table>
                </div>

            </div>

        </section>
    </div>
    @include('lib.training-confirm-dialog')

@endsection
